/* A Bison parser, made by GNU Bison 3.0.5.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015, 2018 Free Software Foundation, Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "3.0.5"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 0

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1


/* Substitute the variable and function names.  */
#define yyparse         cf_parse
#define yylex           cf_lex
#define yyerror         cf_error
#define yydebug         cf_debug
#define yynerrs         cf_nerrs

#define yylval          cf_lval
#define yychar          cf_char

/* Copy the first part of user declarations.  */
#line 49 "conf/gen_parser.m4" /* yacc.c:339  */

#line 9 "conf/confbase.Y"
/* Headers from conf/confbase.Y */

#define PARSER 1

#include "nest/bird.h"
#include "conf/conf.h"
#include "lib/resource.h"
#include "lib/socket.h"
#include "lib/timer.h"
#include "lib/string.h"
#include "nest/protocol.h"
#include "nest/iface.h"
#include "nest/route.h"
#include "nest/cli.h"
#include "filter/filter.h"

/* FIXME: Turn on YYERROR_VERBOSE and work around lots of bison bugs? */

/* Defines from conf/confbase.Y */

static void
check_u16(uint val)
{
  if (val > 0xFFFF)
    cf_error("Value %u out of range (0-65535)", val);
}

#line 9 "conf/flowspec.Y"
/* Headers from conf/flowspec.Y */

#define PARSER 1

#include "nest/bird.h"
#include "lib/flowspec.h"


/* Defines from conf/flowspec.Y */

struct flow_builder *this_flow;


#line 11 "filter/config.Y"
/* Headers from filter/config.Y */

/* Defines from filter/config.Y */

static inline u32 pair(u32 a, u32 b) { return (a << 16) | b; }
static inline u32 pair_a(u32 p) { return p >> 16; }
static inline u32 pair_b(u32 p) { return p & 0xFFFF; }


/*
 * Sets and their items are during parsing handled as lists, linked
 * through left ptr. The first item in a list also contains a pointer
 * to the last item in a list (right ptr). For convenience, even items
 * are handled as one-item lists. Lists are merged by f_merge_items().
 */
static int
f_valid_set_type(int type)
{
  switch (type)
  {
  case T_INT:
  case T_PAIR:
  case T_QUAD:
  case T_ENUM:
  case T_IP:
  case T_EC:
  case T_LC:
  case T_RD:
    return 1;

  default:
    return 0;
  }
}

static inline struct f_tree *
f_new_item(struct f_val from, struct f_val to)
{
  struct f_tree *t = f_new_tree();
  t->right = t;
  t->from = from;
  t->to = to;
  return t;
}

static inline struct f_tree *
f_merge_items(struct f_tree *a, struct f_tree *b)
{
  if (!a) return b;
  a->right->left = b;
  a->right = b->right;
  b->right = NULL;
  return a;
}

static inline struct f_tree *
f_new_pair_item(int fa, int ta, int fb, int tb)
{
  check_u16(fa);
  check_u16(ta);
  check_u16(fb);
  check_u16(tb);

  if ((ta < fa) || (tb < fb))
    cf_error( "From value cannot be higher that To value in pair sets");

  struct f_tree *t = f_new_tree();
  t->right = t;
  t->from.type = t->to.type = T_PAIR;
  t->from.val.i = pair(fa, fb);
  t->to.val.i = pair(ta, tb);
  return t;
}

static inline struct f_tree *
f_new_pair_set(int fa, int ta, int fb, int tb)
{
  check_u16(fa);
  check_u16(ta);
  check_u16(fb);
  check_u16(tb);

  if ((ta < fa) || (tb < fb))
    cf_error( "From value cannot be higher that To value in pair sets");

  struct f_tree *lst = NULL;
  int i;

  for (i = fa; i <= ta; i++)
    lst = f_merge_items(lst, f_new_pair_item(i, i, fb, tb));

  return lst;
}

#define CC_ALL 0xFFFF
#define EC_ALL 0xFFFFFFFF
#define LC_ALL 0xFFFFFFFF

static struct f_tree *
f_new_ec_item(u32 kind, u32 ipv4_used, u32 key, u32 vf, u32 vt)
{
  u64 fm, to;

  if ((kind != EC_GENERIC) && (ipv4_used || (key >= 0x10000))) {
    check_u16(vf);
    if (vt == EC_ALL)
      vt = 0xFFFF;
    else
      check_u16(vt);
  }

  if (kind == EC_GENERIC) {
    fm = ec_generic(key, vf);
    to = ec_generic(key, vt);
  }
  else if (ipv4_used) {
    fm = ec_ip4(kind, key, vf);
    to = ec_ip4(kind, key, vt);
  }
  else if (key < 0x10000) {
    fm = ec_as2(kind, key, vf);
    to = ec_as2(kind, key, vt);
  }
  else {
    fm = ec_as4(kind, key, vf);
    to = ec_as4(kind, key, vt);
  }

  struct f_tree *t = f_new_tree();
  t->right = t;
  t->from.type = t->to.type = T_EC;
  t->from.val.ec = fm;
  t->to.val.ec = to;
  return t;
}

static struct f_tree *
f_new_lc_item(u32 f1, u32 t1, u32 f2, u32 t2, u32 f3, u32 t3)
{
  struct f_tree *t = f_new_tree();
  t->right = t;
  t->from.type = t->to.type = T_LC;
  t->from.val.lc = (lcomm) {f1, f2, f3};
  t->to.val.lc = (lcomm) {t1, t2, t3};
  return t;
}

static inline struct f_inst *
f_generate_empty(struct f_dynamic_attr dyn)
{
  struct f_inst *e = f_new_inst(FI_EMPTY);

  switch (dyn.type & EAF_TYPE_MASK) {
    case EAF_TYPE_AS_PATH:
      e->aux = T_PATH;
      break;
    case EAF_TYPE_INT_SET:
      e->aux = T_CLIST;
      break;
    case EAF_TYPE_EC_SET:
      e->aux = T_ECLIST;
      break;
    case EAF_TYPE_LC_SET:
      e->aux = T_LCLIST;
      break;
    default:
      cf_error("Can't empty that attribute");
  }

  struct f_inst *s = f_new_inst_da(FI_EA_SET, dyn);
  s->a1.p = e;
  return s;
}


static inline struct f_inst *
f_generate_dpair(struct f_inst *t1, struct f_inst *t2)
{
  struct f_inst *rv;

  if ((t1->fi_code == FI_CONSTANT) && (t2->fi_code == FI_CONSTANT)) {
    if ((t1->aux != T_INT) || (t2->aux != T_INT))
      cf_error( "Can't operate with value of non-integer type in pair constructor");

    check_u16(t1->a2.i);
    check_u16(t2->a2.i);

    rv = f_new_inst(FI_CONSTANT);
    rv->aux = T_PAIR;
    rv->a2.i = pair(t1->a2.i, t2->a2.i);
  }
  else {
    rv = f_new_inst(FI_PAIR_CONSTRUCT);
    rv->a1.p = t1;
    rv->a2.p = t2;
  }

  return rv;
}

static inline struct f_inst *
f_generate_ec(u16 kind, struct f_inst *tk, struct f_inst *tv)
{
  struct f_inst *rv;
  int c1 = 0, c2 = 0, ipv4_used = 0;
  u32 key = 0, val2 = 0;

  if (tk->fi_code == FI_CONSTANT) {
    c1 = 1;

    if (tk->aux == T_INT) {
      ipv4_used = 0; key = tk->a2.i;
    }
    else if (tk->aux == T_QUAD) {
      ipv4_used = 1; key = tk->a2.i;
    }
    else
      cf_error("Can't operate with key of non-integer/IPv4 type in EC constructor");
  }

  /* IP->Quad implicit conversion */
  else if (tk->fi_code == FI_CONSTANT_INDIRECT) {
    c1 = 1;
    struct f_val *val = tk->a1.p;

    if (val->type == T_INT) {
      ipv4_used = 0; key = val->val.i;
    }
    else if (val->type == T_QUAD) {
      ipv4_used = 1; key = val->val.i;
    }
    else if ((val->type == T_IP) && ipa_is_ip4(val->val.ip)) {
      ipv4_used = 1; key = ipa_to_u32(val->val.ip);
    }
    else
      cf_error("Can't operate with key of non-integer/IPv4 type in EC constructor");
  }

  if (tv->fi_code == FI_CONSTANT) {
    if (tv->aux != T_INT)
      cf_error("Can't operate with value of non-integer type in EC constructor");
    c2 = 1;
    val2 = tv->a2.i;
  }

  if (c1 && c2) {
    u64 ec;

    if (kind == EC_GENERIC) {
      ec = ec_generic(key, val2);
    }
    else if (ipv4_used) {
      check_u16(val2);
      ec = ec_ip4(kind, key, val2);
    }
    else if (key < 0x10000) {
      ec = ec_as2(kind, key, val2);
    }
    else {
      check_u16(val2);
      ec = ec_as4(kind, key, val2);
    }

    NEW_F_VAL;
    rv = f_new_inst(FI_CONSTANT_INDIRECT);
    rv->a1.p = val;
    val->type = T_EC;
    val->val.ec = ec;
  }
  else {
    rv = f_new_inst(FI_EC_CONSTRUCT);
    rv->aux = kind;
    rv->a1.p = tk;
    rv->a2.p = tv;
  }

  return rv;
}

static inline struct f_inst *
f_generate_lc(struct f_inst *t1, struct f_inst *t2, struct f_inst *t3)
{
  struct f_inst *rv;

  if ((t1->fi_code == FI_CONSTANT) && (t2->fi_code == FI_CONSTANT) && (t3->fi_code == FI_CONSTANT)) {
    if ((t1->aux != T_INT) || (t2->aux != T_INT) || (t3->aux != T_INT))
      cf_error( "LC - Can't operate with value of non-integer type in tuple constructor");

    rv = f_new_inst(FI_CONSTANT_INDIRECT);

    NEW_F_VAL;
    rv->a1.p = val;
    val->type = T_LC;
    val->val.lc = (lcomm) { t1->a2.i, t2->a2.i, t3->a2.i };
  }
  else
  {
    rv = f_new_inst(FI_LC_CONSTRUCT);
    rv->a1.p = t1;
    rv->a2.p = t2;
    rv->a3.p = t3;
  }

  return rv;
}

static inline struct f_inst *
f_generate_path_mask(struct f_path_mask *t)
{
  for (struct f_path_mask *tt = t; tt; tt = tt->next) {
    if (tt->kind == PM_ASN_EXPR) {
      struct f_inst *mrv = f_new_inst(FI_PATHMASK_CONSTRUCT);
      mrv->a1.p = t;
      return mrv;
    }
  }

  NEW_F_VAL;
  val->type = T_PATH_MASK;
  val->val.path_mask = t;

  struct f_inst *rv = f_new_inst(FI_CONSTANT_INDIRECT);
  rv->a1.p = val;

  return rv;
}

/*
 * Remove all new lines and doubled whitespaces
 * and convert all tabulators to spaces
 * and return a copy of string
 */
char *
assert_copy_expr(const char *start, size_t len)
{
  /* XXX: Allocates maybe a little more memory than we really finally need */
  char *str = cfg_alloc(len + 1);

  char *dst = str;
  const char *src = start - 1;
  const char *end = start + len;
  while (++src < end)
  {
    if (*src == '\n')
      continue;

    /* Skip doubled whitespaces */
    if (src != start)
    {
      const char *prev = src - 1;
      if ((*src == ' ' || *src == '\t') && (*prev == ' ' || *prev == '\t'))
	continue;
    }

    if (*src == '\t')
      *dst = ' ';
    else
      *dst = *src;

    dst++;
  }
  *dst = '\0';

  return str;
}

/*
 * assert_done - create f_instruction of bt_assert
 * @expr: expression in bt_assert()
 * @start: pointer to first char of test expression
 * @end: pointer to the last char of test expression
 */
static struct f_inst *
assert_done(struct f_inst *expr, const char *start, const char *end)
{
  struct f_inst *i;
  i = f_new_inst(FI_ASSERT);
  i->a1.p = expr;

  if (end >= start)
  {
    i->a2.p = assert_copy_expr(start, end - start + 1);
  }
  else
  {
    /* this is a break of lexer buffer */
    i->a2.p = "???";
  }

  return i;
}

#line 10 "nest/config.Y"
/* Headers from nest/config.Y */

#include "nest/rt-dev.h"
#include "nest/password.h"
#include "nest/cmds.h"
#include "lib/lists.h"
#include "lib/mac.h"

/* Defines from nest/config.Y */

static struct proto_config *this_proto;
static struct channel_config *this_channel;
static struct iface_patt *this_ipatt;
static struct iface_patt_node *this_ipn;
/* static struct roa_table_config *this_roa_table; */
static list *this_p_list;
static struct password_item *this_p_item;
static int password_id;

static void
iface_patt_check(void)
{
  struct iface_patt_node *pn;

  WALK_LIST(pn, this_ipatt->ipn_list)
    if (!pn->pattern || pn->prefix.type)
      cf_error("Interface name/mask expected, not IP prefix");
}


static inline void
reset_passwords(void)
{
  this_p_list = NULL;
}

static inline list *
get_passwords(void)
{
  list *rv = this_p_list;
  this_p_list = NULL;
  return rv;
}

static void
proto_postconfig(void)
{
  CALL(this_proto->protocol->postconfig, this_proto);
  this_channel = NULL;
  this_proto = NULL;
}


#define DIRECT_CFG ((struct rt_dev_config *) this_proto)

#line 8 "proto/bfd/config.Y"
/* Headers from proto/bfd/config.Y */

#include "proto/bfd/bfd.h"

/* Defines from proto/bfd/config.Y */

#define BFD_CFG ((struct bfd_config *) this_proto)
#define BFD_IFACE ((struct bfd_iface_config *) this_ipatt)
#define BFD_NEIGHBOR this_bfd_neighbor

static struct bfd_neighbor *this_bfd_neighbor;

extern struct bfd_config *bfd_cf;

#line 13 "proto/babel/config.Y"
/* Headers from proto/babel/config.Y */

#include "proto/babel/babel.h"
#include "nest/iface.h"

/* Defines from proto/babel/config.Y */

#define BABEL_CFG ((struct babel_config *) this_proto)
#define BABEL_IFACE ((struct babel_iface_config *) this_ipatt)

#line 9 "proto/bgp/config.Y"
/* Headers from proto/bgp/config.Y */

#include "proto/bgp/bgp.h"

/* Defines from proto/bgp/config.Y */

#define BGP_CFG ((struct bgp_config *) this_proto)
#define BGP_CC ((struct bgp_channel_config *) this_channel)

#line 10 "proto/mrt/config.Y"
/* Headers from proto/mrt/config.Y */

#include "proto/mrt/mrt.h"

/* Defines from proto/mrt/config.Y */

#define MRT_CFG ((struct mrt_config *) this_proto)

#line 9 "proto/ospf/config.Y"
/* Headers from proto/ospf/config.Y */

#include "proto/ospf/ospf.h"

/* Defines from proto/ospf/config.Y */

#define OSPF_CFG ((struct ospf_config *) this_proto)
#define OSPF_PATT ((struct ospf_iface_patt *) this_ipatt)

static struct ospf_area_config *this_area;
static struct nbma_node *this_nbma;
static list *this_nets;
static struct area_net_config *this_pref;
static struct ospf_stubnet_config *this_stubnet;

static inline int ospf_cfg_is_v2(void) { return OSPF_CFG->ospf2; }
static inline int ospf_cfg_is_v3(void) { return ! OSPF_CFG->ospf2; }

static void
ospf_iface_finish(void)
{
  struct ospf_iface_patt *ip = OSPF_PATT;

  if (ip->deadint == 0)
    ip->deadint = ip->deadc * ip->helloint;

  if (ip->waitint == 0)
    ip->waitint = ip->deadc * ip->helloint;

  ip->passwords = get_passwords();

  if (ospf_cfg_is_v2() && (ip->autype == OSPF_AUTH_CRYPT) && (ip->helloint < 5))
    log(L_WARN "Hello or poll interval less that 5 makes cryptographic authenication prone to replay attacks");

  if ((ip->autype == OSPF_AUTH_NONE) && (ip->passwords != NULL))
    log(L_WARN "Password option without authentication option does not make sense");

  if (ip->passwords)
  {
    struct password_item *pass;
    WALK_LIST(pass, *ip->passwords)
    {
      if (pass->alg && (ip->autype != OSPF_AUTH_CRYPT))
	cf_error("Password algorithm option requires cryptographic authentication");

      /* Set default OSPF crypto algorithms */
      if (!pass->alg && (ip->autype == OSPF_AUTH_CRYPT))
	pass->alg = ospf_cfg_is_v2() ? ALG_MD5 : ALG_HMAC_SHA256;

      if (ospf_cfg_is_v3() && ip->autype && (pass->alg < ALG_HMAC))
	cf_error("Keyed hash algorithms are not allowed, use HMAC algorithms");
    }
  }
}

static void
ospf_area_finish(void)
{
  if ((this_area->areaid == 0) && (this_area->type != OPT_E))
    cf_error("Backbone area cannot be stub/NSSA");

  if (this_area->summary && (this_area->type == OPT_E))
    cf_error("Only stub/NSSA areas can use summary propagation");

  if (this_area->default_nssa && ((this_area->type != OPT_N) || ! this_area->summary))
    cf_error("Only NSSA areas with summary propagation can use NSSA default route");

  if ((this_area->default_cost & LSA_EXT3_EBIT) && ! this_area->default_nssa)
    cf_error("Only NSSA default route can use type 2 metric");
}

static void
ospf_proto_finish(void)
{
  struct ospf_config *cf = OSPF_CFG;
  struct ospf_area_config *ac;
  struct ospf_iface_patt *ic;

  /* Define default channel */
  if (EMPTY_LIST(this_proto->channels))
  {
    uint net_type = this_proto->net_type = ospf_cfg_is_v2() ? NET_IP4 : NET_IP6;
    channel_config_new(NULL, net_label[net_type], net_type, this_proto);
  }

  /* Propagate global instance ID to interfaces */
  if (cf->instance_id_set)
  {
    WALK_LIST(ac, cf->area_list)
      WALK_LIST(ic, ac->patt_list)
	if (!ic->instance_id_set)
	{ ic->instance_id = cf->instance_id; ic->instance_id_set = 1; }

    WALK_LIST(ic, cf->vlink_list)
      if (!ic->instance_id_set)
      { ic->instance_id = cf->instance_id; ic->instance_id_set = 1; }
  }

  if (ospf_cfg_is_v3())
  {
    uint ipv4 = (this_proto->net_type == NET_IP4);
    uint base = (ipv4 ? 64 : 0) + (cf->af_mc ? 32 : 0);

    /* RFC 5838 - OSPFv3-AF */
    if (cf->af_ext)
    {
      /* RFC 5838 2.1 - instance IDs based on AFs */
      WALK_LIST(ac, cf->area_list)
	WALK_LIST(ic, ac->patt_list)
	{
	  if (!ic->instance_id_set)
	    ic->instance_id = base;
	  else if (ic->instance_id >= 128)
	    log(L_WARN "Instance ID %d from unassigned/private range", ic->instance_id);
	  else if ((ic->instance_id < base) || (ic->instance_id >= (base + 32)))
	    cf_error("Instance ID %d invalid for given channel type", ic->instance_id);
	}

      /* RFC 5838 2.8 - vlinks limited to IPv6 unicast */
      if ((ipv4 || cf->af_mc) && !EMPTY_LIST(cf->vlink_list))
	cf_error("Vlinks not supported in AFs other than IPv6 unicast");
    }
    else
    {
      if (ipv4 || cf->af_mc)
	cf_error("Different channel type");
    }
  }

  if (EMPTY_LIST(cf->area_list))
    cf_error("No configured areas in OSPF");

  int areano = 0;
  int backbone = 0;
  int nssa = 0;
  WALK_LIST(ac, cf->area_list)
  {
    areano++;
    if (ac->areaid == 0)
      backbone = 1;
    if (ac->type == OPT_N)
      nssa = 1;
  }

  cf->abr = areano > 1;

  /* Route export or NSSA translation (RFC 3101 3.1) */
  cf->asbr = (proto_cf_main_channel(this_proto)->out_filter != FILTER_REJECT) || (nssa && cf->abr);

  if (cf->abr && !backbone)
  {
    struct ospf_area_config *ac = cfg_allocz(sizeof(struct ospf_area_config));
    ac->type = OPT_E; /* Backbone is non-stub */
    add_head(&cf->area_list, NODE ac);
    init_list(&ac->patt_list);
    init_list(&ac->net_list);
    init_list(&ac->enet_list);
    init_list(&ac->stubnet_list);
  }

  if (!cf->abr && !EMPTY_LIST(cf->vlink_list))
    cf_error("Vlinks cannot be used on single area router");

  if (cf->asbr && (areano == 1) && (this_area->type == 0))
    cf_error("ASBR must be in non-stub area");
}

static inline void
ospf_check_defcost(int cost)
{
  if ((cost <= 0) || (cost >= LSINFINITY))
   cf_error("Default cost must be in range 1-%u", LSINFINITY-1);
}

static inline void
ospf_check_auth(void)
{
  if (ospf_cfg_is_v3())
    cf_error("Plaintext authentication not supported in OSPFv3");
}


#line 9 "proto/perf/config.Y"
/* Headers from proto/perf/config.Y */

#include "filter/filter.h"
#include "proto/perf/perf.h"

/* Defines from proto/perf/config.Y */

#define PERF_CFG ((struct perf_config *) this_proto)

#line 9 "proto/pipe/config.Y"
/* Headers from proto/pipe/config.Y */

#include "proto/pipe/pipe.h"

/* Defines from proto/pipe/config.Y */

#define PIPE_CFG ((struct pipe_config *) this_proto)

#line 8 "proto/radv/config.Y"
/* Headers from proto/radv/config.Y */

#include "proto/radv/radv.h"

/* Defines from proto/radv/config.Y */

#define RADV_CFG ((struct radv_config *) this_proto)
#define RADV_IFACE ((struct radv_iface_config *) this_ipatt)
#define RADV_PREFIX this_radv_prefix
#define RADV_RDNSS (&this_radv_rdnss)
#define RADV_DNSSL (&this_radv_dnssl)

static struct radv_prefix_config *this_radv_prefix;
static struct radv_rdnss_config this_radv_rdnss;
static struct radv_dnssl_config this_radv_dnssl;
static list radv_dns_list;	/* Used by radv_rdnss and radv_dnssl */
static u8 radv_mult_val;	/* Used by radv_mult for second return value */


#line 12 "proto/rip/config.Y"
/* Headers from proto/rip/config.Y */

#include "proto/rip/rip.h"
#include "nest/iface.h"

/* Defines from proto/rip/config.Y */

#define RIP_CFG ((struct rip_config *) this_proto)
#define RIP_IFACE ((struct rip_iface_config *) this_ipatt)

static inline int rip_cfg_is_v2(void) { return RIP_CFG->rip2; }
static inline int rip_cfg_is_ng(void) { return ! RIP_CFG->rip2; }

static inline void
rip_check_auth(void)
{
  if (rip_cfg_is_ng())
    cf_error("Authentication not supported in RIPng");
}


#line 9 "proto/rpki/config.Y"
/* Headers from proto/rpki/config.Y */

#include "proto/rpki/rpki.h"

/* Defines from proto/rpki/config.Y */

#define RPKI_CFG ((struct rpki_config *) this_proto)
#define RPKI_TR_SSH_CFG ((struct rpki_tr_ssh_config *) RPKI_CFG->tr_config.spec)

static void
rpki_check_unused_hostname(void)
{
  if (RPKI_CFG->hostname != NULL)
    cf_error("Only one cache server per protocol allowed");
}

static void
rpki_check_unused_transport(void)
{
  if (RPKI_CFG->tr_config.spec != NULL)
    cf_error("At the most one transport per protocol allowed");
}

#line 9 "proto/static/config.Y"
/* Headers from proto/static/config.Y */

#include "proto/static/static.h"

/* Defines from proto/static/config.Y */

#define STATIC_CFG ((struct static_config *) this_proto)
static struct static_route *this_srt, *this_snh;
static struct f_inst **this_srt_last_cmd;

static struct static_route *
static_nexthop_new(void)
{
  struct static_route *nh = this_srt;

  if (this_snh)
  {
    /* Additional next hop */
    nh = cfg_allocz(sizeof(struct static_route));
    nh->net = this_srt->net;
    this_snh->mp_next = nh;
  }

  nh->dest = RTD_UNICAST;
  nh->mp_head = this_srt;
  return nh;
};

static void
static_route_finish(void)
{
  if (net_type_match(this_srt->net, NB_DEST) == !this_srt->dest)
    cf_error("Unexpected or missing nexthop/type");
}

#line 9 "sysdep/linux/netlink.Y"
/* Headers from sysdep/linux/netlink.Y */

#line 9 "sysdep/unix/config.Y"
/* Headers from sysdep/unix/config.Y */

#include "sysdep/unix/unix.h"
#include <stdio.h>

/* Defines from sysdep/unix/config.Y */

static struct log_config *this_log;

#line 9 "sysdep/unix/krt.Y"
/* Headers from sysdep/unix/krt.Y */

#include "sysdep/unix/krt.h"

/* Defines from sysdep/unix/krt.Y */

#define THIS_KRT ((struct krt_config *) this_proto)
#define THIS_KIF ((struct kif_config *) this_proto)
#define KIF_IFACE ((struct kif_iface_config *) this_ipatt)

static void
kif_set_preferred(ip_addr ip)
{
  if (ipa_is_ip4(ip))
    KIF_IFACE->pref_v4 = ip;
  else if (!ipa_is_link_local(ip))
    KIF_IFACE->pref_v6 = ip;
  else
    KIF_IFACE->pref_ll = ip;
}

#line 49 "conf/gen_parser.m4"

#line 953 "obj/conf/cf-parse.tab.c" /* yacc.c:339  */

# ifndef YY_NULLPTR
#  if defined __cplusplus && 201103L <= __cplusplus
#   define YY_NULLPTR nullptr
#  else
#   define YY_NULLPTR 0
#  endif
# endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 1
#endif

/* In a future release of Bison, this section will be replaced
   by #include "cf-parse.tab.h".  */
#ifndef YY_CF_OBJ_CONF_CF_PARSE_TAB_H_INCLUDED
# define YY_CF_OBJ_CONF_CF_PARSE_TAB_H_INCLUDED
/* Debug traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif
#if YYDEBUG
extern int cf_debug;
#endif

/* Token type.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
  enum yytokentype
  {
    END = 258,
    CLI_MARKER = 259,
    INVALID_TOKEN = 260,
    ELSECOL = 261,
    DDOT = 262,
    GEQ = 263,
    LEQ = 264,
    NEQ = 265,
    AND = 266,
    OR = 267,
    PO = 268,
    PC = 269,
    NUM = 270,
    ENUM = 271,
    IP4 = 272,
    IP6 = 273,
    VPN_RD = 274,
    SYM = 275,
    TEXT = 276,
    PREFIX_DUMMY = 277,
    NMA = 278,
    DEFINE = 279,
    ON = 280,
    OFF = 281,
    YES = 282,
    NO = 283,
    S = 284,
    MS = 285,
    US = 286,
    PORT = 287,
    VPN = 288,
    MPLS = 289,
    FROM = 290,
    FLOW4 = 291,
    FLOW6 = 292,
    DST = 293,
    SRC = 294,
    PROTO = 295,
    NEXT = 296,
    HEADER = 297,
    DPORT = 298,
    SPORT = 299,
    ICMP = 300,
    TYPE = 301,
    CODE = 302,
    TCP = 303,
    FLAGS = 304,
    LENGTH = 305,
    DSCP = 306,
    DONT_FRAGMENT = 307,
    IS_FRAGMENT = 308,
    FIRST_FRAGMENT = 309,
    LAST_FRAGMENT = 310,
    FRAGMENT = 311,
    LABEL = 312,
    OFFSET = 313,
    FUNCTION = 314,
    PRINT = 315,
    PRINTN = 316,
    UNSET = 317,
    RETURN = 318,
    ACCEPT = 319,
    REJECT = 320,
    ERROR = 321,
    QUITBIRD = 322,
    INT = 323,
    BOOL = 324,
    IP = 325,
    PREFIX = 326,
    RD = 327,
    PAIR = 328,
    QUAD = 329,
    EC = 330,
    LC = 331,
    SET = 332,
    STRING = 333,
    BGPMASK = 334,
    BGPPATH = 335,
    CLIST = 336,
    ECLIST = 337,
    LCLIST = 338,
    IF = 339,
    THEN = 340,
    ELSE = 341,
    CASE = 342,
    TRUE = 343,
    FALSE = 344,
    RT = 345,
    RO = 346,
    UNKNOWN = 347,
    GENERIC = 348,
    GW = 349,
    NET = 350,
    MASK = 351,
    SOURCE = 352,
    SCOPE = 353,
    DEST = 354,
    IFNAME = 355,
    IFINDEX = 356,
    PREFERENCE = 357,
    ROA_CHECK = 358,
    ASN = 359,
    IS_V4 = 360,
    IS_V6 = 361,
    LEN = 362,
    MAXLEN = 363,
    DEFINED = 364,
    ADD = 365,
    DELETE = 366,
    CONTAINS = 367,
    RESET = 368,
    PREPEND = 369,
    FIRST = 370,
    LAST = 371,
    LAST_NONAGGREGATED = 372,
    MATCH = 373,
    EMPTY = 374,
    FILTER = 375,
    WHERE = 376,
    EVAL = 377,
    ATTRIBUTE = 378,
    BT_ASSERT = 379,
    BT_TEST_SUITE = 380,
    FORMAT = 381,
    ROUTER = 382,
    ID = 383,
    PROTOCOL = 384,
    TEMPLATE = 385,
    DISABLED = 386,
    DEBUG = 387,
    ALL = 388,
    DIRECT = 389,
    INTERFACE = 390,
    IMPORT = 391,
    EXPORT = 392,
    NONE = 393,
    VRF = 394,
    TABLE = 395,
    STATES = 396,
    ROUTES = 397,
    FILTERS = 398,
    IPV4 = 399,
    IPV6 = 400,
    VPN4 = 401,
    VPN6 = 402,
    ROA4 = 403,
    ROA6 = 404,
    SADR = 405,
    RECEIVE = 406,
    LIMIT = 407,
    ACTION = 408,
    WARN = 409,
    BLOCK = 410,
    RESTART = 411,
    DISABLE = 412,
    KEEP = 413,
    FILTERED = 414,
    PASSWORD = 415,
    PASSIVE = 416,
    TO = 417,
    EVENTS = 418,
    PACKETS = 419,
    PROTOCOLS = 420,
    INTERFACES = 421,
    ALGORITHM = 422,
    KEYED = 423,
    HMAC = 424,
    MD5 = 425,
    SHA1 = 426,
    SHA256 = 427,
    SHA384 = 428,
    SHA512 = 429,
    PRIMARY = 430,
    STATS = 431,
    COUNT = 432,
    BY = 433,
    FOR = 434,
    COMMANDS = 435,
    PREEXPORT = 436,
    NOEXPORT = 437,
    GENERATE = 438,
    BGP = 439,
    PASSWORDS = 440,
    DESCRIPTION = 441,
    SORTED = 442,
    RELOAD = 443,
    IN = 444,
    OUT = 445,
    MRTDUMP = 446,
    MESSAGES = 447,
    RESTRICT = 448,
    MEMORY = 449,
    IGP_METRIC = 450,
    CLASS = 451,
    TIMEFORMAT = 452,
    ISO = 453,
    SHORT = 454,
    LONG = 455,
    ROUTE = 456,
    BASE = 457,
    LOG = 458,
    GRACEFUL = 459,
    WAIT = 460,
    MAX = 461,
    FLUSH = 462,
    AS = 463,
    IPV4_MC = 464,
    IPV4_MPLS = 465,
    IPV6_MC = 466,
    IPV6_MPLS = 467,
    IPV6_SADR = 468,
    VPN4_MC = 469,
    VPN4_MPLS = 470,
    VPN6_MC = 471,
    VPN6_MPLS = 472,
    PRI = 473,
    SEC = 474,
    SHOW = 475,
    STATUS = 476,
    SUMMARY = 477,
    SYMBOLS = 478,
    DUMP = 479,
    RESOURCES = 480,
    SOCKETS = 481,
    NEIGHBORS = 482,
    ATTRIBUTES = 483,
    ECHO = 484,
    ENABLE = 485,
    BFD = 486,
    MIN = 487,
    IDLE = 488,
    RX = 489,
    TX = 490,
    INTERVAL = 491,
    MULTIPLIER = 492,
    MULTIHOP = 493,
    NEIGHBOR = 494,
    DEV = 495,
    LOCAL = 496,
    AUTHENTICATION = 497,
    SIMPLE = 498,
    METICULOUS = 499,
    SESSIONS = 500,
    BABEL = 501,
    METRIC = 502,
    RXCOST = 503,
    HELLO = 504,
    UPDATE = 505,
    WIRED = 506,
    WIRELESS = 507,
    BUFFER = 508,
    PRIORITY = 509,
    CHECK = 510,
    LINK = 511,
    HOP = 512,
    BABEL_METRIC = 513,
    ENTRIES = 514,
    RANDOMIZE = 515,
    HOLD = 516,
    TIME = 517,
    CONNECT = 518,
    RETRY = 519,
    KEEPALIVE = 520,
    STARTUP = 521,
    VIA = 522,
    SELF = 523,
    DEFAULT = 524,
    PATH = 525,
    START = 526,
    DELAY = 527,
    FORGET = 528,
    AFTER = 529,
    BGP_PATH = 530,
    BGP_LOCAL_PREF = 531,
    BGP_MED = 532,
    BGP_ORIGIN = 533,
    BGP_NEXT_HOP = 534,
    BGP_ATOMIC_AGGR = 535,
    BGP_AGGREGATOR = 536,
    BGP_COMMUNITY = 537,
    BGP_EXT_COMMUNITY = 538,
    BGP_LARGE_COMMUNITY = 539,
    ADDRESS = 540,
    RR = 541,
    RS = 542,
    CLIENT = 543,
    CLUSTER = 544,
    AS4 = 545,
    ADVERTISE = 546,
    CAPABILITIES = 547,
    PREFER = 548,
    OLDER = 549,
    MISSING = 550,
    LLADDR = 551,
    DROP = 552,
    IGNORE = 553,
    REFRESH = 554,
    INTERPRET = 555,
    COMMUNITIES = 556,
    BGP_ORIGINATOR_ID = 557,
    BGP_CLUSTER_LIST = 558,
    IGP = 559,
    GATEWAY = 560,
    RECURSIVE = 561,
    MED = 562,
    TTL = 563,
    SECURITY = 564,
    DETERMINISTIC = 565,
    SECONDARY = 566,
    ALLOW = 567,
    PATHS = 568,
    AWARE = 569,
    EXTENDED = 570,
    SETKEY = 571,
    STRICT = 572,
    BIND = 573,
    CONFEDERATION = 574,
    MEMBER = 575,
    MULTICAST = 576,
    LIVED = 577,
    STALE = 578,
    IBGP = 579,
    EBGP = 580,
    CEASE = 581,
    HIT = 582,
    ADMINISTRATIVE = 583,
    SHUTDOWN = 584,
    PEER = 585,
    CONFIGURATION = 586,
    CHANGE = 587,
    DECONFIGURED = 588,
    CONNECTION = 589,
    REJECTED = 590,
    COLLISION = 591,
    OF = 592,
    MRT = 593,
    FILENAME = 594,
    PERIOD = 595,
    ALWAYS = 596,
    OSPF = 597,
    V2 = 598,
    V3 = 599,
    OSPF_METRIC1 = 600,
    OSPF_METRIC2 = 601,
    OSPF_TAG = 602,
    OSPF_ROUTER_ID = 603,
    AREA = 604,
    RFC1583COMPAT = 605,
    STUB = 606,
    TICK = 607,
    COST = 608,
    COST2 = 609,
    RETRANSMIT = 610,
    TRANSMIT = 611,
    DEAD = 612,
    BROADCAST = 613,
    BCAST = 614,
    NONBROADCAST = 615,
    NBMA = 616,
    POINTOPOINT = 617,
    PTP = 618,
    POINTOMULTIPOINT = 619,
    PTMP = 620,
    CRYPTOGRAPHIC = 621,
    ELIGIBLE = 622,
    POLL = 623,
    NETWORKS = 624,
    HIDDEN = 625,
    VIRTUAL = 626,
    ONLY = 627,
    LARGE = 628,
    NORMAL = 629,
    STUBNET = 630,
    TAG = 631,
    EXTERNAL = 632,
    LSADB = 633,
    ECMP = 634,
    WEIGHT = 635,
    NSSA = 636,
    TRANSLATOR = 637,
    STABILITY = 638,
    GLOBAL = 639,
    LSID = 640,
    INSTANCE = 641,
    REAL = 642,
    NETMASK = 643,
    MERGE = 644,
    LSA = 645,
    SUPPRESSION = 646,
    RFC5838 = 647,
    PE = 648,
    TOPOLOGY = 649,
    STATE = 650,
    PERF = 651,
    EXP = 652,
    REPEAT = 653,
    THRESHOLD = 654,
    MODE = 655,
    PIPE = 656,
    RADV = 657,
    RA = 658,
    MANAGED = 659,
    OTHER = 660,
    CONFIG = 661,
    LINGER = 662,
    MTU = 663,
    REACHABLE = 664,
    RETRANS = 665,
    TIMER = 666,
    CURRENT = 667,
    VALID = 668,
    PREFERRED = 669,
    MULT = 670,
    LIFETIME = 671,
    SKIP = 672,
    ONLINK = 673,
    AUTONOMOUS = 674,
    RDNSS = 675,
    DNSSL = 676,
    NS = 677,
    DOMAIN = 678,
    TRIGGER = 679,
    SENSITIVE = 680,
    LOW = 681,
    MEDIUM = 682,
    HIGH = 683,
    PROPAGATE = 684,
    RA_PREFERENCE = 685,
    RA_LIFETIME = 686,
    RIP = 687,
    NG = 688,
    INFINITY = 689,
    TIMEOUT = 690,
    GARBAGE = 691,
    VERSION = 692,
    SPLIT = 693,
    HORIZON = 694,
    POISON = 695,
    REVERSE = 696,
    ZERO = 697,
    PLAINTEXT = 698,
    RIP_METRIC = 699,
    RIP_TAG = 700,
    RPKI = 701,
    REMOTE = 702,
    BIRD = 703,
    PRIVATE = 704,
    PUBLIC = 705,
    KEY = 706,
    SSH = 707,
    TRANSPORT = 708,
    USER = 709,
    EXPIRE = 710,
    STATIC = 711,
    PROHIBIT = 712,
    BLACKHOLE = 713,
    UNREACHABLE = 714,
    KERNEL = 715,
    KRT_PREFSRC = 716,
    KRT_REALM = 717,
    KRT_SCOPE = 718,
    KRT_MTU = 719,
    KRT_WINDOW = 720,
    KRT_RTT = 721,
    KRT_RTTVAR = 722,
    KRT_SSTRESH = 723,
    KRT_CWND = 724,
    KRT_ADVMSS = 725,
    KRT_REORDERING = 726,
    KRT_HOPLIMIT = 727,
    KRT_INITCWND = 728,
    KRT_RTO_MIN = 729,
    KRT_INITRWND = 730,
    KRT_QUICKACK = 731,
    KRT_LOCK_MTU = 732,
    KRT_LOCK_WINDOW = 733,
    KRT_LOCK_RTT = 734,
    KRT_LOCK_RTTVAR = 735,
    KRT_LOCK_SSTRESH = 736,
    KRT_LOCK_CWND = 737,
    KRT_LOCK_ADVMSS = 738,
    KRT_LOCK_REORDERING = 739,
    KRT_LOCK_HOPLIMIT = 740,
    KRT_LOCK_RTO_MIN = 741,
    KRT_FEATURE_ECN = 742,
    KRT_FEATURE_ALLFRAG = 743,
    SYSLOG = 744,
    TRACE = 745,
    INFO = 746,
    WARNING = 747,
    AUTH = 748,
    FATAL = 749,
    BUG = 750,
    STDERR = 751,
    SOFT = 752,
    NAME = 753,
    CONFIRM = 754,
    UNDO = 755,
    LATENCY = 756,
    WATCHDOG = 757,
    CONFIGURE = 758,
    DOWN = 759,
    PERSIST = 760,
    SCAN = 761,
    LEARN = 762,
    DEVICE = 763,
    KRT_SOURCE = 764,
    KRT_METRIC = 765
  };
#endif

/* Value type.  */
#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED

union YYSTYPE
{
#line 38 "conf/confbase.Y" /* yacc.c:355  */

  uint i;
  u32 i32;
  u64 i64;
  ip_addr a;
  ip4_addr ip4;
  ip6_addr ip6;
  net_addr net;
  net_addr *net_ptr;
  struct symbol *s;
  char *t;
  struct rtable_config *r;
  struct channel_config *cc;
  struct f_inst *x;
  struct f_dynamic_attr fda;
  struct f_static_attr fsa;
  struct filter *f;
  struct f_tree *e;
  struct f_trie *trie;
  struct f_val v;
  struct f_path_mask *h;
  struct password_item *p;
  struct rt_show_data *ra;
  struct sym_show_data *sd;
  struct lsadb_show_data *ld;
  struct mrt_dump_data *md;
  struct iface *iface;
  void *g;
  btime time;
  struct f_prefix px;
  struct proto_spec ps;
  struct channel_limit cl;
  struct timeformat *tf;
  mpls_label_stack *mls;

#line 1540 "obj/conf/cf-parse.tab.c" /* yacc.c:355  */
};

typedef union YYSTYPE YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define YYSTYPE_IS_DECLARED 1
#endif


extern YYSTYPE cf_lval;

int cf_parse (void);

#endif /* !YY_CF_OBJ_CONF_CF_PARSE_TAB_H_INCLUDED  */

/* Copy the second part of user declarations.  */

#line 1557 "obj/conf/cf-parse.tab.c" /* yacc.c:358  */

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif

#ifndef YY_ATTRIBUTE
# if (defined __GNUC__                                               \
      && (2 < __GNUC__ || (__GNUC__ == 2 && 96 <= __GNUC_MINOR__)))  \
     || defined __SUNPRO_C && 0x5110 <= __SUNPRO_C
#  define YY_ATTRIBUTE(Spec) __attribute__(Spec)
# else
#  define YY_ATTRIBUTE(Spec) /* empty */
# endif
#endif

#ifndef YY_ATTRIBUTE_PURE
# define YY_ATTRIBUTE_PURE   YY_ATTRIBUTE ((__pure__))
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# define YY_ATTRIBUTE_UNUSED YY_ATTRIBUTE ((__unused__))
#endif

#if !defined _Noreturn \
     && (!defined __STDC_VERSION__ || __STDC_VERSION__ < 201112)
# if defined _MSC_VER && 1200 <= _MSC_VER
#  define _Noreturn __declspec (noreturn)
# else
#  define _Noreturn YY_ATTRIBUTE ((__noreturn__))
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(E) ((void) (E))
#else
# define YYUSE(E) /* empty */
#endif

#if defined __GNUC__ && 407 <= __GNUC__ * 100 + __GNUC_MINOR__
/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN \
    _Pragma ("GCC diagnostic push") \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")\
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# define YY_IGNORE_MAYBE_UNINITIALIZED_END \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif


#if 1

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
# define YYCOPY_NEEDED 1
#endif


#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE)) \
      + YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYSIZE_T yynewbytes;                                            \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / sizeof (*yyptr);                          \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, (Count) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYSIZE_T yyi;                         \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  69
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   4279

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  532
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  403
/* YYNRULES -- Number of rules.  */
#define YYNRULES  1344
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  2453

/* YYTRANSLATE[YYX] -- Symbol number corresponding to YYX as returned
   by yylex, with out-of-bounds checking.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   765

#define YYTRANSLATE(YYX)                                                \
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, without out-of-bounds checking.  */
static const yytype_uint16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,    33,     2,     2,     2,    32,     2,     2,
     523,   524,    30,    28,   525,    29,    34,    31,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   528,   522,
      24,    23,    25,   529,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   530,     2,   531,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,   526,     2,   527,    26,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    27,    35,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    72,    73,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,   519,   520,   521
};

#if YYDEBUG
  /* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,   108,   108,   109,   112,   114,   117,   122,   125,   134,
     135,   136,   143,   144,   145,   151,   152,   153,   154,   155,
     156,   163,   164,   165,   172,   173,   180,   186,   196,   209,
     228,   234,   240,   248,   256,   262,   262,   263,   263,   264,
     264,   267,   268,   269,   270,   271,   272,   279,   280,   288,
     289,   297,   298,   306,   307,   308,   309,   310,   320,   328,
     329,   338,   346,   347,   354,   355,    37,    38,    39,    40,
      41,    42,    43,    44,    48,    49,    53,    54,    55,    56,
      57,    58,    59,    60,    61,    64,    65,    66,    67,    70,
      71,    75,    79,    83,    84,    88,    92,   101,   102,   106,
     110,   114,   121,   122,   126,   127,   128,   129,   133,   136,
     139,   145,   149,   150,   151,   155,   159,   165,   166,   167,
     168,   171,   173,   176,   178,   182,   189,   190,   192,   198,
     204,   204,   442,   444,   444,   453,   455,   458,   459,   463,
     465,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   517,   528,   529,
     536,   537,   544,   553,   557,   561,   582,   583,   587,   598,
     600,   600,   616,   617,   620,   621,   625,   628,   637,   638,
     651,   652,   653,   654,   655,   659,   667,   668,   669,   670,
     674,   677,   678,   679,   680,   681,   682,   683,   684,   685,
     686,   691,   692,   693,   694,   698,   699,   700,   704,   705,
     706,   707,   708,   709,   710,   711,   716,   717,   718,   719,
     720,   724,   725,   726,   727,   728,   732,   733,   737,   738,
     742,   743,   744,   745,   753,   754,   757,   758,   765,   777,
     778,   782,   786,   787,   788,   789,   790,   791,   795,   796,
     797,   798,   799,   800,   801,   802,   803,   804,   808,   809,
     810,   811,   815,   819,   841,   861,   862,   863,   864,   865,
     866,   867,   868,   869,   873,   874,   875,   876,   877,   878,
     879,   880,   881,   882,   883,   884,   885,   886,   887,   888,
     889,   891,   892,   893,   895,   897,   899,   901,   902,   903,
     904,   905,   906,   907,   908,   909,   910,   911,   912,   922,
     923,   924,   925,   926,   927,   928,   929,   931,   932,   934,
     939,   961,   962,   963,   964,   965,   966,   970,   973,   974,
     975,   983,   989,   997,   998,  1002,  1007,  1015,  1027,  1032,
    1036,  1042,  1046,  1051,  1052,  1053,  1059,  1060,  1061,  1062,
    1063,  1064,  1068,   106,   109,   110,   114,   115,   116,   117,
     127,   129,   135,   136,   137,   138,   139,   140,   141,   142,
     143,   144,   152,   155,   156,   159,   169,   172,   173,   177,
     183,   187,   196,   205,   207,   208,   209,   210,   211,   212,
     216,   222,   227,   228,   229,   230,   231,   232,   233,   236,
     238,   241,   243,   247,   254,   258,   265,   266,   267,   268,
     272,   273,   274,   275,   276,   280,   281,   285,   288,   289,
     294,   297,   298,   299,   300,   304,   305,   306,   307,   308,
     309,   310,   311,   315,   322,   330,   331,   335,   336,   340,
     345,   346,   350,   352,   360,   364,   365,   370,   372,   379,
     380,   381,   382,   383,   387,   395,   401,   402,   403,   407,
     408,   412,   413,   414,   415,   416,   417,   423,   424,   425,
     429,   430,   434,   435,   441,   442,   445,   447,   451,   452,
     456,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     503,   503,   506,   506,   509,   509,   512,   512,   516,   517,
     520,   520,   523,   523,   527,   527,   531,   537,   542,   548,
     554,   561,   571,   576,   581,   585,   589,   593,   602,   612,
     620,   624,   631,   635,   636,   637,   638,   642,   646,   650,
     664,   665,   666,   667,   670,   671,   672,   677,   678,   679,
     680,   681,   682,   683,   684,   685,   686,   687,   688,   689,
     690,   691,   692,   693,   694,   695,   696,   700,   700,   704,
     707,   708,   709,   710,   711,   712,   717,   717,   719,   719,
     721,   721,   723,   723,   725,   725,   727,   727,   729,   729,
     731,   731,   734,   734,   738,   738,   744,   745,   746,   750,
     751,   757,   757,   759,   759,   761,   761,   763,   763,   765,
     765,   767,   767,   771,   771,   775,   775,   778,   778,   782,
     783,   784,   788,   789,   790,   793,    34,    36,    48,    49,
      50,    51,    54,    56,    60,    64,    78,    98,    99,   100,
     101,   102,   103,   104,   105,   109,   110,   111,   112,   113,
     114,   117,   119,   122,   124,   128,   131,   136,   137,   138,
     142,   143,   147,   148,   151,   170,   170,    32,    34,    42,
      43,    44,    45,    48,    50,    54,    58,    72,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   114,   116,   119,   121,   126,   128,   132,
     132,   135,   135,   138,   138,   141,   141,    45,    47,    75,
      77,    78,    81,    83,    84,    89,    90,    94,    95,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   111,   112,
     113,   114,   115,   119,   120,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,   142,   143,   144,   145,   146,   147,   148,   149,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,   163,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   178,   179,   180,   181,   182,   183,
     184,   185,   186,   187,   188,   189,   192,   217,   218,   219,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   253,
     255,   258,   260,   264,   271,   274,   276,   278,   280,   282,
     284,   286,   288,   290,   292,   294,   296,    26,    28,    34,
      35,    36,    37,    38,    39,    40,    41,    44,    46,    50,
      53,    53,    57,    58,    59,    60,    61,    62,   210,   213,
     214,   215,   218,   232,   233,   237,   238,   242,   252,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   269,   284,   287,   289,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   302,   303,   303,   304,   305,
     306,   310,   311,   315,   323,   325,   329,   330,   331,   335,
     336,   339,   341,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   357,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   416,   418,   421,   423,   431,   433,   434,
     437,   439,   443,   444,   447,   457,   478,   480,   484,   484,
     487,   489,   492,   494,   498,   501,   502,   503,   504,   507,
     507,   510,   510,   513,   513,   518,   518,   521,   521,   526,
     526,   529,   529,   533,   533,   537,   540,   541,   542,   543,
     544,   545,   546,   547,    24,    26,    39,    40,    41,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    23,    26,
      25,    40,    41,    42,    43,    42,    44,    55,    56,    57,
      58,    59,    59,    60,    60,    61,    62,    65,    67,    71,
      75,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   112,   116,   117,   118,   119,   120,   121,   121,   122,
     122,   123,   124,   128,   129,   130,   133,   171,   173,   176,
     178,   182,   185,   197,   198,   199,   200,   204,   211,   219,
     221,   224,   226,   230,   234,   244,   249,   250,   251,   255,
     267,   269,   273,   274,   278,   291,   296,   297,   298,   302,
     314,   316,   320,   321,   326,   327,   331,   332,   335,   336,
      45,    48,    49,    52,    66,    67,    68,    69,    70,    71,
      74,    76,    80,    84,   108,   138,   139,   140,   141,   142,
     143,   144,   148,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,   165,
     169,   170,   171,   172,   175,   177,   180,   182,   186,   189,
     190,   194,   194,   197,   197,    41,    43,    50,    52,    54,
      58,    59,    60,    61,    62,    63,    64,    70,    76,    85,
      86,    89,    92,    96,   107,   108,   112,   119,   125,   127,
     131,   132,   133,   137,    52,    54,    61,    62,    63,    64,
      65,    73,    77,    82,    87,    90,    93,    97,   103,   104,
     107,   118,   119,   123,   128,   129,   130,   131,   132,   133,
     137,   140,   142,   145,   147,   151,   151,    22,    25,    26,
      29,    30,    31,    33,    34,    35,    36,    37,    38,    39,
      40,    41,    42,    43,    44,    45,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    58,    59,    30,    32,
      34,    41,    42,    45,    47,    51,    58,    59,    63,    64,
      68,    69,    73,    74,    75,    76,    77,    78,    79,    80,
      81,    85,    88,    89,    97,   100,   101,   102,   103,   111,
     111,   114,   114,   121,   121,   124,   124,   127,   127,   130,
     130,   134,   135,   139,   140,   141,    41,    43,    48,    49,
      52,    53,    57,    58,    59,    60,    64,    71,    72,    83,
      85,    88,    89,    92,    93,    94,   101,   108,   111,   113,
     116,   118,   122,   125,   126
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || 1
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "END", "CLI_MARKER", "INVALID_TOKEN",
  "ELSECOL", "DDOT", "GEQ", "LEQ", "NEQ", "AND", "OR", "PO", "PC", "NUM",
  "ENUM", "IP4", "IP6", "VPN_RD", "SYM", "TEXT", "PREFIX_DUMMY", "'='",
  "'<'", "'>'", "'~'", "NMA", "'+'", "'-'", "'*'", "'/'", "'%'", "'!'",
  "'.'", "DEFINE", "ON", "OFF", "YES", "NO", "S", "MS", "US", "PORT",
  "VPN", "MPLS", "FROM", "FLOW4", "FLOW6", "DST", "SRC", "PROTO", "NEXT",
  "HEADER", "DPORT", "SPORT", "ICMP", "TYPE", "CODE", "TCP", "FLAGS",
  "LENGTH", "DSCP", "DONT_FRAGMENT", "IS_FRAGMENT", "FIRST_FRAGMENT",
  "LAST_FRAGMENT", "FRAGMENT", "LABEL", "OFFSET", "FUNCTION", "PRINT",
  "PRINTN", "UNSET", "RETURN", "ACCEPT", "REJECT", "ERROR", "QUITBIRD",
  "INT", "BOOL", "IP", "PREFIX", "RD", "PAIR", "QUAD", "EC", "LC", "SET",
  "STRING", "BGPMASK", "BGPPATH", "CLIST", "ECLIST", "LCLIST", "IF",
  "THEN", "ELSE", "CASE", "TRUE", "FALSE", "RT", "RO", "UNKNOWN",
  "GENERIC", "GW", "NET", "MASK", "SOURCE", "SCOPE", "DEST", "IFNAME",
  "IFINDEX", "PREFERENCE", "ROA_CHECK", "ASN", "IS_V4", "IS_V6", "LEN",
  "MAXLEN", "DEFINED", "ADD", "DELETE", "CONTAINS", "RESET", "PREPEND",
  "FIRST", "LAST", "LAST_NONAGGREGATED", "MATCH", "EMPTY", "FILTER",
  "WHERE", "EVAL", "ATTRIBUTE", "BT_ASSERT", "BT_TEST_SUITE", "FORMAT",
  "ROUTER", "ID", "PROTOCOL", "TEMPLATE", "DISABLED", "DEBUG", "ALL",
  "DIRECT", "INTERFACE", "IMPORT", "EXPORT", "NONE", "VRF", "TABLE",
  "STATES", "ROUTES", "FILTERS", "IPV4", "IPV6", "VPN4", "VPN6", "ROA4",
  "ROA6", "SADR", "RECEIVE", "LIMIT", "ACTION", "WARN", "BLOCK", "RESTART",
  "DISABLE", "KEEP", "FILTERED", "PASSWORD", "PASSIVE", "TO", "EVENTS",
  "PACKETS", "PROTOCOLS", "INTERFACES", "ALGORITHM", "KEYED", "HMAC",
  "MD5", "SHA1", "SHA256", "SHA384", "SHA512", "PRIMARY", "STATS", "COUNT",
  "BY", "FOR", "COMMANDS", "PREEXPORT", "NOEXPORT", "GENERATE", "BGP",
  "PASSWORDS", "DESCRIPTION", "SORTED", "RELOAD", "IN", "OUT", "MRTDUMP",
  "MESSAGES", "RESTRICT", "MEMORY", "IGP_METRIC", "CLASS", "TIMEFORMAT",
  "ISO", "SHORT", "LONG", "ROUTE", "BASE", "LOG", "GRACEFUL", "WAIT",
  "MAX", "FLUSH", "AS", "IPV4_MC", "IPV4_MPLS", "IPV6_MC", "IPV6_MPLS",
  "IPV6_SADR", "VPN4_MC", "VPN4_MPLS", "VPN6_MC", "VPN6_MPLS", "PRI",
  "SEC", "SHOW", "STATUS", "SUMMARY", "SYMBOLS", "DUMP", "RESOURCES",
  "SOCKETS", "NEIGHBORS", "ATTRIBUTES", "ECHO", "ENABLE", "BFD", "MIN",
  "IDLE", "RX", "TX", "INTERVAL", "MULTIPLIER", "MULTIHOP", "NEIGHBOR",
  "DEV", "LOCAL", "AUTHENTICATION", "SIMPLE", "METICULOUS", "SESSIONS",
  "BABEL", "METRIC", "RXCOST", "HELLO", "UPDATE", "WIRED", "WIRELESS",
  "BUFFER", "PRIORITY", "CHECK", "LINK", "HOP", "BABEL_METRIC", "ENTRIES",
  "RANDOMIZE", "HOLD", "TIME", "CONNECT", "RETRY", "KEEPALIVE", "STARTUP",
  "VIA", "SELF", "DEFAULT", "PATH", "START", "DELAY", "FORGET", "AFTER",
  "BGP_PATH", "BGP_LOCAL_PREF", "BGP_MED", "BGP_ORIGIN", "BGP_NEXT_HOP",
  "BGP_ATOMIC_AGGR", "BGP_AGGREGATOR", "BGP_COMMUNITY",
  "BGP_EXT_COMMUNITY", "BGP_LARGE_COMMUNITY", "ADDRESS", "RR", "RS",
  "CLIENT", "CLUSTER", "AS4", "ADVERTISE", "CAPABILITIES", "PREFER",
  "OLDER", "MISSING", "LLADDR", "DROP", "IGNORE", "REFRESH", "INTERPRET",
  "COMMUNITIES", "BGP_ORIGINATOR_ID", "BGP_CLUSTER_LIST", "IGP", "GATEWAY",
  "RECURSIVE", "MED", "TTL", "SECURITY", "DETERMINISTIC", "SECONDARY",
  "ALLOW", "PATHS", "AWARE", "EXTENDED", "SETKEY", "STRICT", "BIND",
  "CONFEDERATION", "MEMBER", "MULTICAST", "LIVED", "STALE", "IBGP", "EBGP",
  "CEASE", "HIT", "ADMINISTRATIVE", "SHUTDOWN", "PEER", "CONFIGURATION",
  "CHANGE", "DECONFIGURED", "CONNECTION", "REJECTED", "COLLISION", "OF",
  "MRT", "FILENAME", "PERIOD", "ALWAYS", "OSPF", "V2", "V3",
  "OSPF_METRIC1", "OSPF_METRIC2", "OSPF_TAG", "OSPF_ROUTER_ID", "AREA",
  "RFC1583COMPAT", "STUB", "TICK", "COST", "COST2", "RETRANSMIT",
  "TRANSMIT", "DEAD", "BROADCAST", "BCAST", "NONBROADCAST", "NBMA",
  "POINTOPOINT", "PTP", "POINTOMULTIPOINT", "PTMP", "CRYPTOGRAPHIC",
  "ELIGIBLE", "POLL", "NETWORKS", "HIDDEN", "VIRTUAL", "ONLY", "LARGE",
  "NORMAL", "STUBNET", "TAG", "EXTERNAL", "LSADB", "ECMP", "WEIGHT",
  "NSSA", "TRANSLATOR", "STABILITY", "GLOBAL", "LSID", "INSTANCE", "REAL",
  "NETMASK", "MERGE", "LSA", "SUPPRESSION", "RFC5838", "PE", "TOPOLOGY",
  "STATE", "PERF", "EXP", "REPEAT", "THRESHOLD", "MODE", "PIPE", "RADV",
  "RA", "MANAGED", "OTHER", "CONFIG", "LINGER", "MTU", "REACHABLE",
  "RETRANS", "TIMER", "CURRENT", "VALID", "PREFERRED", "MULT", "LIFETIME",
  "SKIP", "ONLINK", "AUTONOMOUS", "RDNSS", "DNSSL", "NS", "DOMAIN",
  "TRIGGER", "SENSITIVE", "LOW", "MEDIUM", "HIGH", "PROPAGATE",
  "RA_PREFERENCE", "RA_LIFETIME", "RIP", "NG", "INFINITY", "TIMEOUT",
  "GARBAGE", "VERSION", "SPLIT", "HORIZON", "POISON", "REVERSE", "ZERO",
  "PLAINTEXT", "RIP_METRIC", "RIP_TAG", "RPKI", "REMOTE", "BIRD",
  "PRIVATE", "PUBLIC", "KEY", "SSH", "TRANSPORT", "USER", "EXPIRE",
  "STATIC", "PROHIBIT", "BLACKHOLE", "UNREACHABLE", "KERNEL",
  "KRT_PREFSRC", "KRT_REALM", "KRT_SCOPE", "KRT_MTU", "KRT_WINDOW",
  "KRT_RTT", "KRT_RTTVAR", "KRT_SSTRESH", "KRT_CWND", "KRT_ADVMSS",
  "KRT_REORDERING", "KRT_HOPLIMIT", "KRT_INITCWND", "KRT_RTO_MIN",
  "KRT_INITRWND", "KRT_QUICKACK", "KRT_LOCK_MTU", "KRT_LOCK_WINDOW",
  "KRT_LOCK_RTT", "KRT_LOCK_RTTVAR", "KRT_LOCK_SSTRESH", "KRT_LOCK_CWND",
  "KRT_LOCK_ADVMSS", "KRT_LOCK_REORDERING", "KRT_LOCK_HOPLIMIT",
  "KRT_LOCK_RTO_MIN", "KRT_FEATURE_ECN", "KRT_FEATURE_ALLFRAG", "SYSLOG",
  "TRACE", "INFO", "WARNING", "AUTH", "FATAL", "BUG", "STDERR", "SOFT",
  "NAME", "CONFIRM", "UNDO", "LATENCY", "WATCHDOG", "CONFIGURE", "DOWN",
  "PERSIST", "SCAN", "LEARN", "DEVICE", "KRT_SOURCE", "KRT_METRIC", "';'",
  "'('", "')'", "','", "'{'", "'}'", "':'", "'?'", "'['", "']'", "$accept",
  "config", "conf_entries", "conf", "definition", "expr", "expr_us",
  "bool", "ipa", "ipa_scope", "pxlen4", "net_ip4_", "net_ip6_",
  "net_ip6_sadr_", "net_vpn4_", "net_vpn6_", "net_roa4_", "net_roa6_",
  "net_mpls_", "net_ip_", "net_vpn_", "net_roa_", "net_", "net_ip6",
  "net_ip", "net_any", "net_or_ipa", "label_stack_start", "label_stack",
  "time", "text", "opttext", "flow_num_op", "flow_logic_op",
  "flow_num_type_", "flow_num_type", "flow_flag_type", "flow_frag_type",
  "flow_label_type", "flow_srcdst", "flow_num_opts",
  "flow_num_opt_ext_expr", "flow_num_opt_ext", "flow_bmk_opts", "flow_neg",
  "flow_frag_val", "flow_frag_opts", "flow4_item", "flow6_item",
  "flow4_opts", "flow6_opts", "flow_builder_init", "flow_builder_set_ipv4",
  "flow_builder_set_ipv6", "net_flow4_", "net_flow6_", "net_flow_",
  "filter_def", "$@1", "filter_eval", "custom_attr", "bt_test_suite",
  "type", "one_decl", "decls", "declsn", "filter_body", "filter",
  "where_filter", "function_params", "function_body", "function_def",
  "$@2", "cmds", "cmds_int", "block", "fipa", "set_atom", "switch_atom",
  "cnum", "pair_item", "ec_kind", "ec_item", "lc_item", "set_item",
  "switch_item", "set_items", "switch_items", "fprefix", "fprefix_set",
  "switch_body", "bgp_path_expr", "bgp_path", "bgp_path_tail", "constant",
  "constructor", "rtadot", "function_call", "symbol", "static_attr",
  "term", "break_command", "print_one", "print_list", "var_listn",
  "var_list", "cmd", "get_cf_position", "rtrid", "idval", "gr_opts",
  "net_type", "table_sorted", "table", "proto_start", "proto_name",
  "proto_item", "channel_start", "channel_item", "channel_opts",
  "channel_opt_list", "channel_end", "proto_channel", "rtable", "imexport",
  "limit_action", "limit_spec", "debug_default", "timeformat_which",
  "timeformat_spec", "timeformat_base", "iface_patt_node_init",
  "iface_patt_node_body", "iface_negate", "iface_patt_node",
  "iface_patt_list", "iface_patt_list_nopx", "iface_patt_init",
  "iface_patt", "tos", "proto", "dev_proto_start", "dev_proto",
  "dev_iface_init", "dev_iface_patt", "debug_mask", "debug_list",
  "debug_flag", "mrtdump_mask", "mrtdump_list", "mrtdump_flag",
  "password_list", "password_items", "password_item",
  "password_item_begin", "password_item_params", "password_algorithm",
  "cli_cmd", "cmd_SHOW_STATUS", "cmd_SHOW_MEMORY", "cmd_SHOW_PROTOCOLS",
  "cmd_SHOW_PROTOCOLS_ALL", "optsym", "cmd_SHOW_INTERFACES",
  "cmd_SHOW_INTERFACES_SUMMARY", "cmd_SHOW_ROUTE", "r_args", "r_args_for",
  "r_args_for_val", "export_mode", "r_args_channel", "cmd_SHOW_SYMBOLS",
  "sym_args", "cmd_DUMP_RESOURCES", "cmd_DUMP_SOCKETS", "cmd_DUMP_EVENTS",
  "cmd_DUMP_INTERFACES", "cmd_DUMP_NEIGHBORS", "cmd_DUMP_ATTRIBUTES",
  "cmd_DUMP_ROUTES", "cmd_DUMP_PROTOCOLS", "cmd_EVAL", "cmd_ECHO",
  "echo_mask", "echo_size", "cmd_DISABLE", "cmd_ENABLE", "cmd_RESTART",
  "cmd_RELOAD", "cmd_RELOAD_IN", "cmd_RELOAD_OUT", "cmd_DEBUG",
  "cmd_MRTDUMP", "cmd_RESTRICT", "proto_patt", "proto_patt2",
  "dynamic_attr", "bfd_proto_start", "bfd_proto_item", "bfd_proto_opts",
  "bfd_proto", "bfd_iface_start", "bfd_iface_finish", "bfd_iface_item",
  "bfd_auth_type", "bfd_iface_opts", "bfd_iface_opt_list", "bfd_iface",
  "bfd_multihop", "bfd_neigh_iface", "bfd_neigh_local",
  "bfd_neigh_multihop", "bfd_neighbor", "cmd_SHOW_BFD_SESSIONS",
  "babel_proto_start", "babel_proto_item", "babel_proto_opts",
  "babel_proto", "babel_iface_start", "babel_iface_finish",
  "babel_iface_item", "babel_iface_opts", "babel_iface_opt_list",
  "babel_iface", "cmd_SHOW_BABEL_INTERFACES", "cmd_SHOW_BABEL_NEIGHBORS",
  "cmd_SHOW_BABEL_ENTRIES", "cmd_SHOW_BABEL_ROUTES", "bgp_proto_start",
  "bgp_loc_opts", "bgp_nbr_opts", "bgp_cease_mask", "bgp_cease_list",
  "bgp_cease_flag", "bgp_proto", "bgp_afi", "bgp_channel_start", "bgp_nh",
  "bgp_channel_item", "bgp_channel_opts", "bgp_channel_opt_list",
  "bgp_channel_end", "bgp_proto_channel", "mrt_proto_start",
  "mrt_proto_item", "mrt_proto_opts", "mrt_proto", "cmd_MRT_DUMP",
  "mrt_dump_args", "ospf_variant", "ospf_proto_start", "ospf_proto",
  "ospf_af_mc", "ospf_channel_start", "ospf_channel", "ospf_proto_item",
  "ospf_area_start", "ospf_area", "ospf_area_opts", "ospf_area_item",
  "$@3", "$@4", "ospf_stubnet", "ospf_stubnet_start", "ospf_stubnet_opts",
  "ospf_stubnet_item", "ospf_vlink", "ospf_vlink_opts", "ospf_vlink_item",
  "ospf_vlink_start", "ospf_iface_item", "pref_list", "pref_item",
  "pref_base", "pref_opt", "nbma_list", "nbma_eligible", "nbma_item",
  "ospf_iface_start", "ospf_instance_id", "ospf_iface_patt_list", "$@5",
  "ospf_iface_opts", "ospf_iface_opt_list", "ospf_iface", "cmd_SHOW_OSPF",
  "cmd_SHOW_OSPF_NEIGHBORS", "cmd_SHOW_OSPF_INTERFACE",
  "cmd_SHOW_OSPF_TOPOLOGY", "cmd_SHOW_OSPF_TOPOLOGY_ALL",
  "cmd_SHOW_OSPF_STATE", "cmd_SHOW_OSPF_STATE_ALL", "cmd_SHOW_OSPF_LSADB",
  "lsadb_args", "perf_proto_start", "perf_proto", "perf_proto_item",
  "pipe_proto_start", "$@6", "pipe_proto", "radv_proto_start",
  "radv_proto_item", "$@7", "$@8", "radv_proto_opts", "radv_proto",
  "radv_iface_start", "radv_iface_item", "$@9", "$@10", "radv_preference",
  "radv_iface_finish", "radv_iface_opts", "radv_iface_opt_list",
  "radv_iface", "radv_prefix_start", "radv_prefix_item",
  "radv_prefix_finish", "radv_prefix_opts", "radv_prefix_opt_list",
  "radv_prefix", "radv_rdnss_node", "radv_rdnss_start", "radv_rdnss_item",
  "radv_rdnss_finish", "radv_rdnss_opts", "radv_rdnss", "radv_dnssl_node",
  "radv_dnssl_start", "radv_dnssl_item", "radv_dnssl_finish",
  "radv_dnssl_opts", "radv_dnssl", "radv_mult", "radv_sensitive",
  "rip_variant", "rip_proto_start", "rip_proto_item", "rip_proto_opts",
  "rip_proto", "rip_iface_start", "rip_iface_finish", "rip_iface_item",
  "rip_auth", "rip_iface_opts", "rip_iface_opt_list", "rip_iface",
  "cmd_SHOW_RIP_INTERFACES", "cmd_SHOW_RIP_NEIGHBORS", "rpki_proto_start",
  "rpki_proto", "rpki_proto_opts", "rpki_proto_item", "rpki_keep_interval",
  "rpki_proto_item_port", "rpki_cache_addr", "rpki_transport",
  "rpki_transport_tcp_init", "rpki_transport_ssh_init",
  "rpki_transport_ssh_opts", "rpki_transport_ssh_item",
  "rpki_transport_ssh_check", "static_proto_start", "static_proto",
  "stat_nexthop", "stat_nexthops", "stat_route0", "stat_route",
  "stat_route_item", "stat_route_opts", "stat_route_opt_list",
  "cmd_SHOW_STATIC", "kern_proto", "kern_sys_item", "log_begin",
  "log_config", "syslog_name", "log_limit", "log_file", "log_mask",
  "log_mask_list", "log_cat", "mrtdump_base", "debug_unix",
  "cmd_CONFIGURE", "cmd_CONFIGURE_SOFT", "cmd_CONFIGURE_CONFIRM",
  "cmd_CONFIGURE_UNDO", "cmd_CONFIGURE_CHECK", "cmd_DOWN", "cfg_name",
  "cfg_timeout", "kern_proto_start", "kern_mp_limit", "kern_item",
  "kif_proto_start", "kif_proto", "kif_item", "kif_iface_start",
  "kif_iface_item", "kif_iface_opts", "kif_iface_opt_list", "kif_iface", YY_NULLPTR
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[NUM] -- (External) token number corresponding to the
   (internal) symbol number NUM (which must be that of a token).  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,    61,    60,    62,   126,   278,    43,    45,
      42,    47,    37,    33,    46,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,   593,
     594,   595,   596,   597,   598,   599,   600,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,   631,   632,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   647,   648,   649,   650,   651,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     664,   665,   666,   667,   668,   669,   670,   671,   672,   673,
     674,   675,   676,   677,   678,   679,   680,   681,   682,   683,
     684,   685,   686,   687,   688,   689,   690,   691,   692,   693,
     694,   695,   696,   697,   698,   699,   700,   701,   702,   703,
     704,   705,   706,   707,   708,   709,   710,   711,   712,   713,
     714,   715,   716,   717,   718,   719,   720,   721,   722,   723,
     724,   725,   726,   727,   728,   729,   730,   731,   732,   733,
     734,   735,   736,   737,   738,   739,   740,   741,   742,   743,
     744,   745,   746,   747,   748,   749,   750,   751,   752,   753,
     754,   755,   756,   757,   758,   759,   760,   761,   762,   763,
     764,   765,    59,    40,    41,    44,   123,   125,    58,    63,
      91,    93
};
# endif

#define YYPACT_NINF -2120

#define yypact_value_is_default(Yystate) \
  (!!((Yystate) == (-2120)))

#define YYTABLE_NINF -334

#define yytable_value_is_error(Yytable_value) \
  (!!((Yytable_value) == (-334)))

  /* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
     STATE-NUM.  */
static const yytype_int16 yypact[] =
{
     171,  2062,   196,   156,  2527,   219,   219,   219,   939,   219,
     265,  3305,  1568,   157,   219,    38,   487,   623, -2120, -2120,
   -2120, -2120, -2120, -2120, -2120, -2120, -2120, -2120, -2120, -2120,
   -2120, -2120, -2120, -2120, -2120, -2120, -2120, -2120, -2120, -2120,
   -2120, -2120, -2120, -2120, -2120, -2120, -2120, -2120, -2120, -2120,
   -2120, -2120, -2120, -2120, -2120, -2120, -2120, -2120, -2120, -2120,
   -2120, -2120, -2120, -2120, -2120, -2120, -2120, -2120, -2120, -2120,
   -2120,   207, -2120, -2120, -2120,   322,   651,  2527,  4179,   169,
     619, -2120, -2120,   -48, -2120,   539, -2120, -2120, -2120, -2120,
     574,   445, -2120,   624,  -137, -2120, -2120, -2120, -2120, -2120,
   -2120, -2120, -2120, -2120, -2120,   647, -2120,  3362, -2120, -2120,
   -2120,   365,  3341,   365, -2120,   365, -2120,   365,  3426,   365,
   -2120,   365,  2975,   365,  3143,   293,  3398,   365, -2120,   365,
   -2120,   365, -2120,   365,  3260,  3004, -2120, -2120, -2120,   365,
     365,   672,    63, -2120, -2120,   805,   840,   621,   360, -2120,
     756,   481,  2527,   874,   415,   489, -2120, -2120, -2120,   372,
     495,   498,   513,   526,   546,   558,  1235,   403,   754,   810,
   -2120, -2120, -2120, -2120, -2120, -2120, -2120, -2120, -2120, -2120,
   -2120, -2120, -2120, -2120, -2120, -2120, -2120,  3504, -2120,  4079,
   -2120, -2120, -2120,   197,  1066,  1066,   219,   219,  1088,   256,
   -2120,   813,    28,  1095, -2120,  1102, -2120,   867,   834,   646,
     -32,  1109,  1135,  1143,  1146,  1156,  1162,  1167,  1179,  1192,
   -2120, -2120,   488,  1172,  1066, -2120, -2120,  1210,  1210,  1212,
    1239,   799, -2120,  1236, -2120, -2120,  4163, -2120, -2120, -2120,
   -2120, -2120, -2120, -2120, -2120, -2120, -2120, -2120, -2120, -2120,
   -2120, -2120,   247,  1245,   192,   197,   193,   576, -2120, -2120,
   -2120,   256,   745, -2120, -2120, -2120, -2120,   137,   748,   202,
    1056,   193,   193,  1258, -2120, -2120, -2120, -2120, -2120,   509,
   -2120, -2120, -2120,   855, -2120, -2120, -2120, -2120, -2120, -2120,
    1255,  1288,   779,  1181,   704,   197, -2120,  1283,  1283,   256,
    1062, -2120, -2120,   822,   828,   854,   866,   836,   864,   881,
   -2120, -2120,   358,  1107,   897,  1411,    37,    61,   152,   153,
    1137,  1283,   704,  1104,  1284,   643,   453,   238,   890,   890,
    1186,  1191,   324,  1203,  1206,   887,  1240,  1207,  1023,  1195,
     704,  1204,  1188,  1253,  1274,  1196,  1227,   394,   704,  1219,
     239, -2120,   991, -2120,  1030,  1039,  1037,  1043,  1198,   316,
     704,  1452,   193,   704,  1459,  1209,   704, -2120,  1271, -2120,
     828, -2120,  1082,  1079, -2120,  1084,   704,   514,  1598,   411,
    1194, -2120,  1093, -2120,  1097, -2120,   193,  1285,  1386,  1602,
    1464,  1482, -2120,  1112,  1113,  1114,  1118,  1120,  1133,  1933,
    1390,  1509, -2120,  1139,  1140,   899,  1149,  1505,   193,  1352,
    1533,   704,  1417,   704, -2120, -2120, -2120,  1169,  1173,  1168,
    1183, -2120,  1420, -2120, -2120,  1190,    34, -2120,    63,  2527,
      63,    63,  1696, -2120,  1699, -2120,  1700,   805,  1682, -2120,
   -2120,  1486,  1689,   532,  1691,  1709, -2120, -2120, -2120,  1602,
    2527,  2527,  2527,  2527,  2527,  2527, -2120, -2120,  1719, -2120,
    1221,   221, -2120, -2120,  1682, -2120, -2120,  1193, -2120, -2120,
     118, -2120,  1740, -2120, -2120, -2120, -2120,  -455, -2120,   354,
    1733,  1737, -2120, -2120, -2120, -2120, -2120, -2120, -2120, -2120,
   -2120, -2120, -2120, -2120, -2120, -2120, -2120, -2120, -2120, -2120,
   -2120, -2120, -2120, -2120, -2120, -2120, -2120, -2120, -2120, -2120,
   -2120, -2120, -2120, -2120, -2120, -2120, -2120, -2120, -2120, -2120,
   -2120, -2120, -2120, -2120, -2120, -2120, -2120, -2120, -2120, -2120,
   -2120, -2120, -2120, -2120, -2120, -2120, -2120, -2120, -2120, -2120,
   -2120, -2120, -2120, -2120, -2120, -2120,  2527,  2527,  2527,  2527,
    2527,  2527,  2527,  2527,  2527,  2527,  2527,  2527,  2527,  2527,
    3266, -2120, -2120,  1414,  1751, -2120,  1752,  1753,  1763,  1764,
   -2120, -2120, -2120,    72,  1765, -2120, -2120,  1311,  1777, -2120,
    1778, -2120,  4015, -2120,  1490,  1109,  1109,  1109,  1109,  1109,
   -2120,  1109,  1109, -2120,   166,   424,  1780,  1109,  1109,  1781,
   -2120, -2120, -2120, -2120, -2120, -2120, -2120, -2120, -2120, -2120,
   -2120, -2120, -2120, -2120, -2120, -2120, -2120,   447, -2120, -2120,
    1783,  1785,   681,  1788,   799, -2120, -2120,   193,  1791,  2527,
    1234,  4179,  1273, -2120,  1272, -2120, -2120, -2120, -2120,  2527,
    1281, -2120, -2120, -2120,  2527, -2120, -2120, -2120, -2120, -2120,
     193, -2120, -2120,  1286, -2120,   193,  1136, -2120,  1300, -2120,
     193,  -116,   193,   877, -2120, -2120,  1612, -2120, -2120,   365,
   -2120,  1792, -2120, -2120,   316, -2120, -2120, -2120, -2120, -2120,
   -2120,   704, -2120, -2120, -2120, -2120, -2120, -2120, -2120, -2120,
    1549,  1550,   890, -2120,  1307, -2120, -2120, -2120, -2120, -2120,
   -2120, -2120, -2120,    -9,  1308,  1309,    26,   180,  1517,   704,
    1629,  1312,  1314, -2120,  1318, -2120, -2120, -2120,  1809,    76,
    1809,   226,   704,   193,  1576,  1577,   193,  1578,   193,   193,
     704,  1579,   704,  1717,   704,  1345,   704,   704,   704,   704,
     704,   704,  1661,   704,  1359,   704,   704,  1360, -2120, -2120,
   -2120, -2120, -2120, -2120,   704, -2120, -2120,   704, -2120,  1721,
     193,   704, -2120, -2120, -2120, -2120, -2120, -2120, -2120, -2120,
    1872,  1874, -2120,   193,   193, -2120, -2120, -2120, -2120, -2120,
    4039,  2527, -2120, -2120,   328,  1724, -2120, -2120,   328, -2120,
   -2120, -2120,   328,  1602, -2120, -2120, -2120, -2120, -2120, -2120,
     840,   621, -2120, -2120, -2120,   704,  1602, -2120, -2120, -2120,
    1100, -2120,   890, -2120, -2120, -2120,   227,  1613, -2120,  1374,
     704, -2120,   704,   193, -2120,   193, -2120, -2120, -2120, -2120,
   -2120, -2120, -2120,   193, -2120,  1886, -2120, -2120,   254, -2120,
   -2120, -2120, -2120,  1857,  1890,   404, -2120,  1382, -2120,  1779,
    1878, -2120, -2120, -2120,   826,  1085,   431,   504,   777,   818,
    1416, -2120,  2527, -2120,  2527,  1385,    31,  1393,  1513, -2120,
   -2120,  1904,   463,   710, -2120,   621, -2120,  1703,  1706,  1458,
    1458,  1458,  2412,  2412,  1458,  1458,  1458,  1458,  1458,   974,
     974,  1709,  1709, -2120, -2120, -2120, -2120,  1412, -2120, -2120,
   -2120, -2120, -2120, -2120, -2120, -2120, -2120, -2120, -2120, -2120,
   -2120,   521, -2120, -2120, -2120, -2120, -2120, -2120, -2120, -2120,
     533, -2120, -2120,  1935, -2120, -2120, -2120,  4039,  1919, -2120,
    1793, -2120,   570, -2120, -2120, -2120, -2120,  1057, -2120, -2120,
   -2120, -2120,  1922, -2120, -2120, -2120, -2120, -2120, -2120, -2120,
    1940,  1066,  1066,  1066,  1066,  1066,  1066,  1241,  1109,  1066,
    1109,  1066, -2120,  1066,  1066, -2120,   488, -2120, -2120, -2120,
   -2120,  4039,  1338,  1283, -2120, -2120,  1943, -2120, -2120,  1903,
    1646,  4179,   616,  1425,  1422, -2120, -2120, -2120,  1283, -2120,
    1443,  1640, -2120,  1677, -2120, -2120,  1947,  1323,  1343,  1283,
   -2120,  1283, -2120, -2120,   488,  1450,  1451, -2120, -2120, -2120,
   -2120, -2120, -2120, -2120, -2120,  1953, -2120,  1462,  1461,   894,
   -2120,  3061,  1131,   193,   193,  1463, -2120,   704,   129, -2120,
   -2120,  1817,  1718,   193,  1468,  1470,   704,  1471,   704, -2120,
   -2120, -2120,  1974, -2120,   193,   193, -2120, -2120,   193,   193,
   -2120,  1473,  1474,   193,   193,  1477,   193,  1478,  1479,  1480,
     193,  1491,   316,  1492, -2120,  1493,  1495,  1496,  1497,  1498,
    1504,   271,  1510, -2120,  1511,  1512, -2120,  3569, -2120,  2905,
   -2120, -2120,   193, -2120, -2120, -2120,  1232, -2120, -2120, -2120,
   -2120, -2120, -2120, -2120,  4163, -2120,  1844, -2120,   704, -2120,
   -2120,  1516,  3093,  3283,  2903,  1520,  1524, -2120,  1809,  1967,
    2012,   704,   193,   704,   227,  1320, -2120, -2120,  1868, -2120,
   -2120,  1462,  1521, -2120,    63, -2120,  2021, -2120,  2527, -2120,
    2019,  2020, -2120, -2120, -2120,  2527, -2120,  2527,  2527,  2527,
    2527, -2120,   924,   296,  1941,  2527,  2121,  2527, -2120,  1525,
   -2120, -2120,  2527, -2120, -2120, -2120,  2036,  2037,  2527,  1414,
   -2120,    72, -2120, -2120, -2120, -2120,  2033, -2120, -2120,   805,
     785,  1383, -2120, -2120, -2120, -2120, -2120, -2120, -2120, -2120,
    2022, -2120,  2054,  2055,  2064,  2065,  2066,  2067, -2120, -2120,
    2050,   316, -2120, -2120,   316, -2120,   316,  1066,  2068,  1066,
    2070,  2071,  2072, -2120, -2120, -2120, -2120, -2120, -2120, -2120,
   -2120,  1554,  1556, -2120, -2120,  4179,  1698,  1558,  1462, -2120,
   -2120, -2120, -2120, -2120, -2120, -2120, -2120, -2120, -2120,   639,
   -2120, -2120, -2120,  2063, -2120, -2120, -2120,  1563, -2120, -2120,
     890, -2120, -2120,  1566, -2120,  1951, -2120, -2120, -2120,  1569,
    1565,  1570, -2120,  1571,  2168, -2120,  1581,   674,   193,  1582,
   -2120, -2120,  1583, -2120,  1584, -2120,   233, -2120, -2120,   301,
   -2120, -2120, -2120, -2120,  1588,  1589, -2120,  1590, -2120, -2120,
   -2120,  1591, -2120,  1592, -2120, -2120, -2120, -2120, -2120, -2120,
   -2120, -2120,  1593, -2120, -2120, -2120,  1848,  1796,  1739,  1794,
    1954,  1816,  1973,   -43,   704,  2076, -2120, -2120,  1607,  4039,
    1384,  1283,   193,  2009, -2120, -2120, -2120,  1609, -2120, -2120,
     704,   648,   486, -2120,  1865,   910, -2120, -2120,   660, -2120,
    1611, -2120,  1738,  1052, -2120, -2120, -2120,  1123, -2120, -2120,
   -2120,  1123,  1990, -2120, -2120, -2120,  1622, -2120,   704,   193,
   -2120, -2120, -2120,  1623,   193,  1977,  1977,  1184,   -27,  1977,
   -2120, -2120, -2120,  1630, -2120, -2120, -2120, -2120,  2012, -2120,
   -2120,  2122, -2120, -2120, -2120,    43, -2120, -2120,  1633,  2527,
   -2120, -2120, -2120, -2120,  2527,  2527,  2139,  1642, -2120,  3504,
    1641,  2169, -2120, -2120,   193, -2120, -2120, -2120, -2120,  2136,
   -2120,  2142, -2120,  1503,  1101,   954,  1790,  1834,  2149,  2373,
    2527, -2120,  2527,   889,    15,  4163,  1656,   906,    12,  1666,
    2177,  1513, -2120, -2120,  2449, -2120, -2120,  2159,  2176,   805,
    1682,  3687, -2120, -2120, -2120, -2120, -2120, -2120, -2120, -2120,
   -2120, -2120,  2193, -2120,  2197, -2120, -2120, -2120,  4179, -2120,
   -2120,  1676,    79, -2120, -2120, -2120,  1229,  1292, -2120, -2120,
   -2120, -2120, -2120,  1681, -2120,   224, -2120, -2120, -2120, -2120,
    2073, -2120,   193, -2120, -2120,  2046,  1862, -2120,    69,  1867,
    1870,  1111,   661, -2120, -2120,  1697,  1701,  1702, -2120, -2120,
   -2120, -2120, -2120, -2120, -2120, -2120, -2120, -2120, -2120,   458,
     342,   704,   259,   704,   591,  1602, -2120, -2120, -2120,  1950,
   -2120, -2120, -2120, -2120, -2120, -2120,  1945, -2120, -2120, -2120,
   -2120,   193,   193,   704,   193, -2120,  1705,   316, -2120, -2120,
   -2120, -2120,  1707,  1710,   193, -2120, -2120,   193,  1711, -2120,
   -2120, -2120, -2120, -2120, -2120, -2120,  1712, -2120, -2120, -2120,
      90,    77, -2120,   704, -2120, -2120, -2120,  2059, -2120, -2120,
   -2120, -2120,   193,   193, -2120, -2120, -2120,  2184, -2120, -2120,
   -2120,   193, -2120,  2122,  2213,  2527,  1486, -2120,  2875,  3622,
     106,  2527, -2120,  2216,   237, -2120,  4163,  1715,  1722, -2120,
     268,  2232,  2219, -2120, -2120, -2120, -2120,  2196, -2120, -2120,
    1404,  2191, -2120, -2120, -2120, -2120, -2120,   367,  2220,  2220,
     910,  1732, -2120, -2120,   367,  2220,  2220,  2220,  1123,  1734,
    2527, -2120, -2120, -2120, -2120,  2605,  2659, -2120,  2225,  2527,
   -2120,  2292, -2120,  2230,  2527,  2255,  2331,  2471,  1736, -2120,
    3687, -2120, -2120, -2120, -2120, -2120, -2120, -2120, -2120, -2120,
   -2120, -2120, -2120, -2120, -2120, -2120, -2120, -2120, -2120, -2120,
   -2120, -2120, -2120, -2120, -2120, -2120, -2120, -2120,   805,  1682,
   -2120, -2120, -2120, -2120,  1681, -2120, -2120,  2245,  1283,  2015,
    1744,   704,  1749,  1934,  2041, -2120, -2120, -2120, -2120, -2120,
   -2120,  2168, -2120, -2120, -2120, -2120,   314,   314,   890, -2120,
   -2120, -2120, -2120,  2106,  2006, -2120, -2120, -2120, -2120, -2120,
     704,   704,  1462,  1755, -2120, -2120, -2120, -2120, -2120, -2120,
   -2120, -2120, -2120, -2120, -2120, -2120, -2120,  1758, -2120, -2120,
   -2120, -2120, -2120, -2120, -2120, -2120, -2120,  1760,   193, -2120,
   -2120, -2120, -2120,  1761, -2120, -2120,  2902,  1756,  3758, -2120,
    2258, -2120,  2929,  2527,  2527,  2527,  1154,  2169, -2120,   890,
   -2120,  1766, -2120, -2120, -2120, -2120, -2120, -2120, -2120, -2120,
   -2120, -2120, -2120, -2120, -2120, -2120,  2285,   193,  1460, -2120,
    1770, -2120,    46,   193,  1171,    48, -2120, -2120,  1460,    46,
      48,    46,  2227, -2120,  2686, -2120, -2120,  1774,  1775,  1002,
      17,  1795,  1004,  1800,  1802,    35,  1803,    45, -2120, -2120,
   -2120,  2589, -2120, -2120, -2120,   890,  2052, -2120, -2120, -2120,
   -2120, -2120, -2120, -2120, -2120, -2120, -2120, -2120, -2120, -2120,
     704,   193, -2120, -2120,  1738, -2120, -2120,    83,    -8,   121,
    1129,   800, -2120, -2120, -2120, -2120, -2120, -2120, -2120, -2120,
   -2120, -2120, -2120,  1804,  1698,  2207, -2120,    74, -2120,  4163,
    2956,  2987,  1801,  1815,  1818,  1820,  1822, -2120, -2120, -2120,
     193, -2120, -2120,   193,  1754,   193, -2120,  2220,  2220,  2284,
   -2120, -2120, -2120, -2120, -2120,  2220,  2220,  2301, -2120, -2120,
   -2120, -2120,  2287,  2527, -2120, -2120, -2120,  2288,  2527, -2120,
    2527,  2336, -2120,  2527, -2120, -2120,  1283,   704,  1828,  1305,
    2109,   193,   193,   871, -2120, -2120, -2120,  1836,  1841, -2120,
     704, -2120,  1214, -2120, -2120, -2120, -2120,  3702, -2120, -2120,
   -2120,   472,   704,   193,   704, -2120,  1843, -2120,   193,   223,
     193,   193,  2083,   561, -2120, -2120,  1846,  1946,  1948,   704,
     704,   704, -2120,  1850,  3029, -2120,   540,   441,  2831, -2120,
     579,  1852,  1853,  2258,   107, -2120, -2120,  1193, -2120, -2120,
    2363, -2120, -2120, -2120, -2120,  -122,  1863, -2120, -2120,  2527,
    2527,  2527, -2120,  2527, -2120,  1770,   193, -2120,   193,   193,
     193,  1171,  1171, -2120,  1864,  1866,  1871,  1861,  1885,  1854,
    1891, -2120, -2120,  2218,  2147,  2163,  2171, -2120, -2120, -2120,
    1392, -2120,  2237, -2120,   964, -2120, -2120,   193,  2151,  1313,
     193,  2160,   602,   193,  2181,  2185,  2166, -2120,  1912,  1726,
     193,  1921,   704,  2186,   763,   413,   193,   193,  2182,  2047,
    2134,  2084,   704,   193,   193,  2180,   569,  2082,   193,  2074,
    2097, -2120, -2120,  1960, -2120,   193,  1963, -2120, -2120, -2120,
   -2120, -2120, -2120, -2120, -2120, -2120, -2120,   193,   193, -2120,
   -2120,   193,   193, -2120, -2120, -2120, -2120,    54,   -78,  2053,
      84,  2051,    60,   704,  2077,  2222,  2075,  2201,  2241,  2244,
   -2120,  1976,   339,   890, -2120,  1980,   339,  2482, -2120,  1986,
     193,   704,   704,  2247,   815,   345,   193,  2239,  -183,   890,
    2194,  2124,   448,  2248,  2249,   369,  2079,  2080, -2120, -2120,
    1995,  2078,  2060,  1283, -2120,  2001, -2120, -2120, -2120, -2120,
    2713,   154,   172,   107,  2002,  2740,  2767,  2800,  2839, -2120,
    2494,  2495, -2120, -2120, -2120, -2120, -2120, -2120,  2527, -2120,
    2527, -2120,  2000,  2011,   193,   193,   193, -2120, -2120,  1397,
    2513,   578,   193,  2513,  1401,   583,  2008, -2120,  1428, -2120,
   -2120, -2120,   193,   193,   193,   193,   193, -2120, -2120,   193,
     193,   704, -2120, -2120, -2120, -2120, -2120, -2120, -2120, -2120,
   -2120, -2120, -2120, -2120,   195,   193,   193, -2120, -2120, -2120,
   -2120, -2120, -2120,   704,  2135,   876,   704, -2120, -2120, -2120,
     193,   193, -2120,   704, -2120,   193,   704, -2120, -2120, -2120,
   -2120, -2120,  2100,  2100,  2276, -2120,   663,  2277,   193,  2304,
     193,  2305,   193,   663,   193, -2120,   704,   193,   193,  2390,
     704,    90,   704,    77, -2120,   193, -2120, -2120, -2120, -2120,
   -2120, -2120, -2120, -2120, -2120, -2120, -2120, -2120,   193,   193,
     193, -2120, -2120, -2120, -2120, -2120, -2120, -2120,   193,   704,
     704, -2120,   886,   193, -2120, -2120,   193,   193,   704, -2120,
     704,   704, -2120,  2092,  2095, -2120, -2120, -2120, -2120,  2527,
   -2120, -2120, -2120, -2120,  2040,  2042,  2044,  2056,   193,   193,
    2034,  2038, -2120,  2218, -2120, -2120, -2120, -2120, -2120, -2120,
    2057,  2513,  2513,  2058,  2061,  1009,  1692,  2085,  2513,  2513,
   -2120,   890,   890, -2120, -2120, -2120, -2120, -2120, -2120, -2120,
   -2120,   143, -2120, -2120, -2120, -2120, -2120, -2120,   704,  2190,
   -2120, -2120, -2120, -2120, -2120, -2120, -2120,   704, -2120, -2120,
     193, -2120, -2120, -2120, -2120,   193,  2100,   193, -2120,   193,
   -2120, -2120,  2100, -2120, -2120, -2120,   193, -2120, -2120, -2120,
   -2120, -2120, -2120, -2120, -2120, -2120, -2120, -2120,  2198, -2120,
   -2120, -2120, -2120, -2120, -2120, -2120,  1283,  1283,  2713, -2120,
   -2120, -2120, -2120, -2120, -2120, -2120,  2527, -2120,   964,  2087,
    2088,   964,   964, -2120, -2120, -2120, -2120, -2120, -2120, -2120,
   -2120, -2120, -2120,   964,  2089,  2090, -2120, -2120, -2120,  2204,
   -2120, -2120, -2120, -2120, -2120, -2120, -2120, -2120, -2120, -2120,
   -2120, -2120, -2120, -2120,  2043, -2120,   964,   964, -2120, -2120,
   -2120,   964,   964, -2120,  2096,  2527, -2120, -2120, -2120, -2120,
   -2120,  2035, -2120
};

  /* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
     Performed when YYTABLE does not specify something else to do.  Zero
     means the default is an error.  */
static const yytype_uint16 yydefact[] =
{
       4,     0,     0,     0,   262,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1311,     0,     3,   500,
     502,   504,   506,   510,   512,   514,   567,   576,   578,   580,
     582,   584,   586,   588,   590,   592,   594,   601,   603,   605,
     607,   609,   611,   613,   615,   617,   665,   699,   701,   703,
     705,   850,   989,   991,   993,   995,   997,   999,  1001,  1003,
    1171,  1173,  1235,  1299,  1301,  1303,  1305,  1307,  1309,     1,
       2,     0,   371,   369,   370,     0,     0,   262,     0,     0,
       0,   377,   378,     0,   362,   363,   365,   366,   367,   368,
       0,     0,  1269,     0,     0,     6,     5,     7,   132,   135,
     137,   139,   169,   353,   360,     0,   372,     0,   417,   420,
     376,   379,   383,   379,   626,   379,   667,   379,   383,   379,
     837,   379,   383,   379,   383,     0,   383,   379,  1035,   379,
    1120,   379,  1175,   379,   383,   383,  1268,  1291,  1294,   379,
     379,   383,   247,   248,   257,   178,   179,   253,   264,   251,
       0,     0,   262,     0,     0,     0,   249,   250,   294,     0,
       0,     0,     0,     0,     0,     0,   262,     0,    35,    36,
      45,    37,    38,    39,    40,    46,    41,    42,    43,   254,
     130,   131,    44,   252,   261,   292,   293,     0,   291,     0,
     619,   621,   620,     0,    65,    65,     0,     0,     0,     0,
     618,   623,     0,     0,   516,     0,   569,     0,     0,   509,
       0,   509,     0,     0,     0,     0,     0,     0,     0,     0,
     597,   596,     0,   599,    65,   852,  1312,  1311,  1311,     0,
       0,  1313,  1310,     0,   170,   133,   136,   141,   142,   143,
     145,   144,   146,   147,   148,   149,   150,   151,   152,   153,
     154,   155,     0,     0,     0,     0,     0,    20,   364,    63,
      62,     0,     0,   422,   421,   423,   424,     0,     0,     0,
       0,     0,     0,     0,   448,   708,   627,   668,   838,   859,
    1015,  1029,  1036,  1121,  1176,  1205,  1317,  1330,   862,  1123,
     380,     0,     0,     0,    20,     0,   454,     0,     0,     0,
       0,   447,   390,     0,   401,     0,     0,     0,     0,     0,
     794,   795,     0,     0,     0,     0,   784,   785,     0,     0,
       0,     0,    20,     0,     0,     0,    20,     0,   712,   709,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      20,     0,     0,     0,     0,     0,     0,     0,    20,     0,
       0,   707,     0,   796,   821,     0,     0,     0,     0,     0,
      20,     0,     0,    20,     0,     0,    20,   858,   865,   869,
     401,   870,     0,     0,   880,     0,    20,     0,     0,     0,
       0,  1014,     0,  1019,     0,  1031,     0,     0,     0,     0,
       0,     0,  1028,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1204,     0,     0,  1224,  1233,     0,     0,     0,
       0,    20,     0,    20,  1316,  1322,  1323,     0,     0,     0,
       0,  1336,     0,  1329,  1333,     0,   247,   264,   247,   262,
     247,   247,     0,   239,     0,    27,     0,     0,     0,    30,
      31,   262,     0,     0,     0,   289,    34,   125,   125,     0,
     262,   262,   262,   262,   262,   262,   201,   202,     0,   204,
       0,     0,   180,   183,   179,   182,   185,   262,    35,    36,
     230,   181,   219,   216,   217,   218,   226,     0,   234,     0,
       0,     0,   265,   268,   266,   267,   269,   270,   271,   272,
     273,   625,   698,   826,   829,   828,   825,   827,   830,   831,
     832,   835,   836,   833,   834,   985,   986,   987,   988,  1118,
    1119,  1169,  1170,  1240,  1241,  1242,  1243,  1244,  1245,  1246,
    1247,  1248,  1249,  1250,  1251,  1252,  1253,  1254,  1255,  1256,
    1257,  1258,  1259,  1260,  1261,  1262,  1263,  1264,  1265,  1266,
    1267,  1343,  1344,   295,   296,   593,   262,   262,   262,   262,
     262,   262,   262,   262,   262,   262,   262,   262,   262,   262,
       0,   457,   456,     0,     0,    64,     0,     0,     0,     0,
     608,   468,   467,     0,     0,   622,   624,   623,     0,   511,
       0,   503,     0,   501,     0,   509,   509,   509,   509,   509,
     508,   509,   509,  1005,   509,   509,     0,   509,   509,     0,
     589,   581,   591,   583,   577,   579,   585,   587,  1287,  1282,
    1285,  1283,  1284,  1286,  1288,  1289,  1290,     0,  1280,   600,
       0,     0,     0,     0,  1313,  1304,  1306,  1314,     0,   262,
       0,   158,     0,   156,     0,   356,   358,   359,   443,   262,
       0,   418,     9,    11,   262,   419,    16,    18,    17,    19,
       0,    15,  1295,     0,  1293,   425,     0,   433,  1272,  1277,
    1273,     0,     0,     0,  1298,  1297,   373,   860,   861,   379,
    1122,     0,   381,   449,     0,   384,   385,   434,   389,   388,
     386,    20,   450,   399,   403,   451,   452,   632,   673,   728,
       0,     0,     0,   743,     0,   788,   786,   789,   787,   790,
     792,   791,   793,     0,     0,     0,     0,    20,     0,    20,
       0,     0,     0,   744,     0,    21,    22,    23,    24,     0,
      24,     0,    20,     0,     0,     0,     0,     0,     0,     0,
      20,     0,    20,     0,    20,     0,    20,    20,    20,    20,
      20,    20,     0,    20,     0,    20,    20,     0,   729,   819,
     823,   730,   847,   863,    20,   881,   871,    20,   878,   875,
       0,    20,   872,   866,   867,   403,   864,   883,  1016,  1025,
       0,     0,  1022,     0,     0,  1026,  1027,  1018,  1017,   397,
     158,   262,   408,   409,     0,     0,   407,   392,     0,   393,
     405,   391,     0,     0,  1032,  1033,  1047,  1130,  1178,  1206,
       0,     0,    52,    51,  1220,    20,     0,  1207,  1208,  1226,
       0,  1225,     0,  1229,  1227,  1228,  1218,  1221,  1231,     0,
      20,  1239,    20,     0,  1324,     0,  1326,  1237,  1319,  1318,
    1331,   434,  1334,     0,  1332,     0,   242,   244,     0,   245,
     246,   241,    26,    28,     0,   331,   334,     0,   309,     0,
       0,   310,   126,   127,     0,     0,     0,     0,     0,     0,
       0,   203,   262,   274,   262,     0,     0,     0,   190,   231,
     232,     0,     0,     0,   255,     0,   256,     0,     0,   286,
     284,   282,   279,   280,   281,   283,   285,   287,   288,   275,
     276,   277,   278,   304,   298,   299,   300,     0,   303,   297,
     301,   302,   306,   307,   308,   461,   462,   463,   465,   466,
     464,     0,   459,   614,   606,   602,   610,   612,   472,   473,
       0,   470,   616,     0,   505,   513,   515,   158,     0,   524,
       0,   545,     0,   526,   525,   530,   531,     0,   544,   546,
     517,   523,     0,   568,   575,   571,   572,   573,   574,   570,
       0,    65,    65,    65,    65,    65,    65,     0,   509,    65,
     509,    65,   990,    65,    65,  1236,     0,   598,   595,   604,
     851,   158,     0,     0,   856,  1308,     0,  1315,  1300,     0,
       0,   158,     0,     0,     0,   134,   162,   138,     0,   434,
       0,     0,   354,     0,  1296,  1292,     0,   427,   430,     0,
    1276,     0,  1275,  1278,     0,     0,     0,    12,    13,    14,
     374,   375,  1030,   382,   387,   437,   440,   455,     0,     0,
     404,   383,   383,     0,     0,     0,   735,    20,    20,   767,
     769,     0,     0,     0,     0,     0,    20,     0,    20,   783,
     782,   745,     0,   712,     0,     0,   733,   709,     0,     0,
     731,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   766,     0,     0,     0,     0,     0,
       0,     0,     0,   768,     0,     0,   739,     0,   824,   383,
     873,   874,     0,   879,   877,   868,     0,  1020,  1021,  1024,
    1023,   163,   164,   406,   165,   416,   410,   395,    20,   396,
     394,     0,   383,   383,   383,     0,     0,  1213,    24,  1222,
       0,    20,     0,    20,  1219,   262,  1211,  1327,  1320,  1238,
    1325,   442,  1340,  1335,   247,   240,     0,    28,   262,   320,
       0,     0,   121,   123,   317,   262,   290,   262,   262,   262,
     262,   319,     0,     0,   262,   262,   262,   262,   184,     0,
     178,   179,   262,   220,   227,   235,     0,     0,   262,     0,
     458,     0,   469,   507,   522,   529,     0,   519,   520,   542,
     543,     0,   539,   540,   541,   535,   533,   534,   518,   532,
     527,   666,     0,     0,     0,     0,     0,     0,  1004,  1013,
       0,     0,  1008,  1011,     0,  1006,     0,    65,     0,    65,
       0,     0,     0,  1281,   855,   854,   853,   857,  1302,     8,
     167,   160,     0,   171,   157,   158,   262,     0,   444,   355,
     357,    10,   426,   428,   429,   431,   432,  1271,  1274,     0,
    1270,   361,   438,    65,   434,   453,   402,     0,   635,   635,
       0,   634,   628,     0,   676,     0,   675,   669,   670,     0,
       0,     0,   754,     0,     0,   715,     0,    20,     0,     0,
     775,   774,     0,   764,     0,    25,     0,   713,   714,     0,
     710,   711,   781,   741,     0,     0,   758,     0,   753,   752,
     747,     0,   737,     0,   738,   750,   770,   749,   748,   780,
     751,   771,     0,   773,   746,   740,     0,     0,     0,     0,
       0,     0,     0,     0,    20,     0,   822,   800,     0,   158,
       0,     0,     0,     0,   849,   843,   839,     0,   876,   975,
      20,     0,    20,   894,     0,     0,   896,   886,    20,   882,
       0,   900,   976,     0,   415,   398,  1034,     0,  1050,  1041,
    1043,     0,     0,  1049,  1037,  1038,     0,  1133,    20,     0,
    1132,  1124,  1125,     0,     0,  1189,  1189,     0,     0,  1189,
    1177,  1180,  1181,     0,  1184,  1209,  1210,  1212,     0,    58,
      59,  1214,  1217,  1216,  1215,     0,   325,   326,     0,   262,
     322,   323,   324,   321,   262,   262,     0,     0,  1234,     0,
       0,   262,  1230,  1232,     0,  1328,  1338,  1342,   243,     0,
     332,     0,   311,     0,     0,     0,     0,     0,     0,     0,
     262,   258,   262,     0,     0,   190,     0,     0,     0,     0,
       0,     0,    32,    33,     0,   460,   471,     0,     0,   536,
     537,     0,   706,   700,   702,   704,   994,   992,  1009,  1012,
    1007,  1010,     0,   996,     0,  1000,  1172,  1174,     0,   166,
     159,     0,   262,   174,   140,  1279,   435,     0,   439,   441,
     400,   434,   629,   653,   630,   657,   631,   633,   434,   671,
       0,   674,     0,   759,   761,     0,     0,   719,     0,     0,
       0,     0,     0,   717,   762,     0,     0,     0,   776,   763,
     765,   734,   732,   757,   756,   742,   755,   736,   772,     0,
      20,    20,     0,    20,     0,     0,   807,   808,   809,     0,
     820,   842,   841,   840,   844,   845,     0,   848,   434,   899,
     887,     0,     0,    20,     0,   885,     0,     0,    50,    49,
     903,   898,   902,     0,     0,   892,   884,     0,   910,   411,
     412,   413,   414,    48,    47,  1082,  1091,  1040,   434,  1039,
       0,     0,  1045,    20,  1048,   434,  1129,  1126,  1128,  1131,
    1191,  1190,     0,     0,    23,  1193,  1192,  1182,  1196,  1197,
    1185,     0,  1179,  1223,     0,   262,   262,   262,     0,     0,
       0,   262,   352,     0,     0,   344,   327,   329,     0,  1321,
       0,     0,     0,    78,    89,    90,    76,     0,    79,    80,
       0,     0,    83,    84,    87,   128,    85,     0,   102,   102,
       0,     0,    88,   129,     0,   102,   102,   102,     0,     0,
     262,   314,   315,   313,   316,     0,     0,   199,     0,   262,
     197,   262,   193,     0,   262,   191,   262,   262,     0,   305,
       0,   538,   564,   562,   563,   547,   550,   554,   557,   560,
     561,   548,   549,   551,   552,   553,   555,   556,   558,   559,
     565,   566,   528,   998,  1002,   161,   168,   175,    55,    56,
      57,    53,    54,   436,   653,   651,   636,     0,     0,   660,
     695,    20,     0,     0,     0,   723,   721,   722,   725,   724,
     726,     0,   716,   778,   777,   779,    20,    20,     0,   814,
     815,   816,   817,     0,     0,   810,   804,   805,   806,   818,
      20,    20,   978,   982,   889,   890,   888,   891,   963,   924,
     904,   963,   893,   977,   911,  1089,  1088,  1079,  1095,  1094,
    1102,  1042,  1104,  1105,  1112,  1044,  1046,  1166,     0,  1187,
    1186,  1183,  1194,     0,  1188,    60,     0,     0,     0,   338,
     262,   236,     0,   262,   262,   262,     0,   262,   343,     0,
    1341,     0,    29,   312,    77,    81,    82,    86,    72,    70,
      68,    67,    69,    71,    66,    73,    95,     0,   112,    97,
      93,   103,   113,     0,     0,   114,   111,   122,   117,   118,
     119,   120,   115,   124,     0,   259,   260,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   233,   521,
     636,     0,   656,   658,   659,     0,   662,   693,   677,   672,
     760,   720,   727,   718,   798,   799,   797,   803,   802,   801,
      20,     0,   813,   846,   976,   980,   984,     0,     0,     0,
     913,     0,  1093,  1077,  1076,  1100,  1110,  1164,  1134,  1127,
    1198,   337,   263,     0,   262,   335,   176,     0,   341,   352,
       0,     0,     0,     0,     0,     0,     0,   330,  1337,  1339,
       0,    91,    75,    74,     0,     0,    74,   102,   102,     0,
     104,   105,   106,   107,   108,   102,   102,     0,   318,   214,
     198,   196,     0,   262,   194,   212,   192,     0,   262,   210,
     262,   208,   207,   262,   205,   655,     0,    20,     0,     0,
       0,     0,     0,     0,   654,   644,   475,   479,     0,   661,
      20,   664,   678,   697,   811,   812,   979,     0,   895,   966,
     964,   967,    20,     0,    20,   901,     0,   897,     0,     0,
       0,     0,     0,     0,   909,   923,     0,     0,     0,    20,
      20,    20,  1092,     0,     0,  1081,  1096,  1106,     0,  1168,
       0,     0,     0,   262,   262,   186,   189,   262,   345,   188,
     224,   221,   222,   223,   228,     0,     0,   340,   339,   262,
     262,   262,   346,   262,    96,    94,     0,    98,     0,     0,
       0,     0,     0,   116,     0,     0,     0,     0,     0,     0,
       0,   480,   642,   476,     0,     0,     0,   637,   641,   645,
       0,   646,     0,   643,   481,   652,   663,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   696,     0,     0,
       0,     0,    20,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    20,     0,     0,     0,     0,     0,     0,     0,
       0,   983,   962,     0,   968,     0,     0,   907,   908,   906,
     905,   917,   920,   921,   922,   914,   915,     0,     0,   918,
     912,     0,     0,  1083,  1084,  1085,  1090,     0,     0,     0,
       0,     0,     0,    20,     0,     0,     0,     0,  1067,  1069,
    1080,     0,     0,     0,  1099,     0,     0,     0,  1109,     0,
       0,    20,    20,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1167,  1159,
       0,     0,     0,     0,  1203,     0,   342,   177,   336,   238,
     190,     0,     0,   262,     0,     0,     0,     0,     0,    92,
       0,     0,    99,   110,   109,   213,   195,   211,   262,   209,
     262,   206,     0,     0,     0,     0,     0,   647,   648,     0,
       0,     0,     0,     0,     0,     0,     0,   679,     0,   682,
     683,   681,     0,     0,     0,     0,     0,   688,   680,     0,
       0,    20,   694,   932,   933,   934,   935,   936,   937,   938,
     939,   929,   970,   961,     0,     0,     0,   956,   950,   951,
     952,   926,   943,    20,     0,    20,    20,   945,   925,   928,
       0,     0,   930,    20,   927,     0,    20,   981,   969,   965,
     916,   919,  1116,  1116,     0,  1066,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1054,    20,     0,     0,     0,
      20,     0,    20,     0,  1078,     0,  1114,  1098,  1097,  1103,
    1101,  1108,  1107,  1113,  1111,  1140,  1138,  1157,     0,     0,
       0,  1152,  1160,  1163,  1162,  1161,  1158,  1135,     0,    20,
      20,  1139,    20,     0,  1136,  1137,     0,     0,    20,  1141,
      20,    20,  1165,     0,     0,  1202,  1195,  1199,   187,   262,
     225,   229,   237,   351,     0,     0,     0,     0,     0,     0,
       0,     0,   474,   476,   638,   639,   640,   649,   650,    61,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     478,     0,     0,   686,   687,   446,   445,   689,   684,   685,
     690,     0,   954,   953,   955,   958,   957,   946,    20,     0,
     959,   944,   942,   931,   941,   947,   940,    20,  1086,  1087,
       0,  1073,  1074,  1075,  1063,     0,  1116,     0,  1053,     0,
    1056,  1062,  1116,  1055,  1057,  1058,     0,  1071,  1068,  1072,
    1070,  1115,  1150,  1151,  1153,  1146,  1156,  1145,     0,  1154,
    1149,  1147,  1148,  1142,  1143,  1144,     0,     0,     0,   348,
     349,   347,   350,   101,   100,   200,   262,   477,   481,     0,
       0,   481,   481,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   481,     0,     0,   691,   692,   949,   972,
     971,   948,   960,  1117,  1064,  1065,  1061,  1052,  1051,  1060,
    1059,  1155,  1201,  1200,     0,   486,   481,   481,   488,   487,
     489,   481,   481,   973,     0,   262,   484,   485,   482,   483,
     974,     0,   215
};

  /* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -2120, -2120, -2120, -2120, -2120,  -151,  -256,   325,  -324,  -684,
   -2120,  -140,  -141,  1632,  1649,  1650, -2120, -2120, -2120,  -158,
   -2120, -2120,  -235, -1301, -1089,  2007, -2120, -2120,  1220, -1431,
    -268,  -180,   716,  -700, -2120,  1197,  1200,  1215, -2120,  1216,
     984,   724,   727,  -357,  -705,  -399,  1005, -2120, -2120, -2120,
   -2120,  2174, -2120, -2120, -2120, -2120, -2120, -2120, -2120, -2120,
   -2120, -2120,  2545,  -955,  1409,  1177,  2014,  -588,  -496, -2120,
    1657, -2120, -2120, -1626, -2120,   679,  -165,  1771,   506, -1134,
   -1746,  2480, -1715, -1636,  1782,   518, -2120, -2120,  1784, -2120,
   -2120, -2120, -2120,  -380, -2120, -2120, -1107, -2120,  -128,  1264,
      -4, -2120, -2120,   900,  1526,  1080, -1097,   801, -2120,  -356,
   -2120,   564, -2120, -2120, -2120,   -52,   -79, -2120,  -398, -2120,
    2291,  1897,  -101,  -432,  2278, -2120,   -25, -2120, -2120, -2120,
   -2120, -2120, -2120, -2120,  1431,  -657,  -229, -2120, -2120, -1414,
   -2120, -2120, -2120, -2120, -2120,   309, -2120,  1515,   127, -2120,
    1514, -1282,   373, -1966, -2120,  -759, -2120, -2120, -2120, -2120,
   -2120, -2120,  -190, -2120, -2120, -2120, -2120, -2120, -2120, -2120,
    1038, -2120, -2120, -2120, -2120, -2120, -2120, -2120, -2120, -2120,
   -2120, -2120, -2120, -2120, -2120, -2120, -2120, -2120, -2120, -2120,
   -2120, -2120, -2120, -2120,   931,  2102, -1277, -2120, -2120, -2120,
   -2120,  1438,   870, -2120, -2120, -2120,  1007, -2120, -2120, -2120,
   -2120, -2120, -2120, -2120, -2120, -2120, -2120, -2120, -2120, -2120,
   -2120, -2120, -2120, -2120, -2120, -2120, -2120, -2120, -2120,  1653,
    1658, -2120, -2120,  1011, -2120, -2120, -2120,  1006, -2120, -2120,
   -2120, -2120, -2120, -2120, -2120, -2120, -2120, -2120, -2120, -2120,
   -2120, -2120, -2120, -2120, -2120, -2120, -2120, -2120, -2120, -2120,
   -2120, -2120, -2120, -2120, -2120, -2120, -2120, -2120, -2120, -2120,
   -2120,   983, -2120, -2120, -2120, -2120, -2120, -2120, -2120,   872,
   -2120, -2120, -2120, -2120, -2120, -2120, -2120, -2120, -2120, -2120,
   -2120, -2120, -2120, -2120, -2120, -2120, -2120, -2120, -2120, -2120,
   -2120, -2120, -2120, -2120, -2120, -2120, -2120, -2120, -2120, -2120,
     474, -2120, -2120, -2120, -2120, -2120, -2120, -2120, -2120, -2120,
     628,   615, -2120, -2120, -2120, -2120,   477,   622, -2120, -2120,
   -2120, -2120,   483,   631, -2119, -2120, -2120, -2120, -2120, -2120,
   -2120, -2120, -2120, -2120, -2120, -2120, -2120, -2120, -2120, -2120,
   -2120, -2120, -2120,  -751,  1161, -2120, -2120, -2120, -2120, -2120,
   -2120, -2120, -2120, -2120,  1913, -2120, -2120, -2120, -2120, -2120,
   -2120, -2120, -2120, -2120, -2120, -2120, -2120, -2120, -2120, -2120,
    1725,  1767, -2120, -2120, -2120, -2120, -2120, -2120, -2120, -2120,
    1368,  2107, -2120, -2120, -2120, -2120, -2120, -2120, -2120, -2120,
   -2120, -2120, -2120
};

  /* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,     2,     3,    96,    97,   651,   664,  1826,  1729,  1043,
     435,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,  1545,  1929,   804,  1673,  1370,  1371,  2310,
     262,   566,  1777,  1878,  1606,  1607,  1608,  1609,  1617,  1610,
    1778,  1779,  1780,  1782,  1783,  1884,  1785,  1611,  1619,  1403,
    1404,   852,  1132,  1133,   180,   181,   182,    98,   631,    99,
     100,   101,   982,   983,   984,  1212,  1092,  1093,   786,   981,
     986,   102,   630,  1451,  1452,  1855,   183,   472,  1970,   866,
     473,   867,   474,   475,   476,  1974,   477,  1975,   478,   479,
    1857,   431,   184,   432,   185,   186,   187,  1390,   188,   543,
    1415,  1391,  1587,  1588,   846,   847,  1453,  1753,   103,   640,
     104,   302,  1011,   106,   107,   292,   303,   304,   394,  1019,
     684,  1020,   305,   791,   787,  1334,  1097,   108,   267,   268,
     109,  1015,  1458,  1233,  1016,  1121,  1122,   989,   990,  2177,
     110,   111,   112,   677,   306,   564,   911,   912,   574,   920,
     921,  1915,  2152,  1916,  1917,  2166,  2317,    18,    19,    20,
      21,    22,   596,    23,    24,    25,   582,  1178,  1179,   942,
    1662,    26,   584,    27,    28,    29,    30,    31,    32,    33,
      34,    35,    36,   223,   620,    37,    38,    39,    40,    41,
      42,    43,    44,    45,   193,   578,   544,   113,  1243,  1021,
     114,  1461,  1812,  1918,  2013,  1811,  1676,  1462,  1464,  1679,
    1816,  1921,  1466,    46,   115,  1249,  1022,   116,  1468,  1923,
    2028,  1922,  1818,  1469,    47,    48,    49,    50,   117,   721,
     719,  1256,  1482,  1483,   118,   353,   354,  1827,  1308,  1077,
     750,  1078,   355,   119,  1317,  1079,   120,    51,   622,   288,
     121,   122,   764,   370,   371,   372,   373,   374,  1086,  1330,
    1526,  1533,  1531,  1532,  1838,  1936,  1331,  1840,  1946,  1332,
    2053,  1837,  1930,  1931,  2056,  2331,  2444,  2420,  1518,  1538,
    1713,  1834,  1927,  1836,  1519,    52,    53,    54,    55,    56,
      57,    58,    59,   957,   123,   124,   384,   125,   669,   126,
     127,  1346,  1550,  1551,  1102,   128,  1548,  2091,  2241,  2243,
    2354,  1955,  1954,  1844,  1549,  1546,  1953,  1842,  1841,  1726,
    1547,  1730,  1845,  2095,  2249,  1956,  1731,  1734,  1846,  2099,
    2253,  1957,  1735,  2247,  2348,   289,   129,  1353,  1103,   130,
    1555,  1959,  2120,  2266,  1958,  1848,  1556,    60,    61,   131,
     132,  1104,  1363,  1562,  1364,  1567,  1570,  1742,  1743,  1960,
    2125,  2286,   133,   134,   816,   817,   405,   406,  1393,  1115,
     819,    62,   135,   417,   269,   136,  1000,  1002,   661,  1005,
     617,   618,   137,   138,    63,    64,    65,    66,    67,    68,
     231,   628,   139,  1395,   418,   140,   141,   425,   831,  1761,
    1590,  1397,   832
};

  /* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
     positive, shift that token.  If negative, reduce the rule whose
     number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
     189,   660,   471,   755,   718,   720,   440,   439,  1389,   470,
    1414,  1416,  1418,  1419,   433,   567,   665,   854,  1392,  1634,
    1017,   599,  1629,   383,  1893,  1211,   469,   468,  1003,   678,
     679,   579,  1568,   404,   416,  2226,  1047,  2153,  1145,   352,
    1552,   835,  1900,   369,   621,   382,   836,   393,   837,   426,
     839,   840,  1903,   704,   427,   403,   415,  1872,  1876,  1872,
    1876,   307,   424,   308,   428,   309,  1575,   356,  1027,   357,
     873,   375,   438,   236,  1543,   395,   874,   396,   426,   397,
    1964,   398,   695,   427,  2269,  -173,   941,   419,   420,  1965,
    1966,  1150,  1151,   428,  -173,  -173,  -173,  -173,  1732,  1375,
     437,   438,  1506,  1528,  2349,   645,   697,   715,   716,  1389,
     717,  1971,  1584,  -172,   546,   547,   548,   549,   550,  1044,
     663,   663,  -172,  -172,  -172,  -172,   974,  1375,   255,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   437,   438,
     560,  1528,  1972,   256,   642,   597,   869,   870,   445,   643,
    1376,  1377,  1378,  1379,  1380,  1381,  1382,  1383,   655,    70,
     715,   716,   461,   717,   803,   646,   647,   648,   649,  1965,
    1966,  1150,  1151,  2233,  1384,     1,   714,  1385,  1376,  1377,
    1378,  1379,  1380,  1381,  1382,  1383,   590,  1965,  1966,  1150,
    1151,    71,  1386,  1685,   220,   642,    69,   699,   701,   747,
     643,    72,  1384,    73,    74,  1385,   598,   635,   642,   636,
     642,   758,   637,   643,  1387,   643,   646,   647,   648,   649,
    1386,  1973,   259,   260,   918,  1932,    75,   233,  1962,   546,
     547,   548,   549,   550,   561,   779,  1530,  2426,   638,   190,
     191,  1031,  1387,  2429,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   642,   642,   560,  1677,   821,   643,   643,
    1755,   580,   546,   547,   548,   549,   550,   632,   200,  1048,
    2270,  1756,  1110,   225,  1507,   919,  1044,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   642,    76,   560,    77,
      78,   643,    79,   571,    80,  1045,    81,    82,   433,    83,
     433,   221,   433,   433,   546,   547,   548,   549,   550,   271,
     958,    84,    85,    86,    87,    88,    89,  1792,  1014,   551,
     552,   553,   554,   555,   556,   557,   558,   559,  1028,   642,
     560,   635,  1218,   636,   643,   633,   637,  2153,  2129,  1164,
    2227,   562,   234,   642,  1048,  1389,   656,   803,   643,  2228,
     646,   647,   648,   649,   642,  1667,  1933,   642,    90,   643,
    1032,  1101,   643,   192,    91,  1095,   272,  2230,  1025,   696,
      92,    93,  2062,  1934,  1106,  1768,  1769,  1770,   646,   647,
     648,   649,   642,  1204,   642,   290,  1971,   643,   653,   643,
    1771,  1772,  1773,   698,   994,   950,   951,   952,   953,   954,
     572,   955,   956,  2132,   959,   961,  2133,   963,   964,  1686,
    1004,   291,   546,   547,   548,   549,   550,  1972,   462,   463,
     145,   464,   465,   466,  1367,   838,   680,   551,   552,   553,
     554,   555,   556,   557,   558,   559,  1569,   845,   560,   546,
     547,   548,   549,   550,   590,  1049,   855,   856,   857,   858,
     859,   860,  1045,  1033,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   868,   257,   560,  1774,  1775,   642,  1111,
    1748,  1853,  2224,   643,  1703,  1678,   977,  2063,   462,   463,
    1150,  1151,   465,   466,   700,   702,  1108,  2234,  1109,   646,
     647,   648,   649,  1211,  2262,  1798,  1973,  1800,  2231,   663,
    1802,   642,  1805,  1807,   996,  1034,   643,  2292,   226,  1001,
     443,  1006,   546,   547,   548,   549,   550,  1089,  1090,  1935,
    1049,  1786,   646,   647,   648,   649,  2263,   551,   552,   553,
     554,   555,   556,   557,   558,   559,  1635,  1636,   560,  1630,
    1206,  1894,   879,   880,   881,   882,   883,   884,   885,   886,
     887,   888,   889,   890,   891,   892,  1146,   429,  1945,  1901,
     770,   849,  2198,   430,   641,   608,  1576,   105,   960,  1904,
     746,  1877,  1052,  1885,   690,  1055,   642,  1057,  1058,  2332,
    2333,   643,   652,  1315,   642,   263,   429,  1699,  1700,   643,
    1167,   642,   430,  1704,   259,   260,   643,  1967,  1046,   724,
    2064,  1968,  -173,  1733,   676,  1563,  -173,   725,  1571,  1083,
    1928,   444,   646,   647,   648,   649,  1728,  1012,  1112,   675,
    2197,  1237,   663,   663,  2311,   979,   232,  1696,   773,  2318,
    -172,   609,  1751,  1096,  -172,   991,  1214,  1096,   437,   438,
     993,  1096,   691,  1389,   871,  2052,   742,   705,  1937,  1824,
    1825,   712,   644,  1856,   774,  1254,  1113,   264,   265,   266,
     440,   439,   850,  2173,  2174,   735,   590,  2199,   711,    94,
    2418,   235,  1119,   744,  1120,   642,  2119,  2289,    95,  1307,
     643,   743,  1123,   222,   970,   756,   368,   771,   759,   642,
    2261,   762,   253,  1759,   643,  1967,   646,   647,   648,   649,
     258,   769,   658,   644,   633,  1207,  1283,   471,   471,   659,
     646,   647,   648,   649,  1168,   639,   644,   470,   644,   642,
    1217,  1511,  2264,   563,   643,   462,   463,  1150,  1151,   465,
     466,  1227,  2314,  1228,   469,   468,   824,  1697,   826,   650,
     646,   647,   648,   649,  1398,   863,   864,  1389,  1050,  2068,
     261,  2312,  2278,   227,  1698,  1491,  2319,  2211,   254,  1995,
     713,   644,   644,  1099,  1997,  2245,  1998,  1100,  1197,  2000,
    1199,  1182,  1183,  1184,  1185,  1186,  1187,  1094,  1125,  1198,
    2274,  1200,   573,  1201,  1202,   546,   547,   548,   549,   550,
    2200,   270,   591,  1291,   644,  1760,  1174,  1173,   273,  2265,
     551,   552,   553,   554,   555,   556,   557,   558,   559,  2175,
     293,   560,   971,   781,   294,   295,   436,  2275,   421,   385,
    1411,  1412,   297,  1492,  2195,  2174,   546,   547,   548,   549,
     550,  1428,   972,   575,   576,  1439,   434,   644,  1440,   639,
    1441,   551,   552,   553,   554,   555,   556,   557,   558,   559,
    1524,   644,   560,  2054,   973,   708,  1389,  1389,  1142,  2055,
    1143,  1712,   644,   667,   668,   644,  1856,  2176,  2096,   298,
    1706,   436,  1250,  1251,   299,  2097,  2259,  2174,  1513,   875,
    2399,  2400,  1259,   441,   592,   876,   442,  2414,  2415,   446,
     644,   642,   644,  1267,  1268,   449,   643,  1270,  1271,  1707,
    1708,   642,  1274,  1275,  1784,  1277,   643,   715,   716,  1281,
     717,  1784,   646,   647,   648,   649,  1465,  1007,  1008,  1009,
    1292,  1248,   646,   647,   648,   649,   467,   437,   438,  1128,
    1528,  1318,   546,   547,   548,   549,   550,   194,   195,   198,
     199,   447,  1242,  1247,   709,   224,   610,   551,   552,   553,
     554,   555,   556,   557,   558,   559,  1137,   577,   560,   190,
     191,  1373,   546,   547,   548,   549,   550,  2092,  2098,   710,
    2175,   480,   966,  2093,   967,   809,   644,   551,   552,   553,
     554,   555,   556,   557,   558,   559,  1152,   586,   560,   611,
     612,   613,   614,   615,   616,   228,   433,   229,   230,  1485,
    1316,  1345,  1352,  1362,   558,   559,  1018,   386,   560,   644,
    2160,   587,  1521,  1522,  2300,   448,  2301,  1442,   450,  1444,
    2009,   451,  2175,  1344,  1351,  1361,  1389,   481,  2196,  1138,
     440,   439,  1035,  1565,  1037,   593,   452,  2121,  2122,  2161,
    1523,   387,   388,  1514,  2123,   389,  1159,  1051,  1160,   453,
    2010,   594,   595,  1457,  1534,  1059,   390,  1061,  1161,  1063,
    1162,  1065,  1066,  1067,  1068,  1069,  1070,  2094,  1072,   454,
    1074,  1075,   588,  1709,  1169,  1170,  1171,  1172,  1874,  1080,
    2260,   455,  1081,   192,   644,  1886,  1084,   565,  1874,  1566,
    1886,   570,   644,   546,   547,   548,   549,   550,   581,   644,
    2351,  2352,  2353,  2162,   589,   583,  2124,  1487,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   715,   716,   560,
     717,  1107,  2339,   585,   845,  2011,  2012,   568,   569,   590,
    1105,  1405,  2378,  1406,  1407,  1408,  1409,  2163,   600,   196,
     197,   438,  2164,  1543,  1593,  1117,   601,  1118,  1421,   602,
    1594,  1595,  1596,  1597,  1424,  1598,  1599,  1600,  2165,   603,
    1601,  1515,  1602,  1603,   966,   604,  1455,  1529,  1604,  1612,
     605,  1719,  1988,  1989,   728,   729,    72,   810,    73,    74,
    1991,  1992,   606,   644,   469,   468,  1691,   619,  1692,   422,
    2403,  2404,  2405,  2406,  2407,   607,  1544,   644,  1558,   423,
    1544,   715,   716,  1560,  1564,   260,   142,   811,   143,   144,
     145,   146,   147,   148,   149,   625,   812,  1539,  1540,  1541,
    1542,   150,   151,   865,  1947,  1948,   152,   644,  1949,  1950,
    1951,   226,  1674,   467,  1880,  1881,  1882,  1883,   153,  1680,
     154,   155,   626,  1589,  1188,   627,   -64,   -64,   142,   -64,
     143,   144,   145,   146,   147,   148,   149,  2017,  1789,   629,
    1791,  1189,  2434,   150,   151,   634,  2018,   654,   152,   293,
     657,  2019,   662,   294,   295,  1862,  1863,  1244,   666,  1864,
     153,   297,   154,   155,  1865,  1866,    84,    85,    86,    87,
      88,    89,   156,   157,   456,   457,   458,   459,  1190,   670,
    1906,   671,  1139,   259,   260,   673,   158,   159,   672,  1668,
    1669,  2451,  1670,   160,   161,   162,  1672,  1671,   163,  1727,
     674,  1682,   732,   733,   164,  1908,  1737,  1952,   298,   681,
     165,   575,   576,   299,   156,   157,   456,   457,   458,   459,
    1375,   775,   776,  1140,   682,  1938,   997,   998,   158,   159,
    1134,  1135,  1253,  1255,   683,   160,   161,   162,   790,  1205,
     163,  1262,   687,  1264,  1223,  1224,   164,   813,   814,   815,
    1714,  1715,   165,  1717,  1829,  1578,   685,  2020,  1319,  1191,
    1579,  1580,  1939,  1722,  1225,  1226,  1723,  1586,   686,  1940,
     688,  1376,  1377,  1378,  1379,  1380,  1381,  1382,  1383,   644,
    1429,  1430,  1245,   692,   790,  1512,  1625,   689,  1626,   644,
    1814,  1739,  1740,  1627,  1628,  1384,   780,   781,  1385,   693,
    1744,  1236,   703,  1335,   546,   547,   548,   549,   550,   782,
    1632,  1633,   694,  1386,   783,  1868,  1372,   706,  1374,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   784,  1410,
     560,   707,  1529,   722,   785,  1387,  1776,  1689,  1690,  2021,
    2022,  1765,  1766,  1776,   723,  1320,  -334,  -334,  -334,   469,
     468,  1872,  1873,  2023,  2024,  2025,   726,  1544,   727,  1620,
    2026,  -334,  -334,  -334,  -334,  -334,   556,   557,   558,   559,
     731,  1919,   560,   943,   734,  1941,  1942,  1943,   730,   142,
     737,   143,   144,   145,   146,   147,   148,   149,  1192,   736,
     944,   738,  1321,   748,   150,   151,   740,   780,   781,   152,
    1193,   546,   547,   548,   549,   550,  1891,  1892,  1896,  1897,
     782,   153,   739,   154,   155,   783,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   741,  1593,   560,   745,   788,
    2004,  2005,  1594,  1595,  1596,  1597,   749,  1598,  1599,  1600,
     945,   751,  1601,   752,  1602,  1603,   905,   906,   907,   753,
    1604,  1746,   845,  2157,  2158,  2169,  2170,  1752,  2307,  2308,
    2315,  2316,  1486,  2321,  2322,   156,   157,  1849,   908,   909,
     757,   910,  2143,  2144,  1322,   623,   624,   761,   760,   158,
     159,  1194,   754,   763,   766,   767,   160,   161,   162,  1136,
     768,   163,  1323,   772,  1324,   777,  1794,   164,  1325,   778,
    1326,   946,   790,   165,  1327,  1328,  1871,   792,  1613,  1508,
     947,   948,  1879,   793,   794,   795,  1195,  1196,  2001,  2435,
     796,   949,  2438,  2439,   797,  1520,   798,  1525,   546,   547,
     548,   549,   550,  1535,  2440,  2007,  1944,   805,  1246,   799,
     806,   807,   808,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   820,  1557,   560,   818,   822,  2446,  2447,  1529,
    1925,  1529,  2448,  2449,   823,   546,   547,   548,   549,   550,
     825,   827,  1969,   833,   829,   828,   469,   468,   469,   468,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   830,
     841,   560,   834,   844,   842,   843,   166,   848,  1375,  1984,
     851,   212,  1776,   167,  1776,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   861,   246,   247,   248,   249,   250,
     251,  2027,   213,   560,   214,   215,   862,   872,   877,  1859,
    1860,  1861,   878,  1586,   913,   914,   915,   980,   166,  1329,
     663,  2008,  1768,  1769,  1770,   167,   916,   917,   922,  1376,
    1377,  1378,  1379,  1380,  1381,  1382,  1383,  1771,  1772,  1773,
     924,   925,  2058,   962,   965,  2271,   968,  2061,   969,  2065,
    2066,   975,  2069,  1384,   978,   987,  1385,   988,   546,   547,
     548,   549,   550,   992,   216,   217,   218,   219,   995,   999,
    1010,  1386,  1013,   551,   552,   553,   554,   555,   556,   557,
     558,   559,  1023,  1024,   560,  1701,  1702,  1036,  1705,  1026,
    1029,  1030,  1038,  1387,  1039,  2139,  1040,  2140,  2141,  2142,
    1041,  1042,   546,   547,   548,   549,   550,  1388,  1716,  1053,
    1054,  1056,  1060,  1774,  1775,  2285,  1062,   551,   552,   553,
     554,   555,   556,   557,   558,   559,  2167,  1064,   560,  2171,
     780,   781,  2178,  2408,  2409,  2410,  2411,  2412,  1736,  2191,
    1071,  1073,  1076,   782,  1082,  2201,  2202,  1087,   783,  1088,
    1501,   810,  2208,  2209,  1098,  2212,  1116,  2214,  2304,  2305,
    2306,  1124,   784,  1126,  2218,  1127,  1129,  1131,   785,  1130,
    1144,   546,   547,   548,   549,   550,  2220,  2221,  1147,  1149,
    2222,  2223,  1156,  2328,  2329,  1157,   551,   552,   553,   554,
     555,   556,   557,   558,   559,  1158,  1544,   560,  1163,  1165,
    1141,  2246,  1180,  1181,  1166,  2246,  1208,  1215,  1216,  2255,
     437,   800,   801,   802,   142,  2267,   143,   144,   145,   146,
     147,   148,   149,  2130,  2279,  1219,  1969,  1969,  1222,   150,
     151,  1413,  1230,  1231,   152,  2135,  2136,  2137,   153,  2138,
     154,   155,  1232,  1235,  1257,  1252,   153,  1234,   154,   155,
    1260,  1258,  1261,  1263,  1265,  1272,  1273,  2416,  2417,  1276,
    1278,  1279,  1280,   663,   663,   663,  1819,  2419,  1333,   166,
    -333,  2313,  1368,  1282,  1284,  1285,   167,  1286,  1287,  1288,
    1289,  2323,  2324,  2325,  2326,  2327,  1290,  1369,   663,   663,
    1605,  1394,  1293,  1294,  1295,  1832,  1833,  1148,  1336,  1399,
     156,   157,  1365,  2334,  2335,  2336,  1366,  1396,  1401,  1402,
    1420,  1422,  1423,  1427,   158,   159,  1431,  1432,  1433,  2342,
    2343,   160,   161,   162,  2345,  1438,   163,  1434,  1435,  1436,
    1437,  1443,   164,  1445,  1446,  1447,  1448,  2356,   165,  2358,
    1449,  2360,  1454,  2362,  1456,  1460,  2364,  2365,  1467,  1470,
    1472,  1471,  1473,  1474,  2371,  2183,  2184,  2185,  2186,  2187,
    2188,  2189,  2190,  1484,  1488,  1489,  1490,  2372,  2373,  2374,
    1493,  1494,  1495,  1496,  1497,  1498,  1499,  2375,  2432,  2433,
    1500,  1503,  2380,  1504,  1505,  2381,  2382,  1502,  1509,  1510,
    1516,  1517,  1527,  1536,   142,  1537,   143,   144,   145,   146,
     147,   148,   149,  1553,  1554,  1559,  1561,  2393,  2394,   150,
     151,  1417,  1572,  1574,   152,  1924,  1577,   546,   547,   548,
     549,   550,  1581,  1585,  1220,  1582,   153,  1591,   154,   155,
    1210,  1592,   551,   552,   553,   554,   555,   556,   557,   558,
     559,  1631,   142,   560,   143,   144,   145,   146,   147,   148,
     149,  1637,  1638,  1640,  1641,     4,  1663,   150,   151,  2424,
    1664,  1221,   152,  1666,  2425,     5,  2427,  1675,  2428,  1683,
    1684,  1687,  1681,  1688,   153,  2430,   154,   155,  1710,  1693,
     156,   157,  1738,  1694,  1695,  -172,  1711,  1354,  1745,     6,
       7,  1718,  2002,  1720,   158,   159,  1721,  1724,  1725,  1754,
    1757,   160,   161,   162,  1758,  2016,   163,  1762,  1763,  1764,
    1475,  1767,   164,  1781,  1787,  1797,  1793,  2057,   165,  2059,
    1801,     8,  1803,  1808,     9,  1813,    10,  1815,   156,   157,
    1817,  1820,  1821,  1830,  2073,  2074,  2075,  1822,  1375,  1831,
    1852,  1835,   158,   159,  1843,  2388,  1847,  1850,  1869,   160,
     161,   162,  1870,    11,   163,  1875,  1887,    12,  1889,  1890,
     164,  1920,    13,    14,  1963,   142,   165,   143,   144,   145,
     146,   147,   148,   149,  1621,  1990,  1993,  1994,  1996,  1895,
     150,   151,  1799,  1898,  1979,   152,  1899,  1902,  1961,  1376,
    1377,  1378,  1379,  1380,  1381,  1382,  1383,   153,  1980,   154,
     155,  1981,  1982,  1999,   142,  1983,   143,   144,   145,   146,
     147,   148,   149,  1384,  2003,  2006,  1385,  2193,  1622,   150,
     151,  1804,  2014,  2015,   152,  2060,  2067,  2207,  2070,  1476,
    2131,  1386,  2076,  2071,  2126,  2072,   153,  2150,   154,   155,
    2127,   546,   547,   548,   549,   550,  2148,  2134,  2145,  1906,
    2146,   156,   157,  1387,  2154,  2147,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   158,   159,   560,  2235,  2149,
    2155,    15,   160,   161,   162,  2151,  2159,   163,  2156,  2168,
     546,   547,   548,   164,  2172,  1209,  2256,  2257,  2179,   165,
     156,   157,  2180,  2181,  2182,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   158,   159,   560,  2192,  2204,  2203,
    2194,   160,   161,   162,  2205,  2206,   163,   546,   547,   548,
     549,   550,   164,  2210,   166,  2215,  2216,  2229,   165,  2239,
    2232,   167,   551,   552,   553,   554,   555,   556,   557,   558,
     559,  2213,  2217,   560,   142,  2219,   143,   144,   145,   146,
     147,   148,   149,  2240,  2236,  2237,  2242,  2238,  2244,   150,
     151,  1806,  2250,  1732,   152,  1477,  2330,  1478,  2254,  1479,
    1480,  2258,  2268,  1481,  2272,  2273,   153,  2282,   154,   155,
    2284,  2276,  2277,  2287,  2293,  2298,  2299,  2302,  2337,  2280,
    2340,  2341,  2281,  2303,  2309,  2320,  2347,  2338,  2344,  2283,
     142,  2346,   143,   144,   145,   146,   147,   148,   149,  2350,
    2355,  2357,  2359,  2366,  2386,   150,   151,  2387,  2395,  2452,
     152,  2363,  2389,  2396,  2390,  2367,  2391,  2369,  2445,  1175,
     156,   157,   153,  2422,   154,   155,    16,    17,  2392,  2398,
    2401,  2431,  2443,  2402,   158,   159,  1176,  1177,  1573,   940,
    1986,   160,   161,   162,  2376,  2377,   163,  2379,  1788,  1987,
    1985,  1614,   164,  2383,  1615,  2384,  2385,  2413,   165,  2436,
    2437,  2441,  2442,   546,   547,   548,   549,   550,  2450,  1616,
    1618,  1790,   853,   252,  1450,  1665,   156,   157,   551,   552,
     553,   554,   555,   556,   557,   558,   559,  2290,  1213,   560,
     158,   159,  2128,  1153,   166,   985,   460,   160,   161,   162,
    2291,   167,   163,  1583,  1400,  1154,  1747,  1867,   164,  1155,
    1976,   765,  1085,  2421,   165,  1459,   789,   546,   547,   548,
     549,   550,  2423,  1623,  1425,  1426,  2397,  1463,  1809,   923,
    1905,  1810,   551,   552,   553,   554,   555,   556,   557,   558,
     559,  -328,   166,   560,   546,   547,   548,   549,   550,   167,
    1269,  1266,  1823,  1828,  1839,  2225,  1926,  2361,  2248,   551,
     552,   553,   554,   555,   556,   557,   558,   559,  2368,  2252,
     560,   546,   547,   548,   549,   550,  2370,  2251,  1741,  1229,
    1114,   976,     0,  1203,     0,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,     0,     0,   560,   546,   547,
     548,   549,   550,     0,     0,     0,     0,     0,     0,     0,
    1906,  1907,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,     0,     0,   560,   546,   547,   548,   549,   550,
       0,     0,     0,     0,  1854,  1908,     0,     0,     0,     0,
     551,   552,   553,   554,   555,   556,   557,   558,   559,     0,
       0,   560,     0,     0,     0,     0,     0,     0,   546,   547,
     548,   549,   550,     0,     0,   166,     0,     0,     0,     0,
       0,     0,   167,   551,   552,   553,   554,   555,   556,   557,
     558,   559,  1909,  1910,   560,     0,  1911,  1912,     0,     0,
       0,     0,  1913,     0,     0,     0,     0,   546,   547,   548,
     549,   550,     0,     0,   166,     0,     0,     0,     0,     0,
       0,   167,   551,   552,   553,   554,   555,   556,   557,   558,
     559,     0,     0,   560,  2100,     0,     0,     0,     0,     0,
       0,     0,     0,   546,   547,   548,   549,   550,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1624,   551,   552,
     553,   554,   555,   556,   557,   558,   559,     0,     0,   560,
     546,   547,   548,   549,   550,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,     0,     0,   560,   546,   547,   548,
     549,   550,     0,     0,     0,     0,  1354,     0,    72,     0,
      73,    74,   551,   552,   553,   554,   555,   556,   557,   558,
     559,     0,     0,   560,   546,   547,   548,   549,   550,     0,
       0,     0,     0,  1639,     0,     0,     0,     0,     0,   551,
     552,   553,   554,   555,   556,   557,   558,   559,     0,     0,
     560,     0,     0,     0,   166,   546,   547,   548,   549,   550,
       0,   167,  1906,  2101,     0,     0,     0,     0,     0,     0,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   358,
      72,   560,    73,    74,     0,     0,     0,  1908,     0,     0,
       0,     0,     0,     0,     0,     0,  1309,   781,     0,     0,
       0,   293,     0,   293,     0,   294,   295,   294,   295,    72,
     166,    73,    74,   297,     0,   297,  1310,   167,    84,    85,
      86,    87,    88,    89,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2102,     0,     0,  2103,  2104,     0,     0,
       0,     0,     0,     0,  2105,     0,     0,     0,     0,  2106,
       0,     0,  2107,     0,     0,     0,     0,  2108,     0,     0,
     298,     0,   298,     0,     0,   299,     0,   299,     0,     0,
       0,  2077,     0,   293,     0,     0,  1914,   294,   295,     0,
       0,     0,     0,     0,     0,   297,     0,  2109,     0,  1795,
      84,    85,    86,    87,    88,    89,     0,     0,    72,     0,
      73,    74,   293,     0,     0,     0,   294,   295,     0,     0,
    2110,     0,     0,     0,   297,     0,     0,     0,     0,    84,
      85,    86,    87,    88,    89,     0,     0,     0,     0,     0,
       0,     0,   298,     0,     0,  1337,     0,   299,  1355,     0,
       0,     0,     0,  1796,     0,     0,     0,     0,    72,     0,
      73,    74,     0,     0,     0,     0,     0,     0,     0,   293,
       0,   298,     0,   294,   295,     0,   299,  1238,     0,     0,
    1888,   297,     0,  1356,     0,     0,     0,     0,     0,   407,
       0,  2111,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   293,     0,     0,     0,   294,   295,  2288,     0,  1338,
       0,  2078,  2112,   297,     0,     0,  2079,     0,    84,    85,
      86,    87,    88,    89,     0,  1311,  1312,  1313,   298,     0,
       0,     0,   408,   299,  2294,     0,     0,     0,     0,     0,
       0,     0,  2080,     0,     0,     0,     0,  2113,  2114,  2115,
    2116,   293,  2117,     0,     0,   294,   295,     0,     0,     0,
     298,  2295,     0,   297,     0,   299,  2081,     0,    84,    85,
      86,    87,    88,    89,     0,    72,     0,    73,    74,  2082,
    1239,  1240,   376,     0,     0,     0,   893,     0,     0,     0,
       0,     0,     0,   894,  2296,     0,     0,     0,    72,     0,
      73,    74,     0,     0,     0,   359,   360,   361,   362,     0,
     298,     0,     0,     0,     0,   299,     0,   895,     0,   896,
       0,     0,     0,     0,     0,     0,     0,     0,  2118,     0,
       0,  1357,     0,  2297,     0,   363,     0,  1358,     0,  1359,
       0,     0,   364,   897,     0,   365,     0,     0,   366,     0,
       0,   898,   899,     0,   900,   901,    72,     0,    73,    74,
       0,     0,   902,   903,   904,     0,     0,  1749,   293,     0,
       0,     0,   294,   295,   409,     0,     0,     0,     0,     0,
     297,     0,     0,     0,     0,    84,    85,    86,    87,    88,
      89,   293,     0,     0,  1851,   294,   295,     0,     0,  1347,
    1360,     0,  1314,   297,     0,     0,     0,     0,    84,    85,
      86,    87,    88,    89,  2083,  2084,     0,     0,     0,  2085,
    2086,  1858,  2087,     0,     0,     0,     0,   298,     0,     0,
    2088,  2089,   299,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   399,   310,   311,   410,     0,     0,  1977,   293,
     298,   201,   202,   294,   295,   299,     0,   296,     0,     0,
       0,   297,     0,     0,     0,     0,    84,    85,    86,    87,
      88,    89,   367,   312,     0,     0,     0,   274,     0,  1978,
     203,   386,     0,     0,     0,     0,     0,   204,     0,     0,
     411,   412,   413,     0,  1339,  1340,   400,     0,  1341,     0,
       0,   414,     0,  1342,   313,     0,   293,   205,   298,   206,
     294,   295,     0,   299,     0,   387,   388,   207,   297,   389,
     482,   377,   378,   379,   380,   483,  2090,   275,     0,     0,
     390,     0,   208,     0,   293,     0,     0,     0,   294,   295,
       0,   314,   315,     0,     0,   401,   297,     0,     0,     0,
       0,   316,   317,   318,   319,     0,     0,     0,  1241,     0,
       0,     0,     0,     0,   320,   298,     0,   321,   322,     0,
     299,     0,     0,     0,   276,     0,     0,   300,     0,   484,
     485,     0,   486,   487,   488,   489,   490,     0,     0,   277,
    1343,  1296,     0,   298,     0,     0,     0,     0,   299,     0,
     546,   547,   548,   549,   550,     0,     0,   323,     0,     0,
       0,   324,     0,     0,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,     0,     0,   560,     0,   209,     0,
       0,     0,     0,     0,     0,     0,     0,   325,   326,     0,
     381,     0,     0,  1348,     0,   327,   328,     0,   329,     0,
       0,     0,   386,     0,     0,     0,     0,     0,     0,     0,
    1297,     0,   330,     0,     0,     0,     0,     0,   331,     0,
     332,     0,   333,   334,     0,     0,   335,   336,   337,     0,
     491,   278,     0,     0,     0,   279,  1298,   388,  1750,     0,
     389,     0,     0,   338,   339,     0,     0,     0,  1349,   340,
     341,   390,  1642,     0,  1643,  1644,     0,   342,     0,   391,
       0,   343,     0,     0,   344,   345,     0,   346,   210,   347,
       0,     0,     0,   348,   349,     0,   350,     0,     0,  2029,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   280,
       0,     0,   211,   492,   281,   282,     0,     0,     0,     0,
    1299,     0,     0,     0,  1300,     0,     0,   402,     0,     0,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
       0,     0,     0,     0,     0,   283,     0,     0,     0,     0,
    1350,     0,     0,     0,     0,     0,     0,   503,   504,   284,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   285,
       0,     0,     0,   286,     0,     0,     0,     0,     0,     0,
       0,     0,  1645,  1646,  1647,  1648,  1649,  1650,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     505,   506,   507,   508,     0,     0,     0,     0,   301,     0,
       0,     0,     0,  1906,     0,  1301,     0,     0,     0,     0,
       0,   287,     0,     0,  1302,  1303,     0,     0,     0,     0,
       0,  1304,     0,     0,     0,  1305,     0,     0,  1908,     0,
       0,     0,     0,     0,     0,     0,     0,  1651,  1652,  1653,
    1654,  1655,  1656,  1657,  1658,  1659,  1660,  1661,  2030,     0,
       0,     0,     0,     0,     0,   392,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2031,     0,     0,     0,  2032,   509,   510,  2033,  2034,     0,
       0,     0,     0,   351,     0,  2035,     0,     0,     0,   511,
     512,     0,  2036,     0,   491,     0,     0,  2037,  2038,  2039,
       0,     0,     0,     0,     0,     0,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   539,   540,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   926,     0,
       0,  2040,     0,     0,   541,   542,     0,   492,     0,     0,
    2041,     0,   437,   800,   801,   802,     0,     0,     0,     0,
       0,     0,     0,     0,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,     0,     0,     0,     0,     0,  1091,
     153,     0,   154,   155,  2042,     0,  2043,     0,  2044,  2045,
    2046,   503,   504,     0,     0,     0,  2047,     0,     0,     0,
       0,  2048,   545,     0,     0,     0,     0,   546,   547,   548,
     549,   550,  2049,     0,     0,     0,  1306,     0,     0,     0,
    2050,     0,   551,   552,   553,   554,   555,   556,   557,   558,
     559,     0,     0,   560,   505,   506,   507,   508,   237,   238,
     239,   240,   241,   242,   243,   244,   245,     0,   246,   247,
     248,   249,   250,   251,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   927,   781,     0,     0,
       0,     0,     0,     0,     0,   928,     0,     0,     0,   929,
       0,     0,   930,   931,     0,     0,   932,     0,     0,     0,
       0,   546,   547,   548,   549,   550,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   933,   551,   552,   553,   554,
     555,   556,   557,   558,   559,     0,     0,   560,     0,   509,
     510,   934,   935,   936,     0,   937,     0,   938,   939,     0,
       0,     0,     0,   511,   512,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2051,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,   537,   538,   539,   540,   237,   238,
     239,   240,   241,   242,   243,   244,   245,     0,   246,   247,
     248,   249,   250,   251,     0,     0,     0,     0,   541,   542
};

static const yytype_int16 yycheck[] =
{
       4,   269,   167,   359,   328,   329,   147,   147,  1115,   167,
    1144,  1145,  1146,  1147,   142,   195,   272,   449,  1115,     7,
     677,   211,     7,   124,     7,   980,   167,   167,   144,   297,
     298,     3,    59,   134,   135,   113,   720,  2003,     7,   118,
    1341,     7,     7,   122,   224,   124,   426,   126,   428,    15,
     430,   431,     7,   321,    20,   134,   135,    11,    12,    11,
      12,   113,   141,   115,    30,   117,    23,   119,    77,   121,
     525,   123,    18,    77,    20,   127,   531,   129,    15,   131,
       6,   133,    45,    20,   267,     6,   582,   139,   140,    15,
      16,    17,    18,    30,    15,    16,    17,    18,    21,    20,
      17,    18,   145,    20,  2223,   256,    45,    17,    18,  1216,
      20,  1857,  1389,     6,     8,     9,    10,    11,    12,    43,
     271,   272,    15,    16,    17,    18,   622,    20,   176,    23,
      24,    25,    26,    27,    28,    29,    30,    31,    17,    18,
      34,    20,  1857,   191,    15,   177,    28,    29,   152,    20,
      71,    72,    73,    74,    75,    76,    77,    78,    21,     3,
      17,    18,   166,    20,   399,    36,    37,    38,    39,    15,
      16,    17,    18,   113,    95,     4,   327,    98,    71,    72,
      73,    74,    75,    76,    77,    78,    20,    15,    16,    17,
      18,    35,   113,   124,    37,    15,     0,    45,    45,   350,
      20,    45,    95,    47,    48,    98,   238,    15,    15,    17,
      15,   362,    20,    20,   135,    20,    36,    37,    38,    39,
     113,  1857,    20,    21,   152,   233,    70,    20,  1854,     8,
       9,    10,    11,    12,    37,   386,  1325,  2356,    46,    20,
      21,   215,   135,  2362,    23,    24,    25,    26,    27,    28,
      29,    30,    31,    15,    15,    34,    32,   408,    20,    20,
      23,   233,     8,     9,    10,    11,    12,    20,     3,    43,
     453,    34,    45,   235,   317,   203,    43,    23,    24,    25,
      26,    27,    28,    29,    30,    31,    15,   131,    34,   133,
     134,    20,   136,    37,   138,   219,   140,   141,   426,   143,
     428,   144,   430,   431,     8,     9,    10,    11,    12,   446,
     144,   155,   156,   157,   158,   159,   160,  1618,   674,    23,
      24,    25,    26,    27,    28,    29,    30,    31,   337,    15,
      34,    15,   989,    17,    20,    88,    20,  2303,  1964,   927,
     418,   144,    20,    15,    43,  1452,   209,   582,    20,   427,
      36,    37,    38,    39,    15,  1452,   364,    15,   202,    20,
     334,   793,    20,   144,   208,    37,   503,   283,   692,   332,
     214,   215,   149,   381,   806,     8,     9,    10,    36,    37,
      38,    39,    15,   971,    15,    20,  2132,    20,   261,    20,
      23,    24,    25,   332,   650,   585,   586,   587,   588,   589,
     144,   591,   592,   525,   594,   595,   528,   597,   598,   340,
     526,    46,     8,     9,    10,    11,    12,  2132,    15,    16,
      17,    18,    19,    20,  1108,   429,   299,    23,    24,    25,
      26,    27,    28,    29,    30,    31,   463,   441,    34,     8,
       9,    10,    11,    12,    20,   219,   450,   451,   452,   453,
     454,   455,   219,   273,    23,    24,    25,    26,    27,    28,
      29,    30,    31,   467,   512,    34,    99,   100,    15,   242,
    1577,  1748,   418,    20,   215,   251,   627,   254,    15,    16,
      17,    18,    19,    20,   332,   332,   810,   427,   812,    36,
      37,    38,    39,  1448,   149,  1629,  2132,  1631,   414,   650,
    1634,    15,  1636,  1637,   655,   325,    20,  2133,    21,   660,
      29,   662,     8,     9,    10,    11,    12,   773,   774,   527,
     219,  1610,    36,    37,    38,    39,   181,    23,    24,    25,
      26,    27,    28,    29,    30,    31,   524,   525,    34,   524,
     972,   524,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   525,   523,  1840,   524,
      46,    29,   149,   529,   255,    77,   523,     3,   144,   524,
     331,   525,   723,   525,   216,   726,    15,   728,   729,   384,
     385,    20,   257,  1079,    15,   140,   523,   245,   246,    20,
      20,    15,   529,   334,    20,    21,    20,   523,   522,   275,
     377,   527,   523,   526,   295,  1356,   527,   283,  1359,   760,
     527,   130,    36,    37,    38,    39,   526,   669,   391,   294,
    2034,  1019,   773,   774,    46,   629,     3,   169,   217,    46,
     523,   143,   526,   784,   527,   639,    20,   788,    17,    18,
     644,   792,   284,  1750,   526,  1927,   252,   322,   527,   335,
     336,   326,   523,  1750,   243,   526,   429,   212,   213,   214,
     801,   801,   130,    61,    62,   340,    20,   254,   215,   513,
     527,    20,   823,   348,   825,    15,  1958,   523,   522,  1077,
      20,   287,   833,   526,     3,   360,   122,   173,   363,    15,
    2104,   366,   523,   425,    20,   523,    36,    37,    38,    39,
     161,   376,   500,   523,    88,   973,  1062,   872,   873,   507,
      36,    37,    38,    39,   144,   523,   523,   875,   523,    15,
     988,  1309,   377,   526,    20,    15,    16,    17,    18,    19,
      20,   999,  2163,  1001,   875,   875,   411,   279,   413,   163,
      36,    37,    38,    39,  1124,   524,   525,  1854,   522,   188,
     176,   173,   383,   266,   296,   522,   173,   188,   139,  1893,
     522,   523,   523,   788,  1898,   426,  1900,   792,   958,  1903,
     960,   951,   952,   953,   954,   955,   956,   781,   524,   959,
     332,   961,   526,   963,   964,     8,     9,    10,    11,    12,
     377,   167,   146,   522,   523,   527,   937,   937,   151,   454,
      23,    24,    25,    26,    27,    28,    29,    30,    31,   207,
     138,    34,   131,   132,   142,   143,    31,   369,   146,   526,
     524,   525,   150,   522,    61,    62,     8,     9,    10,    11,
      12,    46,   151,    20,    21,  1191,    31,   523,  1194,   523,
    1196,    23,    24,    25,    26,    27,    28,    29,    30,    31,
     364,   523,    34,   381,   173,   212,  1963,  1964,   862,   387,
     864,  1518,   523,   354,   355,   523,  1963,   265,   427,   197,
     279,    31,  1023,  1024,   202,   434,    61,    62,  1310,   525,
    2311,  2312,  1033,   523,   238,   531,   130,  2318,  2319,    15,
     523,    15,   523,  1044,  1045,   523,    20,  1048,  1049,   308,
     309,    15,  1053,  1054,  1609,  1056,    20,    17,    18,  1060,
      20,  1616,    36,    37,    38,    39,  1240,    40,    41,    42,
    1071,  1022,    36,    37,    38,    39,   523,    17,    18,   525,
      20,  1082,     8,     9,    10,    11,    12,     6,     7,     8,
       9,   526,  1021,  1022,   301,    14,   458,    23,    24,    25,
      26,    27,    28,    29,    30,    31,   525,   144,    34,    20,
      21,  1112,     8,     9,    10,    11,    12,   427,   527,   326,
     207,   217,   525,   433,   527,    76,   523,    23,    24,    25,
      26,    27,    28,    29,    30,    31,   523,   153,    34,   501,
     502,   503,   504,   505,   506,   508,  1124,   510,   511,   325,
    1079,  1102,  1103,  1104,    30,    31,   681,   113,    34,   523,
      46,   177,   364,   365,  2148,   526,  2150,  1197,   523,  1199,
     149,   523,   207,  1102,  1103,  1104,  2133,   217,   265,   525,
    1171,  1171,   707,  1357,   709,   389,   523,   458,   459,    75,
     392,   147,   148,  1311,   465,   151,   525,   722,   527,   523,
     179,   405,   406,  1233,   394,   730,   162,   732,   525,   734,
     527,   736,   737,   738,   739,   740,   741,   527,   743,   523,
     745,   746,   238,  1505,    17,    18,    19,    20,  1778,   754,
     265,   523,   757,   144,   523,  1785,   761,    21,  1788,  1357,
    1790,     3,   523,     8,     9,    10,    11,    12,     3,   523,
     437,   438,   439,   139,   270,     3,   527,  1258,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    17,    18,    34,
      20,    21,   246,   256,  1128,   254,   255,   196,   197,    20,
     805,  1135,   246,  1137,  1138,  1139,  1140,   173,     3,   200,
     201,    18,   178,    20,    43,   820,     3,   822,  1152,     3,
      49,    50,    51,    52,  1158,    54,    55,    56,   194,     3,
      59,  1312,    61,    62,   525,     3,   527,  1325,    67,    68,
       3,  1527,  1877,  1878,   287,   288,    45,   278,    47,    48,
    1885,  1886,     3,   523,  1325,  1325,   525,    15,   527,   517,
     181,   182,   183,   184,   185,     3,  1337,   523,  1349,   527,
    1341,    17,    18,  1354,    20,    21,    13,   308,    15,    16,
      17,    18,    19,    20,    21,     3,   317,   165,   166,   167,
     168,    28,    29,    30,   424,   425,    33,   523,   428,   429,
     430,    21,  1461,   523,    63,    64,    65,    66,    45,  1468,
      47,    48,     3,  1394,     3,   446,    17,    18,    13,    20,
      15,    16,    17,    18,    19,    20,    21,    43,  1615,    23,
    1617,    20,  2396,    28,    29,    20,    52,   522,    33,   138,
     522,    57,   216,   142,   143,   121,   122,   146,    20,   125,
      45,   150,    47,    48,   130,   131,   155,   156,   157,   158,
     159,   160,    99,   100,   101,   102,   103,   104,    57,   444,
     171,    46,   525,    20,    21,   526,   113,   114,    20,    17,
      18,  2445,    20,   120,   121,   122,  1457,  1457,   125,  1548,
     139,  1472,   299,   300,   131,   196,  1555,   527,   197,   267,
     137,    20,    21,   202,    99,   100,   101,   102,   103,   104,
      20,   147,   148,   525,   522,   216,   210,   211,   113,   114,
     524,   525,  1027,  1028,   526,   120,   121,   122,    20,    21,
     125,  1036,   526,  1038,    41,    42,   131,   468,   469,   470,
    1521,  1522,   137,  1524,  1698,  1379,   522,   163,   146,   138,
    1384,  1385,   253,  1534,    41,    42,  1537,  1391,   522,   260,
     526,    71,    72,    73,    74,    75,    76,    77,    78,   523,
      17,    18,   271,   296,    20,    21,  1410,   526,  1412,   523,
    1678,  1562,  1563,   524,   525,    95,   131,   132,    98,   522,
    1571,   527,   285,  1098,     8,     9,    10,    11,    12,   144,
     524,   525,    21,   113,   149,  1759,  1111,   333,  1113,    23,
      24,    25,    26,    27,    28,    29,    30,    31,   163,   525,
      34,   167,  1610,   267,   169,   135,  1607,   346,   347,   245,
     246,    57,    58,  1614,   273,   233,     8,     9,    10,  1610,
    1610,    11,    12,   259,   260,   261,   273,  1618,   272,   525,
     266,    23,    24,    25,    26,    27,    28,    29,    30,    31,
     283,  1815,    34,     3,   299,   366,   367,   368,   258,    13,
     312,    15,    16,    17,    18,    19,    20,    21,   267,   305,
      20,   258,   280,   522,    28,    29,   320,   131,   132,    33,
     279,     8,     9,    10,    11,    12,   524,   525,   524,   525,
     144,    45,   258,    47,    48,   149,    23,    24,    25,    26,
      27,    28,    29,    30,    31,   318,    43,    34,   329,   163,
     245,   246,    49,    50,    51,    52,   526,    54,    55,    56,
      70,   522,    59,   526,    61,    62,   152,   153,   154,   526,
      67,  1575,  1576,   181,   182,   262,   263,  1581,   181,   182,
     179,   180,  1257,   155,   156,    99,   100,  1738,   174,   175,
     138,   177,  1991,  1992,   362,   227,   228,   388,   139,   113,
     114,   360,   404,   332,   522,   526,   120,   121,   122,   524,
     526,   125,   380,    15,   382,   522,  1620,   131,   386,   522,
     388,   131,    20,   137,   392,   393,  1777,   163,   527,  1304,
     140,   141,  1783,   151,   522,   522,   395,   396,  1906,  2398,
     526,   151,  2401,  2402,   526,  1320,   526,  1322,     8,     9,
      10,    11,    12,  1328,  2413,  1911,   527,   267,   527,   526,
     151,   522,   522,    23,    24,    25,    26,    27,    28,    29,
      30,    31,   167,  1348,    34,   526,   324,  2436,  2437,  1837,
    1831,  1839,  2441,  2442,   151,     8,     9,    10,    11,    12,
     273,   522,  1857,   273,   526,   522,  1837,  1837,  1839,  1839,
      23,    24,    25,    26,    27,    28,    29,    30,    31,   526,
      14,    34,   522,    31,    15,    15,   523,    28,    20,  1870,
      29,   153,  1873,   530,  1875,    79,    80,    81,    82,    83,
      84,    85,    86,    87,    15,    89,    90,    91,    92,    93,
      94,   527,   174,    34,   176,   177,   525,     7,    15,  1753,
    1754,  1755,    15,  1757,     3,     3,     3,   523,   523,   527,
    1911,  1912,     8,     9,    10,   530,     3,     3,     3,    71,
      72,    73,    74,    75,    76,    77,    78,    23,    24,    25,
       3,     3,  1933,     3,     3,  2109,     3,  1938,     3,  1940,
    1941,     3,  1943,    95,     3,   522,    98,   525,     8,     9,
      10,    11,    12,   522,   236,   237,   238,   239,   522,   509,
     198,   113,    20,    23,    24,    25,    26,    27,    28,    29,
      30,    31,   273,   273,    34,  1500,  1501,   310,  1503,   522,
     522,   522,   203,   135,   522,  1986,   522,  1988,  1989,  1990,
     522,    32,     8,     9,    10,    11,    12,   527,  1523,   273,
     273,   273,   273,    99,   100,  2123,   139,    23,    24,    25,
      26,    27,    28,    29,    30,    31,  2017,   522,    34,  2020,
     131,   132,  2023,   181,   182,   183,   184,   185,  1553,  2030,
     219,   522,   522,   144,   163,  2036,  2037,    15,   149,    15,
     151,   278,  2043,  2044,   170,  2046,   522,  2048,  2154,  2155,
    2156,    15,   163,    46,  2055,    15,   524,    29,   169,   130,
     525,     8,     9,    10,    11,    12,  2067,  2068,   525,    15,
    2071,  2072,   219,  2179,  2180,   219,    23,    24,    25,    26,
      27,    28,    29,    30,    31,   523,  2077,    34,     3,    20,
     524,  2092,    20,     3,   151,  2096,     3,   522,   526,  2100,
      17,    18,    19,    20,    13,  2106,    15,    16,    17,    18,
      19,    20,    21,  1967,  2115,   522,  2131,  2132,    21,    28,
      29,    30,   522,   522,    33,  1979,  1980,  1981,    45,  1983,
      47,    48,    29,   522,   167,   522,    45,   525,    47,    48,
     522,   273,   522,   522,    20,   522,   522,  2321,  2322,   522,
     522,   522,   522,  2154,  2155,  2156,  1681,  2331,   164,   523,
     524,  2162,    45,   522,   522,   522,   530,   522,   522,   522,
     522,  2172,  2173,  2174,  2175,  2176,   522,    15,  2179,  2180,
     527,   163,   522,   522,   522,  1710,  1711,   524,   522,    18,
      99,   100,   522,  2194,  2195,  2196,   522,   526,    29,    29,
     525,    15,    15,    20,   113,   114,    34,     3,     3,  2210,
    2211,   120,   121,   122,  2215,    15,   125,     3,     3,     3,
       3,     3,   131,     3,     3,     3,   522,  2228,   137,  2230,
     524,  2232,   524,  2234,    21,   522,  2237,  2238,   522,   138,
     525,   522,   522,   522,  2245,   369,   370,   371,   372,   373,
     374,   375,   376,   522,   522,   522,   522,  2258,  2259,  2260,
     522,   522,   522,   522,   522,   522,   268,  2268,  2386,  2387,
     324,   167,  2273,   307,   151,  2276,  2277,   333,    52,   522,
     121,   522,   267,   522,    13,   397,    15,    16,    17,    18,
      19,    20,    21,   153,   522,   522,   169,  2298,  2299,    28,
      29,    30,   522,    31,    33,  1830,   523,     8,     9,    10,
      11,    12,    23,   522,   524,   523,    45,    31,    47,    48,
     524,    29,    23,    24,    25,    26,    27,    28,    29,    30,
      31,   525,    13,    34,    15,    16,    17,    18,    19,    20,
      21,   525,    15,    34,    18,   133,     3,    28,    29,  2350,
       3,   524,    33,   527,  2355,   143,  2357,   526,  2359,   163,
     348,   344,   139,   343,    45,  2366,    47,    48,   268,   522,
      99,   100,   163,   522,   522,   527,   281,    43,    15,   167,
     168,   526,  1907,   526,   113,   114,   526,   526,   526,    23,
     525,   120,   121,   122,   522,  1920,   125,    15,    29,    53,
      82,    60,   131,    33,   522,    30,   522,  1932,   137,  1934,
      30,   199,     7,   527,   202,    20,   204,   252,    99,   100,
     526,   522,   338,   167,  1949,  1950,  1951,   236,    20,   273,
     524,   526,   113,   114,   526,  2289,   526,   526,   522,   120,
     121,   122,     7,   231,   125,   525,    69,   235,   524,   524,
     131,   249,   240,   241,    97,    13,   137,    15,    16,    17,
      18,    19,    20,    21,   524,    31,    15,    30,    30,   524,
      28,    29,    30,   523,   523,    33,   524,   524,   524,    71,
      72,    73,    74,    75,    76,    77,    78,    45,   523,    47,
      48,   523,   522,     7,    13,   523,    15,    16,    17,    18,
      19,    20,    21,    95,   526,   246,    98,  2032,   524,    28,
      29,    30,   526,   522,    33,   522,   283,  2042,   522,   201,
       7,   113,   522,   427,   522,   427,    45,   523,    47,    48,
     527,     8,     9,    10,    11,    12,   525,   524,   524,   171,
     524,    99,   100,   135,   247,   524,    23,    24,    25,    26,
      27,    28,    29,    30,    31,   113,   114,    34,  2083,   524,
     247,   349,   120,   121,   122,   524,   179,   125,   247,   268,
       8,     9,    10,   131,   264,   522,  2101,  2102,   247,   137,
      99,   100,   247,   267,   522,    23,    24,    25,    26,    27,
      28,    29,    30,    31,   113,   114,    34,   526,   401,   267,
     264,   120,   121,   122,   320,   371,   125,     8,     9,    10,
      11,    12,   131,   283,   523,   391,   369,   414,   137,   268,
     419,   530,    23,    24,    25,    26,    27,    28,    29,    30,
      31,   399,   522,    34,    13,   522,    15,    16,    17,    18,
      19,    20,    21,   252,   417,   273,   252,   422,   522,    28,
      29,    30,   522,    21,    33,   337,  2181,   339,   522,   341,
     342,   264,   273,   345,   320,   391,    45,   522,    47,    48,
     460,   273,   273,   522,   522,    31,    31,   527,  2203,   450,
    2205,  2206,   452,   522,    21,   527,   436,   402,  2213,   461,
      13,  2216,    15,    16,    17,    18,    19,    20,    21,   273,
     273,   247,   247,   163,   462,    28,    29,   462,   524,   524,
      33,  2236,   522,   525,   522,  2240,   522,  2242,   525,   937,
      99,   100,    45,   383,    47,    48,   514,   515,   522,   522,
     522,   383,   378,   522,   113,   114,   937,   937,  1368,   582,
    1874,   120,   121,   122,  2269,  2270,   125,  2272,  1614,  1875,
    1873,  1404,   131,  2278,  1404,  2280,  2281,   522,   137,   522,
     522,   522,   522,     8,     9,    10,    11,    12,   522,  1404,
    1404,  1616,   448,    78,  1215,  1448,    99,   100,    23,    24,
      25,    26,    27,    28,    29,    30,    31,  2131,   981,    34,
     113,   114,  1963,   872,   523,   631,   166,   120,   121,   122,
    2132,   530,   125,  1389,  1128,   873,  1576,  1757,   131,   875,
    1859,   370,   765,  2338,   137,  1234,   388,     8,     9,    10,
      11,    12,  2347,   524,  1159,  1161,  2303,  1239,  1640,   577,
    1810,  1674,    23,    24,    25,    26,    27,    28,    29,    30,
      31,   522,   523,    34,     8,     9,    10,    11,    12,   530,
    1047,  1043,  1691,  1697,  1721,  2077,  1834,  2233,  2093,    23,
      24,    25,    26,    27,    28,    29,    30,    31,  2241,  2097,
      34,     8,     9,    10,    11,    12,  2243,  2096,  1567,  1004,
     817,   624,    -1,   966,    -1,    -1,    23,    24,    25,    26,
      27,    28,    29,    30,    31,    -1,    -1,    34,     8,     9,
      10,    11,    12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,    -1,    23,    24,    25,    26,    27,    28,    29,
      30,    31,    -1,    -1,    34,     8,     9,    10,    11,    12,
      -1,    -1,    -1,    -1,   526,   196,    -1,    -1,    -1,    -1,
      23,    24,    25,    26,    27,    28,    29,    30,    31,    -1,
      -1,    34,    -1,    -1,    -1,    -1,    -1,    -1,     8,     9,
      10,    11,    12,    -1,    -1,   523,    -1,    -1,    -1,    -1,
      -1,    -1,   530,    23,    24,    25,    26,    27,    28,    29,
      30,    31,   243,   244,    34,    -1,   247,   248,    -1,    -1,
      -1,    -1,   253,    -1,    -1,    -1,    -1,     8,     9,    10,
      11,    12,    -1,    -1,   523,    -1,    -1,    -1,    -1,    -1,
      -1,   530,    23,    24,    25,    26,    27,    28,    29,    30,
      31,    -1,    -1,    34,    43,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,     8,     9,    10,    11,    12,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   524,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    -1,    -1,    34,
       8,     9,    10,    11,    12,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    23,    24,    25,    26,    27,
      28,    29,    30,    31,    -1,    -1,    34,     8,     9,    10,
      11,    12,    -1,    -1,    -1,    -1,    43,    -1,    45,    -1,
      47,    48,    23,    24,    25,    26,    27,    28,    29,    30,
      31,    -1,    -1,    34,     8,     9,    10,    11,    12,    -1,
      -1,    -1,    -1,   524,    -1,    -1,    -1,    -1,    -1,    23,
      24,    25,    26,    27,    28,    29,    30,    31,    -1,    -1,
      34,    -1,    -1,    -1,   523,     8,     9,    10,    11,    12,
      -1,   530,   171,   172,    -1,    -1,    -1,    -1,    -1,    -1,
      23,    24,    25,    26,    27,    28,    29,    30,    31,    44,
      45,    34,    47,    48,    -1,    -1,    -1,   196,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   131,   132,    -1,    -1,
      -1,   138,    -1,   138,    -1,   142,   143,   142,   143,    45,
     523,    47,    48,   150,    -1,   150,   151,   530,   155,   156,
     157,   158,   159,   160,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   242,    -1,    -1,   245,   246,    -1,    -1,
      -1,    -1,    -1,    -1,   253,    -1,    -1,    -1,    -1,   258,
      -1,    -1,   261,    -1,    -1,    -1,    -1,   266,    -1,    -1,
     197,    -1,   197,    -1,    -1,   202,    -1,   202,    -1,    -1,
      -1,    82,    -1,   138,    -1,    -1,   527,   142,   143,    -1,
      -1,    -1,    -1,    -1,    -1,   150,    -1,   296,    -1,   524,
     155,   156,   157,   158,   159,   160,    -1,    -1,    45,    -1,
      47,    48,   138,    -1,    -1,    -1,   142,   143,    -1,    -1,
     319,    -1,    -1,    -1,   150,    -1,    -1,    -1,    -1,   155,
     156,   157,   158,   159,   160,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   197,    -1,    -1,    82,    -1,   202,   275,    -1,
      -1,    -1,    -1,   524,    -1,    -1,    -1,    -1,    45,    -1,
      47,    48,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   138,
      -1,   197,    -1,   142,   143,    -1,   202,   146,    -1,    -1,
     524,   150,    -1,   310,    -1,    -1,    -1,    -1,    -1,   215,
      -1,   390,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   138,    -1,    -1,    -1,   142,   143,   524,    -1,   146,
      -1,   212,   411,   150,    -1,    -1,   217,    -1,   155,   156,
     157,   158,   159,   160,    -1,   350,   351,   352,   197,    -1,
      -1,    -1,   258,   202,   524,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   243,    -1,    -1,    -1,    -1,   446,   447,   448,
     449,   138,   451,    -1,    -1,   142,   143,    -1,    -1,    -1,
     197,   524,    -1,   150,    -1,   202,   267,    -1,   155,   156,
     157,   158,   159,   160,    -1,    45,    -1,    47,    48,   280,
     249,   250,   169,    -1,    -1,    -1,    50,    -1,    -1,    -1,
      -1,    -1,    -1,    57,   524,    -1,    -1,    -1,    45,    -1,
      47,    48,    -1,    -1,    -1,   360,   361,   362,   363,    -1,
     197,    -1,    -1,    -1,    -1,   202,    -1,    81,    -1,    83,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   527,    -1,
      -1,   458,    -1,   524,    -1,   390,    -1,   464,    -1,   466,
      -1,    -1,   397,   107,    -1,   400,    -1,    -1,   403,    -1,
      -1,   115,   116,    -1,   118,   119,    45,    -1,    47,    48,
      -1,    -1,   126,   127,   128,    -1,    -1,   522,   138,    -1,
      -1,    -1,   142,   143,   400,    -1,    -1,    -1,    -1,    -1,
     150,    -1,    -1,    -1,    -1,   155,   156,   157,   158,   159,
     160,   138,    -1,    -1,   522,   142,   143,    -1,    -1,   146,
     527,    -1,   527,   150,    -1,    -1,    -1,    -1,   155,   156,
     157,   158,   159,   160,   415,   416,    -1,    -1,    -1,   420,
     421,   522,   423,    -1,    -1,    -1,    -1,   197,    -1,    -1,
     431,   432,   202,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   212,    47,    48,   471,    -1,    -1,   522,   138,
     197,   176,   177,   142,   143,   202,    -1,   146,    -1,    -1,
      -1,   150,    -1,    -1,    -1,    -1,   155,   156,   157,   158,
     159,   160,   527,    77,    -1,    -1,    -1,   145,    -1,   522,
     205,   113,    -1,    -1,    -1,    -1,    -1,   212,    -1,    -1,
     516,   517,   518,    -1,   431,   432,   266,    -1,   435,    -1,
      -1,   527,    -1,   440,   108,    -1,   138,   232,   197,   234,
     142,   143,    -1,   202,    -1,   147,   148,   242,   150,   151,
      46,   408,   409,   410,   411,    51,   527,   195,    -1,    -1,
     162,    -1,   257,    -1,   138,    -1,    -1,    -1,   142,   143,
      -1,   145,   146,    -1,    -1,   315,   150,    -1,    -1,    -1,
      -1,   155,   156,   157,   158,    -1,    -1,    -1,   527,    -1,
      -1,    -1,    -1,    -1,   168,   197,    -1,   171,   172,    -1,
     202,    -1,    -1,    -1,   242,    -1,    -1,   266,    -1,   105,
     106,    -1,   108,   109,   110,   111,   112,    -1,    -1,   257,
     527,    52,    -1,   197,    -1,    -1,    -1,    -1,   202,    -1,
       8,     9,    10,    11,    12,    -1,    -1,   211,    -1,    -1,
      -1,   215,    -1,    -1,    -1,    23,    24,    25,    26,    27,
      28,    29,    30,    31,    -1,    -1,    34,    -1,   353,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   241,   242,    -1,
     527,    -1,    -1,   390,    -1,   249,   250,    -1,   252,    -1,
      -1,    -1,   113,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     121,    -1,   266,    -1,    -1,    -1,    -1,    -1,   272,    -1,
     274,    -1,   276,   277,    -1,    -1,   280,   281,   282,    -1,
     206,   349,    -1,    -1,    -1,   353,   147,   148,    96,    -1,
     151,    -1,    -1,   297,   298,    -1,    -1,    -1,   445,   303,
     304,   162,    45,    -1,    47,    48,    -1,   311,    -1,   341,
      -1,   315,    -1,    -1,   318,   319,    -1,   321,   443,   323,
      -1,    -1,    -1,   327,   328,    -1,   330,    -1,    -1,    57,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   407,
      -1,    -1,   467,   269,   412,   413,    -1,    -1,    -1,    -1,
     211,    -1,    -1,    -1,   215,    -1,    -1,   527,    -1,    -1,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
      -1,    -1,    -1,    -1,    -1,   443,    -1,    -1,    -1,    -1,
     527,    -1,    -1,    -1,    -1,    -1,    -1,   313,   314,   457,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   467,
      -1,    -1,    -1,   471,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   155,   156,   157,   158,   159,   160,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     356,   357,   358,   359,    -1,    -1,    -1,    -1,   527,    -1,
      -1,    -1,    -1,   171,    -1,   306,    -1,    -1,    -1,    -1,
      -1,   519,    -1,    -1,   315,   316,    -1,    -1,    -1,    -1,
      -1,   322,    -1,    -1,    -1,   326,    -1,    -1,   196,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   216,    -1,
      -1,    -1,    -1,    -1,    -1,   527,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     238,    -1,    -1,    -1,   242,   441,   442,   245,   246,    -1,
      -1,    -1,    -1,   527,    -1,   253,    -1,    -1,    -1,   455,
     456,    -1,   260,    -1,   206,    -1,    -1,   265,   266,   267,
      -1,    -1,    -1,    -1,    -1,    -1,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,
      -1,   319,    -1,    -1,   520,   521,    -1,   269,    -1,    -1,
     328,    -1,    17,    18,    19,    20,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,    -1,    -1,    -1,    -1,    -1,    20,
      45,    -1,    47,    48,   362,    -1,   364,    -1,   366,   367,
     368,   313,   314,    -1,    -1,    -1,   374,    -1,    -1,    -1,
      -1,   379,     3,    -1,    -1,    -1,    -1,     8,     9,    10,
      11,    12,   390,    -1,    -1,    -1,   527,    -1,    -1,    -1,
     398,    -1,    23,    24,    25,    26,    27,    28,    29,    30,
      31,    -1,    -1,    34,   356,   357,   358,   359,    79,    80,
      81,    82,    83,    84,    85,    86,    87,    -1,    89,    90,
      91,    92,    93,    94,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   131,   132,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   140,    -1,    -1,    -1,   144,
      -1,    -1,   147,   148,    -1,    -1,   151,    -1,    -1,    -1,
      -1,     8,     9,    10,    11,    12,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   170,    23,    24,    25,    26,
      27,    28,    29,    30,    31,    -1,    -1,    34,    -1,   441,
     442,   186,   187,   188,    -1,   190,    -1,   192,   193,    -1,
      -1,    -1,    -1,   455,   456,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   527,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,    79,    80,
      81,    82,    83,    84,    85,    86,    87,    -1,    89,    90,
      91,    92,    93,    94,    -1,    -1,    -1,    -1,   520,   521
};

  /* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
     symbol of state STATE-NUM.  */
static const yytype_uint16 yystos[] =
{
       0,     4,   533,   534,   133,   143,   167,   168,   199,   202,
     204,   231,   235,   240,   241,   349,   514,   515,   689,   690,
     691,   692,   693,   695,   696,   697,   703,   705,   706,   707,
     708,   709,   710,   711,   712,   713,   714,   717,   718,   719,
     720,   721,   722,   723,   724,   725,   745,   756,   757,   758,
     759,   779,   817,   818,   819,   820,   821,   822,   823,   824,
     879,   880,   903,   916,   917,   918,   919,   920,   921,     0,
       3,    35,    45,    47,    48,    70,   131,   133,   134,   136,
     138,   140,   141,   143,   155,   156,   157,   158,   159,   160,
     202,   208,   214,   215,   513,   522,   535,   536,   589,   591,
     592,   593,   603,   640,   642,   643,   645,   646,   659,   662,
     672,   673,   674,   729,   732,   746,   749,   760,   766,   775,
     778,   782,   783,   826,   827,   829,   831,   832,   837,   868,
     871,   881,   882,   894,   895,   904,   907,   914,   915,   924,
     927,   928,    13,    15,    16,    17,    18,    19,    20,    21,
      28,    29,    33,    45,    47,    48,    99,   100,   113,   114,
     120,   121,   122,   125,   131,   137,   523,   530,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     586,   587,   588,   608,   624,   626,   627,   628,   630,   632,
      20,    21,   144,   726,   726,   726,   200,   201,   726,   726,
       3,   176,   177,   205,   212,   232,   234,   242,   257,   353,
     443,   467,   153,   174,   176,   177,   236,   237,   238,   239,
      37,   144,   526,   715,   726,   235,    21,   266,   508,   510,
     511,   922,     3,    20,    20,    20,   632,    79,    80,    81,
      82,    83,    84,    85,    86,    87,    89,    90,    91,    92,
      93,    94,   594,   523,   139,   176,   191,   512,   161,    20,
      21,   176,   562,   140,   212,   213,   214,   660,   661,   906,
     167,   446,   503,   151,   145,   195,   242,   257,   349,   353,
     407,   412,   413,   443,   457,   467,   471,   519,   781,   867,
      20,    46,   647,   138,   142,   143,   146,   150,   197,   202,
     266,   527,   643,   648,   649,   654,   676,   647,   647,   647,
      47,    48,    77,   108,   145,   146,   155,   156,   157,   158,
     168,   171,   172,   211,   215,   241,   242,   249,   250,   252,
     266,   272,   274,   276,   277,   280,   281,   282,   297,   298,
     303,   304,   311,   315,   318,   319,   321,   323,   327,   328,
     330,   527,   648,   767,   768,   774,   647,   647,    44,   360,
     361,   362,   363,   390,   397,   400,   403,   527,   643,   648,
     785,   786,   787,   788,   789,   647,   169,   408,   409,   410,
     411,   527,   648,   654,   828,   526,   113,   147,   148,   151,
     162,   341,   527,   648,   650,   647,   647,   647,   647,   212,
     266,   315,   527,   648,   654,   898,   899,   215,   258,   400,
     471,   516,   517,   518,   527,   648,   654,   905,   926,   647,
     647,   146,   517,   527,   648,   929,    15,    20,    30,   523,
     529,   623,   625,   630,    31,   542,    31,    17,    18,   543,
     544,   523,   130,    29,   130,   632,    15,   526,   526,   523,
     523,   523,   523,   523,   523,   523,   101,   102,   103,   104,
     613,   632,    15,    16,    18,    19,    20,   523,   543,   544,
     551,   608,   609,   612,   614,   615,   616,   618,   620,   621,
     217,   217,    46,    51,   105,   106,   108,   109,   110,   111,
     112,   206,   269,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   313,   314,   356,   357,   358,   359,   441,
     442,   455,   456,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   520,   521,   631,   728,     3,     8,     9,    10,    11,
      12,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      34,    37,   144,   526,   677,    21,   563,   563,   726,   726,
       3,    37,   144,   526,   680,    20,    21,   144,   727,     3,
     233,     3,   698,     3,   704,   256,   153,   177,   238,   270,
      20,   146,   238,   389,   405,   406,   694,   177,   238,   694,
       3,     3,     3,     3,     3,     3,     3,     3,    77,   143,
     458,   501,   502,   503,   504,   505,   506,   912,   913,    15,
     716,   563,   780,   922,   922,     3,     3,   446,   923,    23,
     604,   590,    20,    88,    20,    15,    17,    20,    46,   523,
     641,   677,    15,    20,   523,   537,    36,    37,    38,    39,
     163,   537,   539,   680,   522,    21,   209,   522,   500,   507,
     562,   910,   216,   537,   538,   538,    20,   354,   355,   830,
     444,    46,    20,   526,   139,   539,   677,   675,   562,   562,
     680,   267,   522,   526,   652,   522,   522,   526,   526,   526,
     216,   284,   296,   522,    21,    45,   332,    45,   332,    45,
     332,    45,   332,   285,   562,   539,   333,   167,   212,   301,
     326,   215,   539,   522,   537,    17,    18,    20,   540,   762,
     540,   761,   267,   273,   275,   283,   273,   272,   287,   288,
     258,   283,   299,   300,   299,   539,   305,   312,   258,   258,
     320,   318,   252,   287,   539,   329,   331,   537,   522,   526,
     772,   522,   526,   526,   404,   641,   539,   138,   537,   539,
     139,   388,   539,   332,   784,   652,   522,   526,   526,   539,
      46,   173,    15,   217,   243,   147,   148,   522,   522,   537,
     131,   132,   144,   149,   163,   169,   600,   656,   163,   656,
      20,   655,   163,   151,   522,   522,   526,   526,   526,   526,
      18,    19,    20,   554,   557,   267,   151,   522,   522,    76,
     278,   308,   317,   468,   469,   470,   896,   897,   526,   902,
     167,   537,   324,   151,   539,   273,   539,   522,   522,   526,
     526,   930,   934,   273,   522,     7,   625,   625,   632,   625,
     625,    14,    15,    15,    31,   632,   636,   637,    28,    29,
     130,    29,   583,   583,   655,   632,   632,   632,   632,   632,
     632,    15,   525,   524,   525,    30,   611,   613,   632,    28,
      29,   526,     7,   525,   531,   525,   531,    15,    15,   632,
     632,   632,   632,   632,   632,   632,   632,   632,   632,   632,
     632,   632,   632,    50,    57,    81,    83,   107,   115,   116,
     118,   119,   126,   127,   128,   152,   153,   154,   174,   175,
     177,   678,   679,     3,     3,     3,     3,     3,   152,   203,
     681,   682,     3,   727,     3,     3,     3,   131,   140,   144,
     147,   148,   151,   170,   186,   187,   188,   190,   192,   193,
     557,   600,   701,     3,    20,    70,   131,   140,   141,   151,
     694,   694,   694,   694,   694,   694,   694,   825,   144,   694,
     144,   694,     3,   694,   694,     3,   525,   527,     3,     3,
       3,   131,   151,   173,   600,     3,   923,   537,     3,   632,
     523,   601,   594,   595,   596,   598,   602,   522,   525,   669,
     670,   632,   522,   632,   538,   522,   537,   210,   211,   509,
     908,   537,   909,   144,   526,   911,   537,    40,    41,    42,
     198,   644,   647,    20,   641,   663,   666,   667,   539,   651,
     653,   731,   748,   273,   273,   540,   522,    77,   337,   522,
     522,   215,   334,   273,   325,   539,   310,   539,   203,   522,
     522,   522,    32,   541,    43,   219,   522,   541,    43,   219,
     522,   539,   537,   273,   273,   537,   273,   537,   537,   539,
     273,   539,   139,   539,   522,   539,   539,   539,   539,   539,
     539,   219,   539,   522,   539,   539,   522,   771,   773,   777,
     539,   539,   163,   537,   539,   653,   790,    15,    15,   538,
     538,    20,   598,   599,   632,    37,   537,   658,   170,   658,
     658,   655,   836,   870,   883,   539,   655,    21,   540,   540,
      45,   242,   391,   429,   896,   901,   522,   539,   539,   537,
     537,   667,   668,   537,    15,   524,    46,    15,   525,   524,
     130,    29,   584,   585,   524,   525,   524,   525,   525,   525,
     525,   524,   632,   632,   525,     7,   525,   525,   524,    15,
      17,    18,   523,   609,   616,   620,   219,   219,   523,   525,
     527,   525,   527,     3,   599,    20,   151,    20,   144,    17,
      18,    19,    20,   543,   544,   545,   546,   547,   699,   700,
      20,     3,   563,   563,   563,   563,   563,   563,     3,    20,
      57,   138,   267,   279,   360,   395,   396,   694,   563,   694,
     563,   563,   563,   913,   599,    21,   655,   562,     3,   522,
     524,   595,   597,   602,    20,   522,   526,   562,   667,   522,
     524,   524,    21,    41,    42,    41,    42,   562,   562,   912,
     522,   522,    29,   665,   525,   522,   527,   650,   146,   249,
     250,   527,   648,   730,   146,   271,   527,   648,   654,   747,
     537,   537,   522,   539,   526,   539,   763,   167,   273,   537,
     522,   522,   539,   522,   539,    20,   762,   537,   537,   761,
     537,   537,   522,   522,   537,   537,   522,   537,   522,   522,
     522,   537,   522,   641,   522,   522,   522,   522,   522,   522,
     522,   522,   537,   522,   522,   522,    52,   121,   147,   211,
     215,   306,   315,   316,   322,   326,   527,   650,   770,   131,
     151,   350,   351,   352,   527,   600,   648,   776,   537,   146,
     233,   280,   362,   380,   382,   386,   388,   392,   393,   527,
     791,   798,   801,   164,   657,   539,   522,    82,   146,   431,
     432,   435,   440,   527,   648,   654,   833,   146,   390,   445,
     527,   648,   654,   869,    43,   275,   310,   458,   464,   466,
     527,   648,   654,   884,   886,   522,   522,   541,    45,    15,
     559,   560,   539,   537,   539,    20,    71,    72,    73,    74,
      75,    76,    77,    78,    95,    98,   113,   135,   527,   628,
     629,   633,   638,   900,   163,   925,   526,   933,   625,    18,
     636,    29,    29,   581,   582,   632,   632,   632,   632,   632,
     525,   524,   525,    30,   611,   632,   611,    30,   611,   611,
     525,   632,    15,    15,   632,   679,   682,    20,    46,    17,
      18,    34,     3,     3,     3,     3,     3,     3,    15,   641,
     641,   641,   563,     3,   563,     3,     3,     3,   522,   524,
     596,   605,   606,   638,   524,   527,    21,   563,   664,   666,
     522,   733,   739,   733,   740,   540,   744,   522,   750,   755,
     138,   522,   525,   522,   522,    82,   201,   337,   339,   341,
     342,   345,   764,   765,   522,   325,   539,   537,   522,   522,
     522,   522,   522,   522,   522,   522,   522,   522,   522,   268,
     324,   151,   333,   167,   307,   151,   145,   317,   539,    52,
     522,   599,    21,   655,   562,   537,   121,   522,   810,   816,
     539,   364,   365,   392,   364,   539,   792,   267,    20,   551,
     556,   794,   795,   793,   394,   539,   522,   397,   811,   165,
     166,   167,   168,    20,   544,   555,   847,   852,   838,   846,
     834,   835,   555,   153,   522,   872,   878,   539,   537,   522,
     537,   169,   885,   885,    20,   540,   562,   887,    59,   463,
     888,   885,   522,   560,    31,    23,   523,   523,   632,   632,
     632,    23,   523,   631,   728,   522,   632,   634,   635,   537,
     932,    31,    29,    43,    49,    50,    51,    52,    54,    55,
      56,    59,    61,    62,    67,   527,   566,   567,   568,   569,
     571,   579,    68,   527,   567,   568,   569,   570,   571,   580,
     525,   524,   524,   524,   524,   632,   632,   524,   525,     7,
     524,   525,   524,   525,     7,   524,   525,   525,    15,   524,
      34,    18,    45,    47,    48,   155,   156,   157,   158,   159,
     160,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   702,     3,     3,   597,   527,   638,    17,    18,
      20,   543,   544,   558,   668,   526,   738,    32,   251,   741,
     668,   139,   537,   163,   348,   124,   340,   344,   343,   346,
     347,   525,   527,   522,   522,   522,   169,   279,   296,   245,
     246,   539,   539,   215,   334,   539,   279,   308,   309,   655,
     268,   281,   667,   812,   537,   537,   539,   537,   526,   641,
     526,   526,   537,   537,   526,   526,   851,   668,   526,   540,
     853,   858,    21,   526,   859,   864,   539,   668,   163,   537,
     537,   886,   889,   890,   537,    15,   632,   637,   628,   522,
      96,   526,   632,   639,    23,    23,    34,   525,   522,   425,
     527,   931,    15,    29,    53,    57,    58,    60,     8,     9,
      10,    23,    24,    25,    99,   100,   537,   564,   572,   573,
     574,    33,   575,   576,   576,   578,   556,   522,   572,   575,
     578,   575,   555,   522,   632,   524,   524,    30,   611,    30,
     611,    30,   611,     7,    30,   611,    30,   611,   527,   702,
     738,   737,   734,    20,   562,   252,   742,   526,   754,   539,
     522,   338,   236,   765,   335,   336,   539,   769,   769,   540,
     167,   273,   539,   539,   813,   526,   815,   803,   796,   803,
     799,   850,   849,   526,   845,   854,   860,   526,   877,   537,
     526,   522,   524,   728,   526,   607,   638,   622,   522,   632,
     632,   632,   121,   122,   125,   130,   131,   635,   540,   522,
       7,   537,    11,    12,   565,   525,    12,   525,   565,   537,
      63,    64,    65,    66,   577,   525,   565,    69,   524,   524,
     524,   524,   525,     7,   524,   524,   524,   525,   523,   524,
       7,   524,   524,     7,   524,   734,   171,   172,   196,   243,
     244,   247,   248,   253,   527,   683,   685,   686,   735,   540,
     249,   743,   753,   751,   539,   537,   811,   814,   527,   556,
     804,   805,   233,   364,   381,   527,   797,   527,   216,   253,
     260,   366,   367,   368,   527,   683,   800,   424,   425,   428,
     429,   430,   527,   848,   844,   843,   857,   863,   876,   873,
     891,   524,   605,    97,     6,    15,    16,   523,   527,   608,
     610,   612,   614,   615,   617,   619,   639,   522,   522,   523,
     523,   523,   522,   523,   537,   574,   564,   573,   576,   576,
      31,   576,   576,    15,    30,   611,    30,   611,   611,     7,
     611,   562,   539,   526,   245,   246,   246,   538,   537,   149,
     179,   254,   255,   736,   526,   522,   539,    43,    52,    57,
     163,   245,   246,   259,   260,   261,   266,   527,   752,    57,
     216,   238,   242,   245,   246,   253,   260,   265,   266,   267,
     319,   328,   362,   364,   366,   367,   368,   374,   379,   390,
     398,   527,   683,   802,   381,   387,   806,   539,   537,   539,
     522,   537,   149,   254,   377,   537,   537,   283,   188,   537,
     522,   427,   427,   539,   539,   539,   522,    82,   212,   217,
     243,   267,   280,   415,   416,   420,   421,   423,   431,   432,
     527,   839,   427,   433,   527,   855,   427,   434,   527,   861,
      43,   172,   242,   245,   246,   253,   258,   261,   266,   296,
     319,   390,   411,   446,   447,   448,   449,   451,   527,   683,
     874,   458,   459,   465,   527,   892,   522,   527,   607,   605,
     632,     7,   525,   528,   524,   632,   632,   632,   632,   537,
     537,   537,   537,   577,   577,   524,   524,   524,   525,   524,
     523,   524,   684,   685,   247,   247,   247,   181,   182,   179,
      46,    75,   139,   173,   178,   194,   687,   537,   268,   262,
     263,   537,   264,    61,    62,   207,   265,   671,   537,   247,
     247,   267,   522,   369,   370,   371,   372,   373,   374,   375,
     376,   537,   526,   539,   264,    61,   265,   671,   149,   254,
     377,   537,   537,   267,   401,   320,   371,   539,   537,   537,
     283,   188,   537,   399,   537,   391,   369,   522,   537,   522,
     537,   537,   537,   537,   418,   852,   113,   418,   427,   414,
     283,   414,   419,   113,   427,   539,   417,   273,   422,   268,
     252,   840,   252,   841,   522,   426,   537,   865,   853,   856,
     522,   865,   859,   862,   522,   537,   539,   539,   264,    61,
     265,   671,   149,   181,   377,   454,   875,   537,   273,   267,
     453,   540,   320,   391,   332,   369,   273,   273,   383,   537,
     450,   452,   522,   461,   460,   562,   893,   522,   524,   523,
     610,   617,   605,   522,   524,   524,   524,   524,    31,    31,
     611,   611,   527,   522,   538,   538,   538,   181,   182,    21,
     561,    46,   173,   537,   561,   179,   180,   688,    46,   173,
     527,   155,   156,   537,   537,   537,   537,   537,   538,   538,
     539,   807,   384,   385,   537,   537,   537,   539,   402,   246,
     539,   539,   537,   537,   539,   537,   539,   436,   866,   866,
     273,   437,   438,   439,   842,   273,   537,   247,   537,   247,
     537,   842,   537,   539,   537,   537,   163,   539,   858,   539,
     864,   537,   537,   537,   537,   537,   539,   539,   246,   539,
     537,   537,   537,   539,   539,   539,   462,   462,   632,   522,
     522,   522,   522,   537,   537,   524,   525,   684,   522,   561,
     561,   522,   522,   181,   182,   183,   184,   185,   181,   182,
     183,   184,   185,   522,   561,   561,   540,   540,   527,   540,
     809,   539,   383,   539,   537,   537,   866,   537,   537,   866,
     537,   383,   562,   562,   611,   687,   522,   522,   687,   687,
     687,   522,   522,   378,   808,   525,   687,   687,   687,   687,
     522,   611,   524
};

  /* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint16 yyr1[] =
{
       0,   532,   533,   533,   534,   534,   535,   535,   536,   537,
     537,   537,   538,   538,   538,   539,   539,   539,   539,   539,
     539,   540,   540,   540,   541,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   551,   552,   552,   553,
     553,   554,   554,   554,   554,   554,   554,   555,   555,   556,
     556,   557,   557,   558,   558,   558,   558,   558,   559,   560,
     560,   561,   562,   562,   563,   563,   564,   564,   564,   564,
     564,   564,   564,   564,   565,   565,   566,   566,   566,   566,
     566,   566,   566,   566,   566,   567,   568,   569,   570,   571,
     571,   572,   572,   572,   572,   573,   573,   574,   574,   575,
     575,   575,   576,   576,   577,   577,   577,   577,   578,   578,
     578,   579,   579,   579,   579,   580,   580,   580,   580,   580,
     580,   581,   581,   582,   582,   583,   584,   585,   586,   587,
     588,   588,   535,   590,   589,   535,   591,   535,   592,   535,
     593,   594,   594,   594,   594,   594,   594,   594,   594,   594,
     594,   594,   594,   594,   594,   594,   594,   595,   596,   596,
     597,   597,   598,   599,   599,   600,   601,   601,   602,   535,
     604,   603,   605,   605,   606,   606,   607,   607,   608,   608,
     609,   609,   609,   609,   609,   609,   610,   610,   610,   610,
     611,   612,   612,   612,   612,   612,   612,   612,   612,   612,
     612,   613,   613,   613,   613,   614,   614,   614,   615,   615,
     615,   615,   615,   615,   615,   615,   616,   616,   616,   616,
     616,   617,   617,   617,   617,   617,   618,   618,   619,   619,
     620,   620,   620,   620,   621,   621,   622,   622,   622,   623,
     623,   624,   625,   625,   625,   625,   625,   625,   626,   626,
     626,   626,   626,   626,   626,   626,   626,   626,   627,   627,
     627,   627,   628,   629,   630,   631,   631,   631,   631,   631,
     631,   631,   631,   631,   632,   632,   632,   632,   632,   632,
     632,   632,   632,   632,   632,   632,   632,   632,   632,   632,
     632,   632,   632,   632,   632,   632,   632,   632,   632,   632,
     632,   632,   632,   632,   632,   632,   632,   632,   632,   632,
     632,   632,   632,   632,   632,   632,   632,   632,   632,   632,
     632,   633,   633,   633,   633,   633,   633,   634,   635,   635,
     635,   636,   636,   637,   637,   638,   638,   638,   638,   638,
     638,   638,   638,   638,   638,   638,   638,   638,   638,   638,
     638,   638,   639,   535,   640,   640,   641,   641,   641,   641,
     535,   642,   643,   643,   643,   643,   643,   643,   643,   643,
     643,   643,   535,   644,   644,   645,   535,   646,   646,   647,
     647,   647,   647,   648,   648,   648,   648,   648,   648,   648,
     649,   650,   650,   650,   650,   650,   650,   650,   650,   651,
     651,   652,   652,   653,   654,   655,   656,   656,   656,   656,
     657,   657,   657,   657,   657,   658,   658,   535,   659,   659,
     535,   660,   660,   660,   660,   661,   661,   661,   661,   661,
     661,   661,   661,   662,   663,   664,   664,   665,   665,   666,
     667,   667,   668,   669,   670,   671,   671,   672,   673,   674,
     674,   674,   674,   674,   675,   676,   677,   677,   677,   678,
     678,   679,   679,   679,   679,   679,   679,   680,   680,   680,
     681,   681,   682,   682,   683,   683,   684,   684,   685,   685,
     686,   687,   687,   687,   687,   687,   687,   687,   687,   687,
     688,   688,   688,   688,   688,   688,   688,   688,   688,   688,
     689,   690,   689,   691,   689,   692,   689,   693,   694,   694,
     689,   695,   689,   696,   689,   697,   698,   698,   698,   698,
     698,   698,   698,   698,   698,   698,   698,   698,   698,   698,
     698,   698,   699,   699,   699,   699,   699,   699,   699,   699,
     700,   700,   700,   700,   701,   701,   701,   702,   702,   702,
     702,   702,   702,   702,   702,   702,   702,   702,   702,   702,
     702,   702,   702,   702,   702,   702,   702,   689,   703,   704,
     704,   704,   704,   704,   704,   704,   689,   705,   689,   706,
     689,   707,   689,   708,   689,   709,   689,   710,   689,   711,
     689,   712,   689,   713,   689,   714,   715,   715,   715,   716,
     716,   689,   717,   689,   718,   689,   719,   689,   720,   689,
     721,   689,   722,   689,   723,   689,   724,   689,   725,   726,
     726,   726,   727,   727,   727,   728,   672,   729,   730,   730,
     730,   730,   731,   731,   732,   733,   734,   735,   735,   735,
     735,   735,   735,   735,   735,   736,   736,   736,   736,   736,
     736,   737,   737,   738,   738,   739,   740,   741,   741,   741,
     742,   742,   743,   743,   744,   689,   745,   672,   746,   747,
     747,   747,   747,   748,   748,   749,   750,   751,   752,   752,
     752,   752,   752,   752,   752,   752,   752,   752,   752,   752,
     752,   752,   752,   753,   753,   754,   754,   755,   728,   689,
     756,   689,   757,   689,   758,   689,   759,   672,   760,   761,
     761,   761,   762,   762,   762,   763,   763,   764,   764,   765,
     765,   765,   765,   765,   765,   765,   765,   765,   766,   766,
     766,   766,   766,   766,   766,   766,   766,   766,   766,   766,
     766,   766,   766,   766,   766,   766,   766,   766,   766,   766,
     766,   766,   766,   766,   766,   766,   766,   766,   766,   766,
     766,   766,   766,   766,   766,   766,   766,   766,   766,   766,
     766,   766,   766,   766,   766,   766,   766,   766,   766,   766,
     766,   766,   766,   766,   767,   767,   767,   767,   767,   767,
     767,   767,   767,   767,   767,   767,   768,   769,   769,   769,
     770,   770,   770,   770,   770,   770,   770,   770,   770,   770,
     770,   770,   770,   770,   770,   770,   770,   770,   770,   771,
     771,   772,   772,   773,   774,   728,   728,   728,   728,   728,
     728,   728,   728,   728,   728,   728,   728,   672,   775,   776,
     776,   776,   776,   776,   776,   776,   776,   777,   777,   778,
     689,   779,   780,   780,   780,   780,   780,   780,   672,   781,
     781,   781,   782,   783,   783,   784,   784,   785,   786,   787,
     787,   787,   787,   787,   787,   787,   787,   787,   787,   787,
     787,   788,   789,   790,   790,   791,   791,   791,   791,   791,
     791,   791,   791,   791,   792,   791,   793,   791,   791,   791,
     791,   794,   794,   795,   796,   796,   797,   797,   797,   798,
     798,   799,   799,   800,   800,   800,   800,   800,   800,   800,
     800,   800,   800,   800,   801,   802,   802,   802,   802,   802,
     802,   802,   802,   802,   802,   802,   802,   802,   802,   802,
     802,   802,   802,   802,   802,   802,   802,   802,   802,   802,
     802,   802,   802,   802,   802,   802,   802,   802,   802,   802,
     802,   802,   802,   803,   803,   804,   805,   806,   806,   806,
     807,   807,   808,   808,   809,   810,   811,   811,   813,   812,
     814,   814,   815,   815,   816,   728,   728,   728,   728,   689,
     817,   689,   818,   689,   819,   689,   820,   689,   821,   689,
     822,   689,   823,   689,   824,   825,   825,   825,   825,   825,
     825,   825,   825,   825,   672,   826,   827,   827,   827,   828,
     828,   828,   828,   828,   828,   828,   828,   828,   672,   830,
     829,   831,   831,   831,   831,   672,   832,   833,   833,   833,
     833,   834,   833,   835,   833,   833,   833,   836,   836,   837,
     838,   839,   839,   839,   839,   839,   839,   839,   839,   839,
     839,   839,   839,   839,   839,   839,   839,   840,   839,   841,
     839,   839,   839,   842,   842,   842,   843,   844,   844,   845,
     845,   846,   847,   848,   848,   848,   848,   848,   849,   850,
     850,   851,   851,   852,   853,   854,   855,   855,   855,   856,
     857,   857,   858,   858,   859,   860,   861,   861,   861,   862,
     863,   863,   864,   864,   865,   865,   866,   866,   728,   728,
     672,   867,   867,   868,   869,   869,   869,   869,   869,   869,
     870,   870,   871,   872,   873,   874,   874,   874,   874,   874,
     874,   874,   874,   874,   874,   874,   874,   874,   874,   874,
     874,   874,   874,   874,   874,   874,   874,   874,   874,   874,
     875,   875,   875,   875,   876,   876,   877,   877,   878,   728,
     728,   689,   879,   689,   880,   672,   881,   882,   883,   883,
     884,   884,   884,   884,   884,   884,   884,   884,   884,   885,
     885,   886,   887,   887,   888,   888,   889,   890,   891,   891,
     892,   892,   892,   893,   672,   894,   895,   895,   895,   895,
     895,   895,   896,   896,   896,   896,   896,   896,   897,   897,
     898,   899,   899,   899,   899,   899,   899,   899,   899,   899,
     900,   901,   901,   902,   902,   689,   903,   904,   905,   905,
     728,   728,   728,   728,   728,   728,   728,   728,   728,   728,
     728,   728,   728,   728,   728,   728,   728,   728,   728,   728,
     728,   728,   728,   728,   728,   728,   728,   728,   535,   906,
     907,   908,   908,   909,   909,   910,   910,   910,   911,   911,
     912,   912,   913,   913,   913,   913,   913,   913,   913,   913,
     913,   535,   914,   914,   535,   915,   915,   915,   915,   689,
     916,   689,   917,   689,   918,   689,   919,   689,   920,   689,
     921,   922,   922,   923,   923,   923,   672,   924,   904,   904,
     925,   925,   926,   926,   926,   926,   926,   926,   926,   672,
     927,   928,   928,   929,   929,   929,   930,   931,   932,   932,
     933,   933,   934,   728,   728
};

  /* YYR2[YYN] -- Number of symbols on the right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     2,     2,     0,     2,     1,     1,     5,     1,
       3,     1,     2,     2,     2,     1,     1,     1,     1,     1,
       0,     1,     1,     1,     0,     2,     2,     2,     3,     7,
       2,     2,     5,     5,     2,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       3,     1,     1,     1,     1,     0,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     2,     1,     1,
       1,     2,     2,     1,     1,     1,     2,     1,     1,     1,
       1,     2,     4,     1,     3,     1,     3,     1,     3,     4,
       6,     6,     0,     1,     1,     1,     1,     1,     2,     4,
       4,     2,     2,     2,     2,     2,     4,     2,     2,     2,
       2,     0,     3,     0,     3,     0,     0,     0,     6,     6,
       1,     1,     1,     0,     4,     1,     2,     1,     4,     1,
       6,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     2,     2,     0,     3,
       1,     3,     1,     1,     1,     2,     3,     2,     4,     1,
       0,     5,     0,     1,     1,     2,     1,     3,     1,     1,
       1,     1,     1,     1,     3,     1,     1,     3,     1,     1,
       1,     5,     7,     5,     7,     9,     7,     5,     7,     5,
      11,     1,     1,     2,     1,     7,     9,     7,     7,     9,
       7,     9,     7,     9,     7,    15,     1,     1,     1,     1,
       3,     1,     1,     1,     1,     3,     1,     3,     1,     3,
       1,     2,     2,     6,     1,     3,     0,     4,     3,     1,
       3,     3,     2,     4,     2,     2,     2,     0,     1,     1,
       1,     1,     1,     1,     1,     3,     3,     1,     5,     7,
       7,     1,     0,     4,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     2,
       4,     1,     1,     1,     1,     2,     2,     3,     3,     3,
       3,     3,     3,     3,     3,     6,     3,     3,     3,     3,
       3,     5,     7,     6,     6,     6,     6,     4,     8,     4,
       4,     1,     1,     1,     1,     1,     1,     1,     0,     1,
       3,     1,     3,     0,     1,     4,     6,     4,     3,     5,
       5,     4,     6,     3,     2,     5,     5,     8,     8,     8,
       8,     7,     0,     1,     4,     5,     1,     3,     1,     1,
       1,     5,     1,     1,     2,     1,     1,     1,     1,     1,
       1,     1,     1,     0,     1,     4,     1,     1,     1,     0,
       1,     2,     3,     0,     2,     2,     2,     3,     2,     2,
       1,     2,     2,     2,     3,     3,     3,     2,     4,     0,
       3,     0,     3,     0,     3,     1,     2,     1,     1,     1,
       0,     2,     2,     2,     2,     2,     1,     1,     3,     3,
       1,     1,     1,     1,     1,     2,     4,     3,     4,     4,
       3,     4,     4,     3,     0,     1,     2,     0,     1,     3,
       1,     3,     1,     0,     2,     2,     2,     2,     2,     3,
       3,     3,     3,     5,     0,     3,     1,     1,     3,     1,
       3,     1,     1,     1,     1,     1,     1,     1,     1,     3,
       1,     3,     1,     1,     4,     1,     0,     3,     4,     1,
       2,     0,     5,     5,     5,     5,     4,     4,     4,     4,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       1,     3,     1,     3,     1,     4,     1,     5,     1,     0,
       1,     3,     1,     4,     1,     4,     0,     2,     3,     3,
       3,     6,     3,     2,     2,     2,     2,     3,     5,     3,
       2,     2,     1,     1,     1,     1,     2,     2,     3,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     4,     0,
       2,     2,     2,     2,     2,     2,     1,     3,     1,     3,
       1,     3,     1,     3,     1,     3,     1,     3,     1,     3,
       1,     3,     1,     3,     1,     4,     1,     1,     3,     0,
       1,     1,     4,     1,     4,     1,     4,     1,     3,     1,
       4,     1,     4,     1,     4,     1,     4,     1,     2,     1,
       1,     1,     1,     0,     1,     1,     1,     2,     1,     2,
       2,     2,     0,     3,     5,     0,     0,     2,     4,     4,
       4,     2,     2,     2,     1,     1,     1,     2,     2,     3,
       3,     0,     3,     0,     3,     4,     3,     0,     2,     2,
       0,     2,     0,     2,     4,     1,     5,     1,     2,     1,
       1,     2,     4,     0,     3,     5,     0,     0,     0,     2,
       2,     2,     2,     2,     3,     3,     3,     3,     2,     3,
       3,     4,     4,     0,     3,     0,     3,     4,     1,     1,
       6,     1,     6,     1,     6,     1,     6,     2,     2,     0,
       3,     3,     0,     3,     3,     1,     3,     1,     3,     1,
       3,     2,     2,     2,     2,     2,     2,     3,     3,     3,
       3,     4,     6,     4,     6,     4,     6,     5,     5,     4,
       5,     5,     6,     3,     3,     4,     5,     5,     5,     5,
       5,     5,     5,     5,     5,     6,     6,     6,     5,     6,
       8,     6,     6,     6,     5,     6,     4,     4,     4,     4,
       5,     5,     6,     5,     5,     5,     6,     7,     7,     7,
       5,     5,     4,     4,     1,     1,     2,     2,     2,     2,
       2,     2,     2,     2,     1,     1,     1,     1,     1,     1,
       1,     4,     4,     4,     3,     3,     3,     2,     2,     2,
       3,     5,     5,     4,     3,     3,     3,     3,     3,     0,
       3,     0,     3,     0,     3,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     2,     1,
       2,     2,     2,     1,     2,     2,     4,     0,     3,     5,
       1,     4,     0,     3,     3,     3,     2,     3,     2,     1,
       2,     2,     2,     3,     3,     0,     1,     2,     3,     1,
       1,     2,     2,     3,     3,     2,     4,     3,     2,     3,
       1,     2,     4,     0,     3,     2,     1,     2,     3,     3,
       3,     3,     2,     3,     0,     5,     0,     5,     2,     2,
       1,     4,     1,     1,     0,     3,     2,     2,     2,     5,
       2,     0,     3,     0,     2,     2,     3,     2,     2,     3,
       2,     2,     2,     1,     3,     2,     2,     2,     2,     2,
       2,     3,     2,     2,     2,     2,     2,     2,     2,     2,
       3,     3,     3,     2,     3,     2,     3,     3,     4,     4,
       2,     2,     2,     3,     3,     3,     2,     3,     3,     3,
       4,     2,     1,     0,     2,     3,     1,     0,     1,     2,
       0,     2,     0,     1,     3,     0,     0,     2,     0,     3,
       0,     3,     0,     3,     3,     1,     1,     1,     1,     1,
       4,     1,     6,     1,     6,     1,     6,     1,     7,     1,
       6,     1,     7,     1,     5,     0,     2,     3,     2,     3,
       3,     2,     3,     2,     2,     2,     3,     3,     3,     1,
       3,     3,     2,     3,     3,     2,     2,     2,     2,     0,
       4,     2,     3,     3,     5,     1,     2,     1,     1,     2,
       2,     0,     3,     0,     3,     2,     3,     0,     3,     5,
       0,     4,     4,     3,     2,     3,     3,     3,     3,     4,
       4,     4,     3,     3,     4,     4,     2,     0,     3,     0,
       3,     3,     3,     1,     1,     1,     0,     0,     3,     0,
       3,     4,     1,     2,     2,     2,     4,     4,     0,     0,
       3,     0,     3,     3,     1,     0,     0,     2,     2,     0,
       0,     3,     1,     5,     1,     0,     0,     2,     2,     0,
       0,     3,     1,     5,     1,     2,     0,     2,     1,     1,
       1,     1,     2,     2,     1,     1,     2,     4,     2,     2,
       0,     3,     5,     0,     0,     2,     2,     2,     2,     2,
       2,     2,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     2,     3,     3,     4,     3,     2,     2,     1,
       1,     1,     1,     1,     0,     3,     0,     3,     4,     1,
       1,     1,     6,     1,     6,     1,     2,     5,     0,     3,
       1,     1,     2,     3,     1,     2,     3,     3,     3,     0,
       1,     2,     1,     1,     2,     6,     0,     0,     0,     3,
       4,     4,     2,     0,     2,     2,     3,     3,     3,     5,
       5,     4,     3,     2,     3,     3,     3,     3,     1,     2,
       2,     2,     3,     5,     1,     2,     2,     2,     2,     2,
       1,     0,     2,     0,     3,     1,     4,     3,     3,     2,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     0,
       5,     2,     0,     0,     2,     2,     2,     1,     1,     3,
       1,     3,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     4,     3,     1,     3,     4,     3,     3,     1,
       4,     1,     5,     1,     3,     1,     3,     1,     4,     1,
       2,     0,     1,     0,     1,     2,     2,     2,     3,     3,
       0,     2,     1,     1,     2,     3,     2,     3,     4,     2,
       2,     3,     3,     1,     2,     3,     0,     2,     0,     3,
       0,     3,     3,     1,     1
};


#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)
#define YYEMPTY         (-2)
#define YYEOF           0

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                  \
do                                                              \
  if (yychar == YYEMPTY)                                        \
    {                                                           \
      yychar = (Token);                                         \
      yylval = (Value);                                         \
      YYPOPSTACK (yylen);                                       \
      yystate = *yyssp;                                         \
      YY_LAC_DISCARD ("YYBACKUP");                              \
      goto yybackup;                                            \
    }                                                           \
  else                                                          \
    {                                                           \
      yyerror (YY_("syntax error: cannot back up")); \
      YYERROR;                                                  \
    }                                                           \
while (0)

/* Error token number */
#define YYTERROR        1
#define YYERRCODE       256



/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)

/* This macro is provided for backward compatibility. */
#ifndef YY_LOCATION_PRINT
# define YY_LOCATION_PRINT(File, Loc) ((void) 0)
#endif


# define YY_SYMBOL_PRINT(Title, Type, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Type, Value); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*----------------------------------------.
| Print this symbol's value on YYOUTPUT.  |
`----------------------------------------*/

static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep)
{
  FILE *yyo = yyoutput;
  YYUSE (yyo);
  if (!yyvaluep)
    return;
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# endif
  YYUSE (yytype);
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep)
{
  YYFPRINTF (yyoutput, "%s %s (",
             yytype < YYNTOKENS ? "token" : "nterm", yytname[yytype]);

  yy_symbol_value_print (yyoutput, yytype, yyvaluep);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yytype_int16 *yyssp, YYSTYPE *yyvsp, int yyrule)
{
  unsigned long int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       yystos[yyssp[yyi + 1 - yynrhs]],
                       &(yyvsp[(yyi + 1) - (yynrhs)])
                                              );
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, Rule); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif

/* Given a state stack such that *YYBOTTOM is its bottom, such that
   *YYTOP is either its top or is YYTOP_EMPTY to indicate an empty
   stack, and such that *YYCAPACITY is the maximum number of elements it
   can hold without a reallocation, make sure there is enough room to
   store YYADD more elements.  If not, allocate a new stack using
   YYSTACK_ALLOC, copy the existing elements, and adjust *YYBOTTOM,
   *YYTOP, and *YYCAPACITY to reflect the new capacity and memory
   location.  If *YYBOTTOM != YYBOTTOM_NO_FREE, then free the old stack
   using YYSTACK_FREE.  Return 0 if successful or if no reallocation is
   required.  Return 1 if memory is exhausted.  */
static int
yy_lac_stack_realloc (YYSIZE_T *yycapacity, YYSIZE_T yyadd,
#if YYDEBUG
                      char const *yydebug_prefix,
                      char const *yydebug_suffix,
#endif
                      yytype_int16 **yybottom,
                      yytype_int16 *yybottom_no_free,
                      yytype_int16 **yytop, yytype_int16 *yytop_empty)
{
  YYSIZE_T yysize_old =
    *yytop == yytop_empty ? 0 : *yytop - *yybottom + 1;
  YYSIZE_T yysize_new = yysize_old + yyadd;
  if (*yycapacity < yysize_new)
    {
      YYSIZE_T yyalloc = 2 * yysize_new;
      yytype_int16 *yybottom_new;
      /* Use YYMAXDEPTH for maximum stack size given that the stack
         should never need to grow larger than the main state stack
         needs to grow without LAC.  */
      if (YYMAXDEPTH < yysize_new)
        {
          YYDPRINTF ((stderr, "%smax size exceeded%s", yydebug_prefix,
                      yydebug_suffix));
          return 1;
        }
      if (YYMAXDEPTH < yyalloc)
        yyalloc = YYMAXDEPTH;
      yybottom_new =
        (yytype_int16*) YYSTACK_ALLOC (yyalloc * sizeof *yybottom_new);
      if (!yybottom_new)
        {
          YYDPRINTF ((stderr, "%srealloc failed%s", yydebug_prefix,
                      yydebug_suffix));
          return 1;
        }
      if (*yytop != yytop_empty)
        {
          YYCOPY (yybottom_new, *yybottom, yysize_old);
          *yytop = yybottom_new + (yysize_old - 1);
        }
      if (*yybottom != yybottom_no_free)
        YYSTACK_FREE (*yybottom);
      *yybottom = yybottom_new;
      *yycapacity = yyalloc;
    }
  return 0;
}

/* Establish the initial context for the current lookahead if no initial
   context is currently established.

   We define a context as a snapshot of the parser stacks.  We define
   the initial context for a lookahead as the context in which the
   parser initially examines that lookahead in order to select a
   syntactic action.  Thus, if the lookahead eventually proves
   syntactically unacceptable (possibly in a later context reached via a
   series of reductions), the initial context can be used to determine
   the exact set of tokens that would be syntactically acceptable in the
   lookahead's place.  Moreover, it is the context after which any
   further semantic actions would be erroneous because they would be
   determined by a syntactically unacceptable token.

   YY_LAC_ESTABLISH should be invoked when a reduction is about to be
   performed in an inconsistent state (which, for the purposes of LAC,
   includes consistent states that don't know they're consistent because
   their default reductions have been disabled).  Iff there is a
   lookahead token, it should also be invoked before reporting a syntax
   error.  This latter case is for the sake of the debugging output.

   For parse.lac=full, the implementation of YY_LAC_ESTABLISH is as
   follows.  If no initial context is currently established for the
   current lookahead, then check if that lookahead can eventually be
   shifted if syntactic actions continue from the current context.
   Report a syntax error if it cannot.  */
#define YY_LAC_ESTABLISH                                         \
do {                                                             \
  if (!yy_lac_established)                                       \
    {                                                            \
      YYDPRINTF ((stderr,                                        \
                  "LAC: initial context established for %s\n",   \
                  yytname[yytoken]));                            \
      yy_lac_established = 1;                                    \
      {                                                          \
        int yy_lac_status =                                      \
          yy_lac (yyesa, &yyes, &yyes_capacity, yyssp, yytoken); \
        if (yy_lac_status == 2)                                  \
          goto yyexhaustedlab;                                   \
        if (yy_lac_status == 1)                                  \
          goto yyerrlab;                                         \
      }                                                          \
    }                                                            \
} while (0)

/* Discard any previous initial lookahead context because of Event,
   which may be a lookahead change or an invalidation of the currently
   established initial context for the current lookahead.

   The most common example of a lookahead change is a shift.  An example
   of both cases is syntax error recovery.  That is, a syntax error
   occurs when the lookahead is syntactically erroneous for the
   currently established initial context, so error recovery manipulates
   the parser stacks to try to find a new initial context in which the
   current lookahead is syntactically acceptable.  If it fails to find
   such a context, it discards the lookahead.  */
#if YYDEBUG
# define YY_LAC_DISCARD(Event)                                           \
do {                                                                     \
  if (yy_lac_established)                                                \
    {                                                                    \
      if (yydebug)                                                       \
        YYFPRINTF (stderr, "LAC: initial context discarded due to "      \
                   Event "\n");                                          \
      yy_lac_established = 0;                                            \
    }                                                                    \
} while (0)
#else
# define YY_LAC_DISCARD(Event) yy_lac_established = 0
#endif

/* Given the stack whose top is *YYSSP, return 0 iff YYTOKEN can
   eventually (after perhaps some reductions) be shifted, return 1 if
   not, or return 2 if memory is exhausted.  As preconditions and
   postconditions: *YYES_CAPACITY is the allocated size of the array to
   which *YYES points, and either *YYES = YYESA or *YYES points to an
   array allocated with YYSTACK_ALLOC.  yy_lac may overwrite the
   contents of either array, alter *YYES and *YYES_CAPACITY, and free
   any old *YYES other than YYESA.  */
static int
yy_lac (yytype_int16 *yyesa, yytype_int16 **yyes,
        YYSIZE_T *yyes_capacity, yytype_int16 *yyssp, int yytoken)
{
  yytype_int16 *yyes_prev = yyssp;
  yytype_int16 *yyesp = yyes_prev;
  YYDPRINTF ((stderr, "LAC: checking lookahead %s:", yytname[yytoken]));
  if (yytoken == YYUNDEFTOK)
    {
      YYDPRINTF ((stderr, " Always Err\n"));
      return 1;
    }
  while (1)
    {
      int yyrule = yypact[*yyesp];
      if (yypact_value_is_default (yyrule)
          || (yyrule += yytoken) < 0 || YYLAST < yyrule
          || yycheck[yyrule] != yytoken)
        {
          yyrule = yydefact[*yyesp];
          if (yyrule == 0)
            {
              YYDPRINTF ((stderr, " Err\n"));
              return 1;
            }
        }
      else
        {
          yyrule = yytable[yyrule];
          if (yytable_value_is_error (yyrule))
            {
              YYDPRINTF ((stderr, " Err\n"));
              return 1;
            }
          if (0 < yyrule)
            {
              YYDPRINTF ((stderr, " S%d\n", yyrule));
              return 0;
            }
          yyrule = -yyrule;
        }
      {
        YYSIZE_T yylen = yyr2[yyrule];
        YYDPRINTF ((stderr, " R%d", yyrule - 1));
        if (yyesp != yyes_prev)
          {
            YYSIZE_T yysize = yyesp - *yyes + 1;
            if (yylen < yysize)
              {
                yyesp -= yylen;
                yylen = 0;
              }
            else
              {
                yylen -= yysize;
                yyesp = yyes_prev;
              }
          }
        if (yylen)
          yyesp = yyes_prev -= yylen;
      }
      {
        int yystate;
        {
          int yylhs = yyr1[yyrule] - YYNTOKENS;
          yystate = yypgoto[yylhs] + *yyesp;
          if (yystate < 0 || YYLAST < yystate
              || yycheck[yystate] != *yyesp)
            yystate = yydefgoto[yylhs];
          else
            yystate = yytable[yystate];
        }
        if (yyesp == yyes_prev)
          {
            yyesp = *yyes;
            *yyesp = yystate;
          }
        else
          {
            if (yy_lac_stack_realloc (yyes_capacity, 1,
#if YYDEBUG
                                      " (", ")",
#endif
                                      yyes, yyesa, &yyesp, yyes_prev))
              {
                YYDPRINTF ((stderr, "\n"));
                return 2;
              }
            *++yyesp = yystate;
          }
        YYDPRINTF ((stderr, " G%d", yystate));
      }
    }
}


#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
static YYSIZE_T
yystrlen (const char *yystr)
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
yystpcpy (char *yydest, const char *yysrc)
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
        switch (*++yyp)
          {
          case '\'':
          case ',':
            goto do_not_strip_quotes;

          case '\\':
            if (*++yyp != '\\')
              goto do_not_strip_quotes;
            /* Fall through.  */
          default:
            if (yyres)
              yyres[yyn] = *yyp;
            yyn++;
            break;

          case '"':
            if (yyres)
              yyres[yyn] = '\0';
            return yyn;
          }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.  In order to see if a particular token T is a
   valid looakhead, invoke yy_lac (YYESA, YYES, YYES_CAPACITY, YYSSP, T).

   Return 0 if *YYMSG was successfully written.  Return 1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return 2 if the
   required number of bytes is too large to store or if
   yy_lac returned 2.  */
static int
yysyntax_error (YYSIZE_T *yymsg_alloc, char **yymsg,
                yytype_int16 *yyesa, yytype_int16 **yyes,
                YYSIZE_T *yyes_capacity, yytype_int16 *yyssp, int yytoken)
{
  YYSIZE_T yysize0 = yytnamerr (YY_NULLPTR, yytname[yytoken]);
  YYSIZE_T yysize = yysize0;
  enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
  /* Internationalized format string. */
  const char *yyformat = YY_NULLPTR;
  /* Arguments of yyformat. */
  char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
  /* Number of reported tokens (one for the "unexpected", one per
     "expected"). */
  int yycount = 0;

  /* There are many possibilities here to consider:
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
       In the first two cases, it might appear that the current syntax
       error should have been detected in the previous state when yy_lac
       was invoked.  However, at that time, there might have been a
       different syntax error that discarded a different initial context
       during error recovery, leaving behind the current lookahead.
  */
  if (yytoken != YYEMPTY)
    {
      int yyn = yypact[*yyssp];
      YYDPRINTF ((stderr, "Constructing syntax error message\n"));
      yyarg[yycount++] = yytname[yytoken];
      if (!yypact_value_is_default (yyn))
        {
          int yyx;

          for (yyx = 0; yyx < YYNTOKENS; ++yyx)
            if (yyx != YYTERROR && yyx != YYUNDEFTOK)
              {
                {
                  int yy_lac_status = yy_lac (yyesa, yyes, yyes_capacity,
                                              yyssp, yyx);
                  if (yy_lac_status == 2)
                    return 2;
                  if (yy_lac_status == 1)
                    continue;
                }
                if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
                  {
                    yycount = 1;
                    yysize = yysize0;
                    break;
                  }
                yyarg[yycount++] = yytname[yyx];
                {
                  YYSIZE_T yysize1 = yysize + yytnamerr (YY_NULLPTR, yytname[yyx]);
                  if (! (yysize <= yysize1
                         && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
                    return 2;
                  yysize = yysize1;
                }
              }
        }
# if YYDEBUG
      else if (yydebug)
        YYFPRINTF (stderr, "No expected tokens.\n");
# endif
    }

  switch (yycount)
    {
# define YYCASE_(N, S)                      \
      case N:                               \
        yyformat = S;                       \
      break
    default: /* Avoid compiler warnings. */
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
# undef YYCASE_
    }

  {
    YYSIZE_T yysize1 = yysize + yystrlen (yyformat);
    if (! (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
      return 2;
    yysize = yysize1;
  }

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return 1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yyarg[yyi++]);
          yyformat += 2;
        }
      else
        {
          yyp++;
          yyformat++;
        }
  }
  return 0;
}
#endif /* YYERROR_VERBOSE */

/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep)
{
  YYUSE (yyvaluep);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YYUSE (yytype);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}




/* The lookahead symbol.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;
/* Number of syntax errors so far.  */
int yynerrs;


/*----------.
| yyparse.  |
`----------*/

int
yyparse (void)
{
    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       'yyss': related to states.
       'yyvs': related to semantic values.

       Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    YYSIZE_T yystacksize;

    yytype_int16 yyesa[20];
    yytype_int16 *yyes;
    YYSIZE_T yyes_capacity;

  int yy_lac_established = 0;
  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken = 0;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yyssp = yyss = yyssa;
  yyvsp = yyvs = yyvsa;
  yystacksize = YYINITDEPTH;

  yyes = yyesa;
  yyes_capacity = sizeof yyesa / sizeof *yyes;
  if (YYMAXDEPTH < yyes_capacity)
    yyes_capacity = YYMAXDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */
  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        YYSTYPE *yyvs1 = yyvs;
        yytype_int16 *yyss1 = yyss;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * sizeof (*yyssp),
                    &yyvs1, yysize * sizeof (*yyvsp),
                    &yystacksize);

        yyss = yyss1;
        yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yytype_int16 *yyss1 = yyss;
        union yyalloc *yyptr =
          (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
        if (! yyptr)
          goto yyexhaustedlab;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
                  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = yylex ();
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    {
      YY_LAC_ESTABLISH;
      goto yydefault;
    }
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      YY_LAC_ESTABLISH;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;
  YY_LAC_DISCARD ("shift");

  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];


  YY_REDUCE_PRINT (yyn);
  {
    int yychar_backup = yychar;
    switch (yyn)
      {
          case 2:
#line 108 "conf/confbase.Y" /* yacc.c:1648  */
    { return 0; }
#line 5210 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 3:
#line 109 "conf/confbase.Y" /* yacc.c:1648  */
    { return 0; }
#line 5216 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 8:
#line 125 "conf/confbase.Y" /* yacc.c:1648  */
    {
     struct f_val *val = cfg_alloc(sizeof(struct f_val));
     *val = f_eval((yyvsp[-1].x), cfg_mem);
     if (val->type == T_RETURN) cf_error("Runtime error");
     cf_define_symbol((yyvsp[-3].s), SYM_CONSTANT | val->type, val);
   }
#line 5227 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 10:
#line 135 "conf/confbase.Y" /* yacc.c:1648  */
    { (yyval.i) = f_eval_int((yyvsp[-1].x)); }
#line 5233 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 11:
#line 136 "conf/confbase.Y" /* yacc.c:1648  */
    {
     if ((yyvsp[0].s)->class != (SYM_CONSTANT | T_INT)) cf_error("Number expected");
     (yyval.i) = SYM_VAL((yyvsp[0].s)).i; }
#line 5241 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 12:
#line 143 "conf/confbase.Y" /* yacc.c:1648  */
    { (yyval.time) = (yyvsp[-1].i) S_; }
#line 5247 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 13:
#line 144 "conf/confbase.Y" /* yacc.c:1648  */
    { (yyval.time) = (yyvsp[-1].i) MS_; }
#line 5253 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 14:
#line 145 "conf/confbase.Y" /* yacc.c:1648  */
    { (yyval.time) = (yyvsp[-1].i) US_; }
#line 5259 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 15:
#line 151 "conf/confbase.Y" /* yacc.c:1648  */
    { (yyval.i) = !!(yyvsp[0].i); }
#line 5265 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 16:
#line 152 "conf/confbase.Y" /* yacc.c:1648  */
    { (yyval.i) = 1; }
#line 5271 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 17:
#line 153 "conf/confbase.Y" /* yacc.c:1648  */
    { (yyval.i) = 1; }
#line 5277 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 18:
#line 154 "conf/confbase.Y" /* yacc.c:1648  */
    { (yyval.i) = 0; }
#line 5283 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 19:
#line 155 "conf/confbase.Y" /* yacc.c:1648  */
    { (yyval.i) = 0; }
#line 5289 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 20:
#line 156 "conf/confbase.Y" /* yacc.c:1648  */
    { (yyval.i) = 1; }
#line 5295 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 21:
#line 163 "conf/confbase.Y" /* yacc.c:1648  */
    { (yyval.a) = ipa_from_ip4((yyvsp[0].ip4)); }
#line 5301 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 22:
#line 164 "conf/confbase.Y" /* yacc.c:1648  */
    { (yyval.a) = ipa_from_ip6((yyvsp[0].ip6)); }
#line 5307 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 23:
#line 165 "conf/confbase.Y" /* yacc.c:1648  */
    {
     if ((yyvsp[0].s)->class != (SYM_CONSTANT | T_IP)) cf_error("IP address expected");
     (yyval.a) = SYM_VAL((yyvsp[0].s)).ip;
   }
#line 5316 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 24:
#line 172 "conf/confbase.Y" /* yacc.c:1648  */
    { (yyval.iface) = NULL; }
#line 5322 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 25:
#line 173 "conf/confbase.Y" /* yacc.c:1648  */
    { (yyval.iface) = if_get_by_name((yyvsp[0].s)->name); }
#line 5328 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 26:
#line 180 "conf/confbase.Y" /* yacc.c:1648  */
    {
     if ((yyvsp[0].i) > IP4_MAX_PREFIX_LENGTH) cf_error("Invalid prefix length %u", (yyvsp[0].i));
     (yyval.i) = (yyvsp[0].i);
   }
#line 5337 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 27:
#line 187 "conf/confbase.Y" /* yacc.c:1648  */
    {
  net_fill_ip4(&((yyval.net)), (yyvsp[-1].ip4), (yyvsp[0].i));

  net_addr_ip4 *n = (void *) &((yyval.net));
  if (!net_validate_ip4(n))
    cf_error("Invalid IPv4 prefix %I4/%d, maybe you wanted %I4/%d",
	     n->prefix, n->pxlen, ip4_and(n->prefix, ip4_mkmask(n->pxlen)), n->pxlen);
}
#line 5350 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 28:
#line 197 "conf/confbase.Y" /* yacc.c:1648  */
    {
  if ((yyvsp[0].i) > IP6_MAX_PREFIX_LENGTH)
    cf_error("Invalid prefix length %u", (yyvsp[0].i));

  net_fill_ip6(&((yyval.net)), (yyvsp[-2].ip6), (yyvsp[0].i));

  net_addr_ip6 *n = (void *) &((yyval.net));
  if (!net_validate_ip6(n))
    cf_error("Invalid IPv6 prefix %I6/%d, maybe you wanted %I6/%d",
	     n->prefix, n->pxlen, ip6_and(n->prefix, ip6_mkmask(n->pxlen)), n->pxlen);
}
#line 5366 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 29:
#line 210 "conf/confbase.Y" /* yacc.c:1648  */
    {
  if ((yyvsp[-4].i) > IP6_MAX_PREFIX_LENGTH)
    cf_error("Invalid prefix length %u", (yyvsp[-4].i));

  if ((yyvsp[0].i) > IP6_MAX_PREFIX_LENGTH)
    cf_error("Invalid prefix length %u", (yyvsp[0].i));

  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_ip6_sadr));
  net_fill_ip6_sadr((yyval.net_ptr), (yyvsp[-6].ip6), (yyvsp[-4].i), (yyvsp[-2].ip6), (yyvsp[0].i));

  net_addr_ip6_sadr *n = (void *) (yyval.net_ptr);
  if (!net_validate_ip6_sadr(n))
    cf_error("Invalid SADR IPv6 prefix %I6/%d from %I6/%d, maybe you wanted %I6/%d from %I6/%d",
	     n->dst_prefix, n->dst_pxlen, n->src_prefix, n->src_pxlen,
	     ip6_and(n->dst_prefix, ip6_mkmask(n->dst_pxlen)), n->dst_pxlen,
	     ip6_and(n->src_prefix, ip6_mkmask(n->src_pxlen)), n->src_pxlen);
}
#line 5388 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 30:
#line 229 "conf/confbase.Y" /* yacc.c:1648  */
    {
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_vpn4));
  net_fill_vpn4((yyval.net_ptr), net4_prefix(&(yyvsp[0].net)), net4_pxlen(&(yyvsp[0].net)), (yyvsp[-1].i64));
}
#line 5397 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 31:
#line 235 "conf/confbase.Y" /* yacc.c:1648  */
    {
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_vpn6));
  net_fill_vpn6((yyval.net_ptr), net6_prefix(&(yyvsp[0].net)), net6_pxlen(&(yyvsp[0].net)), (yyvsp[-1].i64));
}
#line 5406 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 32:
#line 241 "conf/confbase.Y" /* yacc.c:1648  */
    {
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_roa4));
  net_fill_roa4((yyval.net_ptr), net4_prefix(&(yyvsp[-4].net)), net4_pxlen(&(yyvsp[-4].net)), (yyvsp[-2].i), (yyvsp[0].i));
  if ((yyvsp[-2].i) < net4_pxlen(&(yyvsp[-4].net)) || (yyvsp[-2].i) > IP4_MAX_PREFIX_LENGTH)
    cf_error("Invalid max prefix length %u", (yyvsp[-2].i));
}
#line 5417 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 33:
#line 249 "conf/confbase.Y" /* yacc.c:1648  */
    {
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_roa6));
  net_fill_roa6((yyval.net_ptr), net6_prefix(&(yyvsp[-4].net)), net6_pxlen(&(yyvsp[-4].net)), (yyvsp[-2].i), (yyvsp[0].i));
  if ((yyvsp[-2].i) < net6_pxlen(&(yyvsp[-4].net)) || (yyvsp[-2].i) > IP6_MAX_PREFIX_LENGTH)
    cf_error("Invalid max prefix length %u", (yyvsp[-2].i));
}
#line 5428 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 34:
#line 257 "conf/confbase.Y" /* yacc.c:1648  */
    {
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_roa6));
  net_fill_mpls((yyval.net_ptr), (yyvsp[0].i));
}
#line 5437 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 41:
#line 267 "conf/confbase.Y" /* yacc.c:1648  */
    { (yyval.net_ptr) = cfg_alloc((yyvsp[0].net).length); net_copy((yyval.net_ptr), &((yyvsp[0].net))); }
#line 5443 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 48:
#line 280 "conf/confbase.Y" /* yacc.c:1648  */
    {
     if (((yyvsp[0].s)->class != (SYM_CONSTANT | T_NET)) || (SYM_VAL((yyvsp[0].s)).net->type != NET_IP6))
       cf_error("IPv6 network expected");
     (yyval.net) = * SYM_VAL((yyvsp[0].s)).net;
   }
#line 5453 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 50:
#line 289 "conf/confbase.Y" /* yacc.c:1648  */
    {
     if (((yyvsp[0].s)->class != (SYM_CONSTANT | T_NET)) || !net_is_ip(SYM_VAL((yyvsp[0].s)).net))
       cf_error("IP network expected");
     (yyval.net) = * SYM_VAL((yyvsp[0].s)).net;
   }
#line 5463 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 52:
#line 298 "conf/confbase.Y" /* yacc.c:1648  */
    {
     if ((yyvsp[0].s)->class != (SYM_CONSTANT | T_NET))
       cf_error("Network expected");
     (yyval.net_ptr) = (net_addr *) SYM_VAL((yyvsp[0].s)).net; /* Avoid const warning */
   }
#line 5473 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 55:
#line 308 "conf/confbase.Y" /* yacc.c:1648  */
    { net_fill_ip4(&((yyval.net)), (yyvsp[0].ip4), IP4_MAX_PREFIX_LENGTH); }
#line 5479 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 56:
#line 309 "conf/confbase.Y" /* yacc.c:1648  */
    { net_fill_ip6(&((yyval.net)), (yyvsp[0].ip6), IP6_MAX_PREFIX_LENGTH); }
#line 5485 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 57:
#line 310 "conf/confbase.Y" /* yacc.c:1648  */
    {
     if ((yyvsp[0].s)->class == (SYM_CONSTANT | T_IP))
       net_fill_ip_host(&((yyval.net)), SYM_VAL((yyvsp[0].s)).ip);
     else if (((yyvsp[0].s)->class == (SYM_CONSTANT | T_NET)) && net_is_ip(SYM_VAL((yyvsp[0].s)).net))
       (yyval.net) = * SYM_VAL((yyvsp[0].s)).net;
     else
       cf_error("IP address or network expected");
   }
#line 5498 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 58:
#line 321 "conf/confbase.Y" /* yacc.c:1648  */
    {
  (yyval.mls) = cfg_allocz(sizeof(mpls_label_stack));
  (yyval.mls)->len = 1;
  (yyval.mls)->stack[0] = (yyvsp[0].i);
}
#line 5508 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 60:
#line 329 "conf/confbase.Y" /* yacc.c:1648  */
    {
    if ((yyvsp[-2].mls)->len >= MPLS_MAX_LABEL_STACK)
      cf_error("Too many labels in stack");
    (yyvsp[-2].mls)->stack[(yyvsp[-2].mls)->len++] = (yyvsp[0].i);
    (yyval.mls) = (yyvsp[-2].mls);
  }
#line 5519 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 61:
#line 338 "conf/confbase.Y" /* yacc.c:1648  */
    {
     (yyval.time) = tm_parse_time((yyvsp[0].t));
     if (!(yyval.time))
       cf_error("Invalid date/time");
   }
#line 5529 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 63:
#line 347 "conf/confbase.Y" /* yacc.c:1648  */
    {
     if ((yyvsp[0].s)->class != (SYM_CONSTANT | T_STRING)) cf_error("String expected");
     (yyval.t) = SYM_VAL((yyvsp[0].s)).s;
   }
#line 5538 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 65:
#line 355 "conf/confbase.Y" /* yacc.c:1648  */
    { (yyval.t) = NULL; }
#line 5544 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 66:
#line 37 "conf/flowspec.Y" /* yacc.c:1648  */
    { (yyval.i32) = FLOW_OP_TRUE; }
#line 5550 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 67:
#line 38 "conf/flowspec.Y" /* yacc.c:1648  */
    { (yyval.i32) = FLOW_OP_EQ;  }
#line 5556 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 68:
#line 39 "conf/flowspec.Y" /* yacc.c:1648  */
    { (yyval.i32) = FLOW_OP_NEQ; }
#line 5562 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 69:
#line 40 "conf/flowspec.Y" /* yacc.c:1648  */
    { (yyval.i32) = FLOW_OP_LT;  }
#line 5568 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 70:
#line 41 "conf/flowspec.Y" /* yacc.c:1648  */
    { (yyval.i32) = FLOW_OP_LEQ; }
#line 5574 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 71:
#line 42 "conf/flowspec.Y" /* yacc.c:1648  */
    { (yyval.i32) = FLOW_OP_GT;  }
#line 5580 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 72:
#line 43 "conf/flowspec.Y" /* yacc.c:1648  */
    { (yyval.i32) = FLOW_OP_GEQ; }
#line 5586 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 73:
#line 44 "conf/flowspec.Y" /* yacc.c:1648  */
    { (yyval.i32) = FLOW_OP_FALSE; }
#line 5592 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 74:
#line 48 "conf/flowspec.Y" /* yacc.c:1648  */
    { (yyval.i32) = FLOW_OP_OR; }
#line 5598 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 75:
#line 49 "conf/flowspec.Y" /* yacc.c:1648  */
    { (yyval.i32) = FLOW_OP_AND; }
#line 5604 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 76:
#line 53 "conf/flowspec.Y" /* yacc.c:1648  */
    { (yyval.i32) = FLOW_TYPE_IP_PROTOCOL; }
#line 5610 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 77:
#line 54 "conf/flowspec.Y" /* yacc.c:1648  */
    { (yyval.i32) = FLOW_TYPE_NEXT_HEADER; }
#line 5616 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 78:
#line 55 "conf/flowspec.Y" /* yacc.c:1648  */
    { (yyval.i32) = FLOW_TYPE_PORT; }
#line 5622 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 79:
#line 56 "conf/flowspec.Y" /* yacc.c:1648  */
    { (yyval.i32) = FLOW_TYPE_DST_PORT; }
#line 5628 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 80:
#line 57 "conf/flowspec.Y" /* yacc.c:1648  */
    { (yyval.i32) = FLOW_TYPE_SRC_PORT; }
#line 5634 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 81:
#line 58 "conf/flowspec.Y" /* yacc.c:1648  */
    { (yyval.i32) = FLOW_TYPE_ICMP_TYPE; }
#line 5640 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 82:
#line 59 "conf/flowspec.Y" /* yacc.c:1648  */
    { (yyval.i32) = FLOW_TYPE_ICMP_CODE; }
#line 5646 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 83:
#line 60 "conf/flowspec.Y" /* yacc.c:1648  */
    { (yyval.i32) = FLOW_TYPE_PACKET_LENGTH; }
#line 5652 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 84:
#line 61 "conf/flowspec.Y" /* yacc.c:1648  */
    { (yyval.i32) = FLOW_TYPE_DSCP; }
#line 5658 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 85:
#line 64 "conf/flowspec.Y" /* yacc.c:1648  */
    { flow_builder_set_type(this_flow, (yyvsp[0].i32)); }
#line 5664 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 86:
#line 65 "conf/flowspec.Y" /* yacc.c:1648  */
    { flow_builder_set_type(this_flow, FLOW_TYPE_TCP_FLAGS); }
#line 5670 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 87:
#line 66 "conf/flowspec.Y" /* yacc.c:1648  */
    { flow_builder_set_type(this_flow, FLOW_TYPE_FRAGMENT); }
#line 5676 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 88:
#line 67 "conf/flowspec.Y" /* yacc.c:1648  */
    { flow_builder_set_type(this_flow, FLOW_TYPE_LABEL); }
#line 5682 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 89:
#line 70 "conf/flowspec.Y" /* yacc.c:1648  */
    { (yyval.i32) = FLOW_TYPE_DST_PREFIX; }
#line 5688 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 90:
#line 71 "conf/flowspec.Y" /* yacc.c:1648  */
    { (yyval.i32) = FLOW_TYPE_SRC_PREFIX; }
#line 5694 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 91:
#line 75 "conf/flowspec.Y" /* yacc.c:1648  */
    {
     flow_check_cf_value_length(this_flow, (yyvsp[0].i));
     flow_builder_add_op_val(this_flow, (yyvsp[-1].i32), (yyvsp[0].i));
   }
#line 5703 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 92:
#line 79 "conf/flowspec.Y" /* yacc.c:1648  */
    {
     flow_check_cf_value_length(this_flow, (yyvsp[0].i));
     flow_builder_add_op_val(this_flow, (yyvsp[-2].i32) | (yyvsp[-1].i32), (yyvsp[0].i));
   }
#line 5712 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 95:
#line 88 "conf/flowspec.Y" /* yacc.c:1648  */
    {
     flow_check_cf_value_length(this_flow, (yyvsp[0].i));
     flow_builder_add_op_val(this_flow, FLOW_OP_EQ, (yyvsp[0].i));
   }
#line 5721 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 96:
#line 92 "conf/flowspec.Y" /* yacc.c:1648  */
    {
     flow_check_cf_value_length(this_flow, (yyvsp[-2].i));
     flow_check_cf_value_length(this_flow, (yyvsp[0].i));
     flow_builder_add_op_val(this_flow, FLOW_OP_GEQ, (yyvsp[-2].i));
     flow_builder_add_op_val(this_flow, FLOW_OP_AND | FLOW_OP_LEQ, (yyvsp[0].i));
   }
#line 5732 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 99:
#line 106 "conf/flowspec.Y" /* yacc.c:1648  */
    {
     flow_check_cf_bmk_values(this_flow, (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i));
     flow_builder_add_val_mask(this_flow, (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i));
   }
#line 5741 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 100:
#line 110 "conf/flowspec.Y" /* yacc.c:1648  */
    {
     flow_check_cf_bmk_values(this_flow, (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i));
     flow_builder_add_val_mask(this_flow, (yyvsp[-4].i32) | (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i));
   }
#line 5750 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 101:
#line 114 "conf/flowspec.Y" /* yacc.c:1648  */
    {
     flow_check_cf_bmk_values(this_flow, (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i));
     flow_builder_add_val_mask(this_flow, 0x40 | (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i)); /* AND */
   }
#line 5759 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 102:
#line 121 "conf/flowspec.Y" /* yacc.c:1648  */
    { (yyval.i32) = 0x00; }
#line 5765 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 103:
#line 122 "conf/flowspec.Y" /* yacc.c:1648  */
    { (yyval.i32) = 0x02; }
#line 5771 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 104:
#line 126 "conf/flowspec.Y" /* yacc.c:1648  */
    { (yyval.i32) = 1; }
#line 5777 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 105:
#line 127 "conf/flowspec.Y" /* yacc.c:1648  */
    { (yyval.i32) = 2; }
#line 5783 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 106:
#line 128 "conf/flowspec.Y" /* yacc.c:1648  */
    { (yyval.i32) = 4; }
#line 5789 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 107:
#line 129 "conf/flowspec.Y" /* yacc.c:1648  */
    { (yyval.i32) = 8; }
#line 5795 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 108:
#line 133 "conf/flowspec.Y" /* yacc.c:1648  */
    {
     flow_builder_add_val_mask(this_flow, 0, ((yyvsp[-1].i32) ? 0 : (yyvsp[0].i32)), (yyvsp[0].i32));
   }
#line 5803 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 109:
#line 136 "conf/flowspec.Y" /* yacc.c:1648  */
    {
     flow_builder_add_val_mask(this_flow, (yyvsp[-2].i32), ((yyvsp[-1].i32) ? 0 : (yyvsp[0].i32)), (yyvsp[0].i32));
   }
#line 5811 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 110:
#line 139 "conf/flowspec.Y" /* yacc.c:1648  */
    {
     flow_builder_add_val_mask(this_flow, 0x40, ((yyvsp[-1].i32) ? 0 : (yyvsp[0].i32)), (yyvsp[0].i32)); /* AND */
   }
#line 5819 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 111:
#line 145 "conf/flowspec.Y" /* yacc.c:1648  */
    {
     flow_builder_set_type(this_flow, (yyvsp[-1].i32));
     flow_builder4_add_pfx(this_flow, (net_addr_ip4 *) &((yyvsp[0].net)));
   }
#line 5828 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 115:
#line 155 "conf/flowspec.Y" /* yacc.c:1648  */
    {
     flow_builder_set_type(this_flow, (yyvsp[-1].i32));
     flow_builder6_add_pfx(this_flow, (net_addr_ip6 *) &((yyvsp[0].net)), 0);
   }
#line 5837 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 116:
#line 159 "conf/flowspec.Y" /* yacc.c:1648  */
    {
     if ((yyvsp[0].i) > (yyvsp[-2].net).pxlen)
       cf_error("Prefix offset is higher than prefix length");
     flow_builder_set_type(this_flow, (yyvsp[-3].i32));
     flow_builder6_add_pfx(this_flow, (net_addr_ip6 *) &((yyvsp[-2].net)), (yyvsp[0].i));
   }
#line 5848 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 125:
#line 182 "conf/flowspec.Y" /* yacc.c:1648  */
    {
  if (this_flow == NULL)
    this_flow = flow_builder_init(&root_pool);
  else
    flow_builder_clear(this_flow);
}
#line 5859 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 126:
#line 189 "conf/flowspec.Y" /* yacc.c:1648  */
    { this_flow->ipv6 = 0; }
#line 5865 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 127:
#line 190 "conf/flowspec.Y" /* yacc.c:1648  */
    { this_flow->ipv6 = 1; }
#line 5871 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 128:
#line 193 "conf/flowspec.Y" /* yacc.c:1648  */
    {
  (yyval.net_ptr) = (net_addr *) flow_builder4_finalize(this_flow, cfg_mem);
  flow4_validate_cf((net_addr_flow4 *) (yyval.net_ptr));
}
#line 5880 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 129:
#line 199 "conf/flowspec.Y" /* yacc.c:1648  */
    {
  (yyval.net_ptr) = (net_addr *) flow_builder6_finalize(this_flow, cfg_mem);
  flow6_validate_cf((net_addr_flow6 *) (yyval.net_ptr));
}
#line 5889 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 133:
#line 444 "filter/config.Y" /* yacc.c:1648  */
    { (yyvsp[0].s) = cf_define_symbol((yyvsp[0].s), SYM_FILTER, NULL); cf_push_scope( (yyvsp[0].s) ); }
#line 5895 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 134:
#line 445 "filter/config.Y" /* yacc.c:1648  */
    {
     (yyvsp[-2].s)->def = (yyvsp[0].f);
     (yyvsp[0].f)->name = (yyvsp[-2].s)->name;
     DBG( "We have new filter defined (%s)\n", (yyvsp[-2].s)->name );
     cf_pop_scope();
   }
#line 5906 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 136:
#line 455 "filter/config.Y" /* yacc.c:1648  */
    { f_eval_int((yyvsp[0].x)); }
#line 5912 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 138:
#line 459 "filter/config.Y" /* yacc.c:1648  */
    {
  cf_define_symbol((yyvsp[-1].s), SYM_ATTRIBUTE, ca_lookup(new_config->pool, (yyvsp[-1].s)->name, (yyvsp[-2].i))->fda);
}
#line 5920 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 140:
#line 465 "filter/config.Y" /* yacc.c:1648  */
    {
  if (!((yyvsp[-3].s)->class & SYM_FUNCTION))
    cf_error("Function expected");

  struct f_bt_test_suite *t = cfg_alloc(sizeof(struct f_bt_test_suite));
  t->fn = (yyvsp[-3].s)->def;
  t->fn_name = (yyvsp[-3].s)->name;
  t->dsc = (yyvsp[-1].t);

  add_tail(&new_config->tests, &t->n);
 }
#line 5936 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 141:
#line 479 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.i) = T_INT; }
#line 5942 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 142:
#line 480 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.i) = T_BOOL; }
#line 5948 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 143:
#line 481 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.i) = T_IP; }
#line 5954 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 144:
#line 482 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.i) = T_RD; }
#line 5960 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 145:
#line 483 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.i) = T_NET; }
#line 5966 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 146:
#line 484 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.i) = T_PAIR; }
#line 5972 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 147:
#line 485 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.i) = T_QUAD; }
#line 5978 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 148:
#line 486 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.i) = T_EC; }
#line 5984 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 149:
#line 487 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.i) = T_LC; }
#line 5990 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 150:
#line 488 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.i) = T_STRING; }
#line 5996 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 151:
#line 489 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.i) = T_PATH_MASK; }
#line 6002 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 152:
#line 490 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.i) = T_PATH; }
#line 6008 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 153:
#line 491 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.i) = T_CLIST; }
#line 6014 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 154:
#line 492 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.i) = T_ECLIST; }
#line 6020 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 155:
#line 493 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.i) = T_LCLIST; }
#line 6026 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 156:
#line 494 "filter/config.Y" /* yacc.c:1648  */
    {
	switch ((yyvsp[-1].i)) {
	  case T_INT:
	  case T_PAIR:
	  case T_QUAD:
	  case T_EC:
	  case T_LC:
	  case T_RD:
	  case T_IP:
	       (yyval.i) = T_SET;
	       break;

	  case T_NET:
	       (yyval.i) = T_PREFIX_SET;
	    break;

	  default:
		cf_error( "You can't create sets of this type." );
	}
   }
#line 6051 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 157:
#line 517 "filter/config.Y" /* yacc.c:1648  */
    {
     struct f_val * val = cfg_alloc(sizeof(struct f_val));
     val->type = T_VOID;
     (yyvsp[0].s) = cf_define_symbol((yyvsp[0].s), SYM_VARIABLE | (yyvsp[-1].i), val);
     DBG( "New variable %s type %x\n", (yyvsp[0].s)->name, (yyvsp[-1].i) );
     (yyvsp[0].s)->aux2 = NULL;
     (yyval.s)=(yyvsp[0].s);
   }
#line 6064 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 158:
#line 528 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.s) = NULL; }
#line 6070 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 159:
#line 529 "filter/config.Y" /* yacc.c:1648  */
    {
     (yyval.s) = (yyvsp[-2].s);
     (yyval.s)->aux2 = (yyvsp[0].s);
   }
#line 6079 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 160:
#line 536 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.s) = (yyvsp[0].s); }
#line 6085 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 161:
#line 537 "filter/config.Y" /* yacc.c:1648  */
    {
     (yyval.s) = (yyvsp[-2].s);
     (yyval.s)->aux2 = (yyvsp[0].s);
   }
#line 6094 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 162:
#line 544 "filter/config.Y" /* yacc.c:1648  */
    {
     struct filter *f = cfg_alloc(sizeof(struct filter));
     f->name = NULL;
     f->root = (yyvsp[0].x);
     (yyval.f) = f;
   }
#line 6105 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 163:
#line 553 "filter/config.Y" /* yacc.c:1648  */
    {
     if ((yyvsp[0].s)->class != SYM_FILTER) cf_error("No such filter.");
     (yyval.f) = (yyvsp[0].s)->def;
   }
#line 6114 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 165:
#line 561 "filter/config.Y" /* yacc.c:1648  */
    {
     /* Construct 'IF term THEN ACCEPT; REJECT;' */
     struct filter *f = cfg_alloc(sizeof(struct filter));
     struct f_inst *i, *acc, *rej;
     acc = f_new_inst(FI_PRINT_AND_DIE);	/* ACCEPT */
     acc->a1.p = NULL;
     acc->a2.i = F_ACCEPT;
     rej = f_new_inst(FI_PRINT_AND_DIE);	/* REJECT */
     rej->a1.p = NULL;
     rej->a2.i = F_REJECT;
     i = f_new_inst(FI_CONDITION);			/* IF */
     i->a1.p = (yyvsp[0].x);
     i->a2.p = acc;
     i->next = rej;
     f->name = NULL;
     f->root = i;
     (yyval.f) = f;
  }
#line 6137 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 166:
#line 582 "filter/config.Y" /* yacc.c:1648  */
    { DBG( "Have function parameters\n" ); (yyval.s)=(yyvsp[-1].s); }
#line 6143 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 167:
#line 583 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.s)=NULL; }
#line 6149 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 168:
#line 587 "filter/config.Y" /* yacc.c:1648  */
    {
     if ((yyvsp[-3].s)) {
       /* Prepend instruction to clear local variables */
       (yyval.x) = f_new_inst(FI_CLEAR_LOCAL_VARS);
       (yyval.x)->a1.p = (yyvsp[-3].s);
       (yyval.x)->next = (yyvsp[-1].x);
     } else
       (yyval.x) = (yyvsp[-1].x);
   }
#line 6163 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 170:
#line 600 "filter/config.Y" /* yacc.c:1648  */
    { DBG( "Beginning of function %s\n", (yyvsp[0].s)->name );
     (yyvsp[0].s) = cf_define_symbol((yyvsp[0].s), SYM_FUNCTION, NULL);
     cf_push_scope((yyvsp[0].s));
   }
#line 6172 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 171:
#line 603 "filter/config.Y" /* yacc.c:1648  */
    {
     (yyvsp[-3].s)->def = (yyvsp[0].x);
     (yyvsp[-3].s)->aux2 = (yyvsp[-1].s);
     DBG("Hmm, we've got one function here - %s\n", (yyvsp[-3].s)->name);
     cf_pop_scope();
   }
#line 6183 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 172:
#line 616 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = NULL; }
#line 6189 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 173:
#line 617 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = (yyvsp[0].x)->next; (yyvsp[0].x)->next = NULL; }
#line 6195 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 174:
#line 620 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = (yyvsp[0].x); (yyvsp[0].x)->next = (yyvsp[0].x); }
#line 6201 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 175:
#line 621 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = (yyvsp[0].x); (yyvsp[0].x)->next = (yyvsp[-1].x)->next ; (yyvsp[-1].x)->next = (yyvsp[0].x); }
#line 6207 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 176:
#line 625 "filter/config.Y" /* yacc.c:1648  */
    {
     (yyval.x)=(yyvsp[0].x);
   }
#line 6215 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 177:
#line 628 "filter/config.Y" /* yacc.c:1648  */
    {
     (yyval.x)=(yyvsp[-1].x);
   }
#line 6223 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 178:
#line 637 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.v).type = T_IP; (yyval.v).val.ip = ipa_from_ip4((yyvsp[0].ip4)); }
#line 6229 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 179:
#line 638 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.v).type = T_IP; (yyval.v).val.ip = ipa_from_ip6((yyvsp[0].ip6)); }
#line 6235 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 180:
#line 651 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.v).type = T_INT; (yyval.v).val.i = (yyvsp[0].i); }
#line 6241 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 181:
#line 652 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.v) = (yyvsp[0].v); }
#line 6247 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 182:
#line 653 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.v).type = T_RD; (yyval.v).val.ec = (yyvsp[0].i64); }
#line 6253 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 183:
#line 654 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.v).type = pair_a((yyvsp[0].i)); (yyval.v).val.i = pair_b((yyvsp[0].i)); }
#line 6259 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 184:
#line 655 "filter/config.Y" /* yacc.c:1648  */
    {
     (yyval.v) = f_eval((yyvsp[-1].x), cfg_mem);
     if (!f_valid_set_type((yyval.v).type)) cf_error("Set-incompatible type");
   }
#line 6268 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 185:
#line 659 "filter/config.Y" /* yacc.c:1648  */
    {
     if (!cf_symbol_is_constant((yyvsp[0].s))) cf_error("%s: constant expected", (yyvsp[0].s)->name);
     if (!f_valid_set_type(SYM_TYPE((yyvsp[0].s)))) cf_error("%s: set-incompatible type", (yyvsp[0].s)->name);
     (yyval.v) = *(struct f_val *)((yyvsp[0].s)->def);
   }
#line 6278 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 186:
#line 667 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.v).type = T_INT; (yyval.v).val.i = (yyvsp[0].i); }
#line 6284 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 187:
#line 668 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.v).type = T_INT; (yyval.v).val.i = f_eval_int((yyvsp[-1].x)); }
#line 6290 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 188:
#line 669 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.v) = (yyvsp[0].v); }
#line 6296 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 189:
#line 670 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.v).type = pair_a((yyvsp[0].i)); (yyval.v).val.i = pair_b((yyvsp[0].i)); }
#line 6302 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 190:
#line 674 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.i32) = f_eval_int((yyvsp[0].x)); }
#line 6308 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 191:
#line 677 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.e) = f_new_pair_item((yyvsp[-3].i32), (yyvsp[-3].i32), (yyvsp[-1].i32), (yyvsp[-1].i32)); }
#line 6314 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 192:
#line 678 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.e) = f_new_pair_item((yyvsp[-5].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-1].i32)); }
#line 6320 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 193:
#line 679 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.e) = f_new_pair_item((yyvsp[-3].i32), (yyvsp[-3].i32), 0, CC_ALL); }
#line 6326 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 194:
#line 680 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.e) = f_new_pair_set((yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-1].i32), (yyvsp[-1].i32)); }
#line 6332 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 195:
#line 681 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.e) = f_new_pair_set((yyvsp[-7].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-1].i32)); }
#line 6338 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 196:
#line 682 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.e) = f_new_pair_item((yyvsp[-5].i32), (yyvsp[-3].i32), 0, CC_ALL); }
#line 6344 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 197:
#line 683 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.e) = f_new_pair_set(0, CC_ALL, (yyvsp[-1].i32), (yyvsp[-1].i32)); }
#line 6350 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 198:
#line 684 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.e) = f_new_pair_set(0, CC_ALL, (yyvsp[-3].i32), (yyvsp[-1].i32)); }
#line 6356 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 199:
#line 685 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.e) = f_new_pair_item(0, CC_ALL, 0, CC_ALL); }
#line 6362 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 200:
#line 687 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.e) = f_new_pair_item((yyvsp[-9].i32), (yyvsp[-3].i32), (yyvsp[-7].i32), (yyvsp[-1].i32)); }
#line 6368 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 201:
#line 691 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.i) = EC_RT; }
#line 6374 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 202:
#line 692 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.i) = EC_RO; }
#line 6380 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 203:
#line 693 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.i) = (yyvsp[0].i); }
#line 6386 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 204:
#line 694 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.i) = EC_GENERIC; }
#line 6392 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 205:
#line 698 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.e) = f_new_ec_item((yyvsp[-5].i), 0, (yyvsp[-3].i32), (yyvsp[-1].i32), (yyvsp[-1].i32)); }
#line 6398 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 206:
#line 699 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.e) = f_new_ec_item((yyvsp[-7].i), 0, (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-1].i32)); }
#line 6404 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 207:
#line 700 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.e) = f_new_ec_item((yyvsp[-5].i), 0, (yyvsp[-3].i32), 0, EC_ALL); }
#line 6410 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 208:
#line 704 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.e) = f_new_lc_item((yyvsp[-5].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-3].i32), (yyvsp[-1].i32), (yyvsp[-1].i32)); }
#line 6416 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 209:
#line 705 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.e) = f_new_lc_item((yyvsp[-7].i32), (yyvsp[-7].i32), (yyvsp[-5].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-1].i32)); }
#line 6422 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 210:
#line 706 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.e) = f_new_lc_item((yyvsp[-5].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-3].i32), 0, LC_ALL); }
#line 6428 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 211:
#line 707 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.e) = f_new_lc_item((yyvsp[-7].i32), (yyvsp[-7].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), 0, LC_ALL); }
#line 6434 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 212:
#line 708 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.e) = f_new_lc_item((yyvsp[-5].i32), (yyvsp[-5].i32), 0, LC_ALL, 0, LC_ALL); }
#line 6440 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 213:
#line 709 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.e) = f_new_lc_item((yyvsp[-7].i32), (yyvsp[-5].i32), 0, LC_ALL, 0, LC_ALL); }
#line 6446 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 214:
#line 710 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.e) = f_new_lc_item(0, LC_ALL, 0, LC_ALL, 0, LC_ALL); }
#line 6452 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 215:
#line 712 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.e) = f_new_lc_item((yyvsp[-13].i32), (yyvsp[-5].i32), (yyvsp[-11].i32), (yyvsp[-3].i32), (yyvsp[-9].i32), (yyvsp[-1].i32)); }
#line 6458 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 219:
#line 719 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.e) = f_new_item((yyvsp[0].v), (yyvsp[0].v)); }
#line 6464 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 220:
#line 720 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.e) = f_new_item((yyvsp[-2].v), (yyvsp[0].v)); }
#line 6470 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 224:
#line 727 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.e) = f_new_item((yyvsp[0].v), (yyvsp[0].v)); }
#line 6476 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 225:
#line 728 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.e) = f_new_item((yyvsp[-2].v), (yyvsp[0].v)); }
#line 6482 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 227:
#line 733 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.e) = f_merge_items((yyvsp[-2].e), (yyvsp[0].e)); }
#line 6488 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 229:
#line 738 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.e) = f_merge_items((yyvsp[-2].e), (yyvsp[0].e)); }
#line 6494 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 230:
#line 742 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.px).net = (yyvsp[0].net); (yyval.px).lo = (yyvsp[0].net).pxlen; (yyval.px).hi = (yyvsp[0].net).pxlen; }
#line 6500 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 231:
#line 743 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.px).net = (yyvsp[-1].net); (yyval.px).lo = (yyvsp[-1].net).pxlen; (yyval.px).hi = net_max_prefix_length[(yyvsp[-1].net).type]; }
#line 6506 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 232:
#line 744 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.px).net = (yyvsp[-1].net); (yyval.px).lo = 0; (yyval.px).hi = (yyvsp[-1].net).pxlen; }
#line 6512 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 233:
#line 745 "filter/config.Y" /* yacc.c:1648  */
    {
     (yyval.px).net = (yyvsp[-5].net); (yyval.px).lo = (yyvsp[-3].i); (yyval.px).hi = (yyvsp[-1].i);
     if (((yyvsp[-3].i) > (yyvsp[-1].i)) || ((yyvsp[-1].i) > net_max_prefix_length[(yyvsp[-5].net).type]))
       cf_error("Invalid prefix pattern range: {%u, %u}", (yyvsp[-3].i), (yyvsp[-1].i));
   }
#line 6522 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 234:
#line 753 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.trie) = f_new_trie(cfg_mem, sizeof(struct f_trie_node)); trie_add_prefix((yyval.trie), &((yyvsp[0].px).net), (yyvsp[0].px).lo, (yyvsp[0].px).hi); }
#line 6528 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 235:
#line 754 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.trie) = (yyvsp[-2].trie); trie_add_prefix((yyval.trie), &((yyvsp[0].px).net), (yyvsp[0].px).lo, (yyvsp[0].px).hi); }
#line 6534 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 236:
#line 757 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.e) = NULL; }
#line 6540 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 237:
#line 758 "filter/config.Y" /* yacc.c:1648  */
    {
     /* Fill data fields */
     struct f_tree *t;
     for (t = (yyvsp[-2].e); t; t = t->left)
       t->data = (yyvsp[0].x);
     (yyval.e) = f_merge_items((yyvsp[-3].e), (yyvsp[-2].e));
   }
#line 6552 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 238:
#line 765 "filter/config.Y" /* yacc.c:1648  */
    {
     struct f_tree *t = f_new_tree();
     t->from.type = t->to.type = T_VOID;
     t->right = t;
     t->data = (yyvsp[0].x);
     (yyval.e) = f_merge_items((yyvsp[-2].e), t);
 }
#line 6564 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 239:
#line 777 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = (yyvsp[0].x); }
#line 6570 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 240:
#line 778 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = (yyvsp[-1].x); }
#line 6576 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 241:
#line 782 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.h) = (yyvsp[-1].h); }
#line 6582 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 242:
#line 786 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.h) = cfg_allocz(sizeof(struct f_path_mask)); (yyval.h)->next = (yyvsp[0].h); (yyval.h)->kind = PM_ASN; (yyval.h)->val = (yyvsp[-1].i); }
#line 6588 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 243:
#line 787 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.h) = cfg_allocz(sizeof(struct f_path_mask)); (yyval.h)->next = (yyvsp[0].h); (yyval.h)->kind = PM_ASN_RANGE; (yyval.h)->val = (yyvsp[-3].i); (yyval.h)->val2 = (yyvsp[-1].i); }
#line 6594 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 244:
#line 788 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.h) = cfg_allocz(sizeof(struct f_path_mask)); (yyval.h)->next = (yyvsp[0].h); (yyval.h)->kind = PM_ASTERISK; }
#line 6600 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 245:
#line 789 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.h) = cfg_allocz(sizeof(struct f_path_mask)); (yyval.h)->next = (yyvsp[0].h); (yyval.h)->kind = PM_QUESTION; }
#line 6606 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 246:
#line 790 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.h) = cfg_allocz(sizeof(struct f_path_mask)); (yyval.h)->next = (yyvsp[0].h); (yyval.h)->kind = PM_ASN_EXPR; (yyval.h)->val = (uintptr_t) (yyvsp[-1].x); }
#line 6612 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 247:
#line 791 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.h) = NULL; }
#line 6618 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 248:
#line 795 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = f_new_inst(FI_CONSTANT); (yyval.x)->aux = T_INT;  (yyval.x)->a2.i = (yyvsp[0].i); }
#line 6624 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 249:
#line 796 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = f_new_inst(FI_CONSTANT); (yyval.x)->aux = T_BOOL; (yyval.x)->a2.i = 1;  }
#line 6630 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 250:
#line 797 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = f_new_inst(FI_CONSTANT); (yyval.x)->aux = T_BOOL; (yyval.x)->a2.i = 0;  }
#line 6636 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 251:
#line 798 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = f_new_inst(FI_CONSTANT); (yyval.x)->aux = T_STRING; (yyval.x)->a2.p = (yyvsp[0].t); }
#line 6642 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 252:
#line 799 "filter/config.Y" /* yacc.c:1648  */
    { NEW_F_VAL; (yyval.x) = f_new_inst(FI_CONSTANT_INDIRECT); (yyval.x)->a1.p = val; *val = (yyvsp[0].v); }
#line 6648 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 253:
#line 800 "filter/config.Y" /* yacc.c:1648  */
    { NEW_F_VAL; (yyval.x) = f_new_inst(FI_CONSTANT_INDIRECT); val->type = T_RD; val->val.ec = (yyvsp[0].i64); (yyval.x)->a1.p = val; }
#line 6654 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 254:
#line 801 "filter/config.Y" /* yacc.c:1648  */
    { NEW_F_VAL; (yyval.x) = f_new_inst(FI_CONSTANT_INDIRECT); val->type = T_NET; val->val.net = (yyvsp[0].net_ptr); (yyval.x)->a1.p = val; }
#line 6660 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 255:
#line 802 "filter/config.Y" /* yacc.c:1648  */
    { DBG( "We've got a set here..." ); (yyval.x) = f_new_inst(FI_CONSTANT); (yyval.x)->aux = T_SET; (yyval.x)->a2.p = build_tree((yyvsp[-1].e)); DBG( "ook\n" ); }
#line 6666 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 256:
#line 803 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = f_new_inst(FI_CONSTANT); (yyval.x)->aux = T_PREFIX_SET;  (yyval.x)->a2.p = (yyvsp[-1].trie); }
#line 6672 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 257:
#line 804 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = f_new_inst(FI_CONSTANT); (yyval.x)->aux = (yyvsp[0].i) >> 16; (yyval.x)->a2.i = (yyvsp[0].i) & 0xffff; }
#line 6678 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 258:
#line 808 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = f_generate_dpair((yyvsp[-3].x), (yyvsp[-1].x)); }
#line 6684 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 259:
#line 809 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = f_generate_ec((yyvsp[-5].i), (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 6690 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 260:
#line 810 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = f_generate_lc((yyvsp[-5].x), (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 6696 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 261:
#line 811 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = f_generate_path_mask((yyvsp[0].h)); }
#line 6702 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 263:
#line 819 "filter/config.Y" /* yacc.c:1648  */
    {
     struct symbol *sym;
     struct f_inst *inst = (yyvsp[-1].x);
     if ((yyvsp[-3].s)->class != SYM_FUNCTION)
       cf_error("You can't call something which is not a function. Really.");
     DBG("You are calling function %s\n", (yyvsp[-3].s)->name);
     (yyval.x) = f_new_inst(FI_CALL);
     (yyval.x)->a1.p = inst;
     (yyval.x)->a2.p = (yyvsp[-3].s)->def;
     sym = (yyvsp[-3].s)->aux2;
     while (sym || inst) {
       if (!sym || !inst)
	 cf_error("Wrong number of arguments for function %s.", (yyvsp[-3].s)->name);
       DBG( "You should pass parameter called %s\n", sym->name);
       inst->a1.p = sym;
       sym = sym->aux2;
       inst = inst->next;
     }
   }
#line 6726 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 264:
#line 841 "filter/config.Y" /* yacc.c:1648  */
    {
     switch ((yyvsp[0].s)->class & 0xffff) {
       case SYM_CONSTANT_RANGE:
         (yyval.x) = f_new_inst(FI_CONSTANT_INDIRECT);
	 goto cv_common;
       case SYM_VARIABLE_RANGE:
         (yyval.x) = f_new_inst(FI_VARIABLE);
       cv_common:
         (yyval.x)->a1.p = (yyvsp[0].s)->def;
         (yyval.x)->a2.p = (yyvsp[0].s)->name;
	 break;
       case SYM_ATTRIBUTE:
         (yyval.x) = f_new_inst_da(FI_EA_GET, *((struct f_dynamic_attr *) (yyvsp[0].s)->def));
	 break;
       default:
         cf_error("%s: variable expected.", (yyvsp[0].s)->name);
     }
   }
#line 6749 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 265:
#line 861 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.fsa) = f_new_static_attr(T_IP,         SA_FROM,	1); }
#line 6755 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 266:
#line 862 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.fsa) = f_new_static_attr(T_IP,         SA_GW,	1); }
#line 6761 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 267:
#line 863 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.fsa) = f_new_static_attr(T_NET,	  SA_NET,	0); }
#line 6767 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 268:
#line 864 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.fsa) = f_new_static_attr(T_STRING,     SA_PROTO,	0); }
#line 6773 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 269:
#line 865 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.fsa) = f_new_static_attr(T_ENUM_RTS,   SA_SOURCE,	0); }
#line 6779 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 270:
#line 866 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.fsa) = f_new_static_attr(T_ENUM_SCOPE, SA_SCOPE,	1); }
#line 6785 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 271:
#line 867 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.fsa) = f_new_static_attr(T_ENUM_RTD,   SA_DEST,	1); }
#line 6791 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 272:
#line 868 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.fsa) = f_new_static_attr(T_STRING,     SA_IFNAME,	1); }
#line 6797 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 273:
#line 869 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.fsa) = f_new_static_attr(T_INT,        SA_IFINDEX,	0); }
#line 6803 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 274:
#line 873 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = (yyvsp[-1].x); }
#line 6809 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 275:
#line 874 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = f_new_inst(FI_ADD);	(yyval.x)->a1.p = (yyvsp[-2].x); (yyval.x)->a2.p = (yyvsp[0].x); }
#line 6815 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 276:
#line 875 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = f_new_inst(FI_SUBTRACT);	(yyval.x)->a1.p = (yyvsp[-2].x); (yyval.x)->a2.p = (yyvsp[0].x); }
#line 6821 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 277:
#line 876 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = f_new_inst(FI_MULTIPLY);	(yyval.x)->a1.p = (yyvsp[-2].x); (yyval.x)->a2.p = (yyvsp[0].x); }
#line 6827 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 278:
#line 877 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = f_new_inst(FI_DIVIDE);	(yyval.x)->a1.p = (yyvsp[-2].x); (yyval.x)->a2.p = (yyvsp[0].x); }
#line 6833 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 279:
#line 878 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = f_new_inst(FI_AND);	(yyval.x)->a1.p = (yyvsp[-2].x); (yyval.x)->a2.p = (yyvsp[0].x); }
#line 6839 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 280:
#line 879 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = f_new_inst(FI_OR);	(yyval.x)->a1.p = (yyvsp[-2].x); (yyval.x)->a2.p = (yyvsp[0].x); }
#line 6845 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 281:
#line 880 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = f_new_inst(FI_EQ);	(yyval.x)->a1.p = (yyvsp[-2].x); (yyval.x)->a2.p = (yyvsp[0].x); }
#line 6851 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 282:
#line 881 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = f_new_inst(FI_NEQ);	(yyval.x)->a1.p = (yyvsp[-2].x); (yyval.x)->a2.p = (yyvsp[0].x); }
#line 6857 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 283:
#line 882 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = f_new_inst(FI_LT);	(yyval.x)->a1.p = (yyvsp[-2].x); (yyval.x)->a2.p = (yyvsp[0].x); }
#line 6863 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 284:
#line 883 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = f_new_inst(FI_LTE);	(yyval.x)->a1.p = (yyvsp[-2].x); (yyval.x)->a2.p = (yyvsp[0].x); }
#line 6869 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 285:
#line 884 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = f_new_inst(FI_LT);	(yyval.x)->a1.p = (yyvsp[0].x); (yyval.x)->a2.p = (yyvsp[-2].x); }
#line 6875 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 286:
#line 885 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = f_new_inst(FI_LTE);	(yyval.x)->a1.p = (yyvsp[0].x); (yyval.x)->a2.p = (yyvsp[-2].x); }
#line 6881 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 287:
#line 886 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = f_new_inst(FI_MATCH);	(yyval.x)->a1.p = (yyvsp[-2].x); (yyval.x)->a2.p = (yyvsp[0].x); }
#line 6887 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 288:
#line 887 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = f_new_inst(FI_NOT_MATCH);(yyval.x)->a1.p = (yyvsp[-2].x); (yyval.x)->a2.p = (yyvsp[0].x); }
#line 6893 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 289:
#line 888 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = f_new_inst(FI_NOT);	(yyval.x)->a1.p = (yyvsp[0].x); }
#line 6899 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 290:
#line 889 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = f_new_inst(FI_DEFINED);	(yyval.x)->a1.p = (yyvsp[-1].x); }
#line 6905 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 291:
#line 891 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = (yyvsp[0].x); }
#line 6911 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 292:
#line 892 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = (yyvsp[0].x); }
#line 6917 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 293:
#line 893 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = (yyvsp[0].x); }
#line 6923 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 294:
#line 895 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = f_new_inst(FI_PREF_GET); }
#line 6929 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 295:
#line 897 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = f_new_inst_sa(FI_RTA_GET, (yyvsp[0].fsa)); }
#line 6935 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 296:
#line 899 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = f_new_inst_da(FI_EA_GET, (yyvsp[0].fda)); }
#line 6941 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 297:
#line 901 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = f_new_inst(FI_IS_V4); (yyval.x)->a1.p = (yyvsp[-2].x); }
#line 6947 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 298:
#line 902 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = f_new_inst(FI_TYPE); (yyval.x)->a1.p = (yyvsp[-2].x); }
#line 6953 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 299:
#line 903 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = f_new_inst(FI_IP); (yyval.x)->a1.p = (yyvsp[-2].x); (yyval.x)->aux = T_IP; }
#line 6959 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 300:
#line 904 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = f_new_inst(FI_ROUTE_DISTINGUISHER); (yyval.x)->a1.p = (yyvsp[-2].x); (yyval.x)->aux = T_RD; }
#line 6965 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 301:
#line 905 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = f_new_inst(FI_LENGTH); (yyval.x)->a1.p = (yyvsp[-2].x); }
#line 6971 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 302:
#line 906 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = f_new_inst(FI_ROA_MAXLEN); (yyval.x)->a1.p = (yyvsp[-2].x); }
#line 6977 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 303:
#line 907 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = f_new_inst(FI_ROA_ASN); (yyval.x)->a1.p = (yyvsp[-2].x); }
#line 6983 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 304:
#line 908 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = f_new_inst(FI_SADR_SRC); (yyval.x)->a1.p = (yyvsp[-2].x); }
#line 6989 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 305:
#line 909 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = f_new_inst(FI_IP_MASK); (yyval.x)->a1.p = (yyvsp[-5].x); (yyval.x)->a2.p = (yyvsp[-1].x); }
#line 6995 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 306:
#line 910 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = f_new_inst(FI_AS_PATH_FIRST); (yyval.x)->a1.p = (yyvsp[-2].x); }
#line 7001 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 307:
#line 911 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = f_new_inst(FI_AS_PATH_LAST); (yyval.x)->a1.p = (yyvsp[-2].x); }
#line 7007 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 308:
#line 912 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = f_new_inst(FI_AS_PATH_LAST_NAG); (yyval.x)->a1.p = (yyvsp[-2].x); }
#line 7013 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 309:
#line 922 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = f_new_inst(FI_EMPTY); (yyval.x)->aux = T_PATH; }
#line 7019 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 310:
#line 923 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = f_new_inst(FI_EMPTY); (yyval.x)->aux = T_CLIST; }
#line 7025 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 311:
#line 924 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = f_new_inst(FI_EMPTY); (yyval.x)->aux = T_ECLIST; }
#line 7031 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 312:
#line 925 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = f_new_inst(FI_EMPTY); (yyval.x)->aux = T_LCLIST; }
#line 7037 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 313:
#line 926 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = f_new_inst(FI_PATH_PREPEND); (yyval.x)->a1.p = (yyvsp[-3].x); (yyval.x)->a2.p = (yyvsp[-1].x); }
#line 7043 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 314:
#line 927 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = f_new_inst(FI_CLIST_ADD_DEL); (yyval.x)->a1.p = (yyvsp[-3].x); (yyval.x)->a2.p = (yyvsp[-1].x); (yyval.x)->aux = 'a'; }
#line 7049 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 315:
#line 928 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = f_new_inst(FI_CLIST_ADD_DEL); (yyval.x)->a1.p = (yyvsp[-3].x); (yyval.x)->a2.p = (yyvsp[-1].x); (yyval.x)->aux = 'd'; }
#line 7055 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 316:
#line 929 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = f_new_inst(FI_CLIST_ADD_DEL); (yyval.x)->a1.p = (yyvsp[-3].x); (yyval.x)->a2.p = (yyvsp[-1].x); (yyval.x)->aux = 'f'; }
#line 7061 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 317:
#line 931 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = f_generate_roa_check((yyvsp[-1].r), NULL, NULL); }
#line 7067 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 318:
#line 932 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = f_generate_roa_check((yyvsp[-5].r), (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 7073 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 319:
#line 934 "filter/config.Y" /* yacc.c:1648  */
    {  (yyval.x) = f_new_inst(FI_FORMAT); (yyval.x)->a1.p = (yyvsp[-1].x); }
#line 7079 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 320:
#line 939 "filter/config.Y" /* yacc.c:1648  */
    {
     struct symbol *sym;
     struct f_inst *inst = (yyvsp[-1].x);
     if ((yyvsp[-3].s)->class != SYM_FUNCTION)
       cf_error("You can't call something which is not a function. Really.");
     DBG("You are calling function %s\n", (yyvsp[-3].s)->name);
     (yyval.x) = f_new_inst(FI_CALL);
     (yyval.x)->a1.p = inst;
     (yyval.x)->a2.p = (yyvsp[-3].s)->def;
     sym = (yyvsp[-3].s)->aux2;
     while (sym || inst) {
       if (!sym || !inst)
	 cf_error("Wrong number of arguments for function %s.", (yyvsp[-3].s)->name);
       DBG( "You should pass parameter called %s\n", sym->name);
       inst->a1.p = sym;
       sym = sym->aux2;
       inst = inst->next;
     }
   }
#line 7103 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 321:
#line 961 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.i) = F_QUITBIRD; }
#line 7109 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 322:
#line 962 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.i) = F_ACCEPT; }
#line 7115 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 323:
#line 963 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.i) = F_REJECT; }
#line 7121 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 324:
#line 964 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.i) = F_ERROR; }
#line 7127 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 325:
#line 965 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.i) = F_NOP; }
#line 7133 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 326:
#line 966 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.i) = F_NONL; }
#line 7139 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 327:
#line 970 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = f_new_inst(FI_PRINT); (yyval.x)->a1.p = (yyvsp[0].x); (yyval.x)->a2.p = NULL; }
#line 7145 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 328:
#line 973 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = NULL; }
#line 7151 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 329:
#line 974 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = (yyvsp[0].x); }
#line 7157 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 330:
#line 975 "filter/config.Y" /* yacc.c:1648  */
    {
     if ((yyvsp[-2].x)) {
       (yyvsp[-2].x)->next = (yyvsp[0].x);
       (yyval.x) = (yyvsp[-2].x);
     } else (yyval.x) = (yyvsp[0].x);
   }
#line 7168 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 331:
#line 983 "filter/config.Y" /* yacc.c:1648  */
    {
     (yyval.x) = f_new_inst(FI_SET);
     (yyval.x)->a1.p = NULL;
     (yyval.x)->a2.p = (yyvsp[0].x);
     (yyval.x)->next = NULL;
   }
#line 7179 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 332:
#line 989 "filter/config.Y" /* yacc.c:1648  */
    {
     (yyval.x) = f_new_inst(FI_SET);
     (yyval.x)->a1.p = NULL;
     (yyval.x)->a2.p = (yyvsp[-2].x);
     (yyval.x)->next = (yyvsp[0].x);
   }
#line 7190 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 333:
#line 997 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = NULL; }
#line 7196 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 334:
#line 998 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = (yyvsp[0].x); }
#line 7202 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 335:
#line 1002 "filter/config.Y" /* yacc.c:1648  */
    {
     (yyval.x) = f_new_inst(FI_CONDITION);
     (yyval.x)->a1.p = (yyvsp[-2].x);
     (yyval.x)->a2.p = (yyvsp[0].x);
   }
#line 7212 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 336:
#line 1007 "filter/config.Y" /* yacc.c:1648  */
    {
     struct f_inst *i = f_new_inst(FI_CONDITION);
     i->a1.p = (yyvsp[-4].x);
     i->a2.p = (yyvsp[-2].x);
     (yyval.x) = f_new_inst(FI_CONDITION);
     (yyval.x)->a1.p = i;
     (yyval.x)->a2.p = (yyvsp[0].x);
   }
#line 7225 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 337:
#line 1015 "filter/config.Y" /* yacc.c:1648  */
    {
     DBG( "Ook, we'll set value\n" );
     if ((yyvsp[-3].s)->class == SYM_ATTRIBUTE) {
       (yyval.x) = f_new_inst_da(FI_EA_SET, *((struct f_dynamic_attr *) (yyvsp[-3].s)->def));
       (yyval.x)->a1.p = (yyvsp[-1].x);
     } else if (((yyvsp[-3].s)->class & ~T_MASK) == SYM_VARIABLE) {
       (yyval.x) = f_new_inst(FI_SET);
       (yyval.x)->a1.p = (yyvsp[-3].s);
       (yyval.x)->a2.p = (yyvsp[-1].x);
     } else
       cf_error( "Symbol `%s' is read-only.", (yyvsp[-3].s)->name );
   }
#line 7242 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 338:
#line 1027 "filter/config.Y" /* yacc.c:1648  */
    {
     DBG( "Ook, we'll return the value\n" );
     (yyval.x) = f_new_inst(FI_RETURN);
     (yyval.x)->a1.p = (yyvsp[-1].x);
   }
#line 7252 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 339:
#line 1032 "filter/config.Y" /* yacc.c:1648  */
    {
     (yyval.x) = f_new_inst_da(FI_EA_SET, (yyvsp[-3].fda));
     (yyval.x)->a1.p = (yyvsp[-1].x);
   }
#line 7261 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 340:
#line 1036 "filter/config.Y" /* yacc.c:1648  */
    {
     (yyval.x) = f_new_inst_sa(FI_RTA_SET, (yyvsp[-3].fsa));
     if (!(yyval.x)->a1.i)
       cf_error( "This static attribute is read-only.");
     (yyval.x)->a1.p = (yyvsp[-1].x);
   }
#line 7272 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 341:
#line 1042 "filter/config.Y" /* yacc.c:1648  */
    {
     (yyval.x) = f_new_inst(FI_PREF_SET);
     (yyval.x)->a1.p = (yyvsp[-1].x);
   }
#line 7281 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 342:
#line 1046 "filter/config.Y" /* yacc.c:1648  */
    {
     (yyval.x) = f_new_inst_da(FI_EA_SET, (yyvsp[-2].fda));
     (yyval.x)->aux = EAF_TYPE_UNDEF | EAF_TEMP;
     (yyval.x)->a1.p = NULL;
   }
#line 7291 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 343:
#line 1051 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = f_new_inst(FI_PRINT_AND_DIE); (yyval.x)->a1.p = (yyvsp[-1].x); (yyval.x)->a2.i = (yyvsp[-2].i); }
#line 7297 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 344:
#line 1052 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = (yyvsp[-1].x); }
#line 7303 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 345:
#line 1053 "filter/config.Y" /* yacc.c:1648  */
    {
      (yyval.x) = f_new_inst(FI_SWITCH);
      (yyval.x)->a1.p = (yyvsp[-3].x);
      (yyval.x)->a2.p = build_tree( (yyvsp[-1].e) );
   }
#line 7313 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 346:
#line 1059 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = f_generate_empty((yyvsp[-3].fda)); }
#line 7319 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 347:
#line 1060 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = f_generate_complex( FI_PATH_PREPEND, 'x', (yyvsp[-6].fda), (yyvsp[-2].x) ); }
#line 7325 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 348:
#line 1061 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = f_generate_complex( FI_CLIST_ADD_DEL, 'a', (yyvsp[-6].fda), (yyvsp[-2].x) ); }
#line 7331 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 349:
#line 1062 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = f_generate_complex( FI_CLIST_ADD_DEL, 'd', (yyvsp[-6].fda), (yyvsp[-2].x) ); }
#line 7337 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 350:
#line 1063 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = f_generate_complex( FI_CLIST_ADD_DEL, 'f', (yyvsp[-6].fda), (yyvsp[-2].x) ); }
#line 7343 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 351:
#line 1064 "filter/config.Y" /* yacc.c:1648  */
    { (yyval.x) = assert_done((yyvsp[-3].x), (yyvsp[-4].t) + 1, (yyvsp[-2].t) - 1); }
#line 7349 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 352:
#line 1068 "filter/config.Y" /* yacc.c:1648  */
    {
  (yyval.t) = cf_text;
}
#line 7357 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 354:
#line 109 "nest/config.Y" /* yacc.c:1648  */
    { new_config->router_id = (yyvsp[-1].i32); }
#line 7363 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 355:
#line 110 "nest/config.Y" /* yacc.c:1648  */
    { new_config->router_id_from = this_ipatt; }
#line 7369 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 356:
#line 114 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.i32) = (yyvsp[0].i); }
#line 7375 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 357:
#line 115 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.i32) = f_eval_int((yyvsp[-1].x)); }
#line 7381 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 358:
#line 116 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.i32) = ip4_to_u32((yyvsp[0].ip4)); }
#line 7387 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 359:
#line 117 "nest/config.Y" /* yacc.c:1648  */
    {
     if ((yyvsp[0].s)->class == (SYM_CONSTANT | T_INT) || (yyvsp[0].s)->class == (SYM_CONSTANT | T_QUAD))
       (yyval.i32) = SYM_VAL((yyvsp[0].s)).i;
     else if (((yyvsp[0].s)->class == (SYM_CONSTANT | T_IP)) && ipa_is_ip4(SYM_VAL((yyvsp[0].s)).ip))
       (yyval.i32) = ipa_to_u32(SYM_VAL((yyvsp[0].s)).ip);
     else
       cf_error("Number or IPv4 address constant expected");
   }
#line 7400 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 361:
#line 129 "nest/config.Y" /* yacc.c:1648  */
    { new_config->gr_wait = (yyvsp[-1].i); }
#line 7406 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 362:
#line 135 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.i) = NET_IP4; }
#line 7412 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 363:
#line 136 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.i) = NET_IP6; }
#line 7418 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 364:
#line 137 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.i) = NET_IP6_SADR; }
#line 7424 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 365:
#line 138 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.i) = NET_VPN4; }
#line 7430 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 366:
#line 139 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.i) = NET_VPN6; }
#line 7436 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 367:
#line 140 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.i) = NET_ROA4; }
#line 7442 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 368:
#line 141 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.i) = NET_ROA6; }
#line 7448 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 369:
#line 142 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.i) = NET_FLOW4; }
#line 7454 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 370:
#line 143 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.i) = NET_FLOW6; }
#line 7460 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 371:
#line 144 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.i) = NET_MPLS; }
#line 7466 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 373:
#line 155 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.i) = 0; }
#line 7472 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 374:
#line 156 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.i) = 1; }
#line 7478 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 375:
#line 159 "nest/config.Y" /* yacc.c:1648  */
    {
   struct rtable_config *cf;
   cf = rt_new_table((yyvsp[-1].s), (yyvsp[-3].i));
   cf->sorted = (yyvsp[0].i);
   }
#line 7488 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 376:
#line 169 "nest/config.Y" /* yacc.c:1648  */
    { proto_postconfig(); }
#line 7494 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 377:
#line 172 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.i) = SYM_PROTO; }
#line 7500 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 378:
#line 173 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.i) = SYM_TEMPLATE; }
#line 7506 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 379:
#line 177 "nest/config.Y" /* yacc.c:1648  */
    {
     struct symbol *s = cf_default_name(this_proto->protocol->template, &this_proto->protocol->name_counter);
     s->class = this_proto->class;
     s->def = this_proto;
     this_proto->name = s->name;
     }
#line 7517 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 380:
#line 183 "nest/config.Y" /* yacc.c:1648  */
    {
     cf_define_symbol((yyvsp[0].s), this_proto->class, this_proto);
     this_proto->name = (yyvsp[0].s)->name;
   }
#line 7526 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 381:
#line 187 "nest/config.Y" /* yacc.c:1648  */
    {
     struct symbol *s = cf_default_name(this_proto->protocol->template, &this_proto->protocol->name_counter);
     s->class = this_proto->class;
     s->def = this_proto;
     this_proto->name = s->name;

     if (((yyvsp[0].s)->class != SYM_TEMPLATE) && ((yyvsp[0].s)->class != SYM_PROTO)) cf_error("Template or protocol name expected");
     proto_copy_config(this_proto, (yyvsp[0].s)->def);
   }
#line 7540 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 382:
#line 196 "nest/config.Y" /* yacc.c:1648  */
    {
     cf_define_symbol((yyvsp[-2].s), this_proto->class, this_proto);
     this_proto->name = (yyvsp[-2].s)->name;

     if (((yyvsp[0].s)->class != SYM_TEMPLATE) && ((yyvsp[0].s)->class != SYM_PROTO)) cf_error("Template or protocol name expected");
     proto_copy_config(this_proto, (yyvsp[0].s)->def);
   }
#line 7552 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 384:
#line 207 "nest/config.Y" /* yacc.c:1648  */
    { this_proto->disabled = (yyvsp[0].i); }
#line 7558 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 385:
#line 208 "nest/config.Y" /* yacc.c:1648  */
    { this_proto->debug = (yyvsp[0].i); }
#line 7564 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 386:
#line 209 "nest/config.Y" /* yacc.c:1648  */
    { this_proto->mrtdump = (yyvsp[0].i); }
#line 7570 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 387:
#line 210 "nest/config.Y" /* yacc.c:1648  */
    { this_proto->router_id = (yyvsp[0].i32); }
#line 7576 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 388:
#line 211 "nest/config.Y" /* yacc.c:1648  */
    { this_proto->dsc = (yyvsp[0].t); }
#line 7582 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 389:
#line 212 "nest/config.Y" /* yacc.c:1648  */
    { this_proto->vrf = if_get_by_name((yyvsp[0].t)); }
#line 7588 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 390:
#line 217 "nest/config.Y" /* yacc.c:1648  */
    {
  (yyval.cc) = this_channel = channel_config_get(NULL, net_label[(yyvsp[0].i)], (yyvsp[0].i), this_proto);
}
#line 7596 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 391:
#line 222 "nest/config.Y" /* yacc.c:1648  */
    {
     if (this_channel->net_type && ((yyvsp[0].r)->addr_type != this_channel->net_type))
       cf_error("Incompatible table type");
     this_channel->table = (yyvsp[0].r);
   }
#line 7606 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 392:
#line 227 "nest/config.Y" /* yacc.c:1648  */
    { this_channel->in_filter = (yyvsp[0].f); }
#line 7612 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 393:
#line 228 "nest/config.Y" /* yacc.c:1648  */
    { this_channel->out_filter = (yyvsp[0].f); }
#line 7618 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 394:
#line 229 "nest/config.Y" /* yacc.c:1648  */
    { this_channel->rx_limit = (yyvsp[0].cl); }
#line 7624 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 395:
#line 230 "nest/config.Y" /* yacc.c:1648  */
    { this_channel->in_limit = (yyvsp[0].cl); }
#line 7630 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 396:
#line 231 "nest/config.Y" /* yacc.c:1648  */
    { this_channel->out_limit = (yyvsp[0].cl); }
#line 7636 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 397:
#line 232 "nest/config.Y" /* yacc.c:1648  */
    { this_channel->preference = (yyvsp[0].i); check_u16((yyvsp[0].i)); }
#line 7642 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 398:
#line 233 "nest/config.Y" /* yacc.c:1648  */
    { this_channel->in_keep_filtered = (yyvsp[0].i); }
#line 7648 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 403:
#line 247 "nest/config.Y" /* yacc.c:1648  */
    {
  if (!this_channel->table)
    cf_error("Routing table not specified");

  this_channel = NULL;
}
#line 7659 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 405:
#line 258 "nest/config.Y" /* yacc.c:1648  */
    {
     if ((yyvsp[0].s)->class != SYM_TABLE) cf_error("Table expected");
     (yyval.r) = (yyvsp[0].s)->def;
   }
#line 7668 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 406:
#line 265 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.f) = (yyvsp[0].f); }
#line 7674 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 408:
#line 267 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.f) = FILTER_ACCEPT; }
#line 7680 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 409:
#line 268 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.f) = FILTER_REJECT; }
#line 7686 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 410:
#line 272 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.i) = PLA_DISABLE; }
#line 7692 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 411:
#line 273 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.i) = PLA_WARN; }
#line 7698 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 412:
#line 274 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.i) = PLA_BLOCK; }
#line 7704 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 413:
#line 275 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.i) = PLA_RESTART; }
#line 7710 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 414:
#line 276 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.i) = PLA_DISABLE; }
#line 7716 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 415:
#line 280 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.cl) = (struct channel_limit){ .limit = (yyvsp[-1].i), (yyval.cl).action = (yyvsp[0].i) }; }
#line 7722 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 416:
#line 281 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.cl) = (struct channel_limit){}; }
#line 7728 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 418:
#line 288 "nest/config.Y" /* yacc.c:1648  */
    { new_config->proto_default_debug = (yyvsp[0].i); }
#line 7734 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 419:
#line 289 "nest/config.Y" /* yacc.c:1648  */
    { new_config->cli_debug = (yyvsp[0].i); }
#line 7740 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 421:
#line 297 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.tf) = &new_config->tf_route; }
#line 7746 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 422:
#line 298 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.tf) = &new_config->tf_proto; }
#line 7752 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 423:
#line 299 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.tf) = &new_config->tf_base; }
#line 7758 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 424:
#line 300 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.tf) = &new_config->tf_log; }
#line 7764 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 425:
#line 304 "nest/config.Y" /* yacc.c:1648  */
    { *(yyvsp[-1].tf) = (struct timeformat){(yyvsp[0].t), NULL, 0}; }
#line 7770 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 426:
#line 305 "nest/config.Y" /* yacc.c:1648  */
    { *(yyvsp[-3].tf) = (struct timeformat){(yyvsp[-2].t), (yyvsp[0].t), (s64) (yyvsp[-1].i) S_}; }
#line 7776 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 427:
#line 306 "nest/config.Y" /* yacc.c:1648  */
    { *(yyvsp[-2].tf) = TM_ISO_SHORT_S; }
#line 7782 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 428:
#line 307 "nest/config.Y" /* yacc.c:1648  */
    { *(yyvsp[-3].tf) = TM_ISO_SHORT_MS; }
#line 7788 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 429:
#line 308 "nest/config.Y" /* yacc.c:1648  */
    { *(yyvsp[-3].tf) = TM_ISO_SHORT_US; }
#line 7794 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 430:
#line 309 "nest/config.Y" /* yacc.c:1648  */
    { *(yyvsp[-2].tf) = TM_ISO_LONG_S; }
#line 7800 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 431:
#line 310 "nest/config.Y" /* yacc.c:1648  */
    { *(yyvsp[-3].tf) = TM_ISO_LONG_MS; }
#line 7806 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 432:
#line 311 "nest/config.Y" /* yacc.c:1648  */
    { *(yyvsp[-3].tf) = TM_ISO_LONG_US; }
#line 7812 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 434:
#line 322 "nest/config.Y" /* yacc.c:1648  */
    {
     struct iface_patt_node *ipn = cfg_allocz(sizeof(struct iface_patt_node));
     add_tail(&this_ipatt->ipn_list, NODE ipn);
     this_ipn = ipn;
   }
#line 7822 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 435:
#line 330 "nest/config.Y" /* yacc.c:1648  */
    { this_ipn->pattern = (yyvsp[0].t); /* this_ipn->prefix stays zero */ }
#line 7828 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 436:
#line 331 "nest/config.Y" /* yacc.c:1648  */
    { this_ipn->pattern = (yyvsp[-1].t); this_ipn->prefix = (yyvsp[0].net); }
#line 7834 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 437:
#line 335 "nest/config.Y" /* yacc.c:1648  */
    { this_ipn->positive = 1; }
#line 7840 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 438:
#line 336 "nest/config.Y" /* yacc.c:1648  */
    { this_ipn->positive = 0; }
#line 7846 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 442:
#line 350 "nest/config.Y" /* yacc.c:1648  */
    { iface_patt_check(); }
#line 7852 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 443:
#line 352 "nest/config.Y" /* yacc.c:1648  */
    {
   /* Generic this_ipatt init */
   this_ipatt = cfg_allocz(sizeof(struct iface_patt));
   init_list(&this_ipatt->ipn_list);
 }
#line 7862 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 445:
#line 364 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.i) = (yyvsp[0].i) & 0xfc;        if ((yyvsp[0].i) > 255) cf_error("TX class must be in range 0-255"); }
#line 7868 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 446:
#line 365 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.i) = ((yyvsp[0].i) & 0x3f) << 2; if ((yyvsp[0].i) > 63)  cf_error("TX DSCP must be in range 0-63"); }
#line 7874 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 448:
#line 372 "nest/config.Y" /* yacc.c:1648  */
    {
     this_proto = proto_config_new(&proto_device, (yyvsp[-1].i));
     init_list(&DIRECT_CFG->iface_list);
   }
#line 7883 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 453:
#line 383 "nest/config.Y" /* yacc.c:1648  */
    { DIRECT_CFG->check_link = (yyvsp[-1].i); }
#line 7889 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 454:
#line 387 "nest/config.Y" /* yacc.c:1648  */
    {
     this_ipatt = cfg_allocz(sizeof(struct iface_patt));
     add_tail(&DIRECT_CFG->iface_list, NODE this_ipatt);
     init_list(&this_ipatt->ipn_list);
   }
#line 7899 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 456:
#line 401 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.i) = ~0; }
#line 7905 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 457:
#line 402 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.i) = 0; }
#line 7911 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 458:
#line 403 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.i) = (yyvsp[-1].i); }
#line 7917 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 460:
#line 408 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.i) = (yyvsp[-2].i) | (yyvsp[0].i); }
#line 7923 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 461:
#line 412 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.i) = D_STATES; }
#line 7929 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 462:
#line 413 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.i) = D_ROUTES; }
#line 7935 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 463:
#line 414 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.i) = D_FILTERS; }
#line 7941 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 464:
#line 415 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.i) = D_IFACES; }
#line 7947 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 465:
#line 416 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.i) = D_EVENTS; }
#line 7953 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 466:
#line 417 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.i) = D_PACKETS; }
#line 7959 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 467:
#line 423 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.i) = ~0; }
#line 7965 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 468:
#line 424 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.i) = 0; }
#line 7971 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 469:
#line 425 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.i) = (yyvsp[-1].i); }
#line 7977 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 471:
#line 430 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.i) = (yyvsp[-2].i) | (yyvsp[0].i); }
#line 7983 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 472:
#line 434 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.i) = MD_STATES; }
#line 7989 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 473:
#line 435 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.i) = MD_MESSAGES; }
#line 7995 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 480:
#line 456 "nest/config.Y" /* yacc.c:1648  */
    {
     if (!this_p_list) {
	this_p_list = cfg_alloc(sizeof(list));
	init_list(this_p_list);
	password_id = 1;
     }
     this_p_item = cfg_alloc(sizeof (struct password_item));
     this_p_item->password = (yyvsp[0].t);
     this_p_item->length = strlen((yyvsp[0].t));
     this_p_item->genfrom = 0;
     this_p_item->gento = TIME_INFINITY;
     this_p_item->accfrom = 0;
     this_p_item->accto = TIME_INFINITY;
     this_p_item->id = password_id++;
     this_p_item->alg = ALG_UNDEFINED;
     add_tail(this_p_list, &this_p_item->n);
   }
#line 8017 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 481:
#line 476 "nest/config.Y" /* yacc.c:1648  */
    { }
#line 8023 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 482:
#line 477 "nest/config.Y" /* yacc.c:1648  */
    { this_p_item->genfrom = (yyvsp[-2].time); }
#line 8029 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 483:
#line 478 "nest/config.Y" /* yacc.c:1648  */
    { this_p_item->gento = (yyvsp[-2].time); }
#line 8035 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 484:
#line 479 "nest/config.Y" /* yacc.c:1648  */
    { this_p_item->accfrom = (yyvsp[-2].time); }
#line 8041 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 485:
#line 480 "nest/config.Y" /* yacc.c:1648  */
    { this_p_item->accto = (yyvsp[-2].time); }
#line 8047 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 486:
#line 481 "nest/config.Y" /* yacc.c:1648  */
    { this_p_item->genfrom = this_p_item->accfrom = (yyvsp[-2].time); }
#line 8053 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 487:
#line 482 "nest/config.Y" /* yacc.c:1648  */
    { this_p_item->gento = this_p_item->accto = (yyvsp[-2].time); }
#line 8059 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 488:
#line 483 "nest/config.Y" /* yacc.c:1648  */
    { this_p_item->id = (yyvsp[-2].i); if ((yyvsp[-2].i) <= 0) cf_error("Password ID has to be greated than zero."); }
#line 8065 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 489:
#line 484 "nest/config.Y" /* yacc.c:1648  */
    { this_p_item->alg = (yyvsp[-2].i); }
#line 8071 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 490:
#line 488 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.i) = ALG_MD5; }
#line 8077 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 491:
#line 489 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.i) = ALG_SHA1; }
#line 8083 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 492:
#line 490 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.i) = ALG_SHA256; }
#line 8089 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 493:
#line 491 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.i) = ALG_SHA384; }
#line 8095 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 494:
#line 492 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.i) = ALG_SHA512; }
#line 8101 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 495:
#line 493 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.i) = ALG_HMAC_MD5; }
#line 8107 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 496:
#line 494 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.i) = ALG_HMAC_SHA1; }
#line 8113 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 497:
#line 495 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.i) = ALG_HMAC_SHA256; }
#line 8119 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 498:
#line 496 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.i) = ALG_HMAC_SHA384; }
#line 8125 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 499:
#line 497 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.i) = ALG_HMAC_SHA512; }
#line 8131 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 501:
#line 504 "nest/config.Y" /* yacc.c:1648  */
    { cmd_show_status(); }
#line 8137 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 503:
#line 507 "nest/config.Y" /* yacc.c:1648  */
    { cmd_show_memory(); }
#line 8143 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 505:
#line 510 "nest/config.Y" /* yacc.c:1648  */
    { proto_apply_cmd((yyvsp[-1].ps), proto_cmd_show, 0, 0); }
#line 8149 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 507:
#line 513 "nest/config.Y" /* yacc.c:1648  */
    { proto_apply_cmd((yyvsp[-1].ps), proto_cmd_show, 0, 1); }
#line 8155 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 509:
#line 517 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.s) = NULL; }
#line 8161 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 511:
#line 521 "nest/config.Y" /* yacc.c:1648  */
    { if_show(); }
#line 8167 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 513:
#line 524 "nest/config.Y" /* yacc.c:1648  */
    { if_show_summary(); }
#line 8173 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 515:
#line 528 "nest/config.Y" /* yacc.c:1648  */
    { rt_show((yyvsp[-1].ra)); }
#line 8179 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 516:
#line 531 "nest/config.Y" /* yacc.c:1648  */
    {
     (yyval.ra) = cfg_allocz(sizeof(struct rt_show_data));
     init_list(&((yyval.ra)->tables));
     (yyval.ra)->filter = FILTER_ACCEPT;
     (yyval.ra)->running_on_config = new_config->fallback;
   }
#line 8190 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 517:
#line 537 "nest/config.Y" /* yacc.c:1648  */
    {
     (yyval.ra) = (yyvsp[-1].ra);
     if ((yyval.ra)->addr) cf_error("Only one prefix expected");
     (yyval.ra)->addr = (yyvsp[0].net_ptr);
   }
#line 8200 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 518:
#line 542 "nest/config.Y" /* yacc.c:1648  */
    {
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->addr) cf_error("Only one prefix expected");
     (yyval.ra)->show_for = 1;
     (yyval.ra)->addr = (yyvsp[0].net_ptr);
   }
#line 8211 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 519:
#line 548 "nest/config.Y" /* yacc.c:1648  */
    {
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyvsp[0].s)->class != SYM_TABLE) cf_error("%s is not a table", (yyvsp[0].s)->name);
     rt_show_add_table((yyval.ra), ((struct rtable_config *)(yyvsp[0].s)->def)->table);
     (yyval.ra)->tables_defined_by = RSD_TDB_DIRECT;
   }
#line 8222 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 520:
#line 554 "nest/config.Y" /* yacc.c:1648  */
    {
     struct rtable_config *t;
     (yyval.ra) = (yyvsp[-2].ra);
     WALK_LIST(t, config->tables)
       rt_show_add_table((yyval.ra), t->table);
     (yyval.ra)->tables_defined_by = RSD_TDB_ALL;
   }
#line 8234 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 521:
#line 561 "nest/config.Y" /* yacc.c:1648  */
    {
     (yyval.ra) = (yyvsp[-5].ra);
     struct proto_config *cf = (void *) (yyvsp[-2].s)->def;
     if ((yyvsp[-2].s)->class != SYM_PROTO || !cf->proto) cf_error("%s is not a protocol", (yyvsp[-2].s)->name);
     struct channel *c = proto_find_channel_by_name(cf->proto, (yyvsp[0].t));
     if (!c) cf_error("Channel %s.%s not found", (yyvsp[-2].s)->name, (yyvsp[0].t));
     if (!c->in_table) cf_error("No import table in channel %s.%s", (yyvsp[-2].s)->name, (yyvsp[0].t));
     rt_show_add_table((yyval.ra), c->in_table);
     (yyval.ra)->tables_defined_by = RSD_TDB_DIRECT;
   }
#line 8249 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 522:
#line 571 "nest/config.Y" /* yacc.c:1648  */
    {
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->filter != FILTER_ACCEPT) cf_error("Filter specified twice");
     (yyval.ra)->filter = (yyvsp[0].f);
   }
#line 8259 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 523:
#line 576 "nest/config.Y" /* yacc.c:1648  */
    {
     (yyval.ra) = (yyvsp[-1].ra);
     if ((yyval.ra)->filter != FILTER_ACCEPT) cf_error("Filter specified twice");
     (yyval.ra)->filter = (yyvsp[0].f);
   }
#line 8269 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 524:
#line 581 "nest/config.Y" /* yacc.c:1648  */
    {
     (yyval.ra) = (yyvsp[-1].ra);
     (yyval.ra)->verbose = 1;
   }
#line 8278 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 525:
#line 585 "nest/config.Y" /* yacc.c:1648  */
    {
     (yyval.ra) = (yyvsp[-1].ra);
     (yyval.ra)->primary_only = 1;
   }
#line 8287 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 526:
#line 589 "nest/config.Y" /* yacc.c:1648  */
    {
     (yyval.ra) = (yyvsp[-1].ra);
     (yyval.ra)->filtered = 1;
   }
#line 8296 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 527:
#line 593 "nest/config.Y" /* yacc.c:1648  */
    {
     struct proto_config *c = (struct proto_config *) (yyvsp[0].s)->def;
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->export_mode) cf_error("Export specified twice");
     if ((yyvsp[0].s)->class != SYM_PROTO || !c->proto) cf_error("%s is not a protocol", (yyvsp[0].s)->name);
     (yyval.ra)->export_mode = (yyvsp[-1].i);
     (yyval.ra)->export_protocol = c->proto;
     (yyval.ra)->tables_defined_by = RSD_TDB_INDIRECT;
   }
#line 8310 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 528:
#line 602 "nest/config.Y" /* yacc.c:1648  */
    {
     struct proto_config *c = (struct proto_config *) (yyvsp[-2].s)->def;
     (yyval.ra) = (yyvsp[-4].ra);
     if ((yyval.ra)->export_mode) cf_error("Export specified twice");
     if ((yyvsp[-2].s)->class != SYM_PROTO || !c->proto) cf_error("%s is not a protocol", (yyvsp[-2].s)->name);
     (yyval.ra)->export_mode = (yyvsp[-3].i);
     (yyval.ra)->export_channel = proto_find_channel_by_name(c->proto, (yyvsp[0].t));
     if (!(yyval.ra)->export_channel) cf_error("Export channel not found");
     (yyval.ra)->tables_defined_by = RSD_TDB_INDIRECT;
   }
#line 8325 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 529:
#line 612 "nest/config.Y" /* yacc.c:1648  */
    {
     struct proto_config *c = (struct proto_config *) (yyvsp[0].s)->def;
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->show_protocol) cf_error("Protocol specified twice");
     if ((yyvsp[0].s)->class != SYM_PROTO || !c->proto) cf_error("%s is not a protocol", (yyvsp[0].s)->name);
     (yyval.ra)->show_protocol = c->proto;
     (yyval.ra)->tables_defined_by = RSD_TDB_INDIRECT;
   }
#line 8338 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 530:
#line 620 "nest/config.Y" /* yacc.c:1648  */
    {
     (yyval.ra) = (yyvsp[-1].ra);
     (yyval.ra)->stats = 1;
   }
#line 8347 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 531:
#line 624 "nest/config.Y" /* yacc.c:1648  */
    {
     (yyval.ra) = (yyvsp[-1].ra);
     (yyval.ra)->stats = 2;
   }
#line 8356 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 532:
#line 631 "nest/config.Y" /* yacc.c:1648  */
    {
    (yyval.net_ptr) = cfg_alloc((yyvsp[0].net).length);
    net_copy((yyval.net_ptr), &(yyvsp[0].net));
  }
#line 8365 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 536:
#line 638 "nest/config.Y" /* yacc.c:1648  */
    {
    (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_vpn4));
    net_fill_vpn4((yyval.net_ptr), (yyvsp[0].ip4), IP4_MAX_PREFIX_LENGTH, (yyvsp[-1].i64));
  }
#line 8374 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 537:
#line 642 "nest/config.Y" /* yacc.c:1648  */
    {
    (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_vpn6));
    net_fill_vpn6((yyval.net_ptr), (yyvsp[0].ip6), IP6_MAX_PREFIX_LENGTH, (yyvsp[-1].i64));
  }
#line 8383 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 538:
#line 646 "nest/config.Y" /* yacc.c:1648  */
    {
    (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_ip6_sadr));
    net_fill_ip6_sadr((yyval.net_ptr), (yyvsp[-2].ip6), IP6_MAX_PREFIX_LENGTH, (yyvsp[0].ip6), IP6_MAX_PREFIX_LENGTH);
  }
#line 8392 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 539:
#line 650 "nest/config.Y" /* yacc.c:1648  */
    {
     if ((yyvsp[0].s)->class == (SYM_CONSTANT | T_IP))
     {
       (yyval.net_ptr) = cfg_alloc(ipa_is_ip4(SYM_VAL((yyvsp[0].s)).ip) ? sizeof(net_addr_ip4) : sizeof(net_addr_ip6));
       net_fill_ip_host((yyval.net_ptr), SYM_VAL((yyvsp[0].s)).ip);
     }
     else if (((yyvsp[0].s)->class == (SYM_CONSTANT | T_NET)) && net_type_match(SYM_VAL((yyvsp[0].s)).net, NB_IP | NB_VPN))
       (yyval.net_ptr) = (net_addr *) SYM_VAL((yyvsp[0].s)).net; /* Avoid const warning */
     else
       cf_error("IP address or network expected");
   }
#line 8408 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 542:
#line 666 "nest/config.Y" /* yacc.c:1648  */
    { net_fill_ip4(&((yyval.net)), (yyvsp[0].ip4), IP4_MAX_PREFIX_LENGTH); }
#line 8414 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 543:
#line 667 "nest/config.Y" /* yacc.c:1648  */
    { net_fill_ip6(&((yyval.net)), (yyvsp[0].ip6), IP6_MAX_PREFIX_LENGTH); }
#line 8420 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 544:
#line 670 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.i) = RSEM_PREEXPORT; }
#line 8426 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 545:
#line 671 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.i) = RSEM_EXPORT; }
#line 8432 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 546:
#line 672 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.i) = RSEM_NOEXPORT; }
#line 8438 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 547:
#line 677 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.t) = "ipv4"; }
#line 8444 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 548:
#line 678 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.t) = "ipv4-mc"; }
#line 8450 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 549:
#line 679 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.t) = "ipv4-mpls"; }
#line 8456 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 550:
#line 680 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.t) = "ipv6"; }
#line 8462 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 551:
#line 681 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.t) = "ipv6-mc"; }
#line 8468 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 552:
#line 682 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.t) = "ipv6-mpls"; }
#line 8474 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 553:
#line 683 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.t) = "ipv6-sadr"; }
#line 8480 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 554:
#line 684 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.t) = "vpn4"; }
#line 8486 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 555:
#line 685 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.t) = "vpn4-mc"; }
#line 8492 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 556:
#line 686 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.t) = "vpn4-mpls"; }
#line 8498 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 557:
#line 687 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.t) = "vpn6"; }
#line 8504 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 558:
#line 688 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.t) = "vpn6-mc"; }
#line 8510 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 559:
#line 689 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.t) = "vpn6-mpls"; }
#line 8516 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 560:
#line 690 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.t) = "roa4"; }
#line 8522 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 561:
#line 691 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.t) = "roa6"; }
#line 8528 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 562:
#line 692 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.t) = "flow4"; }
#line 8534 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 563:
#line 693 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.t) = "flow6"; }
#line 8540 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 564:
#line 694 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.t) = "mpls"; }
#line 8546 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 565:
#line 695 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.t) = "pri"; }
#line 8552 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 566:
#line 696 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.t) = "sec"; }
#line 8558 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 568:
#line 701 "nest/config.Y" /* yacc.c:1648  */
    { cmd_show_symbols((yyvsp[-1].sd)); }
#line 8564 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 569:
#line 704 "nest/config.Y" /* yacc.c:1648  */
    {
     (yyval.sd) = cfg_allocz(sizeof(struct sym_show_data));
   }
#line 8572 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 570:
#line 707 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->type = SYM_TABLE; }
#line 8578 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 571:
#line 708 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->type = SYM_FUNCTION; }
#line 8584 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 572:
#line 709 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->type = SYM_FILTER; }
#line 8590 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 573:
#line 710 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->type = SYM_PROTO; }
#line 8596 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 574:
#line 711 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->type = SYM_TEMPLATE; }
#line 8602 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 575:
#line 712 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->sym = (yyvsp[0].s); }
#line 8608 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 577:
#line 718 "nest/config.Y" /* yacc.c:1648  */
    { rdump(&root_pool); cli_msg(0, ""); }
#line 8614 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 579:
#line 720 "nest/config.Y" /* yacc.c:1648  */
    { sk_dump_all(); cli_msg(0, ""); }
#line 8620 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 581:
#line 722 "nest/config.Y" /* yacc.c:1648  */
    { io_log_dump(); cli_msg(0, ""); }
#line 8626 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 583:
#line 724 "nest/config.Y" /* yacc.c:1648  */
    { if_dump_all(); cli_msg(0, ""); }
#line 8632 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 585:
#line 726 "nest/config.Y" /* yacc.c:1648  */
    { neigh_dump_all(); cli_msg(0, ""); }
#line 8638 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 587:
#line 728 "nest/config.Y" /* yacc.c:1648  */
    { rta_dump_all(); cli_msg(0, ""); }
#line 8644 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 589:
#line 730 "nest/config.Y" /* yacc.c:1648  */
    { rt_dump_all(); cli_msg(0, ""); }
#line 8650 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 591:
#line 732 "nest/config.Y" /* yacc.c:1648  */
    { protos_dump_all(); cli_msg(0, ""); }
#line 8656 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 593:
#line 735 "nest/config.Y" /* yacc.c:1648  */
    { cmd_eval((yyvsp[-1].x)); }
#line 8662 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 595:
#line 738 "nest/config.Y" /* yacc.c:1648  */
    {
  cli_set_log_echo(this_cli, (yyvsp[-2].i), (yyvsp[-1].i));
  cli_msg(0, "");
}
#line 8671 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 596:
#line 744 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.i) = ~0; }
#line 8677 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 597:
#line 745 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.i) = 0; }
#line 8683 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 598:
#line 746 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.i) = (yyvsp[-1].i); }
#line 8689 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 599:
#line 750 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.i) = 4096; }
#line 8695 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 600:
#line 751 "nest/config.Y" /* yacc.c:1648  */
    {
     if ((yyvsp[0].i) < 256 || (yyvsp[0].i) > 65536) cf_error("Invalid log buffer size");
     (yyval.i) = (yyvsp[0].i);
   }
#line 8704 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 602:
#line 758 "nest/config.Y" /* yacc.c:1648  */
    { proto_apply_cmd((yyvsp[-2].ps), proto_cmd_disable, 1, (uintptr_t) (yyvsp[-1].t)); }
#line 8710 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 604:
#line 760 "nest/config.Y" /* yacc.c:1648  */
    { proto_apply_cmd((yyvsp[-2].ps), proto_cmd_enable, 1, (uintptr_t) (yyvsp[-1].t)); }
#line 8716 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 606:
#line 762 "nest/config.Y" /* yacc.c:1648  */
    { proto_apply_cmd((yyvsp[-2].ps), proto_cmd_restart, 1, (uintptr_t) (yyvsp[-1].t)); }
#line 8722 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 608:
#line 764 "nest/config.Y" /* yacc.c:1648  */
    { proto_apply_cmd((yyvsp[-1].ps), proto_cmd_reload, 1, CMD_RELOAD); }
#line 8728 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 610:
#line 766 "nest/config.Y" /* yacc.c:1648  */
    { proto_apply_cmd((yyvsp[-1].ps), proto_cmd_reload, 1, CMD_RELOAD_IN); }
#line 8734 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 612:
#line 768 "nest/config.Y" /* yacc.c:1648  */
    { proto_apply_cmd((yyvsp[-1].ps), proto_cmd_reload, 1, CMD_RELOAD_OUT); }
#line 8740 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 614:
#line 772 "nest/config.Y" /* yacc.c:1648  */
    { proto_apply_cmd((yyvsp[-2].ps), proto_cmd_debug, 1, (yyvsp[-1].i)); }
#line 8746 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 616:
#line 776 "nest/config.Y" /* yacc.c:1648  */
    { proto_apply_cmd((yyvsp[-2].ps), proto_cmd_mrtdump, 1, (yyvsp[-1].i)); }
#line 8752 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 618:
#line 779 "nest/config.Y" /* yacc.c:1648  */
    { this_cli->restricted = 1; cli_msg(16, "Access restricted"); }
#line 8758 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 619:
#line 782 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.ps).ptr = (yyvsp[0].s); (yyval.ps).patt = 0; }
#line 8764 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 620:
#line 783 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.ps).ptr = NULL; (yyval.ps).patt = 1; }
#line 8770 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 621:
#line 784 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.ps).ptr = (yyvsp[0].t); (yyval.ps).patt = 1; }
#line 8776 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 622:
#line 788 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.ps).ptr = (yyvsp[0].s); (yyval.ps).patt = 0; }
#line 8782 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 623:
#line 789 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.ps).ptr = NULL; (yyval.ps).patt = 1; }
#line 8788 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 624:
#line 790 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.ps).ptr = (yyvsp[0].t); (yyval.ps).patt = 1; }
#line 8794 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 625:
#line 793 "nest/config.Y" /* yacc.c:1648  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_GEN_IGP_METRIC); }
#line 8800 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 627:
#line 37 "proto/bfd/config.Y" /* yacc.c:1648  */
    {
  this_proto = proto_config_new(&proto_bfd, (yyvsp[-1].i));
  init_list(&BFD_CFG->patt_list);
  init_list(&BFD_CFG->neigh_list);

  if (bfd_cf)
    cf_error("Only one BFD instance allowed");
  bfd_cf = BFD_CFG;
}
#line 8814 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 635:
#line 64 "proto/bfd/config.Y" /* yacc.c:1648  */
    {
  this_ipatt = cfg_allocz(sizeof(struct bfd_iface_config));
  add_tail(&BFD_CFG->patt_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);

  BFD_IFACE->min_rx_int = BFD_DEFAULT_MIN_RX_INT;
  BFD_IFACE->min_tx_int = BFD_DEFAULT_MIN_TX_INT;
  BFD_IFACE->idle_tx_int = BFD_DEFAULT_IDLE_TX_INT;
  BFD_IFACE->multiplier = BFD_DEFAULT_MULTIPLIER;

  reset_passwords();
}
#line 8831 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 636:
#line 78 "proto/bfd/config.Y" /* yacc.c:1648  */
    {
  BFD_IFACE->passwords = get_passwords();

  if (!BFD_IFACE->auth_type != !BFD_IFACE->passwords)
    log(L_WARN "Authentication and password options should be used together");

  if (BFD_IFACE->passwords)
  {
    struct password_item *pass;
    WALK_LIST(pass, *BFD_IFACE->passwords)
    {
      if (pass->alg)
        cf_error("Password algorithm option not available in BFD protocol");

      pass->alg = bfd_auth_type_to_hash_alg[BFD_IFACE->auth_type];
    }
  }
}
#line 8854 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 637:
#line 98 "proto/bfd/config.Y" /* yacc.c:1648  */
    { BFD_IFACE->min_rx_int = BFD_IFACE->min_tx_int = (yyvsp[0].time); }
#line 8860 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 638:
#line 99 "proto/bfd/config.Y" /* yacc.c:1648  */
    { BFD_IFACE->min_rx_int = (yyvsp[0].time); }
#line 8866 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 639:
#line 100 "proto/bfd/config.Y" /* yacc.c:1648  */
    { BFD_IFACE->min_tx_int = (yyvsp[0].time); }
#line 8872 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 640:
#line 101 "proto/bfd/config.Y" /* yacc.c:1648  */
    { BFD_IFACE->idle_tx_int = (yyvsp[0].time); }
#line 8878 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 641:
#line 102 "proto/bfd/config.Y" /* yacc.c:1648  */
    { BFD_IFACE->multiplier = (yyvsp[0].i); }
#line 8884 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 642:
#line 103 "proto/bfd/config.Y" /* yacc.c:1648  */
    { BFD_IFACE->passive = (yyvsp[0].i); }
#line 8890 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 643:
#line 104 "proto/bfd/config.Y" /* yacc.c:1648  */
    { BFD_IFACE->auth_type = (yyvsp[0].i); }
#line 8896 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 644:
#line 105 "proto/bfd/config.Y" /* yacc.c:1648  */
    {}
#line 8902 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 645:
#line 109 "proto/bfd/config.Y" /* yacc.c:1648  */
    { (yyval.i) = BFD_AUTH_NONE; }
#line 8908 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 646:
#line 110 "proto/bfd/config.Y" /* yacc.c:1648  */
    { (yyval.i) = BFD_AUTH_SIMPLE; }
#line 8914 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 647:
#line 111 "proto/bfd/config.Y" /* yacc.c:1648  */
    { (yyval.i) = BFD_AUTH_KEYED_MD5; }
#line 8920 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 648:
#line 112 "proto/bfd/config.Y" /* yacc.c:1648  */
    { (yyval.i) = BFD_AUTH_KEYED_SHA1; }
#line 8926 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 649:
#line 113 "proto/bfd/config.Y" /* yacc.c:1648  */
    { (yyval.i) = BFD_AUTH_METICULOUS_KEYED_MD5; }
#line 8932 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 650:
#line 114 "proto/bfd/config.Y" /* yacc.c:1648  */
    { (yyval.i) = BFD_AUTH_METICULOUS_KEYED_SHA1; }
#line 8938 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 656:
#line 132 "proto/bfd/config.Y" /* yacc.c:1648  */
    { BFD_CFG->multihop = BFD_IFACE; }
#line 8944 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 657:
#line 136 "proto/bfd/config.Y" /* yacc.c:1648  */
    { (yyval.iface) = NULL; }
#line 8950 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 658:
#line 137 "proto/bfd/config.Y" /* yacc.c:1648  */
    { (yyval.iface) = if_get_by_name((yyvsp[0].s)->name); }
#line 8956 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 659:
#line 138 "proto/bfd/config.Y" /* yacc.c:1648  */
    { (yyval.iface) = if_get_by_name((yyvsp[0].t)); }
#line 8962 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 660:
#line 142 "proto/bfd/config.Y" /* yacc.c:1648  */
    { (yyval.a) = IPA_NONE; }
#line 8968 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 661:
#line 143 "proto/bfd/config.Y" /* yacc.c:1648  */
    { (yyval.a) = (yyvsp[0].a); }
#line 8974 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 662:
#line 147 "proto/bfd/config.Y" /* yacc.c:1648  */
    { (yyval.i) = 0; }
#line 8980 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 663:
#line 148 "proto/bfd/config.Y" /* yacc.c:1648  */
    { (yyval.i) = (yyvsp[0].i); }
#line 8986 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 664:
#line 152 "proto/bfd/config.Y" /* yacc.c:1648  */
    {
  this_bfd_neighbor = cfg_allocz(sizeof(struct bfd_neighbor));
  add_tail(&BFD_CFG->neigh_list, NODE this_bfd_neighbor);

  BFD_NEIGHBOR->addr = (yyvsp[-3].a);
  BFD_NEIGHBOR->local = (yyvsp[-1].a);
  BFD_NEIGHBOR->iface = (yyvsp[-2].iface);
  BFD_NEIGHBOR->multihop = (yyvsp[0].i);

  if ((yyvsp[0].i) && (yyvsp[-2].iface))
    cf_error("Neighbor cannot set both interface and multihop");

  if ((yyvsp[0].i) && ipa_zero((yyvsp[-1].a)))
    cf_error("Multihop neighbor requires specified local address");
}
#line 9006 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 666:
#line 171 "proto/bfd/config.Y" /* yacc.c:1648  */
    { bfd_show_sessions(proto_get_named((yyvsp[-1].s), &proto_bfd)); }
#line 9012 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 668:
#line 35 "proto/babel/config.Y" /* yacc.c:1648  */
    {
  this_proto = proto_config_new(&proto_babel, (yyvsp[-1].i));
  init_list(&BABEL_CFG->iface_list);
  BABEL_CFG->hold_time = 1 S_;
}
#line 9022 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 672:
#line 45 "proto/babel/config.Y" /* yacc.c:1648  */
    { BABEL_CFG->randomize_router_id = (yyvsp[0].i); }
#line 9028 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 676:
#line 58 "proto/babel/config.Y" /* yacc.c:1648  */
    {
  this_ipatt = cfg_allocz(sizeof(struct babel_iface_config));
  add_tail(&BABEL_CFG->iface_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
  BABEL_IFACE->port = BABEL_PORT;
  BABEL_IFACE->type = BABEL_IFACE_TYPE_WIRED;
  BABEL_IFACE->limit = BABEL_HELLO_LIMIT;
  BABEL_IFACE->tx_tos = IP_PREC_INTERNET_CONTROL;
  BABEL_IFACE->tx_priority = sk_priority_control;
  BABEL_IFACE->check_link = 1;
}
#line 9044 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 677:
#line 72 "proto/babel/config.Y" /* yacc.c:1648  */
    {
  if (BABEL_IFACE->type == BABEL_IFACE_TYPE_WIRELESS)
  {
    if (!BABEL_IFACE->hello_interval)
      BABEL_IFACE->hello_interval = BABEL_HELLO_INTERVAL_WIRELESS;
    if (!BABEL_IFACE->rxcost)
      BABEL_IFACE->rxcost = BABEL_RXCOST_WIRELESS;
  }
  else
  {
    if (!BABEL_IFACE->hello_interval)
      BABEL_IFACE->hello_interval = BABEL_HELLO_INTERVAL_WIRED;
    if (!BABEL_IFACE->rxcost)
      BABEL_IFACE->rxcost = BABEL_RXCOST_WIRED;
  }

  /* Make sure we do not overflow the 16-bit centisec fields */
  if (!BABEL_IFACE->update_interval)
    BABEL_IFACE->update_interval = MIN_(BABEL_IFACE->hello_interval*BABEL_UPDATE_INTERVAL_FACTOR, BABEL_MAX_INTERVAL);
  BABEL_IFACE->ihu_interval = MIN_(BABEL_IFACE->hello_interval*BABEL_IHU_INTERVAL_FACTOR, BABEL_MAX_INTERVAL);

  BABEL_CFG->hold_time = MAX_(BABEL_CFG->hold_time, BABEL_IFACE->update_interval*BABEL_HOLD_TIME_FACTOR);
}
#line 9072 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 679:
#line 98 "proto/babel/config.Y" /* yacc.c:1648  */
    { BABEL_IFACE->port = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>65535)) cf_error("Invalid port number"); }
#line 9078 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 680:
#line 99 "proto/babel/config.Y" /* yacc.c:1648  */
    { BABEL_IFACE->rxcost = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>65535)) cf_error("Invalid rxcost"); }
#line 9084 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 681:
#line 100 "proto/babel/config.Y" /* yacc.c:1648  */
    { BABEL_IFACE->limit = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>16)) cf_error("Limit must be in range 1-16"); }
#line 9090 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 682:
#line 101 "proto/babel/config.Y" /* yacc.c:1648  */
    { BABEL_IFACE->type = BABEL_IFACE_TYPE_WIRED; }
#line 9096 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 683:
#line 102 "proto/babel/config.Y" /* yacc.c:1648  */
    { BABEL_IFACE->type = BABEL_IFACE_TYPE_WIRELESS; }
#line 9102 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 684:
#line 103 "proto/babel/config.Y" /* yacc.c:1648  */
    { BABEL_IFACE->hello_interval = (yyvsp[0].time); if (((yyvsp[0].time)<BABEL_MIN_INTERVAL) || ((yyvsp[0].time)>BABEL_MAX_INTERVAL)) cf_error("Hello interval must be in range 10 ms - 655 s"); }
#line 9108 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 685:
#line 104 "proto/babel/config.Y" /* yacc.c:1648  */
    { BABEL_IFACE->update_interval = (yyvsp[0].time); if (((yyvsp[0].time)<BABEL_MIN_INTERVAL) || ((yyvsp[0].time)>BABEL_MAX_INTERVAL)) cf_error("Update interval must be in range 10 ms - 655 s"); }
#line 9114 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 686:
#line 105 "proto/babel/config.Y" /* yacc.c:1648  */
    { BABEL_IFACE->rx_buffer = (yyvsp[0].i); if (((yyvsp[0].i)<256) || ((yyvsp[0].i)>65535)) cf_error("RX buffer must be in range 256-65535"); }
#line 9120 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 687:
#line 106 "proto/babel/config.Y" /* yacc.c:1648  */
    { BABEL_IFACE->tx_length = (yyvsp[0].i); if (((yyvsp[0].i)<256) || ((yyvsp[0].i)>65535)) cf_error("TX length must be in range 256-65535"); }
#line 9126 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 688:
#line 107 "proto/babel/config.Y" /* yacc.c:1648  */
    { BABEL_IFACE->tx_tos = (yyvsp[0].i); }
#line 9132 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 689:
#line 108 "proto/babel/config.Y" /* yacc.c:1648  */
    { BABEL_IFACE->tx_priority = (yyvsp[0].i); }
#line 9138 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 690:
#line 109 "proto/babel/config.Y" /* yacc.c:1648  */
    { BABEL_IFACE->check_link = (yyvsp[0].i); }
#line 9144 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 691:
#line 110 "proto/babel/config.Y" /* yacc.c:1648  */
    { BABEL_IFACE->next_hop_ip4 = (yyvsp[0].a); if (!ipa_is_ip4((yyvsp[0].a))) cf_error("Must be an IPv4 address"); }
#line 9150 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 692:
#line 111 "proto/babel/config.Y" /* yacc.c:1648  */
    { BABEL_IFACE->next_hop_ip6 = (yyvsp[0].a); if (!ipa_is_ip6((yyvsp[0].a))) cf_error("Must be an IPv6 address"); }
#line 9156 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 698:
#line 128 "proto/babel/config.Y" /* yacc.c:1648  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_BABEL_METRIC); }
#line 9162 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 700:
#line 133 "proto/babel/config.Y" /* yacc.c:1648  */
    { babel_show_interfaces(proto_get_named((yyvsp[-2].s), &proto_babel), (yyvsp[-1].t)); }
#line 9168 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 702:
#line 136 "proto/babel/config.Y" /* yacc.c:1648  */
    { babel_show_neighbors(proto_get_named((yyvsp[-2].s), &proto_babel), (yyvsp[-1].t)); }
#line 9174 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 704:
#line 139 "proto/babel/config.Y" /* yacc.c:1648  */
    { babel_show_entries(proto_get_named((yyvsp[-2].s), &proto_babel)); }
#line 9180 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 706:
#line 142 "proto/babel/config.Y" /* yacc.c:1648  */
    { babel_show_routes(proto_get_named((yyvsp[-2].s), &proto_babel)); }
#line 9186 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 708:
#line 47 "proto/bgp/config.Y" /* yacc.c:1648  */
    {
     this_proto = proto_config_new(&proto_bgp, (yyvsp[-1].i));
     BGP_CFG->local_port = BGP_PORT;
     BGP_CFG->remote_port = BGP_PORT;
     BGP_CFG->multihop = -1;	/* undefined */
     BGP_CFG->hold_time = 240;
     BGP_CFG->initial_hold_time = 240;
     BGP_CFG->compare_path_lengths = 1;
     BGP_CFG->igp_metric = 1;
     BGP_CFG->connect_delay_time = 5;
     BGP_CFG->connect_retry_time = 120;
     BGP_CFG->error_amnesia_time = 300;
     BGP_CFG->error_delay_time_min = 60;
     BGP_CFG->error_delay_time_max = 300;
     BGP_CFG->enable_refresh = 1;
     BGP_CFG->enable_as4 = 1;
     BGP_CFG->capabilities = 2;
     BGP_CFG->interpret_communities = 1;
     BGP_CFG->default_local_pref = 100;
     BGP_CFG->gr_mode = BGP_GR_AWARE;
     BGP_CFG->gr_time = 120;
     BGP_CFG->llgr_mode = -1;
     BGP_CFG->llgr_time = 3600;
     BGP_CFG->setkey = 1;
     BGP_CFG->check_link = -1;
   }
#line 9217 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 710:
#line 77 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CFG->local_port = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>65535)) cf_error("Invalid port number"); }
#line 9223 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 711:
#line 78 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CFG->local_as = (yyvsp[0].i); }
#line 9229 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 713:
#line 83 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CFG->remote_port = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>65535)) cf_error("Invalid port number"); }
#line 9235 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 714:
#line 84 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CFG->remote_as = (yyvsp[0].i); }
#line 9241 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 715:
#line 89 "proto/bgp/config.Y" /* yacc.c:1648  */
    { (yyval.i) = (yyvsp[0].i) ? ~(1 << 7) : 0; }
#line 9247 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 716:
#line 90 "proto/bgp/config.Y" /* yacc.c:1648  */
    { (yyval.i) = (yyvsp[-1].i); }
#line 9253 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 718:
#line 95 "proto/bgp/config.Y" /* yacc.c:1648  */
    { (yyval.i) = (yyvsp[-2].i) | (yyvsp[0].i); }
#line 9259 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 719:
#line 99 "proto/bgp/config.Y" /* yacc.c:1648  */
    { (yyval.i) = 1 << 0; }
#line 9265 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 720:
#line 100 "proto/bgp/config.Y" /* yacc.c:1648  */
    { (yyval.i) = 1 << 1; }
#line 9271 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 721:
#line 101 "proto/bgp/config.Y" /* yacc.c:1648  */
    { (yyval.i) = 1 << 2; }
#line 9277 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 722:
#line 102 "proto/bgp/config.Y" /* yacc.c:1648  */
    { (yyval.i) = 1 << 3; }
#line 9283 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 723:
#line 103 "proto/bgp/config.Y" /* yacc.c:1648  */
    { (yyval.i) = 1 << 4; }
#line 9289 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 724:
#line 104 "proto/bgp/config.Y" /* yacc.c:1648  */
    { (yyval.i) = 1 << 5; }
#line 9295 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 725:
#line 105 "proto/bgp/config.Y" /* yacc.c:1648  */
    { (yyval.i) = 1 << 6; }
#line 9301 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 726:
#line 106 "proto/bgp/config.Y" /* yacc.c:1648  */
    { (yyval.i) = 1 << 7; }
#line 9307 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 727:
#line 107 "proto/bgp/config.Y" /* yacc.c:1648  */
    { (yyval.i) = 1 << 8; }
#line 9313 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 732:
#line 115 "proto/bgp/config.Y" /* yacc.c:1648  */
    {
     BGP_CFG->local_ip = (yyvsp[-3].a);
     if ((yyvsp[-2].iface)) BGP_CFG->iface = (yyvsp[-2].iface);
   }
#line 9322 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 734:
#line 120 "proto/bgp/config.Y" /* yacc.c:1648  */
    {
     if (ipa_nonzero(BGP_CFG->remote_ip))
       cf_error("Only one neighbor per BGP instance is allowed");
     BGP_CFG->remote_ip = (yyvsp[-3].a);
     if ((yyvsp[-2].iface)) BGP_CFG->iface = (yyvsp[-2].iface);
   }
#line 9333 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 735:
#line 126 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CFG->iface = if_get_by_name((yyvsp[-1].t)); }
#line 9339 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 736:
#line 127 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CFG->rr_cluster_id = (yyvsp[-1].i32); }
#line 9345 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 737:
#line 128 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CFG->rr_client = (yyvsp[-1].i); }
#line 9351 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 738:
#line 129 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CFG->rs_client = (yyvsp[-1].i); }
#line 9357 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 739:
#line 130 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CFG->confederation = (yyvsp[-1].i); }
#line 9363 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 740:
#line 131 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CFG->confederation_member = (yyvsp[-1].i); }
#line 9369 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 741:
#line 132 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CFG->hold_time = (yyvsp[-1].i); }
#line 9375 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 742:
#line 133 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CFG->initial_hold_time = (yyvsp[-1].i); }
#line 9381 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 743:
#line 134 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CFG->multihop = 0; }
#line 9387 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 744:
#line 135 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CFG->multihop = 64; }
#line 9393 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 745:
#line 136 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CFG->multihop = (yyvsp[-1].i); if (((yyvsp[-1].i)<1) || ((yyvsp[-1].i)>255)) cf_error("Multihop must be in range 1-255"); }
#line 9399 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 746:
#line 137 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CFG->strict_bind = (yyvsp[-1].i); }
#line 9405 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 747:
#line 138 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CFG->compare_path_lengths = (yyvsp[-1].i); }
#line 9411 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 748:
#line 139 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CFG->med_metric = (yyvsp[-1].i); }
#line 9417 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 749:
#line 140 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CFG->igp_metric = (yyvsp[-1].i); }
#line 9423 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 750:
#line 141 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CFG->prefer_older = (yyvsp[-1].i); }
#line 9429 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 751:
#line 142 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CFG->deterministic_med = (yyvsp[-1].i); }
#line 9435 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 752:
#line 143 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CFG->default_med = (yyvsp[-1].i); }
#line 9441 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 753:
#line 144 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CFG->default_local_pref = (yyvsp[-1].i); }
#line 9447 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 754:
#line 145 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CFG->local_ip = (yyvsp[-1].a); }
#line 9453 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 755:
#line 146 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CFG->connect_delay_time = (yyvsp[-1].i); log(L_WARN "%s: Start delay time option is deprecated, use connect delay time", this_proto->name); }
#line 9459 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 756:
#line 147 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CFG->connect_delay_time = (yyvsp[-1].i); }
#line 9465 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 757:
#line 148 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CFG->connect_retry_time = (yyvsp[-1].i); }
#line 9471 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 758:
#line 149 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CFG->keepalive_time = (yyvsp[-1].i); }
#line 9477 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 759:
#line 150 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CFG->error_amnesia_time = (yyvsp[-1].i); }
#line 9483 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 760:
#line 151 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CFG->error_delay_time_min = (yyvsp[-3].i); BGP_CFG->error_delay_time_max = (yyvsp[-1].i); }
#line 9489 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 761:
#line 152 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CFG->disable_after_error = (yyvsp[-1].i); }
#line 9495 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 762:
#line 153 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CFG->disable_after_cease = (yyvsp[-1].i); }
#line 9501 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 763:
#line 154 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CFG->enable_refresh = (yyvsp[-1].i); }
#line 9507 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 764:
#line 155 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CFG->enable_as4 = (yyvsp[-1].i); }
#line 9513 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 765:
#line 156 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CFG->enable_extended_messages = (yyvsp[-1].i); }
#line 9519 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 766:
#line 157 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CFG->capabilities = (yyvsp[-1].i); }
#line 9525 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 767:
#line 158 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CFG->password = (yyvsp[-1].t); }
#line 9531 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 768:
#line 159 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CFG->setkey = (yyvsp[-1].i); }
#line 9537 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 769:
#line 160 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CFG->passive = (yyvsp[-1].i); }
#line 9543 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 770:
#line 161 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CFG->interpret_communities = (yyvsp[-1].i); }
#line 9549 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 771:
#line 162 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CFG->allow_local_as = -1; }
#line 9555 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 772:
#line 163 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CFG->allow_local_as = (yyvsp[-1].i); }
#line 9561 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 773:
#line 164 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CFG->allow_local_pref = (yyvsp[-1].i); }
#line 9567 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 774:
#line 165 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CFG->gr_mode = (yyvsp[-1].i); }
#line 9573 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 775:
#line 166 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CFG->gr_mode = BGP_GR_AWARE; }
#line 9579 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 776:
#line 167 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CFG->gr_time = (yyvsp[-1].i); }
#line 9585 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 777:
#line 168 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CFG->llgr_mode = (yyvsp[-1].i); }
#line 9591 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 778:
#line 169 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CFG->llgr_mode = BGP_LLGR_AWARE; }
#line 9597 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 779:
#line 170 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CFG->llgr_time = (yyvsp[-1].i); }
#line 9603 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 780:
#line 171 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CFG->ttl_security = (yyvsp[-1].i); }
#line 9609 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 781:
#line 172 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CFG->check_link = (yyvsp[-1].i); }
#line 9615 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 782:
#line 173 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CFG->bfd = (yyvsp[-1].i); cf_check_bfd((yyvsp[-1].i)); }
#line 9621 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 783:
#line 174 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CFG->bfd = BGP_BFD_GRACEFUL; cf_check_bfd(1); }
#line 9627 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 784:
#line 178 "proto/bgp/config.Y" /* yacc.c:1648  */
    { (yyval.i32) = BGP_AF_IPV4; }
#line 9633 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 785:
#line 179 "proto/bgp/config.Y" /* yacc.c:1648  */
    { (yyval.i32) = BGP_AF_IPV6; }
#line 9639 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 786:
#line 180 "proto/bgp/config.Y" /* yacc.c:1648  */
    { (yyval.i32) = BGP_AF_IPV4_MC; }
#line 9645 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 787:
#line 181 "proto/bgp/config.Y" /* yacc.c:1648  */
    { (yyval.i32) = BGP_AF_IPV6_MC; }
#line 9651 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 788:
#line 182 "proto/bgp/config.Y" /* yacc.c:1648  */
    { (yyval.i32) = BGP_AF_IPV4_MPLS; }
#line 9657 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 789:
#line 183 "proto/bgp/config.Y" /* yacc.c:1648  */
    { (yyval.i32) = BGP_AF_IPV6_MPLS; }
#line 9663 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 790:
#line 184 "proto/bgp/config.Y" /* yacc.c:1648  */
    { (yyval.i32) = BGP_AF_VPN4_MPLS; }
#line 9669 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 791:
#line 185 "proto/bgp/config.Y" /* yacc.c:1648  */
    { (yyval.i32) = BGP_AF_VPN6_MPLS; }
#line 9675 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 792:
#line 186 "proto/bgp/config.Y" /* yacc.c:1648  */
    { (yyval.i32) = BGP_AF_VPN4_MC; }
#line 9681 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 793:
#line 187 "proto/bgp/config.Y" /* yacc.c:1648  */
    { (yyval.i32) = BGP_AF_VPN6_MC; }
#line 9687 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 794:
#line 188 "proto/bgp/config.Y" /* yacc.c:1648  */
    { (yyval.i32) = BGP_AF_FLOW4; }
#line 9693 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 795:
#line 189 "proto/bgp/config.Y" /* yacc.c:1648  */
    { (yyval.i32) = BGP_AF_FLOW6; }
#line 9699 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 796:
#line 193 "proto/bgp/config.Y" /* yacc.c:1648  */
    {
  const struct bgp_af_desc *desc = bgp_get_af_desc((yyvsp[0].i32));

  if (!desc)
    cf_error("Unknown AFI/SAFI");

  this_channel = channel_config_get(&channel_bgp, desc->name, desc->net, this_proto);

  /* New channel */
  if (!BGP_CC->desc)
  {
    BGP_CC->c.in_filter = FILTER_UNDEF;
    BGP_CC->c.out_filter = FILTER_UNDEF;
    BGP_CC->c.ra_mode = RA_UNDEF;
    BGP_CC->afi = (yyvsp[0].i32);
    BGP_CC->desc = desc;
    BGP_CC->next_hop_keep = 0xff; /* undefined */
    BGP_CC->gr_able = 0xff;	/* undefined */
    BGP_CC->llgr_able = 0xff;	/* undefined */
    BGP_CC->llgr_time = ~0U;	/* undefined */
  }
}
#line 9726 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 797:
#line 217 "proto/bgp/config.Y" /* yacc.c:1648  */
    { (yyval.i) = (yyvsp[0].i); }
#line 9732 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 798:
#line 218 "proto/bgp/config.Y" /* yacc.c:1648  */
    { (yyval.i) = NH_IBGP; }
#line 9738 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 799:
#line 219 "proto/bgp/config.Y" /* yacc.c:1648  */
    { (yyval.i) = NH_EBGP; }
#line 9744 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 801:
#line 223 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CC->next_hop_addr = (yyvsp[0].a); }
#line 9750 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 802:
#line 224 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CC->next_hop_self = (yyvsp[0].i); }
#line 9756 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 803:
#line 225 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CC->next_hop_keep = (yyvsp[0].i); }
#line 9762 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 804:
#line 226 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CC->missing_lladdr = MLL_SELF; }
#line 9768 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 805:
#line 227 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CC->missing_lladdr = MLL_DROP; }
#line 9774 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 806:
#line 228 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CC->missing_lladdr = MLL_IGNORE; }
#line 9780 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 807:
#line 229 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CC->gw_mode = GW_DIRECT; }
#line 9786 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 808:
#line 230 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CC->gw_mode = GW_RECURSIVE; }
#line 9792 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 809:
#line 231 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CC->secondary = (yyvsp[0].i); }
#line 9798 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 810:
#line 232 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CC->gr_able = (yyvsp[0].i); }
#line 9804 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 811:
#line 233 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CC->llgr_able = (yyvsp[0].i); }
#line 9810 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 812:
#line 234 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CC->llgr_time = (yyvsp[0].i); }
#line 9816 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 813:
#line 235 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CC->ext_next_hop = (yyvsp[0].i); }
#line 9822 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 814:
#line 236 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CC->add_path = BGP_ADD_PATH_RX; }
#line 9828 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 815:
#line 237 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CC->add_path = BGP_ADD_PATH_TX; }
#line 9834 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 816:
#line 238 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CC->add_path = (yyvsp[0].i) ? BGP_ADD_PATH_FULL : 0; }
#line 9840 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 817:
#line 239 "proto/bgp/config.Y" /* yacc.c:1648  */
    { BGP_CC->import_table = (yyvsp[0].i); }
#line 9846 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 818:
#line 240 "proto/bgp/config.Y" /* yacc.c:1648  */
    {
    if (BGP_CC->desc->no_igp)
      cf_error("IGP table not allowed here");

    if ((yyvsp[0].r)->addr_type == NET_IP4)
      BGP_CC->igp_table_ip4 = (yyvsp[0].r);
    else if ((yyvsp[0].r)->addr_type == NET_IP6)
      BGP_CC->igp_table_ip6 = (yyvsp[0].r);
    else
      cf_error("Mismatched IGP table type");
   }
#line 9862 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 823:
#line 264 "proto/bgp/config.Y" /* yacc.c:1648  */
    {
  if (!this_channel->table)
    cf_error("Routing table not specified");

  this_channel = NULL;
}
#line 9873 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 825:
#line 275 "proto/bgp/config.Y" /* yacc.c:1648  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_ENUM_BGP_ORIGIN, EA_CODE(PROTOCOL_BGP, BA_ORIGIN)); }
#line 9879 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 826:
#line 277 "proto/bgp/config.Y" /* yacc.c:1648  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_AS_PATH, T_PATH, EA_CODE(PROTOCOL_BGP, BA_AS_PATH)); }
#line 9885 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 827:
#line 279 "proto/bgp/config.Y" /* yacc.c:1648  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_IP_ADDRESS, T_IP, EA_CODE(PROTOCOL_BGP, BA_NEXT_HOP)); }
#line 9891 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 828:
#line 281 "proto/bgp/config.Y" /* yacc.c:1648  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_CODE(PROTOCOL_BGP, BA_MULTI_EXIT_DISC)); }
#line 9897 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 829:
#line 283 "proto/bgp/config.Y" /* yacc.c:1648  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_CODE(PROTOCOL_BGP, BA_LOCAL_PREF)); }
#line 9903 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 830:
#line 285 "proto/bgp/config.Y" /* yacc.c:1648  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_OPAQUE, T_ENUM_EMPTY, EA_CODE(PROTOCOL_BGP, BA_ATOMIC_AGGR)); }
#line 9909 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 831:
#line 287 "proto/bgp/config.Y" /* yacc.c:1648  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_CODE(PROTOCOL_BGP, BA_AGGREGATOR)); }
#line 9915 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 832:
#line 289 "proto/bgp/config.Y" /* yacc.c:1648  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT_SET, T_CLIST, EA_CODE(PROTOCOL_BGP, BA_COMMUNITY)); }
#line 9921 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 833:
#line 291 "proto/bgp/config.Y" /* yacc.c:1648  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_ROUTER_ID, T_QUAD, EA_CODE(PROTOCOL_BGP, BA_ORIGINATOR_ID)); }
#line 9927 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 834:
#line 293 "proto/bgp/config.Y" /* yacc.c:1648  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT_SET, T_CLIST, EA_CODE(PROTOCOL_BGP, BA_CLUSTER_LIST)); }
#line 9933 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 835:
#line 295 "proto/bgp/config.Y" /* yacc.c:1648  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_EC_SET, T_ECLIST, EA_CODE(PROTOCOL_BGP, BA_EXT_COMMUNITY)); }
#line 9939 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 836:
#line 297 "proto/bgp/config.Y" /* yacc.c:1648  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_LC_SET, T_LCLIST, EA_CODE(PROTOCOL_BGP, BA_LARGE_COMMUNITY)); }
#line 9945 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 838:
#line 29 "proto/mrt/config.Y" /* yacc.c:1648  */
    {
  this_proto = proto_config_new(&proto_mrt, (yyvsp[-1].i));
}
#line 9953 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 840:
#line 35 "proto/mrt/config.Y" /* yacc.c:1648  */
    { MRT_CFG->table_cf = (yyvsp[0].r); }
#line 9959 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 841:
#line 36 "proto/mrt/config.Y" /* yacc.c:1648  */
    { MRT_CFG->table_expr = (yyvsp[0].t); }
#line 9965 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 842:
#line 37 "proto/mrt/config.Y" /* yacc.c:1648  */
    { MRT_CFG->filter = (yyvsp[0].f); }
#line 9971 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 843:
#line 38 "proto/mrt/config.Y" /* yacc.c:1648  */
    { MRT_CFG->filter = (yyvsp[0].f); }
#line 9977 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 844:
#line 39 "proto/mrt/config.Y" /* yacc.c:1648  */
    { MRT_CFG->filename = (yyvsp[0].t); }
#line 9983 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 845:
#line 40 "proto/mrt/config.Y" /* yacc.c:1648  */
    { MRT_CFG->period = (yyvsp[0].i); }
#line 9989 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 846:
#line 41 "proto/mrt/config.Y" /* yacc.c:1648  */
    { MRT_CFG->always_add_path = (yyvsp[0].i); }
#line 9995 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 849:
#line 50 "proto/mrt/config.Y" /* yacc.c:1648  */
    { mrt_check_config(this_proto); }
#line 10001 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 851:
#line 54 "proto/mrt/config.Y" /* yacc.c:1648  */
    { mrt_dump_cmd((yyvsp[-1].md)); }
#line 10007 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 852:
#line 57 "proto/mrt/config.Y" /* yacc.c:1648  */
    { (yyval.md) = cfg_allocz(sizeof(struct mrt_dump_data)); }
#line 10013 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 853:
#line 58 "proto/mrt/config.Y" /* yacc.c:1648  */
    { (yyval.md) = (yyvsp[-2].md); (yyval.md)->table_ptr = (yyvsp[0].r)->table; }
#line 10019 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 854:
#line 59 "proto/mrt/config.Y" /* yacc.c:1648  */
    { (yyval.md) = (yyvsp[-2].md); (yyval.md)->table_expr = (yyvsp[0].t); }
#line 10025 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 855:
#line 60 "proto/mrt/config.Y" /* yacc.c:1648  */
    { (yyval.md) = (yyvsp[-2].md); (yyval.md)->filter = (yyvsp[0].f); }
#line 10031 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 856:
#line 61 "proto/mrt/config.Y" /* yacc.c:1648  */
    { (yyval.md) = (yyvsp[-1].md); (yyval.md)->filter = (yyvsp[0].f); }
#line 10037 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 857:
#line 62 "proto/mrt/config.Y" /* yacc.c:1648  */
    { (yyval.md) = (yyvsp[-2].md); (yyval.md)->filename = (yyvsp[0].t); }
#line 10043 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 858:
#line 210 "proto/ospf/config.Y" /* yacc.c:1648  */
    { ospf_proto_finish(); }
#line 10049 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 859:
#line 213 "proto/ospf/config.Y" /* yacc.c:1648  */
    { (yyval.i) = 1; }
#line 10055 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 860:
#line 214 "proto/ospf/config.Y" /* yacc.c:1648  */
    { (yyval.i) = 1; }
#line 10061 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 861:
#line 215 "proto/ospf/config.Y" /* yacc.c:1648  */
    { (yyval.i) = 0; }
#line 10067 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 862:
#line 219 "proto/ospf/config.Y" /* yacc.c:1648  */
    {
  this_proto = proto_config_new(&proto_ospf, (yyvsp[-1].i));
  this_proto->net_type = (yyvsp[0].i) ? NET_IP4 : 0;

  init_list(&OSPF_CFG->area_list);
  init_list(&OSPF_CFG->vlink_list);
  OSPF_CFG->ecmp = rt_default_ecmp;
  OSPF_CFG->tick = OSPF_DEFAULT_TICK;
  OSPF_CFG->ospf2 = (yyvsp[0].i);
  OSPF_CFG->af_ext = !(yyvsp[0].i);
}
#line 10083 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 865:
#line 237 "proto/ospf/config.Y" /* yacc.c:1648  */
    { (yyval.i) = 0; }
#line 10089 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 866:
#line 238 "proto/ospf/config.Y" /* yacc.c:1648  */
    { (yyval.i) = 1; }
#line 10095 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 867:
#line 243 "proto/ospf/config.Y" /* yacc.c:1648  */
    {
  /* TODO: change name for multicast channels */
  (yyval.cc) = this_channel = channel_config_get(NULL, net_label[(yyvsp[-1].i)], (yyvsp[-1].i), this_proto);

  /* Save the multicast flag */
  if (this_channel == proto_cf_main_channel(this_proto))
    OSPF_CFG->af_mc = (yyvsp[0].i);
}
#line 10108 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 870:
#line 256 "proto/ospf/config.Y" /* yacc.c:1648  */
    { this_proto->net_type = (yyvsp[0].cc)->net_type; }
#line 10114 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 871:
#line 257 "proto/ospf/config.Y" /* yacc.c:1648  */
    { OSPF_CFG->rfc1583 = (yyvsp[0].i); }
#line 10120 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 872:
#line 258 "proto/ospf/config.Y" /* yacc.c:1648  */
    { OSPF_CFG->af_ext = (yyvsp[0].i); if (!ospf_cfg_is_v3()) cf_error("RFC5838 option requires OSPFv3"); }
#line 10126 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 873:
#line 259 "proto/ospf/config.Y" /* yacc.c:1648  */
    { OSPF_CFG->vpn_pe = (yyvsp[0].i); }
#line 10132 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 874:
#line 260 "proto/ospf/config.Y" /* yacc.c:1648  */
    { OSPF_CFG->stub_router = (yyvsp[0].i); }
#line 10138 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 875:
#line 261 "proto/ospf/config.Y" /* yacc.c:1648  */
    { OSPF_CFG->ecmp = (yyvsp[0].i) ? OSPF_DEFAULT_ECMP_LIMIT : 0; }
#line 10144 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 876:
#line 262 "proto/ospf/config.Y" /* yacc.c:1648  */
    { OSPF_CFG->ecmp = (yyvsp[-2].i) ? (yyvsp[0].i) : 0; }
#line 10150 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 877:
#line 263 "proto/ospf/config.Y" /* yacc.c:1648  */
    { OSPF_CFG->merge_external = (yyvsp[0].i); }
#line 10156 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 878:
#line 264 "proto/ospf/config.Y" /* yacc.c:1648  */
    { OSPF_CFG->tick = (yyvsp[0].i); if((yyvsp[0].i) <= 0) cf_error("Tick must be greater than zero"); }
#line 10162 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 879:
#line 265 "proto/ospf/config.Y" /* yacc.c:1648  */
    { OSPF_CFG->instance_id = (yyvsp[0].i); OSPF_CFG->instance_id_set = 1; if ((yyvsp[0].i) > 255) cf_error("Instance ID must be in range 0-255"); }
#line 10168 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 881:
#line 269 "proto/ospf/config.Y" /* yacc.c:1648  */
    {
  this_area = cfg_allocz(sizeof(struct ospf_area_config));
  add_tail(&OSPF_CFG->area_list, NODE this_area);
  this_area->areaid = (yyvsp[0].i32);
  this_area->default_cost = OSPF_DEFAULT_STUB_COST;
  this_area->type = OPT_E;
  this_area->transint = OSPF_DEFAULT_TRANSINT;

  init_list(&this_area->patt_list);
  init_list(&this_area->net_list);
  init_list(&this_area->enet_list);
  init_list(&this_area->stubnet_list);
 }
#line 10186 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 882:
#line 284 "proto/ospf/config.Y" /* yacc.c:1648  */
    { ospf_area_finish(); }
#line 10192 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 885:
#line 293 "proto/ospf/config.Y" /* yacc.c:1648  */
    { this_area->type = (yyvsp[0].i) ? 0 : OPT_E; /* We should remove the option */ }
#line 10198 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 886:
#line 294 "proto/ospf/config.Y" /* yacc.c:1648  */
    { this_area->type = OPT_N; }
#line 10204 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 887:
#line 295 "proto/ospf/config.Y" /* yacc.c:1648  */
    { this_area->summary = (yyvsp[0].i); }
#line 10210 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 888:
#line 296 "proto/ospf/config.Y" /* yacc.c:1648  */
    { this_area->default_nssa = (yyvsp[0].i); }
#line 10216 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 889:
#line 297 "proto/ospf/config.Y" /* yacc.c:1648  */
    { this_area->default_cost = (yyvsp[0].i); ospf_check_defcost((yyvsp[0].i)); }
#line 10222 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 890:
#line 298 "proto/ospf/config.Y" /* yacc.c:1648  */
    { this_area->default_cost = (yyvsp[0].i) | LSA_EXT3_EBIT; ospf_check_defcost((yyvsp[0].i)); }
#line 10228 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 891:
#line 299 "proto/ospf/config.Y" /* yacc.c:1648  */
    { this_area->default_cost = (yyvsp[0].i); ospf_check_defcost((yyvsp[0].i)); }
#line 10234 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 892:
#line 300 "proto/ospf/config.Y" /* yacc.c:1648  */
    { this_area->translator = (yyvsp[0].i); }
#line 10240 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 893:
#line 301 "proto/ospf/config.Y" /* yacc.c:1648  */
    { this_area->transint = (yyvsp[0].i); }
#line 10246 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 894:
#line 302 "proto/ospf/config.Y" /* yacc.c:1648  */
    { this_nets = &this_area->net_list; }
#line 10252 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 896:
#line 303 "proto/ospf/config.Y" /* yacc.c:1648  */
    { this_nets = &this_area->enet_list; }
#line 10258 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 903:
#line 315 "proto/ospf/config.Y" /* yacc.c:1648  */
    {
     this_stubnet = cfg_allocz(sizeof(struct ospf_stubnet_config));
     add_tail(&this_area->stubnet_list, NODE this_stubnet);
     this_stubnet->prefix = (yyvsp[0].net);
     this_stubnet->cost = COST_D;
   }
#line 10269 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 906:
#line 329 "proto/ospf/config.Y" /* yacc.c:1648  */
    { this_stubnet->hidden = (yyvsp[0].i); }
#line 10275 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 907:
#line 330 "proto/ospf/config.Y" /* yacc.c:1648  */
    { this_stubnet->summary = (yyvsp[0].i); }
#line 10281 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 908:
#line 331 "proto/ospf/config.Y" /* yacc.c:1648  */
    { this_stubnet->cost = (yyvsp[0].i); }
#line 10287 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 909:
#line 335 "proto/ospf/config.Y" /* yacc.c:1648  */
    { ospf_iface_finish(); }
#line 10293 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 910:
#line 336 "proto/ospf/config.Y" /* yacc.c:1648  */
    { ospf_iface_finish(); }
#line 10299 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 914:
#line 345 "proto/ospf/config.Y" /* yacc.c:1648  */
    { OSPF_PATT->helloint = (yyvsp[0].i) ; if (((yyvsp[0].i)<=0) || ((yyvsp[0].i)>65535)) cf_error("Hello interval must be in range 1-65535"); }
#line 10305 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 915:
#line 346 "proto/ospf/config.Y" /* yacc.c:1648  */
    { OSPF_PATT->rxmtint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Retransmit int must be greater than one"); }
#line 10311 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 916:
#line 347 "proto/ospf/config.Y" /* yacc.c:1648  */
    { OSPF_PATT->inftransdelay = (yyvsp[0].i) ; if (((yyvsp[0].i)<=0) || ((yyvsp[0].i)>65535)) cf_error("Transmit delay must be in range 1-65535"); }
#line 10317 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 917:
#line 348 "proto/ospf/config.Y" /* yacc.c:1648  */
    { OSPF_PATT->waitint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Wait interval must be greater than one"); }
#line 10323 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 918:
#line 349 "proto/ospf/config.Y" /* yacc.c:1648  */
    { OSPF_PATT->deadint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Dead interval must be greater than one"); }
#line 10329 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 919:
#line 350 "proto/ospf/config.Y" /* yacc.c:1648  */
    { OSPF_PATT->deadc = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Dead count must be greater than one"); }
#line 10335 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 920:
#line 351 "proto/ospf/config.Y" /* yacc.c:1648  */
    { OSPF_PATT->autype = OSPF_AUTH_NONE;  }
#line 10341 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 921:
#line 352 "proto/ospf/config.Y" /* yacc.c:1648  */
    { OSPF_PATT->autype = OSPF_AUTH_SIMPLE; ospf_check_auth(); }
#line 10347 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 922:
#line 353 "proto/ospf/config.Y" /* yacc.c:1648  */
    { OSPF_PATT->autype = OSPF_AUTH_CRYPT; }
#line 10353 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 924:
#line 358 "proto/ospf/config.Y" /* yacc.c:1648  */
    {
  if (this_area->areaid == 0) cf_error("Virtual link cannot be in backbone");
  this_ipatt = cfg_allocz(sizeof(struct ospf_iface_patt));
  add_tail(&OSPF_CFG->vlink_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
  OSPF_PATT->voa = this_area->areaid;
  OSPF_PATT->vid = (yyvsp[0].i32);
  OSPF_PATT->helloint = HELLOINT_D;
  OSPF_PATT->rxmtint = RXMTINT_D;
  OSPF_PATT->inftransdelay = INFTRANSDELAY_D;
  OSPF_PATT->deadc = DEADC_D;
  OSPF_PATT->type = OSPF_IT_VLINK;
  init_list(&OSPF_PATT->nbma_list);
  reset_passwords();
 }
#line 10373 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 925:
#line 376 "proto/ospf/config.Y" /* yacc.c:1648  */
    { OSPF_PATT->cost = (yyvsp[0].i) ; if (((yyvsp[0].i)<=0) || ((yyvsp[0].i)>65535)) cf_error("Cost must be in range 1-65535"); }
#line 10379 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 926:
#line 377 "proto/ospf/config.Y" /* yacc.c:1648  */
    { OSPF_PATT->helloint = (yyvsp[0].i) ; if (((yyvsp[0].i)<=0) || ((yyvsp[0].i)>65535)) cf_error("Hello interval must be in range 1-65535"); }
#line 10385 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 927:
#line 378 "proto/ospf/config.Y" /* yacc.c:1648  */
    { OSPF_PATT->pollint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=0) cf_error("Poll int must be greater than zero"); }
#line 10391 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 928:
#line 379 "proto/ospf/config.Y" /* yacc.c:1648  */
    { OSPF_PATT->rxmtint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Retransmit int must be greater than one"); }
#line 10397 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 929:
#line 380 "proto/ospf/config.Y" /* yacc.c:1648  */
    { OSPF_PATT->waitint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Wait interval must be greater than one"); }
#line 10403 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 930:
#line 381 "proto/ospf/config.Y" /* yacc.c:1648  */
    { OSPF_PATT->deadint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Dead interval must be greater than one"); }
#line 10409 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 931:
#line 382 "proto/ospf/config.Y" /* yacc.c:1648  */
    { OSPF_PATT->deadc = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Dead count must be greater than one"); }
#line 10415 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 932:
#line 383 "proto/ospf/config.Y" /* yacc.c:1648  */
    { OSPF_PATT->type = OSPF_IT_BCAST ; }
#line 10421 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 933:
#line 384 "proto/ospf/config.Y" /* yacc.c:1648  */
    { OSPF_PATT->type = OSPF_IT_BCAST ; }
#line 10427 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 934:
#line 385 "proto/ospf/config.Y" /* yacc.c:1648  */
    { OSPF_PATT->type = OSPF_IT_NBMA ; }
#line 10433 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 935:
#line 386 "proto/ospf/config.Y" /* yacc.c:1648  */
    { OSPF_PATT->type = OSPF_IT_NBMA ; }
#line 10439 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 936:
#line 387 "proto/ospf/config.Y" /* yacc.c:1648  */
    { OSPF_PATT->type = OSPF_IT_PTP ; }
#line 10445 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 937:
#line 388 "proto/ospf/config.Y" /* yacc.c:1648  */
    { OSPF_PATT->type = OSPF_IT_PTP ; }
#line 10451 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 938:
#line 389 "proto/ospf/config.Y" /* yacc.c:1648  */
    { OSPF_PATT->type = OSPF_IT_PTMP ; }
#line 10457 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 939:
#line 390 "proto/ospf/config.Y" /* yacc.c:1648  */
    { OSPF_PATT->type = OSPF_IT_PTMP ; }
#line 10463 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 940:
#line 391 "proto/ospf/config.Y" /* yacc.c:1648  */
    { OSPF_PATT->real_bcast = (yyvsp[0].i); if (!ospf_cfg_is_v2()) cf_error("Real broadcast option requires OSPFv2"); }
#line 10469 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 941:
#line 392 "proto/ospf/config.Y" /* yacc.c:1648  */
    { OSPF_PATT->ptp_netmask = (yyvsp[0].i); if (!ospf_cfg_is_v2()) cf_error("PtP netmask option requires OSPFv2"); }
#line 10475 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 942:
#line 393 "proto/ospf/config.Y" /* yacc.c:1648  */
    { OSPF_PATT->inftransdelay = (yyvsp[0].i) ; if (((yyvsp[0].i)<=0) || ((yyvsp[0].i)>65535)) cf_error("Transmit delay must be in range 1-65535"); }
#line 10481 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 943:
#line 394 "proto/ospf/config.Y" /* yacc.c:1648  */
    { OSPF_PATT->priority = (yyvsp[0].i) ; if ((yyvsp[0].i)>255) cf_error("Priority must be in range 0-255"); }
#line 10487 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 944:
#line 395 "proto/ospf/config.Y" /* yacc.c:1648  */
    { OSPF_PATT->strictnbma = (yyvsp[0].i) ; }
#line 10493 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 945:
#line 396 "proto/ospf/config.Y" /* yacc.c:1648  */
    { OSPF_PATT->stub = (yyvsp[0].i) ; }
#line 10499 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 946:
#line 397 "proto/ospf/config.Y" /* yacc.c:1648  */
    { OSPF_PATT->check_link = (yyvsp[0].i); }
#line 10505 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 947:
#line 398 "proto/ospf/config.Y" /* yacc.c:1648  */
    { OSPF_PATT->ecmp_weight = (yyvsp[0].i) - 1; if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>256)) cf_error("ECMP weight must be in range 1-256"); }
#line 10511 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 948:
#line 399 "proto/ospf/config.Y" /* yacc.c:1648  */
    { OSPF_PATT->link_lsa_suppression = (yyvsp[0].i); if (!ospf_cfg_is_v3()) cf_error("Link LSA suppression option requires OSPFv3"); }
#line 10517 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 950:
#line 401 "proto/ospf/config.Y" /* yacc.c:1648  */
    { OSPF_PATT->autype = OSPF_AUTH_NONE; }
#line 10523 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 951:
#line 402 "proto/ospf/config.Y" /* yacc.c:1648  */
    { OSPF_PATT->autype = OSPF_AUTH_SIMPLE; ospf_check_auth(); }
#line 10529 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 952:
#line 403 "proto/ospf/config.Y" /* yacc.c:1648  */
    { OSPF_PATT->autype = OSPF_AUTH_CRYPT; }
#line 10535 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 953:
#line 404 "proto/ospf/config.Y" /* yacc.c:1648  */
    { OSPF_PATT->rx_buffer = 0; }
#line 10541 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 954:
#line 405 "proto/ospf/config.Y" /* yacc.c:1648  */
    { OSPF_PATT->rx_buffer = OSPF_MAX_PKT_SIZE; }
#line 10547 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 955:
#line 406 "proto/ospf/config.Y" /* yacc.c:1648  */
    { OSPF_PATT->rx_buffer = (yyvsp[0].i); if (((yyvsp[0].i) < OSPF_MIN_PKT_SIZE) || ((yyvsp[0].i) > OSPF_MAX_PKT_SIZE)) cf_error("Buffer size must be in range 256-65535"); }
#line 10553 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 956:
#line 407 "proto/ospf/config.Y" /* yacc.c:1648  */
    { OSPF_PATT->tx_tos = (yyvsp[0].i); }
#line 10559 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 957:
#line 408 "proto/ospf/config.Y" /* yacc.c:1648  */
    { OSPF_PATT->tx_priority = (yyvsp[0].i); }
#line 10565 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 958:
#line 409 "proto/ospf/config.Y" /* yacc.c:1648  */
    { OSPF_PATT->tx_length = (yyvsp[0].i); if (((yyvsp[0].i) < OSPF_MIN_PKT_SIZE) || ((yyvsp[0].i) > OSPF_MAX_PKT_SIZE)) cf_error("TX length must be in range 256-65535"); }
#line 10571 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 959:
#line 410 "proto/ospf/config.Y" /* yacc.c:1648  */
    { OSPF_PATT->ttl_security = (yyvsp[0].i); }
#line 10577 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 960:
#line 411 "proto/ospf/config.Y" /* yacc.c:1648  */
    { OSPF_PATT->ttl_security = 2; }
#line 10583 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 961:
#line 412 "proto/ospf/config.Y" /* yacc.c:1648  */
    { OSPF_PATT->bfd = (yyvsp[0].i); cf_check_bfd((yyvsp[0].i)); }
#line 10589 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 966:
#line 424 "proto/ospf/config.Y" /* yacc.c:1648  */
    {
   this_pref = cfg_allocz(sizeof(struct area_net_config));
   add_tail(this_nets, NODE this_pref);
   this_pref->prefix = (yyvsp[0].net);
 }
#line 10599 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 968:
#line 433 "proto/ospf/config.Y" /* yacc.c:1648  */
    { this_pref->hidden = 1; }
#line 10605 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 969:
#line 434 "proto/ospf/config.Y" /* yacc.c:1648  */
    { this_pref->tag = (yyvsp[0].i); }
#line 10611 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 972:
#line 443 "proto/ospf/config.Y" /* yacc.c:1648  */
    { (yyval.i) = 0; }
#line 10617 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 973:
#line 444 "proto/ospf/config.Y" /* yacc.c:1648  */
    { (yyval.i) = 1; }
#line 10623 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 974:
#line 448 "proto/ospf/config.Y" /* yacc.c:1648  */
    {
   this_nbma = cfg_allocz(sizeof(struct nbma_node));
   add_tail(&OSPF_PATT->nbma_list, NODE this_nbma);
   this_nbma->ip=(yyvsp[-2].a);
   this_nbma->eligible=(yyvsp[-1].i);
 }
#line 10634 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 975:
#line 457 "proto/ospf/config.Y" /* yacc.c:1648  */
    {
  this_ipatt = cfg_allocz(sizeof(struct ospf_iface_patt));
  add_tail(&this_area->patt_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
  OSPF_PATT->cost = COST_D;
  OSPF_PATT->helloint = HELLOINT_D;
  OSPF_PATT->pollint = POLLINT_D;
  OSPF_PATT->rxmtint = RXMTINT_D;
  OSPF_PATT->inftransdelay = INFTRANSDELAY_D;
  OSPF_PATT->priority = PRIORITY_D;
  OSPF_PATT->deadc = DEADC_D;
  OSPF_PATT->type = OSPF_IT_UNDEF;
  init_list(&OSPF_PATT->nbma_list);
  OSPF_PATT->check_link = 1;
  OSPF_PATT->ptp_netmask = 2; /* not specified */
  OSPF_PATT->tx_tos = IP_PREC_INTERNET_CONTROL;
  OSPF_PATT->tx_priority = sk_priority_control;
  reset_passwords();
 }
#line 10658 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 977:
#line 480 "proto/ospf/config.Y" /* yacc.c:1648  */
    { OSPF_PATT->instance_id = (yyvsp[0].i); OSPF_PATT->instance_id_set = 1; if ((yyvsp[0].i) > 255) cf_error("Instance ID must be in range 0-255"); }
#line 10664 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 978:
#line 484 "proto/ospf/config.Y" /* yacc.c:1648  */
    { if (ospf_cfg_is_v3()) iface_patt_check(); }
#line 10670 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 984:
#line 498 "proto/ospf/config.Y" /* yacc.c:1648  */
    { ospf_iface_finish(); }
#line 10676 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 985:
#line 501 "proto/ospf/config.Y" /* yacc.c:1648  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_OSPF_METRIC1); }
#line 10682 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 986:
#line 502 "proto/ospf/config.Y" /* yacc.c:1648  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_OSPF_METRIC2); }
#line 10688 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 987:
#line 503 "proto/ospf/config.Y" /* yacc.c:1648  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_OSPF_TAG); }
#line 10694 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 988:
#line 504 "proto/ospf/config.Y" /* yacc.c:1648  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_ROUTER_ID, T_QUAD, EA_OSPF_ROUTER_ID); }
#line 10700 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 990:
#line 508 "proto/ospf/config.Y" /* yacc.c:1648  */
    { ospf_sh(proto_get_named((yyvsp[-1].s), &proto_ospf)); }
#line 10706 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 992:
#line 511 "proto/ospf/config.Y" /* yacc.c:1648  */
    { ospf_sh_neigh(proto_get_named((yyvsp[-2].s), &proto_ospf), (yyvsp[-1].t)); }
#line 10712 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 994:
#line 514 "proto/ospf/config.Y" /* yacc.c:1648  */
    { ospf_sh_iface(proto_get_named((yyvsp[-2].s), &proto_ospf), (yyvsp[-1].t)); }
#line 10718 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 996:
#line 519 "proto/ospf/config.Y" /* yacc.c:1648  */
    { ospf_sh_state(proto_get_named((yyvsp[-2].s), &proto_ospf), 0, 1); }
#line 10724 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 998:
#line 522 "proto/ospf/config.Y" /* yacc.c:1648  */
    { ospf_sh_state(proto_get_named((yyvsp[-2].s), &proto_ospf), 0, 0); }
#line 10730 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1000:
#line 527 "proto/ospf/config.Y" /* yacc.c:1648  */
    { ospf_sh_state(proto_get_named((yyvsp[-2].s), &proto_ospf), 1, 1); }
#line 10736 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1002:
#line 530 "proto/ospf/config.Y" /* yacc.c:1648  */
    { ospf_sh_state(proto_get_named((yyvsp[-2].s), &proto_ospf), 1, 0); }
#line 10742 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1004:
#line 534 "proto/ospf/config.Y" /* yacc.c:1648  */
    { ospf_sh_lsadb((yyvsp[-1].ld)); }
#line 10748 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1005:
#line 537 "proto/ospf/config.Y" /* yacc.c:1648  */
    {
     (yyval.ld) = cfg_allocz(sizeof(struct lsadb_show_data));
   }
#line 10756 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1006:
#line 540 "proto/ospf/config.Y" /* yacc.c:1648  */
    { (yyval.ld) = (yyvsp[-1].ld); (yyval.ld)->scope = LSA_SCOPE_AS; }
#line 10762 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1007:
#line 541 "proto/ospf/config.Y" /* yacc.c:1648  */
    { (yyval.ld) = (yyvsp[-2].ld); (yyval.ld)->scope = LSA_SCOPE_AREA; (yyval.ld)->area = (yyvsp[0].i32); }
#line 10768 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1008:
#line 542 "proto/ospf/config.Y" /* yacc.c:1648  */
    { (yyval.ld) = (yyvsp[-1].ld); (yyval.ld)->scope = 1; /* hack, 0 is no filter */ }
#line 10774 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1009:
#line 543 "proto/ospf/config.Y" /* yacc.c:1648  */
    { (yyval.ld) = (yyvsp[-2].ld); (yyval.ld)->type = (yyvsp[0].i); }
#line 10780 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1010:
#line 544 "proto/ospf/config.Y" /* yacc.c:1648  */
    { (yyval.ld) = (yyvsp[-2].ld); (yyval.ld)->lsid = (yyvsp[0].i32); }
#line 10786 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1011:
#line 545 "proto/ospf/config.Y" /* yacc.c:1648  */
    { (yyval.ld) = (yyvsp[-1].ld); (yyval.ld)->router = SH_ROUTER_SELF; }
#line 10792 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1012:
#line 546 "proto/ospf/config.Y" /* yacc.c:1648  */
    { (yyval.ld) = (yyvsp[-2].ld); (yyval.ld)->router = (yyvsp[0].i32); }
#line 10798 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1013:
#line 547 "proto/ospf/config.Y" /* yacc.c:1648  */
    { (yyval.ld) = (yyvsp[-1].ld); (yyval.ld)->name = (yyvsp[0].s); }
#line 10804 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1015:
#line 27 "proto/perf/config.Y" /* yacc.c:1648  */
    {
  this_proto = proto_config_new(&proto_perf, (yyvsp[-1].i));
  PERF_CFG->from = 10;
  PERF_CFG->to = 20;
  PERF_CFG->repeat = 4;
  PERF_CFG->threshold_max = 500 MS_;
  PERF_CFG->threshold_min = 1 MS_;
  PERF_CFG->keep = 0;
  PERF_CFG->mode = PERF_MODE_IMPORT;
}
#line 10819 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1019:
#line 45 "proto/perf/config.Y" /* yacc.c:1648  */
    { this_proto->net_type = (yyvsp[0].cc)->net_type; }
#line 10825 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1020:
#line 46 "proto/perf/config.Y" /* yacc.c:1648  */
    { PERF_CFG->from = (yyvsp[0].i); }
#line 10831 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1021:
#line 47 "proto/perf/config.Y" /* yacc.c:1648  */
    { PERF_CFG->to = (yyvsp[0].i); }
#line 10837 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1022:
#line 48 "proto/perf/config.Y" /* yacc.c:1648  */
    { PERF_CFG->repeat = (yyvsp[0].i); }
#line 10843 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1023:
#line 49 "proto/perf/config.Y" /* yacc.c:1648  */
    { PERF_CFG->threshold_min = (yyvsp[0].time); }
#line 10849 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1024:
#line 50 "proto/perf/config.Y" /* yacc.c:1648  */
    { PERF_CFG->threshold_max = (yyvsp[0].time); }
#line 10855 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1025:
#line 51 "proto/perf/config.Y" /* yacc.c:1648  */
    { PERF_CFG->keep = (yyvsp[0].i); }
#line 10861 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1026:
#line 52 "proto/perf/config.Y" /* yacc.c:1648  */
    { PERF_CFG->mode = PERF_MODE_IMPORT; }
#line 10867 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1027:
#line 53 "proto/perf/config.Y" /* yacc.c:1648  */
    { PERF_CFG->mode = PERF_MODE_EXPORT; }
#line 10873 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1028:
#line 23 "proto/pipe/config.Y" /* yacc.c:1648  */
    { this_channel = NULL; }
#line 10879 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1029:
#line 26 "proto/pipe/config.Y" /* yacc.c:1648  */
    {
  this_proto = proto_config_new(&proto_pipe, (yyvsp[-1].i));
}
#line 10887 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1030:
#line 30 "proto/pipe/config.Y" /* yacc.c:1648  */
    {
  this_channel = proto_cf_main_channel(this_proto);
  if (!this_channel) {
    this_channel = channel_config_new(NULL, NULL, 0, this_proto);
    this_channel->in_filter = FILTER_ACCEPT;
    this_channel->out_filter = FILTER_ACCEPT;
  }
}
#line 10900 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1034:
#line 43 "proto/pipe/config.Y" /* yacc.c:1648  */
    { PIPE_CFG->peer = (yyvsp[-1].r); }
#line 10906 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1036:
#line 45 "proto/radv/config.Y" /* yacc.c:1648  */
    {
  this_proto = proto_config_new(&proto_radv, (yyvsp[-1].i));

  init_list(&RADV_CFG->patt_list);
  init_list(&RADV_CFG->pref_list);
  init_list(&RADV_CFG->rdnss_list);
  init_list(&RADV_CFG->dnssl_list);
}
#line 10919 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1040:
#line 58 "proto/radv/config.Y" /* yacc.c:1648  */
    { add_tail(&RADV_CFG->pref_list, NODE this_radv_prefix); }
#line 10925 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1041:
#line 59 "proto/radv/config.Y" /* yacc.c:1648  */
    { init_list(&radv_dns_list); }
#line 10931 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1042:
#line 59 "proto/radv/config.Y" /* yacc.c:1648  */
    { add_tail_list(&RADV_CFG->rdnss_list, &radv_dns_list); }
#line 10937 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1043:
#line 60 "proto/radv/config.Y" /* yacc.c:1648  */
    { init_list(&radv_dns_list); }
#line 10943 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1044:
#line 60 "proto/radv/config.Y" /* yacc.c:1648  */
    { add_tail_list(&RADV_CFG->dnssl_list, &radv_dns_list); }
#line 10949 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1045:
#line 61 "proto/radv/config.Y" /* yacc.c:1648  */
    { RADV_CFG->trigger = (yyvsp[0].net); }
#line 10955 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1046:
#line 62 "proto/radv/config.Y" /* yacc.c:1648  */
    { RADV_CFG->propagate_routes = (yyvsp[0].i); }
#line 10961 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1050:
#line 75 "proto/radv/config.Y" /* yacc.c:1648  */
    {
  this_ipatt = cfg_allocz(sizeof(struct radv_iface_config));
  add_tail(&RADV_CFG->patt_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
  init_list(&RADV_IFACE->pref_list);
  init_list(&RADV_IFACE->rdnss_list);
  init_list(&RADV_IFACE->dnssl_list);

  RADV_IFACE->min_ra_int = (u32) -1; /* undefined */
  RADV_IFACE->max_ra_int = DEFAULT_MAX_RA_INT;
  RADV_IFACE->min_delay = DEFAULT_MIN_DELAY;
  RADV_IFACE->prefix_linger_time = (u32) -1;
  RADV_IFACE->route_linger_time = (u32) -1;
  RADV_IFACE->current_hop_limit = DEFAULT_CURRENT_HOP_LIMIT;
  RADV_IFACE->default_lifetime = (u32) -1;
  RADV_IFACE->default_lifetime_sensitive = 1;
  RADV_IFACE->default_preference = RA_PREF_MEDIUM;
  RADV_IFACE->route_lifetime = (u32) -1;
  RADV_IFACE->route_lifetime_sensitive = 0;
  RADV_IFACE->route_preference = RA_PREF_MEDIUM;
}
#line 10987 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1051:
#line 98 "proto/radv/config.Y" /* yacc.c:1648  */
    { RADV_IFACE->min_ra_int = (yyvsp[0].i); if ((yyvsp[0].i) < 3) cf_error("Min RA interval must be at least 3"); }
#line 10993 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1052:
#line 99 "proto/radv/config.Y" /* yacc.c:1648  */
    { RADV_IFACE->max_ra_int = (yyvsp[0].i); if (((yyvsp[0].i) < 4) || ((yyvsp[0].i) > 1800)) cf_error("Max RA interval must be in range 4-1800"); }
#line 10999 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1053:
#line 100 "proto/radv/config.Y" /* yacc.c:1648  */
    { RADV_IFACE->min_delay = (yyvsp[0].i); if ((yyvsp[0].i) <= 0) cf_error("Min delay must be positive"); }
#line 11005 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1054:
#line 101 "proto/radv/config.Y" /* yacc.c:1648  */
    { RADV_IFACE->managed = (yyvsp[0].i); }
#line 11011 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1055:
#line 102 "proto/radv/config.Y" /* yacc.c:1648  */
    { RADV_IFACE->other_config = (yyvsp[0].i); }
#line 11017 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1056:
#line 103 "proto/radv/config.Y" /* yacc.c:1648  */
    { RADV_IFACE->link_mtu = (yyvsp[0].i); }
#line 11023 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1057:
#line 104 "proto/radv/config.Y" /* yacc.c:1648  */
    { RADV_IFACE->reachable_time = (yyvsp[0].i); if ((yyvsp[0].i) > 3600000) cf_error("Reachable time must be in range 0-3600000"); }
#line 11029 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1058:
#line 105 "proto/radv/config.Y" /* yacc.c:1648  */
    { RADV_IFACE->retrans_timer = (yyvsp[0].i); }
#line 11035 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1059:
#line 106 "proto/radv/config.Y" /* yacc.c:1648  */
    { RADV_IFACE->current_hop_limit = (yyvsp[0].i); if ((yyvsp[0].i) > 255) cf_error("Current hop limit must be in range 0-255"); }
#line 11041 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1060:
#line 107 "proto/radv/config.Y" /* yacc.c:1648  */
    {
     RADV_IFACE->default_lifetime = (yyvsp[-1].i);
     if ((yyvsp[-1].i) > 9000)  cf_error("Default lifetime must be in range 0-9000");
     if ((yyvsp[0].i) != (uint) -1) RADV_IFACE->default_lifetime_sensitive = (yyvsp[0].i);
   }
#line 11051 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1061:
#line 112 "proto/radv/config.Y" /* yacc.c:1648  */
    {
     RADV_IFACE->route_lifetime = (yyvsp[-1].i);
     if ((yyvsp[0].i) != (uint) -1) RADV_IFACE->route_lifetime_sensitive = (yyvsp[0].i);
   }
#line 11060 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1062:
#line 116 "proto/radv/config.Y" /* yacc.c:1648  */
    { RADV_IFACE->default_preference = (yyvsp[0].i); }
#line 11066 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1063:
#line 117 "proto/radv/config.Y" /* yacc.c:1648  */
    { RADV_IFACE->route_preference = (yyvsp[0].i); }
#line 11072 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1064:
#line 118 "proto/radv/config.Y" /* yacc.c:1648  */
    { RADV_IFACE->prefix_linger_time = (yyvsp[0].i); }
#line 11078 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1065:
#line 119 "proto/radv/config.Y" /* yacc.c:1648  */
    { RADV_IFACE->route_linger_time = (yyvsp[0].i); }
#line 11084 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1066:
#line 120 "proto/radv/config.Y" /* yacc.c:1648  */
    { add_tail(&RADV_IFACE->pref_list, NODE this_radv_prefix); }
#line 11090 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1067:
#line 121 "proto/radv/config.Y" /* yacc.c:1648  */
    { init_list(&radv_dns_list); }
#line 11096 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1068:
#line 121 "proto/radv/config.Y" /* yacc.c:1648  */
    { add_tail_list(&RADV_IFACE->rdnss_list, &radv_dns_list); }
#line 11102 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1069:
#line 122 "proto/radv/config.Y" /* yacc.c:1648  */
    { init_list(&radv_dns_list); }
#line 11108 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1070:
#line 122 "proto/radv/config.Y" /* yacc.c:1648  */
    { add_tail_list(&RADV_IFACE->dnssl_list, &radv_dns_list); }
#line 11114 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1071:
#line 123 "proto/radv/config.Y" /* yacc.c:1648  */
    { RADV_IFACE->rdnss_local = (yyvsp[0].i); }
#line 11120 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1072:
#line 124 "proto/radv/config.Y" /* yacc.c:1648  */
    { RADV_IFACE->dnssl_local = (yyvsp[0].i); }
#line 11126 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1073:
#line 128 "proto/radv/config.Y" /* yacc.c:1648  */
    { (yyval.i) = RA_PREF_LOW; }
#line 11132 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1074:
#line 129 "proto/radv/config.Y" /* yacc.c:1648  */
    { (yyval.i) = RA_PREF_MEDIUM; }
#line 11138 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1075:
#line 130 "proto/radv/config.Y" /* yacc.c:1648  */
    { (yyval.i) = RA_PREF_HIGH; }
#line 11144 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1076:
#line 133 "proto/radv/config.Y" /* yacc.c:1648  */
    {
  struct radv_iface_config *ic = RADV_IFACE;

  if (ic->min_ra_int == (u32) -1)
    ic->min_ra_int = MAX_(ic->max_ra_int / 3, 3);

  if (ic->default_lifetime == (u32) -1)
    ic->default_lifetime = 3 * ic->max_ra_int;

  if (ic->route_lifetime == (u32) -1)
    ic->route_lifetime = 3 * ic->max_ra_int;

  if (ic->prefix_linger_time == (u32) -1)
    ic->prefix_linger_time = 3 * ic->max_ra_int;

  if (ic->route_linger_time == (u32) -1)
    ic->route_linger_time = 3 * ic->max_ra_int;

  if ((ic->min_ra_int > 3) &&
      (ic->min_ra_int > (ic->max_ra_int * 3 / 4)))
    cf_error("Min RA interval must be at most 3/4 * Max RA interval");

  if ((ic->default_lifetime > 0) && (ic->default_lifetime < ic->max_ra_int))
    cf_error("Default lifetime must be either 0 or at least Max RA interval");

  if ((ic->route_lifetime > 0) && (ic->route_lifetime < ic->max_ra_int))
    cf_error("Route lifetime must be either 0 or at least Max RA interval");

  if ((ic->prefix_linger_time > 0) && (ic->prefix_linger_time < ic->max_ra_int))
    cf_error("Prefix linger time must be either 0 or at least Max RA interval");

  if ((ic->route_linger_time > 0) && (ic->route_linger_time < ic->max_ra_int))
    cf_error("Route linger time must be either 0 or at least Max RA interval");

  RADV_CFG->max_linger_time = MAX_(RADV_CFG->max_linger_time, ic->route_linger_time);
}
#line 11185 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1082:
#line 186 "proto/radv/config.Y" /* yacc.c:1648  */
    {
  this_radv_prefix = cfg_allocz(sizeof(struct radv_prefix_config));
  RADV_PREFIX->prefix = *(net_addr_ip6 *) &((yyvsp[0].net));

  RADV_PREFIX->onlink = 1;
  RADV_PREFIX->autonomous = 1;
  RADV_PREFIX->valid_lifetime = DEFAULT_VALID_LIFETIME;
  RADV_PREFIX->preferred_lifetime = DEFAULT_PREFERRED_LIFETIME;
}
#line 11199 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1083:
#line 197 "proto/radv/config.Y" /* yacc.c:1648  */
    { RADV_PREFIX->skip = (yyvsp[0].i); }
#line 11205 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1084:
#line 198 "proto/radv/config.Y" /* yacc.c:1648  */
    { RADV_PREFIX->onlink = (yyvsp[0].i); }
#line 11211 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1085:
#line 199 "proto/radv/config.Y" /* yacc.c:1648  */
    { RADV_PREFIX->autonomous = (yyvsp[0].i); }
#line 11217 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1086:
#line 200 "proto/radv/config.Y" /* yacc.c:1648  */
    {
     RADV_PREFIX->valid_lifetime = (yyvsp[-1].i);
     if ((yyvsp[0].i) != (uint) -1) RADV_PREFIX->valid_lifetime_sensitive = (yyvsp[0].i);
   }
#line 11226 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1087:
#line 204 "proto/radv/config.Y" /* yacc.c:1648  */
    {
     RADV_PREFIX->preferred_lifetime = (yyvsp[-1].i);
     if ((yyvsp[0].i) != (uint) -1) RADV_PREFIX->preferred_lifetime_sensitive = (yyvsp[0].i);
   }
#line 11235 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1088:
#line 211 "proto/radv/config.Y" /* yacc.c:1648  */
    {
  if (RADV_PREFIX->preferred_lifetime > RADV_PREFIX->valid_lifetime)
    cf_error("Preferred lifetime must be at most Valid lifetime");

  if (RADV_PREFIX->valid_lifetime_sensitive > RADV_PREFIX->preferred_lifetime_sensitive)
    cf_error("Valid lifetime sensitive requires that Preferred lifetime is sensitive too");
}
#line 11247 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1094:
#line 235 "proto/radv/config.Y" /* yacc.c:1648  */
    {
  struct radv_rdnss_config *cf = cfg_allocz(sizeof(struct radv_rdnss_config));
  add_tail(&radv_dns_list, NODE cf);

  cf->server = (yyvsp[0].a);
  cf->lifetime_mult = DEFAULT_DNS_LIFETIME_MULT;
}
#line 11259 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1095:
#line 244 "proto/radv/config.Y" /* yacc.c:1648  */
    {
  RADV_RDNSS->lifetime = 0;
  RADV_RDNSS->lifetime_mult = DEFAULT_DNS_LIFETIME_MULT;
}
#line 11268 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1098:
#line 251 "proto/radv/config.Y" /* yacc.c:1648  */
    { RADV_RDNSS->lifetime = (yyvsp[0].i); RADV_RDNSS->lifetime_mult = radv_mult_val; }
#line 11274 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1099:
#line 255 "proto/radv/config.Y" /* yacc.c:1648  */
    {
  if (EMPTY_LIST(radv_dns_list))
    cf_error("No nameserver in RDNSS section");

  struct radv_rdnss_config *cf;
  WALK_LIST(cf, radv_dns_list)
  {
    cf->lifetime = RADV_RDNSS->lifetime;
    cf->lifetime_mult = RADV_RDNSS->lifetime_mult;
  }
}
#line 11290 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1104:
#line 279 "proto/radv/config.Y" /* yacc.c:1648  */
    {
  struct radv_dnssl_config *cf = cfg_allocz(sizeof(struct radv_dnssl_config));
  add_tail(&radv_dns_list, NODE cf);

  cf->domain = (yyvsp[0].t);
  cf->lifetime_mult = DEFAULT_DNS_LIFETIME_MULT;

  if (radv_process_domain(cf) < 0)
    cf_error("Invalid domain dame");
}
#line 11305 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1105:
#line 291 "proto/radv/config.Y" /* yacc.c:1648  */
    {
  RADV_DNSSL->lifetime = 0;
  RADV_DNSSL->lifetime_mult = DEFAULT_DNS_LIFETIME_MULT;
}
#line 11314 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1108:
#line 298 "proto/radv/config.Y" /* yacc.c:1648  */
    { RADV_DNSSL->lifetime = (yyvsp[0].i); RADV_DNSSL->lifetime_mult = radv_mult_val; }
#line 11320 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1109:
#line 302 "proto/radv/config.Y" /* yacc.c:1648  */
    {
  if (EMPTY_LIST(radv_dns_list))
    cf_error("No domain in DNSSL section");

  struct radv_dnssl_config *cf;
  WALK_LIST(cf, radv_dns_list)
  {
    cf->lifetime = RADV_DNSSL->lifetime;
    cf->lifetime_mult = RADV_DNSSL->lifetime_mult;
  }
}
#line 11336 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1114:
#line 326 "proto/radv/config.Y" /* yacc.c:1648  */
    { (yyval.i) = (yyvsp[0].i); radv_mult_val = 0; }
#line 11342 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1115:
#line 327 "proto/radv/config.Y" /* yacc.c:1648  */
    { (yyval.i) = 0; radv_mult_val = (yyvsp[0].i); if (((yyvsp[0].i) < 1) || ((yyvsp[0].i) > 254)) cf_error("Multiplier must be in range 1-254"); }
#line 11348 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1116:
#line 331 "proto/radv/config.Y" /* yacc.c:1648  */
    { (yyval.i) = (uint) -1; }
#line 11354 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1117:
#line 332 "proto/radv/config.Y" /* yacc.c:1648  */
    { (yyval.i) = (yyvsp[0].i); }
#line 11360 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1118:
#line 335 "proto/radv/config.Y" /* yacc.c:1648  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_ENUM_RA_PREFERENCE, EA_RA_PREFERENCE); }
#line 11366 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1119:
#line 336 "proto/radv/config.Y" /* yacc.c:1648  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_RA_LIFETIME); }
#line 11372 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1121:
#line 48 "proto/rip/config.Y" /* yacc.c:1648  */
    { (yyval.i) = 1; }
#line 11378 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1122:
#line 49 "proto/rip/config.Y" /* yacc.c:1648  */
    { (yyval.i) = 0; }
#line 11384 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1123:
#line 53 "proto/rip/config.Y" /* yacc.c:1648  */
    {
  this_proto = proto_config_new(&proto_rip, (yyvsp[-1].i));
  this_proto->net_type = (yyvsp[0].i) ? NET_IP4 : NET_IP6;

  init_list(&RIP_CFG->patt_list);
  RIP_CFG->rip2 = (yyvsp[0].i);
  RIP_CFG->ecmp = rt_default_ecmp;
  RIP_CFG->infinity = RIP_DEFAULT_INFINITY;
  RIP_CFG->min_timeout_time = 60 S_;
  RIP_CFG->max_garbage_time = 60 S_;
}
#line 11400 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1126:
#line 68 "proto/rip/config.Y" /* yacc.c:1648  */
    { RIP_CFG->ecmp = (yyvsp[0].i) ? RIP_DEFAULT_ECMP_LIMIT : 0; }
#line 11406 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1127:
#line 69 "proto/rip/config.Y" /* yacc.c:1648  */
    { RIP_CFG->ecmp = (yyvsp[-2].i) ? (yyvsp[0].i) : 0; }
#line 11412 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1128:
#line 70 "proto/rip/config.Y" /* yacc.c:1648  */
    { RIP_CFG->infinity = (yyvsp[0].i); }
#line 11418 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1133:
#line 84 "proto/rip/config.Y" /* yacc.c:1648  */
    {
  this_ipatt = cfg_allocz(sizeof(struct rip_iface_config));
  add_tail(&RIP_CFG->patt_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
  reset_passwords();

  RIP_IFACE->metric = 1;
  RIP_IFACE->port = rip_cfg_is_v2() ? RIP_PORT : RIP_NG_PORT;
  RIP_IFACE->version = rip_cfg_is_v2() ? RIP_V2 : RIP_V1;
  RIP_IFACE->split_horizon = 1;
  RIP_IFACE->poison_reverse = 1;
  RIP_IFACE->check_zero = 1;
  RIP_IFACE->check_link = 1;
  RIP_IFACE->ttl_security = rip_cfg_is_v2() ? 0 : 1;
  RIP_IFACE->rx_buffer = rip_cfg_is_v2() ? RIP_MAX_PKT_LENGTH : 0;
  RIP_IFACE->tx_length = rip_cfg_is_v2() ? RIP_MAX_PKT_LENGTH : 0;
  RIP_IFACE->tx_tos = IP_PREC_INTERNET_CONTROL;
  RIP_IFACE->tx_priority = sk_priority_control;
  RIP_IFACE->update_time = RIP_DEFAULT_UPDATE_TIME;
  RIP_IFACE->timeout_time = RIP_DEFAULT_TIMEOUT_TIME;
  RIP_IFACE->garbage_time = RIP_DEFAULT_GARBAGE_TIME;
}
#line 11445 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1134:
#line 108 "proto/rip/config.Y" /* yacc.c:1648  */
    {
  /* Default mode is broadcast for RIPv1, multicast for RIPv2 and RIPng */
  if (!RIP_IFACE->mode)
    RIP_IFACE->mode = (rip_cfg_is_v2() && (RIP_IFACE->version == RIP_V1)) ?
      RIP_IM_BROADCAST : RIP_IM_MULTICAST;

  RIP_IFACE->passwords = get_passwords();

  if (!RIP_IFACE->auth_type != !RIP_IFACE->passwords)
    log(L_WARN "Authentication and password options should be used together");

  if (RIP_IFACE->passwords)
  {
    struct password_item *pass;
    WALK_LIST(pass, *RIP_IFACE->passwords)
    {
      if (pass->alg && (RIP_IFACE->auth_type != RIP_AUTH_CRYPTO))
	cf_error("Password algorithm option requires cryptographic authentication");

      /* Set default crypto algorithm (MD5) */
      if (!pass->alg && (RIP_IFACE->auth_type == RIP_AUTH_CRYPTO))
	pass->alg = ALG_MD5;
    }
  }

  RIP_CFG->min_timeout_time = MIN_(RIP_CFG->min_timeout_time, RIP_IFACE->timeout_time);
  RIP_CFG->max_garbage_time = MAX_(RIP_CFG->max_garbage_time, RIP_IFACE->garbage_time);
}
#line 11478 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1135:
#line 138 "proto/rip/config.Y" /* yacc.c:1648  */
    { RIP_IFACE->metric = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>255)) cf_error("Metric must be in range 1-255"); }
#line 11484 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1136:
#line 139 "proto/rip/config.Y" /* yacc.c:1648  */
    { RIP_IFACE->mode = RIP_IM_MULTICAST; }
#line 11490 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1137:
#line 140 "proto/rip/config.Y" /* yacc.c:1648  */
    { RIP_IFACE->mode = RIP_IM_BROADCAST; if (rip_cfg_is_ng()) cf_error("Broadcast not supported in RIPng"); }
#line 11496 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1138:
#line 141 "proto/rip/config.Y" /* yacc.c:1648  */
    { RIP_IFACE->passive = (yyvsp[0].i); }
#line 11502 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1139:
#line 142 "proto/rip/config.Y" /* yacc.c:1648  */
    { RIP_IFACE->address = (yyvsp[0].a); if (ipa_is_ip4((yyvsp[0].a)) != rip_cfg_is_v2()) cf_error("IP address version mismatch"); }
#line 11508 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1140:
#line 143 "proto/rip/config.Y" /* yacc.c:1648  */
    { RIP_IFACE->port = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>65535)) cf_error("Invalid port number"); }
#line 11514 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1141:
#line 144 "proto/rip/config.Y" /* yacc.c:1648  */
    { RIP_IFACE->version = (yyvsp[0].i);
			  if (rip_cfg_is_ng()) cf_error("Version not supported in RIPng");
			  if (((yyvsp[0].i) != RIP_V1) && ((yyvsp[0].i) != RIP_V2)) cf_error("Unsupported version");
			}
#line 11523 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1142:
#line 148 "proto/rip/config.Y" /* yacc.c:1648  */
    { RIP_IFACE->version_only = (yyvsp[0].i); }
#line 11529 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1143:
#line 149 "proto/rip/config.Y" /* yacc.c:1648  */
    { RIP_IFACE->split_horizon = (yyvsp[0].i); }
#line 11535 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1144:
#line 150 "proto/rip/config.Y" /* yacc.c:1648  */
    { RIP_IFACE->poison_reverse = (yyvsp[0].i); }
#line 11541 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1145:
#line 151 "proto/rip/config.Y" /* yacc.c:1648  */
    { RIP_IFACE->check_zero = (yyvsp[0].i); }
#line 11547 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1146:
#line 152 "proto/rip/config.Y" /* yacc.c:1648  */
    { RIP_IFACE->update_time = (yyvsp[0].i) S_; if ((yyvsp[0].i)<=0) cf_error("Update time must be positive"); }
#line 11553 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1147:
#line 153 "proto/rip/config.Y" /* yacc.c:1648  */
    { RIP_IFACE->timeout_time = (yyvsp[0].i) S_; if ((yyvsp[0].i)<=0) cf_error("Timeout time must be positive"); }
#line 11559 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1148:
#line 154 "proto/rip/config.Y" /* yacc.c:1648  */
    { RIP_IFACE->garbage_time = (yyvsp[0].i) S_; if ((yyvsp[0].i)<=0) cf_error("Garbage time must be positive"); }
#line 11565 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1149:
#line 155 "proto/rip/config.Y" /* yacc.c:1648  */
    { RIP_IFACE->ecmp_weight = (yyvsp[0].i) - 1; if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>256)) cf_error("ECMP weight must be in range 1-256"); }
#line 11571 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1150:
#line 156 "proto/rip/config.Y" /* yacc.c:1648  */
    { RIP_IFACE->rx_buffer = (yyvsp[0].i); if (((yyvsp[0].i)<256) || ((yyvsp[0].i)>65535)) cf_error("RX length must be in range 256-65535"); }
#line 11577 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1151:
#line 157 "proto/rip/config.Y" /* yacc.c:1648  */
    { RIP_IFACE->tx_length = (yyvsp[0].i); if (((yyvsp[0].i)<256) || ((yyvsp[0].i)>65535)) cf_error("TX length must be in range 256-65535"); }
#line 11583 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1152:
#line 158 "proto/rip/config.Y" /* yacc.c:1648  */
    { RIP_IFACE->tx_tos = (yyvsp[0].i); }
#line 11589 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1153:
#line 159 "proto/rip/config.Y" /* yacc.c:1648  */
    { RIP_IFACE->tx_priority = (yyvsp[0].i); }
#line 11595 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1154:
#line 160 "proto/rip/config.Y" /* yacc.c:1648  */
    { RIP_IFACE->ttl_security = (yyvsp[0].i); }
#line 11601 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1155:
#line 161 "proto/rip/config.Y" /* yacc.c:1648  */
    { RIP_IFACE->ttl_security = 2; }
#line 11607 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1156:
#line 162 "proto/rip/config.Y" /* yacc.c:1648  */
    { RIP_IFACE->check_link = (yyvsp[0].i); }
#line 11613 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1157:
#line 163 "proto/rip/config.Y" /* yacc.c:1648  */
    { RIP_IFACE->bfd = (yyvsp[0].i); cf_check_bfd((yyvsp[0].i)); }
#line 11619 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1158:
#line 164 "proto/rip/config.Y" /* yacc.c:1648  */
    { RIP_IFACE->auth_type = (yyvsp[0].i); if ((yyvsp[0].i)) rip_check_auth(); }
#line 11625 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1159:
#line 165 "proto/rip/config.Y" /* yacc.c:1648  */
    { rip_check_auth(); }
#line 11631 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1160:
#line 169 "proto/rip/config.Y" /* yacc.c:1648  */
    { (yyval.i) = RIP_AUTH_NONE; }
#line 11637 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1161:
#line 170 "proto/rip/config.Y" /* yacc.c:1648  */
    { (yyval.i) = RIP_AUTH_PLAIN; }
#line 11643 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1162:
#line 171 "proto/rip/config.Y" /* yacc.c:1648  */
    { (yyval.i) = RIP_AUTH_CRYPTO; }
#line 11649 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1163:
#line 172 "proto/rip/config.Y" /* yacc.c:1648  */
    { (yyval.i) = RIP_AUTH_CRYPTO; }
#line 11655 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1169:
#line 189 "proto/rip/config.Y" /* yacc.c:1648  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_RIP_METRIC); }
#line 11661 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1170:
#line 190 "proto/rip/config.Y" /* yacc.c:1648  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_RIP_TAG); }
#line 11667 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1172:
#line 195 "proto/rip/config.Y" /* yacc.c:1648  */
    { rip_show_interfaces(proto_get_named((yyvsp[-2].s), &proto_rip), (yyvsp[-1].t)); }
#line 11673 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1174:
#line 198 "proto/rip/config.Y" /* yacc.c:1648  */
    { rip_show_neighbors(proto_get_named((yyvsp[-2].s), &proto_rip), (yyvsp[-1].t)); }
#line 11679 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1176:
#line 43 "proto/rpki/config.Y" /* yacc.c:1648  */
    {
  this_proto = proto_config_new(&proto_rpki, (yyvsp[-1].i));
  RPKI_CFG->retry_interval = RPKI_RETRY_INTERVAL;
  RPKI_CFG->refresh_interval = RPKI_REFRESH_INTERVAL;
  RPKI_CFG->expire_interval = RPKI_EXPIRE_INTERVAL;
}
#line 11690 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1177:
#line 50 "proto/rpki/config.Y" /* yacc.c:1648  */
    { rpki_check_config(RPKI_CFG); }
#line 11696 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1186:
#line 64 "proto/rpki/config.Y" /* yacc.c:1648  */
    {
     if (rpki_check_refresh_interval((yyvsp[0].i)))
       cf_error(rpki_check_refresh_interval((yyvsp[0].i)));
     RPKI_CFG->refresh_interval = (yyvsp[0].i);
     RPKI_CFG->keep_refresh_interval = (yyvsp[-1].i);
   }
#line 11707 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1187:
#line 70 "proto/rpki/config.Y" /* yacc.c:1648  */
    {
     if (rpki_check_retry_interval((yyvsp[0].i)))
       cf_error(rpki_check_retry_interval((yyvsp[0].i)));
     RPKI_CFG->retry_interval = (yyvsp[0].i);
     RPKI_CFG->keep_retry_interval = (yyvsp[-1].i);
   }
#line 11718 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1188:
#line 76 "proto/rpki/config.Y" /* yacc.c:1648  */
    {
     if (rpki_check_expire_interval((yyvsp[0].i)))
       cf_error(rpki_check_expire_interval((yyvsp[0].i)));
     RPKI_CFG->expire_interval = (yyvsp[0].i);
     RPKI_CFG->keep_expire_interval = (yyvsp[-1].i);
   }
#line 11729 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1189:
#line 85 "proto/rpki/config.Y" /* yacc.c:1648  */
    { (yyval.i) = 0; }
#line 11735 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1190:
#line 86 "proto/rpki/config.Y" /* yacc.c:1648  */
    { (yyval.i) = 1; }
#line 11741 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1191:
#line 89 "proto/rpki/config.Y" /* yacc.c:1648  */
    { check_u16((yyvsp[0].i)); RPKI_CFG->port = (yyvsp[0].i); }
#line 11747 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1192:
#line 92 "proto/rpki/config.Y" /* yacc.c:1648  */
    {
     rpki_check_unused_hostname();
     RPKI_CFG->hostname = (yyvsp[0].t);
   }
#line 11756 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1193:
#line 96 "proto/rpki/config.Y" /* yacc.c:1648  */
    {
     rpki_check_unused_hostname();
     RPKI_CFG->ip = (yyvsp[0].a);
     /* Ensure hostname is filled */
     char *hostname = cfg_allocz(sizeof(INET6_ADDRSTRLEN + 1));
     bsnprintf(hostname, INET6_ADDRSTRLEN+1, "%I", RPKI_CFG->ip);
     RPKI_CFG->hostname = hostname;
   }
#line 11769 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1196:
#line 112 "proto/rpki/config.Y" /* yacc.c:1648  */
    {
  rpki_check_unused_transport();
  RPKI_CFG->tr_config.spec = cfg_allocz(sizeof(struct rpki_tr_tcp_config));
  RPKI_CFG->tr_config.type = RPKI_TR_TCP;
}
#line 11779 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1197:
#line 119 "proto/rpki/config.Y" /* yacc.c:1648  */
    {
  rpki_check_unused_transport();
  RPKI_CFG->tr_config.spec = cfg_allocz(sizeof(struct rpki_tr_ssh_config));
  RPKI_CFG->tr_config.type = RPKI_TR_SSH;
}
#line 11789 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1200:
#line 131 "proto/rpki/config.Y" /* yacc.c:1648  */
    { RPKI_TR_SSH_CFG->bird_private_key = (yyvsp[0].t); }
#line 11795 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1201:
#line 132 "proto/rpki/config.Y" /* yacc.c:1648  */
    { RPKI_TR_SSH_CFG->cache_public_key = (yyvsp[0].t); }
#line 11801 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1202:
#line 133 "proto/rpki/config.Y" /* yacc.c:1648  */
    { RPKI_TR_SSH_CFG->user = (yyvsp[0].t); }
#line 11807 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1203:
#line 137 "proto/rpki/config.Y" /* yacc.c:1648  */
    {
  if (RPKI_TR_SSH_CFG->user == NULL)
    cf_error("User must be set");
}
#line 11816 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1205:
#line 55 "proto/static/config.Y" /* yacc.c:1648  */
    {
  this_proto = proto_config_new(&proto_static, (yyvsp[-1].i));
  init_list(&STATIC_CFG->routes);
}
#line 11825 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1208:
#line 63 "proto/static/config.Y" /* yacc.c:1648  */
    { this_proto->net_type = (yyvsp[-1].cc)->net_type; }
#line 11831 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1209:
#line 64 "proto/static/config.Y" /* yacc.c:1648  */
    { STATIC_CFG->check_link = (yyvsp[-1].i); }
#line 11837 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1210:
#line 65 "proto/static/config.Y" /* yacc.c:1648  */
    {
    if ((yyvsp[-1].r)->addr_type == NET_IP4)
      STATIC_CFG->igp_table_ip4 = (yyvsp[-1].r);
    else if ((yyvsp[-1].r)->addr_type == NET_IP6)
      STATIC_CFG->igp_table_ip6 = (yyvsp[-1].r);
    else
      cf_error("Incompatible IGP table type");
   }
#line 11850 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1211:
#line 73 "proto/static/config.Y" /* yacc.c:1648  */
    { static_route_finish(); }
#line 11856 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1212:
#line 77 "proto/static/config.Y" /* yacc.c:1648  */
    {
      this_snh = static_nexthop_new();
      this_snh->via = (yyvsp[-1].a);
      this_snh->iface = (yyvsp[0].iface);
    }
#line 11866 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1213:
#line 82 "proto/static/config.Y" /* yacc.c:1648  */
    {
      this_snh = static_nexthop_new();
      this_snh->via = IPA_NONE;
      this_snh->iface = if_get_by_name((yyvsp[0].t));
    }
#line 11876 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1214:
#line 87 "proto/static/config.Y" /* yacc.c:1648  */
    {
    this_snh->mls = (yyvsp[0].mls);
  }
#line 11884 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1215:
#line 90 "proto/static/config.Y" /* yacc.c:1648  */
    {
    this_snh->onlink = (yyvsp[0].i);
  }
#line 11892 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1216:
#line 93 "proto/static/config.Y" /* yacc.c:1648  */
    {
    this_snh->weight = (yyvsp[0].i) - 1;
    if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>256)) cf_error("Weight must be in range 1-256");
  }
#line 11901 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1217:
#line 97 "proto/static/config.Y" /* yacc.c:1648  */
    {
    this_snh->use_bfd = (yyvsp[0].i); cf_check_bfd((yyvsp[0].i));
  }
#line 11909 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1220:
#line 107 "proto/static/config.Y" /* yacc.c:1648  */
    {
     this_srt = cfg_allocz(sizeof(struct static_route));
     add_tail(&STATIC_CFG->routes, &this_srt->n);
     this_srt->net = (yyvsp[0].net_ptr);
     this_srt_last_cmd = &(this_srt->cmds);
     this_srt->mp_next = NULL;
     this_snh = NULL;
  }
#line 11922 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1222:
#line 119 "proto/static/config.Y" /* yacc.c:1648  */
    {
      this_srt->dest = RTDX_RECURSIVE;
      this_srt->via = (yyvsp[0].a);
   }
#line 11931 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1223:
#line 123 "proto/static/config.Y" /* yacc.c:1648  */
    {
      this_srt->dest = RTDX_RECURSIVE;
      this_srt->via = (yyvsp[-2].a);
      this_srt->mls = (yyvsp[0].mls);
   }
#line 11941 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1224:
#line 128 "proto/static/config.Y" /* yacc.c:1648  */
    { this_srt->dest = RTD_NONE; }
#line 11947 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1225:
#line 129 "proto/static/config.Y" /* yacc.c:1648  */
    { this_srt->dest = RTD_BLACKHOLE; }
#line 11953 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1226:
#line 130 "proto/static/config.Y" /* yacc.c:1648  */
    { this_srt->dest = RTD_UNREACHABLE; }
#line 11959 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1227:
#line 131 "proto/static/config.Y" /* yacc.c:1648  */
    { this_srt->dest = RTD_BLACKHOLE; }
#line 11965 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1228:
#line 132 "proto/static/config.Y" /* yacc.c:1648  */
    { this_srt->dest = RTD_UNREACHABLE; }
#line 11971 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1229:
#line 133 "proto/static/config.Y" /* yacc.c:1648  */
    { this_srt->dest = RTD_PROHIBIT; }
#line 11977 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1230:
#line 137 "proto/static/config.Y" /* yacc.c:1648  */
    { *this_srt_last_cmd = (yyvsp[0].x); this_srt_last_cmd = &((yyvsp[0].x)->next); }
#line 11983 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1236:
#line 152 "proto/static/config.Y" /* yacc.c:1648  */
    { static_show(proto_get_named((yyvsp[-1].s), &proto_static)); }
#line 11989 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1238:
#line 25 "sysdep/linux/netlink.Y" /* yacc.c:1648  */
    { THIS_KRT->sys.table_id = (yyvsp[0].i); }
#line 11995 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1239:
#line 26 "sysdep/linux/netlink.Y" /* yacc.c:1648  */
    { THIS_KRT->sys.metric = (yyvsp[0].i); }
#line 12001 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1240:
#line 29 "sysdep/linux/netlink.Y" /* yacc.c:1648  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_IP_ADDRESS, T_IP, EA_KRT_PREFSRC); }
#line 12007 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1241:
#line 30 "sysdep/linux/netlink.Y" /* yacc.c:1648  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_REALM); }
#line 12013 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1242:
#line 31 "sysdep/linux/netlink.Y" /* yacc.c:1648  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_SCOPE); }
#line 12019 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1243:
#line 33 "sysdep/linux/netlink.Y" /* yacc.c:1648  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_MTU); }
#line 12025 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1244:
#line 34 "sysdep/linux/netlink.Y" /* yacc.c:1648  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_WINDOW); }
#line 12031 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1245:
#line 35 "sysdep/linux/netlink.Y" /* yacc.c:1648  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_RTT); }
#line 12037 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1246:
#line 36 "sysdep/linux/netlink.Y" /* yacc.c:1648  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_RTTVAR); }
#line 12043 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1247:
#line 37 "sysdep/linux/netlink.Y" /* yacc.c:1648  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_SSTRESH); }
#line 12049 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1248:
#line 38 "sysdep/linux/netlink.Y" /* yacc.c:1648  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_CWND); }
#line 12055 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1249:
#line 39 "sysdep/linux/netlink.Y" /* yacc.c:1648  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_ADVMSS); }
#line 12061 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1250:
#line 40 "sysdep/linux/netlink.Y" /* yacc.c:1648  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_REORDERING); }
#line 12067 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1251:
#line 41 "sysdep/linux/netlink.Y" /* yacc.c:1648  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_HOPLIMIT); }
#line 12073 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1252:
#line 42 "sysdep/linux/netlink.Y" /* yacc.c:1648  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_INITCWND); }
#line 12079 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1253:
#line 43 "sysdep/linux/netlink.Y" /* yacc.c:1648  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_RTO_MIN); }
#line 12085 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1254:
#line 44 "sysdep/linux/netlink.Y" /* yacc.c:1648  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_INITRWND); }
#line 12091 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1255:
#line 45 "sysdep/linux/netlink.Y" /* yacc.c:1648  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_QUICKACK); }
#line 12097 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1256:
#line 47 "sysdep/linux/netlink.Y" /* yacc.c:1648  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_BITFIELD, T_BOOL, EA_KRT_LOCK_MTU); }
#line 12103 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1257:
#line 48 "sysdep/linux/netlink.Y" /* yacc.c:1648  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_BITFIELD, T_BOOL, EA_KRT_LOCK_WINDOW); }
#line 12109 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1258:
#line 49 "sysdep/linux/netlink.Y" /* yacc.c:1648  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_BITFIELD, T_BOOL, EA_KRT_LOCK_RTT); }
#line 12115 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1259:
#line 50 "sysdep/linux/netlink.Y" /* yacc.c:1648  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_BITFIELD, T_BOOL, EA_KRT_LOCK_RTTVAR); }
#line 12121 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1260:
#line 51 "sysdep/linux/netlink.Y" /* yacc.c:1648  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_BITFIELD, T_BOOL, EA_KRT_LOCK_SSTHRESH); }
#line 12127 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1261:
#line 52 "sysdep/linux/netlink.Y" /* yacc.c:1648  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_BITFIELD, T_BOOL, EA_KRT_LOCK_CWND); }
#line 12133 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1262:
#line 53 "sysdep/linux/netlink.Y" /* yacc.c:1648  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_BITFIELD, T_BOOL, EA_KRT_LOCK_ADVMSS); }
#line 12139 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1263:
#line 54 "sysdep/linux/netlink.Y" /* yacc.c:1648  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_BITFIELD, T_BOOL, EA_KRT_LOCK_REORDERING); }
#line 12145 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1264:
#line 55 "sysdep/linux/netlink.Y" /* yacc.c:1648  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_BITFIELD, T_BOOL, EA_KRT_LOCK_HOPLIMIT); }
#line 12151 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1265:
#line 56 "sysdep/linux/netlink.Y" /* yacc.c:1648  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_BITFIELD, T_BOOL, EA_KRT_LOCK_RTO_MIN); }
#line 12157 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1266:
#line 58 "sysdep/linux/netlink.Y" /* yacc.c:1648  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_BITFIELD, T_BOOL, EA_KRT_FEATURE_ECN); }
#line 12163 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1267:
#line 59 "sysdep/linux/netlink.Y" /* yacc.c:1648  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_BITFIELD, T_BOOL, EA_KRT_FEATURE_ALLFRAG); }
#line 12169 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1269:
#line 32 "sysdep/unix/config.Y" /* yacc.c:1648  */
    { this_log = cfg_allocz(sizeof(struct log_config)); }
#line 12175 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1270:
#line 34 "sysdep/unix/config.Y" /* yacc.c:1648  */
    {
    this_log->mask = (yyvsp[-1].i);
    add_tail(&new_config->logfiles, &this_log->n);
  }
#line 12184 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1271:
#line 41 "sysdep/unix/config.Y" /* yacc.c:1648  */
    { (yyval.t) = (yyvsp[0].t); }
#line 12190 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1272:
#line 42 "sysdep/unix/config.Y" /* yacc.c:1648  */
    { (yyval.t) = bird_name; }
#line 12196 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1274:
#line 47 "sysdep/unix/config.Y" /* yacc.c:1648  */
    { this_log->limit = (yyvsp[-1].i); this_log->backup = (yyvsp[0].t); }
#line 12202 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1275:
#line 51 "sysdep/unix/config.Y" /* yacc.c:1648  */
    {
     this_log->rf = rf_open(new_config->pool, (yyvsp[-1].t), "a");
     if (!this_log->rf) cf_error("Unable to open log file '%s': %m", (yyvsp[-1].t));
     this_log->fh = rf_file(this_log->rf);
     this_log->pos = -1;
     this_log->filename = (yyvsp[-1].t);
   }
#line 12214 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1276:
#line 58 "sysdep/unix/config.Y" /* yacc.c:1648  */
    { this_log->fh = NULL; new_config->syslog_name = (yyvsp[0].t); }
#line 12220 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1277:
#line 59 "sysdep/unix/config.Y" /* yacc.c:1648  */
    { this_log->fh = stderr; }
#line 12226 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1278:
#line 63 "sysdep/unix/config.Y" /* yacc.c:1648  */
    { (yyval.i) = ~0; }
#line 12232 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1279:
#line 64 "sysdep/unix/config.Y" /* yacc.c:1648  */
    { (yyval.i) = (yyvsp[-1].i); }
#line 12238 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1280:
#line 68 "sysdep/unix/config.Y" /* yacc.c:1648  */
    { (yyval.i) = 1 << (yyvsp[0].i); }
#line 12244 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1281:
#line 69 "sysdep/unix/config.Y" /* yacc.c:1648  */
    { (yyval.i) = (yyvsp[-2].i) | (1 << (yyvsp[0].i)); }
#line 12250 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1282:
#line 73 "sysdep/unix/config.Y" /* yacc.c:1648  */
    { (yyval.i) = L_DEBUG[0]; }
#line 12256 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1283:
#line 74 "sysdep/unix/config.Y" /* yacc.c:1648  */
    { (yyval.i) = L_TRACE[0]; }
#line 12262 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1284:
#line 75 "sysdep/unix/config.Y" /* yacc.c:1648  */
    { (yyval.i) = L_INFO[0]; }
#line 12268 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1285:
#line 76 "sysdep/unix/config.Y" /* yacc.c:1648  */
    { (yyval.i) = L_REMOTE[0]; }
#line 12274 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1286:
#line 77 "sysdep/unix/config.Y" /* yacc.c:1648  */
    { (yyval.i) = L_WARN[0]; }
#line 12280 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1287:
#line 78 "sysdep/unix/config.Y" /* yacc.c:1648  */
    { (yyval.i) = L_ERR[0]; }
#line 12286 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1288:
#line 79 "sysdep/unix/config.Y" /* yacc.c:1648  */
    { (yyval.i) = L_AUTH[0]; }
#line 12292 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1289:
#line 80 "sysdep/unix/config.Y" /* yacc.c:1648  */
    { (yyval.i) = L_FATAL[0]; }
#line 12298 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1290:
#line 81 "sysdep/unix/config.Y" /* yacc.c:1648  */
    { (yyval.i) = L_BUG[0]; }
#line 12304 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1292:
#line 88 "sysdep/unix/config.Y" /* yacc.c:1648  */
    { new_config->proto_default_mrtdump = (yyvsp[-1].i); }
#line 12310 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1293:
#line 89 "sysdep/unix/config.Y" /* yacc.c:1648  */
    {
     struct rfile *f = rf_open(new_config->pool, (yyvsp[-1].t), "a");
     if (!f) cf_error("Unable to open MRTDump file '%s': %m", (yyvsp[-1].t));
     new_config->mrtdump_file = rf_fileno(f);
   }
#line 12320 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1295:
#line 100 "sysdep/unix/config.Y" /* yacc.c:1648  */
    { new_config->latency_debug = (yyvsp[0].i); }
#line 12326 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1296:
#line 101 "sysdep/unix/config.Y" /* yacc.c:1648  */
    { new_config->latency_limit = (yyvsp[0].time); }
#line 12332 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1297:
#line 102 "sysdep/unix/config.Y" /* yacc.c:1648  */
    { new_config->watchdog_warning = (yyvsp[0].time); }
#line 12338 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1298:
#line 103 "sysdep/unix/config.Y" /* yacc.c:1648  */
    { new_config->watchdog_timeout = ((yyvsp[0].time) + 999999) TO_S; }
#line 12344 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1300:
#line 112 "sysdep/unix/config.Y" /* yacc.c:1648  */
    { cmd_reconfig((yyvsp[-2].t), RECONFIG_HARD, (yyvsp[-1].i)); }
#line 12350 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1302:
#line 115 "sysdep/unix/config.Y" /* yacc.c:1648  */
    { cmd_reconfig((yyvsp[-2].t), RECONFIG_SOFT, (yyvsp[-1].i)); }
#line 12356 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1304:
#line 122 "sysdep/unix/config.Y" /* yacc.c:1648  */
    { cmd_reconfig_confirm(); }
#line 12362 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1306:
#line 125 "sysdep/unix/config.Y" /* yacc.c:1648  */
    { cmd_reconfig_undo(); }
#line 12368 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1308:
#line 128 "sysdep/unix/config.Y" /* yacc.c:1648  */
    { cmd_check_config((yyvsp[-1].t)); }
#line 12374 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1310:
#line 131 "sysdep/unix/config.Y" /* yacc.c:1648  */
    { cmd_shutdown(); }
#line 12380 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1311:
#line 134 "sysdep/unix/config.Y" /* yacc.c:1648  */
    { (yyval.t) = NULL; }
#line 12386 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1313:
#line 139 "sysdep/unix/config.Y" /* yacc.c:1648  */
    { (yyval.i) = 0; }
#line 12392 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1314:
#line 140 "sysdep/unix/config.Y" /* yacc.c:1648  */
    { (yyval.i) = UNIX_DEFAULT_CONFIGURE_TIMEOUT; }
#line 12398 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1315:
#line 141 "sysdep/unix/config.Y" /* yacc.c:1648  */
    { (yyval.i) = (yyvsp[0].i); }
#line 12404 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1317:
#line 43 "sysdep/unix/krt.Y" /* yacc.c:1648  */
    {
     this_proto = krt_init_config((yyvsp[-1].i));
}
#line 12412 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1320:
#line 52 "sysdep/unix/krt.Y" /* yacc.c:1648  */
    { (yyval.i) = KRT_DEFAULT_ECMP_LIMIT; }
#line 12418 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1321:
#line 53 "sysdep/unix/krt.Y" /* yacc.c:1648  */
    { (yyval.i) = (yyvsp[0].i); if (((yyvsp[0].i) <= 0) || ((yyvsp[0].i) > 255)) cf_error("Merge paths limit must be in range 1-255"); }
#line 12424 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1323:
#line 58 "sysdep/unix/krt.Y" /* yacc.c:1648  */
    { this_proto->net_type = (yyvsp[0].cc)->net_type; }
#line 12430 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1324:
#line 59 "sysdep/unix/krt.Y" /* yacc.c:1648  */
    { THIS_KRT->persist = (yyvsp[0].i); }
#line 12436 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1325:
#line 60 "sysdep/unix/krt.Y" /* yacc.c:1648  */
    {
      /* Scan time of 0 means scan on startup only */
      THIS_KRT->scan_time = (yyvsp[0].i) S_;
   }
#line 12445 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1326:
#line 64 "sysdep/unix/krt.Y" /* yacc.c:1648  */
    {
      THIS_KRT->learn = (yyvsp[0].i);
#ifndef KRT_ALLOW_LEARN
      if ((yyvsp[0].i))
	cf_error("Learning of kernel routes not supported on this platform");
#endif
   }
#line 12457 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1327:
#line 71 "sysdep/unix/krt.Y" /* yacc.c:1648  */
    { THIS_KRT->graceful_restart = (yyvsp[0].i); }
#line 12463 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1328:
#line 72 "sysdep/unix/krt.Y" /* yacc.c:1648  */
    {
      THIS_KRT->merge_paths = (yyvsp[-1].i) ? (yyvsp[0].i) : 0;
#ifndef KRT_ALLOW_MERGE_PATHS
      if ((yyvsp[-1].i))
	cf_error("Path merging not supported on this platform");
#endif
   }
#line 12475 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1330:
#line 85 "sysdep/unix/krt.Y" /* yacc.c:1648  */
    { this_proto = kif_init_config((yyvsp[-1].i)); }
#line 12481 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1335:
#line 94 "sysdep/unix/krt.Y" /* yacc.c:1648  */
    {
      /* Scan time of 0 means scan on startup only */
      THIS_KIF->scan_time = (yyvsp[0].i) S_;
   }
#line 12490 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1336:
#line 101 "sysdep/unix/krt.Y" /* yacc.c:1648  */
    {
  this_ipatt = cfg_allocz(sizeof(struct kif_iface_config));
  add_tail(&THIS_KIF->iface_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
}
#line 12500 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1337:
#line 108 "sysdep/unix/krt.Y" /* yacc.c:1648  */
    { kif_set_preferred((yyvsp[0].a)); }
#line 12506 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1343:
#line 125 "sysdep/unix/krt.Y" /* yacc.c:1648  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_SOURCE); }
#line 12512 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;

  case 1344:
#line 126 "sysdep/unix/krt.Y" /* yacc.c:1648  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_METRIC); }
#line 12518 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
    break;


#line 12522 "obj/conf/cf-parse.tab.c" /* yacc.c:1648  */
        default: break;
      }
    if (yychar_backup != yychar)
      YY_LAC_DISCARD ("yychar change");
  }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYEMPTY : YYTRANSLATE (yychar);

  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (YY_("syntax error"));
#else
# define YYSYNTAX_ERROR yysyntax_error (&yymsg_alloc, &yymsg, \
                                        yyesa, &yyes, &yyes_capacity, \
                                        yyssp, yytoken)
      {
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        if (yychar != YYEMPTY)
          YY_LAC_ESTABLISH;
        yysyntax_error_status = YYSYNTAX_ERROR;
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == 1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = (char *) YYSTACK_ALLOC (yymsg_alloc);
            if (!yymsg)
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = 2;
              }
            else
              {
                yysyntax_error_status = YYSYNTAX_ERROR;
                yymsgp = yymsg;
              }
          }
        yyerror (yymsgp);
        if (yysyntax_error_status == 2)
          goto yyexhaustedlab;
      }
# undef YYSYNTAX_ERROR
#endif
    }



  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYTERROR;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;


      yydestruct ("Error: popping",
                  yystos[yystate], yyvsp);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  /* If the stack popping above didn't lose the initial context for the
     current lookahead token, the shift below will for sure.  */
  YY_LAC_DISCARD ("error recovery");

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END


  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if 1
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  yystos[*yyssp], yyvsp);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
  if (yyes != yyesa)
    YYSTACK_FREE (yyes);
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  return yyresult;
}
#line 49 "conf/gen_parser.m4" /* yacc.c:1907  */

#line 359 "conf/confbase.Y"
/* C Code from conf/confbase.Y */

#line 207 "conf/flowspec.Y"
/* C Code from conf/flowspec.Y */

#line 796 "nest/config.Y"
/* C Code from nest/config.Y */

#line 173 "proto/bfd/config.Y"
/* C Code from proto/bfd/config.Y */

#line 144 "proto/babel/config.Y"
/* C Code from proto/babel/config.Y */

#line 303 "proto/bgp/config.Y"
/* C Code from proto/bgp/config.Y */

#line 66 "proto/mrt/config.Y"
/* C Code from proto/mrt/config.Y */

#line 550 "proto/ospf/config.Y"
/* C Code from proto/ospf/config.Y */

#line 57 "proto/perf/config.Y"
/* C Code from proto/perf/config.Y */

#line 46 "proto/pipe/config.Y"
/* C Code from proto/pipe/config.Y */

#line 338 "proto/radv/config.Y"
/* C Code from proto/radv/config.Y */

#line 201 "proto/rip/config.Y"
/* C Code from proto/rip/config.Y */

#line 142 "proto/rpki/config.Y"
/* C Code from proto/rpki/config.Y */

#line 154 "proto/static/config.Y"
/* C Code from proto/static/config.Y */

#line 62 "sysdep/linux/netlink.Y"
/* C Code from sysdep/linux/netlink.Y */

#line 144 "sysdep/unix/config.Y"
/* C Code from sysdep/unix/config.Y */

#line 128 "sysdep/unix/krt.Y"
/* C Code from sysdep/unix/krt.Y */

